-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.13-rc-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema p4
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ p4;
USE p4;

--
-- Table structure for table `p4`.`adresse`
--

DROP TABLE IF EXISTS `adresse`;
CREATE TABLE `adresse` (
  `ID` int(11) NOT NULL auto_increment,
  `Adresse1` varchar(60) default NULL,
  `Adresse2` varchar(60) default NULL,
  `Adresse3` varchar(60) default NULL,
  `Pays` int(11) NOT NULL,
  `Province` int(11) default NULL,
  `RegionAdministrative` int(11) NOT NULL,
  `Ville` int(11) default NULL,
  `CodePostal` varchar(6) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_pays` (`Pays`),
  KEY `KEY_province` (`Province`),
  KEY `KEY_regionadministrative` (`RegionAdministrative`),
  KEY `KEY_ville` (`Ville`),
  CONSTRAINT `adresse_ibfk_1` FOREIGN KEY (`Pays`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `adresse_ibfk_2` FOREIGN KEY (`Province`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `adresse_ibfk_3` FOREIGN KEY (`RegionAdministrative`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `adresse_ibfk_4` FOREIGN KEY (`Ville`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`adresse`
--

/*!40000 ALTER TABLE `adresse` DISABLE KEYS */;
/*!40000 ALTER TABLE `adresse` ENABLE KEYS */;


--
-- Table structure for table `p4`.`appel`
--

DROP TABLE IF EXISTS `appel`;
CREATE TABLE `appel` (
  `ID` int(11) NOT NULL auto_increment,
  `TransfertDe` int(11) NOT NULL,
  `TransfertA` int(11) NOT NULL,
  `DateAppel` datetime default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_transfertde` (`TransfertDe`),
  KEY `KEY_transferta` (`TransfertA`),
  CONSTRAINT `appel_ibfk_1` FOREIGN KEY (`TransfertDe`) REFERENCES `membre` (`ID`),
  CONSTRAINT `appel_ibfk_2` FOREIGN KEY (`TransfertA`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`appel`
--

/*!40000 ALTER TABLE `appel` DISABLE KEYS */;
/*!40000 ALTER TABLE `appel` ENABLE KEYS */;


--
-- Table structure for table `p4`.`autreintervention`
--

DROP TABLE IF EXISTS `autreintervention`;
CREATE TABLE `autreintervention` (
  `ID` int(11) NOT NULL auto_increment,
  `Type` int(11) NOT NULL,
  `Destinataire` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_type` (`Type`),
  KEY `KEY_destinataire` (`Destinataire`),
  CONSTRAINT `autreintervention_ibfk_1` FOREIGN KEY (`Type`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `autreintervention_ibfk_2` FOREIGN KEY (`Destinataire`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`autreintervention`
--

/*!40000 ALTER TABLE `autreintervention` DISABLE KEYS */;
/*!40000 ALTER TABLE `autreintervention` ENABLE KEYS */;


--
-- Table structure for table `p4`.`avisjuridique`
--

DROP TABLE IF EXISTS `avisjuridique`;
CREATE TABLE `avisjuridique` (
  `ID` int(11) NOT NULL auto_increment,
  `DemandeID` int(11) default NULL,
  `PlainteID` int(11) default NULL,
  `DateRencontre` datetime default NULL,
  `DatePrevue` datetime default NULL,
  `DateEnvoi` datetime default NULL,
  `Resume` text NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_demandeid` (`DemandeID`),
  KEY `KEY_plainteid` (`PlainteID`),
  CONSTRAINT `avisjuridique_ibfk_1` FOREIGN KEY (`DemandeID`) REFERENCES `demande` (`ID`),
  CONSTRAINT `avisjuridique_ibfk_2` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`avisjuridique`
--

/*!40000 ALTER TABLE `avisjuridique` DISABLE KEYS */;
/*!40000 ALTER TABLE `avisjuridique` ENABLE KEYS */;


--
-- Table structure for table `p4`.`avisjuridiquedocuments`
--

DROP TABLE IF EXISTS `avisjuridiquedocuments`;
CREATE TABLE `avisjuridiquedocuments` (
  `ID` int(11) NOT NULL auto_increment,
  `AvisJuridiqueID` int(11) NOT NULL,
  `MyNewAttribute` varchar(25) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_avisjuridiquedocuments` (`AvisJuridiqueID`),
  CONSTRAINT `avisjuridiquedocuments_ibfk_1` FOREIGN KEY (`AvisJuridiqueID`) REFERENCES `avisjuridique` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`avisjuridiquedocuments`
--

/*!40000 ALTER TABLE `avisjuridiquedocuments` DISABLE KEYS */;
/*!40000 ALTER TABLE `avisjuridiquedocuments` ENABLE KEYS */;


--
-- Table structure for table `p4`.`azexceptionsmessages`
--

DROP TABLE IF EXISTS `azexceptionsmessages`;
CREATE TABLE `azexceptionsmessages` (
  `BusinessTaskID` varchar(255) NOT NULL default '',
  `ExceptionNumber` int(11) NOT NULL default '0',
  `LanguageCode` char(2) NOT NULL default '',
  `Description` text NOT NULL,
  `SeverityCode` char(1) NOT NULL default '',
  PRIMARY KEY  (`BusinessTaskID`,`ExceptionNumber`,`LanguageCode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`azexceptionsmessages`
--

/*!40000 ALTER TABLE `azexceptionsmessages` DISABLE KEYS */;
INSERT INTO `azexceptionsmessages` (`BusinessTaskID`,`ExceptionNumber`,`LanguageCode`,`Description`,`SeverityCode`) VALUES 
 ('Azur.XIFramework',7000,'EN','Invalid ClassID.','N'),
 ('Azur.XIFramework',7000,'FR','Invalid ClassID.','N'),
 ('Azur.XIFramework',7001,'EN','Invalid argument value(s).','N'),
 ('Azur.XIFramework',7001,'FR','Invalid argument value(s).','N'),
 ('Azur.XIFramework',7002,'EN','Invalid AssociationID.','N'),
 ('Azur.XIFramework',7002,'FR','Invalid AssociationID.','N'),
 ('Azur.XIFramework',7003,'EN','Duplicated key.','N'),
 ('Azur.XIFramework',7003,'FR','Duplicated key.','N'),
 ('Azur.XIFramework',7004,'EN','Unexpected NULL value.','N'),
 ('Azur.XIFramework',7004,'FR','Unexpected NULL value.','N'),
 ('Azur.XIFramework',7005,'EN','Reference integrity violation.','N'),
 ('Azur.XIFramework',7005,'FR','Reference integrity violation.','N'),
 ('Azur.XIFramework',7006,'EN','Invalid date.','N'),
 ('Azur.XIFramework',7006,'FR','Invalid date.','N'),
 ('Azur.XIFramework',7007,'EN','Concurrency error.','N'),
 ('Azur.XIFramework',7007,'FR','Concurrency error.','N');
INSERT INTO `azexceptionsmessages` (`BusinessTaskID`,`ExceptionNumber`,`LanguageCode`,`Description`,`SeverityCode`) VALUES 
 ('Azur.XIFramework',7008,'EN','Missing mandatory field(s).','N'),
 ('Azur.XIFramework',7008,'FR','Missing mandatory field(s).','N'),
 ('Azur.XIFramework',7009,'EN','The resultset is too big. Please refine your search criterias.','N'),
 ('Azur.XIFramework',7009,'FR','The resultset is too big. Please refine your search criterias.','N'),
 ('Azur.XIFramework',7010,'EN','Invalid search criteria(s) type.','N'),
 ('Azur.XIFramework',7010,'FR','Invalid search criteria(s) type.','N'),
 ('Azur.XIFramework',7011,'EN','Invalid search criteria(s).','N'),
 ('Azur.XIFramework',7011,'FR','Invalid search criteria(s).','N'),
 ('Azur.XIFramework',7012,'EN','The item has been deleted.','N'),
 ('Azur.XIFramework',7012,'FR','The item has been deleted.','N'),
 ('Azur.XIFramework',7013,'EN','There is no pending transaction. Please use BeginTransaction() prior to use Commit() or Rollback().','N'),
 ('Azur.XIFramework',7013,'FR','There is no pending transaction. Please use BeginTransaction() prior to use Commit() or Rollback().','N');
INSERT INTO `azexceptionsmessages` (`BusinessTaskID`,`ExceptionNumber`,`LanguageCode`,`Description`,`SeverityCode`) VALUES 
 ('Azur.XIFramework',7014,'EN','The file %%1 does not exist.','N'),
 ('Azur.XIFramework',7014,'FR','The file %%1 does not exist.','N'),
 ('Azur.XIFramework',7015,'EN','Method not implemented (see stack trace for method name).','N'),
 ('Azur.XIFramework',7015,'FR','Method not implemented (see stack trace for method name).','N'),
 ('Azur.XIFramework',7016,'EN','The default constructor is not supported. See stack trace for more informations.','N'),
 ('Azur.XIFramework',7016,'FR','The default constructor is not supported. See stack trace for more informations.','N'),
 ('CDPDJ.P4',18000,'EN','The Departure Date must be inferior to the Entry Date .','N'),
 ('CDPDJ.P4',18000,'FR','La date de départ doit être supérieure à la date d\'entrée.','N'),
 ('CDPDJ.P4',18001,'EN','When a Departure Date is specified, only the following member types are valid: %%1','N'),
 ('CDPDJ.P4',18001,'FR','Quand une date de départ est spécifiée, seul les types de membre suivants sont valides: %%1','N'),
 ('CDPDJ.P4',18002,'EN','It was impossible to automatically generate the user code. You must enter it manually.','N');
INSERT INTO `azexceptionsmessages` (`BusinessTaskID`,`ExceptionNumber`,`LanguageCode`,`Description`,`SeverityCode`) VALUES 
 ('CDPDJ.P4',18002,'FR','Il a été impossible de généré automatiquement le code usager. Vous devez en entrer un manuellement.','N'),
 ('CDPDJ.P4',18003,'EN','This user code already exists.','N'),
 ('CDPDJ.P4',18003,'FR','Ce code usager existe déjà.','N'),
 ('CDPDJ.P4',18004,'EN','The Social Security Number is invlaid.','N'),
 ('CDPDJ.P4',18004,'FR','Le numéro d\'assurance social est invalide.','N'),
 ('CDPDJ.P4',18005,'EN','This Social Security Number already exists,','N'),
 ('CDPDJ.P4',18005,'FR','Ce numéro d\'assurance sociale existe déjà.','N'),
 ('CDPDJ.P4',18006,'EN','It is possible to add new Work Profiles or modify existing ones only when the Member is of one of the following Types: %%1','N'),
 ('CDPDJ.P4',18006,'FR','Il est possible d\'ajouter de nouveaux profils d\'emploi ou de modifier des profils d\'emploi existant seulement quand le membre est d\'un des types suivants: %%1','N'),
 ('CDPDJ.P4',18007,'EN','The Effective Date must be greater or equal to the current date.','N');
INSERT INTO `azexceptionsmessages` (`BusinessTaskID`,`ExceptionNumber`,`LanguageCode`,`Description`,`SeverityCode`) VALUES 
 ('CDPDJ.P4',18007,'FR','La date effective doit être plus grande ou égale à la date du jour.','N'),
 ('CDPDJ.P4',18008,'EN','It is no longer possible to update or delete the selected job profile because the effective date is passed.','N'),
 ('CDPDJ.P4',18008,'FR','Il n\'est plus possible de mettre-à-jour ou supprimer le profil d\'emploi sélectionné car sa date effective est passée.','N'),
 ('CDPDJ.P4',20000,'EN','When the document\'s version is changed, it\'s date must be set to a greater value.','N'),
 ('CDPDJ.P4',20000,'FR','Lorsque la version du document est changée, la valeure de la date courante doit être doit être remplacée par une valeure supérieure.','N'),
 ('CDPDJ.P4',20001,'EN','It is impossible to change the document type when it\'s value is Docket and Dockets have been inserted.','N'),
 ('CDPDJ.P4',20001,'FR','Il est impossible de changer le type de document quand sa valeur est Plumitif et que des plumitifs on été insérés.','N'),
 ('CDPDJ.P4',20002,'EN','The author you have entered is not unique for this document.','N');
INSERT INTO `azexceptionsmessages` (`BusinessTaskID`,`ExceptionNumber`,`LanguageCode`,`Description`,`SeverityCode`) VALUES 
 ('CDPDJ.P4',20002,'FR','L\'auteur que vous avez saisi pour ce document n\'est pas unique.','N'),
 ('CDPDJ.P4',20003,'EN','Only a document of type Docket may have Dockets.','N'),
 ('CDPDJ.P4',20003,'FR','Seul un document de type plumitif peut avoir des plumitifs.','N'),
 ('CDPDJ.P4',20004,'EN','The Judiciary District field is not available when the Judiciary Instance has the value \"%%1\".','N'),
 ('CDPDJ.P4',20004,'FR','Le champ districte judiciaire n\'est pas disponible quand l\'instance judiciaire à la valeur \"%%1\".','N'),
 ('CDPDJ.P4',20005,'EN','The Member you have chosen in the Lawyer and/or Other Lawyer field is not a Lawyer.','N'),
 ('CDPDJ.P4',20005,'FR','Le membre que vous avez choisi dans le champ Avocat et/ou Autre Avocat n\'est pas un Avocat.','N'),
 ('CDPDJ.P4',20006,'EN','The Member you have chosen in the Lawyer and/or Other Lawyer field does not have currently have a job body.','N'),
 ('CDPDJ.P4',20006,'FR','Le membre que vous avez choisi dans le champ Avocat et/ou Autre Avocat n\'a pas de corps d\'emploi.','N');
INSERT INTO `azexceptionsmessages` (`BusinessTaskID`,`ExceptionNumber`,`LanguageCode`,`Description`,`SeverityCode`) VALUES 
 ('CDPDJ.P4',20007,'EN','The same Lawyer has been entered twice for the same Docket.','N'),
 ('CDPDJ.P4',20007,'FR','On ne peut avoir deux fois le même avocat pour le même plumitif.','N'),
 ('CDPDJ.P4',20008,'EN','Broadcasting information has to be entered in order to restock this document.','N'),
 ('CDPDJ.P4',20008,'FR','Les informations de diffusion sont nécessaires pour permettre le réapprovisionnement de ce document.','N'),
 ('CDPDJ.P4',20009,'EN','The relation you have chosen is not a Supplier.','N'),
 ('CDPDJ.P4',20009,'FR','La relation que vous avez choisi n\'est pas un fournisseur.','N'),
 ('CDPDJ.P4',20010,'EN','The receipt date must preceed or be equal to the current date.','N'),
 ('CDPDJ.P4',20010,'FR','La date de récepetion saisie doit être plus petite ou égale à la date du jour.','N'),
 ('CDPDJ.P4',20011,'EN','The supply request cannot be updated or deleted once the Receipt date has been entered.','N'),
 ('CDPDJ.P4',20011,'FR','La demande d\'approvisionnement ne peut être mise-à-jour ou supprimée une fois que la date de réception à été entrée.','N');
INSERT INTO `azexceptionsmessages` (`BusinessTaskID`,`ExceptionNumber`,`LanguageCode`,`Description`,`SeverityCode`) VALUES 
 ('CDPDJ.P4',20012,'EN','The order date must preceed or be equal to the current date.','N'),
 ('CDPDJ.P4',20012,'FR','La date de commande saisie doit être plus petite ou égale à la date du jour.','N'),
 ('CDPDJ.P4',20013,'EN','The Judiciary District field is not available when the Judiciary Instance is not entered.','N'),
 ('CDPDJ.P4',20013,'FR','Le champ districte judiciaire n\'est pas disponible quand l\'instance judiciaire n\'est pas saisie.','N');
/*!40000 ALTER TABLE `azexceptionsmessages` ENABLE KEYS */;


--
-- Table structure for table `p4`.`azreftables`
--

DROP TABLE IF EXISTS `azreftables`;
CREATE TABLE `azreftables` (
  `RefTableCode` varchar(50) NOT NULL default '',
  `AllowDelete` tinyint(1) NOT NULL default '1',
  `ReadOnly` tinyint(1) NOT NULL default '0',
  `ParentTableCode` varchar(50) default NULL,
  `CreatedBy` varchar(100) NOT NULL default '',
  `CreatedDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `UpdatedBy` varchar(100) NOT NULL default '',
  `UpdatedDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`RefTableCode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`azreftables`
--

/*!40000 ALTER TABLE `azreftables` DISABLE KEYS */;
INSERT INTO `azreftables` (`RefTableCode`,`AllowDelete`,`ReadOnly`,`ParentTableCode`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 ('22',1,0,NULL,'system','2005-08-29 10:44:58','lehose','2005-08-29 10:44:58',NULL,NULL),
 ('24',1,0,NULL,'system','2005-08-29 10:44:58','lehose','2005-08-29 10:44:58',NULL,NULL),
 ('29',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('ABSENCES',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('ARCHIVAGE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('BUREAU',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('BUTPRESENTATION',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('CATEGORIEEMPLOI',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('CATEGORIEORGANISATION',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('CENTRERESPONSABILITE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL);
INSERT INTO `azreftables` (`RefTableCode`,`AllowDelete`,`ReadOnly`,`ParentTableCode`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 ('CLIENTELE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('CONCLUSIONSENQUETE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('DECISIONRECEVABILITE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('DEPENSES',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('DESTINATAIREINTERVENTION',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('DETAILSDEFERMETURE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('DIRECTIONS',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('DISTRICTSJUDICIAIRES',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('DOCAUTEURTYPE',1,0,NULL,'lehose','2005-09-08 11:25:06','lehose','2005-09-08 11:25:06',NULL,NULL);
INSERT INTO `azreftables` (`RefTableCode`,`AllowDelete`,`ReadOnly`,`ParentTableCode`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 ('ECHELLES',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('ECHELONS',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('ETAPESETUDEDOSSIER',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('EVENEMENTETAPEPLUMITIF',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('GENRE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('INSTANCESJUDICIAIRES',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('LANGUE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('LIEUXEVENEMENTCLIENTSARISQUE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('LISTEDISTRIBUTIONRECHERCHE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('LOCALISATIONS',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL);
INSERT INTO `azreftables` (`RefTableCode`,`AllowDelete`,`ReadOnly`,`ParentTableCode`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 ('LOISJEUNESSE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('MOTIFDEFERMETURE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('MOTIFREPORT',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('NATUREJUGEMENT',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('ORIGINEDEMANDE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('PAYS',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('POSTESCENTREJEUNESSE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('PRESENCEDISTRICTJUDICIAIRE',1,0,NULL,'system','0000-00-00 00:00:00','system','0000-00-00 00:00:00',NULL,NULL),
 ('PROVINCE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('RAISONDESISTEMENT',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL);
INSERT INTO `azreftables` (`RefTableCode`,`AllowDelete`,`ReadOnly`,`ParentTableCode`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 ('RAISONFERMETURE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('RAISONFINRECEVABILITE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('RAISONNONMEDIATION',1,0,NULL,'system','0000-00-00 00:00:00','system','0000-00-00 00:00:00',NULL,NULL),
 ('RECOMMANDATIONSENQUETE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('RECOMMANDATIONSRECEVABILITE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('REGIONADMINISTRATIVE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('RETRAITENQUETE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('ROLECLIENT',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('SECTEUR',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL);
INSERT INTO `azreftables` (`RefTableCode`,`AllowDelete`,`ReadOnly`,`ParentTableCode`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 ('SECTEURACTIVITE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('SECTEURRELATIONS',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('SOURCEAVIS',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('STATUTDOCUMENT',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('STATUTEMPLOI',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('STATUTHORAIRE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('STATUTPLAINTE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('STATUTRELATION',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('SUIVIDEMANDE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('SUJETS',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL);
INSERT INTO `azreftables` (`RefTableCode`,`AllowDelete`,`ReadOnly`,`ParentTableCode`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 ('TEST',1,0,NULL,'lehose','2005-08-29 10:44:58','lehose','2005-08-29 10:44:58',NULL,NULL),
 ('TEST2',1,0,'TEST','lehose','2005-08-29 10:44:58','lehose','2005-08-29 10:44:58',NULL,NULL),
 ('TITRECIVILITE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TITRECOMMISSAIRE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TITREHONORIFIQUE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TYPEADRESSE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TYPEDATE',1,0,NULL,'lehose','2005-09-12 13:09:55','lehose','2005-09-12 13:09:55',NULL,NULL),
 ('TYPEDATEECHEANCE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TYPEDESCRIPTEUR',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TYPEDOCUMENT',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL);
INSERT INTO `azreftables` (`RefTableCode`,`AllowDelete`,`ReadOnly`,`ParentTableCode`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 ('TYPEDROIT',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TYPEINTERVENTION',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TYPEMEMBRE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TYPEORGANISATION',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TYPEPRESENTATION',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TYPEPRIMEFORFAIT',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TYPERELATION',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TYPEREQUERANTMEC',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('TYPETELEPHONE',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL),
 ('VERSIONDOCUMENT',1,0,NULL,'system','2005-08-29 10:44:58','system','2005-08-29 10:44:58',NULL,NULL);
INSERT INTO `azreftables` (`RefTableCode`,`AllowDelete`,`ReadOnly`,`ParentTableCode`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 ('VILLE',1,0,'REGIONADMINISTRATIVE','system','2005-08-29 10:44:58','lehose','2005-08-29 10:57:24',NULL,NULL);
/*!40000 ALTER TABLE `azreftables` ENABLE KEYS */;


--
-- Table structure for table `p4`.`azreftablesdescription`
--

DROP TABLE IF EXISTS `azreftablesdescription`;
CREATE TABLE `azreftablesdescription` (
  `RefTableCode` varchar(50) NOT NULL default '',
  `LanguageCode` char(2) NOT NULL default '',
  `ShortDescription` varchar(50) NOT NULL default '',
  `Description` varchar(255) NOT NULL default '',
  `CreatedBy` varchar(100) NOT NULL default '',
  `CreatedDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `UpdatedBy` varchar(100) NOT NULL default '',
  `UpdatedDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`RefTableCode`,`LanguageCode`),
  KEY `KEY_azRefTablesDescription_LanguageCode` (`LanguageCode`),
  CONSTRAINT `azreftablesdescription_ibfk_1` FOREIGN KEY (`RefTableCode`) REFERENCES `azreftables` (`RefTableCode`) ON DELETE CASCADE,
  CONSTRAINT `azreftablesdescription_ibfk_2` FOREIGN KEY (`LanguageCode`) REFERENCES `azreftableslanguages` (`LanguageCode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`azreftablesdescription`
--

/*!40000 ALTER TABLE `azreftablesdescription` DISABLE KEYS */;
INSERT INTO `azreftablesdescription` (`RefTableCode`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 ('DOCAUTEURTYPE','EN','Document Author Type','Document Author Type','lehose','2005-09-08 11:25:22','lehose','2005-09-08 11:25:22',NULL,NULL),
 ('DOCAUTEURTYPE','FR','Type d\'auteur de document','Type d\'auteur de document','lehose','2005-09-08 11:25:43','lehose','2005-09-08 11:25:43',NULL,NULL),
 ('TYPEDATE','EN','Date Type','Date Type','lehose','2005-09-12 13:10:10','lehose','2005-09-12 13:10:10',NULL,NULL),
 ('TYPEDATE','FR','Type date','Type date','lehose','2005-09-12 13:10:24','lehose','2005-09-12 13:10:24',NULL,NULL);
/*!40000 ALTER TABLE `azreftablesdescription` ENABLE KEYS */;


--
-- Table structure for table `p4`.`azreftableslanguages`
--

DROP TABLE IF EXISTS `azreftableslanguages`;
CREATE TABLE `azreftableslanguages` (
  `LanguageCode` char(2) NOT NULL default '',
  `ShortDescription` varchar(50) NOT NULL default '',
  `Description` varchar(255) NOT NULL default '',
  `CreatedBy` varchar(100) NOT NULL default '',
  `CreatedDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `UpdatedBy` varchar(100) NOT NULL default '',
  `UpdatedDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`LanguageCode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`azreftableslanguages`
--

/*!40000 ALTER TABLE `azreftableslanguages` DISABLE KEYS */;
INSERT INTO `azreftableslanguages` (`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 ('EN','English','English','system','2005-08-29 10:45:19','system','2005-08-29 10:45:19',NULL,NULL),
 ('FR','French','French','system','2005-08-29 10:45:19','system','2005-08-29 10:45:19',NULL,NULL);
/*!40000 ALTER TABLE `azreftableslanguages` ENABLE KEYS */;


--
-- Table structure for table `p4`.`azreftablesvalues`
--

DROP TABLE IF EXISTS `azreftablesvalues`;
CREATE TABLE `azreftablesvalues` (
  `ID` int(11) NOT NULL auto_increment,
  `RefTableCode` varchar(50) NOT NULL default '',
  `ValueCode` varchar(50) NOT NULL default '',
  `ParentValueCode` varchar(50) default '',
  `Sequence` smallint(6) default NULL,
  `CreatedBy` varchar(100) NOT NULL default '',
  `CreatedDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `UpdatedBy` varchar(100) NOT NULL default '',
  `UpdatedDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `IX_azRefTablesValues` (`RefTableCode`,`ValueCode`),
  CONSTRAINT `azreftablesvalues_ibfk_1` FOREIGN KEY (`RefTableCode`) REFERENCES `azreftables` (`RefTableCode`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`azreftablesvalues`
--

/*!40000 ALTER TABLE `azreftablesvalues` DISABLE KEYS */;
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,'ABSENCES','130',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (2,'ABSENCES','131',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (3,'ABSENCES','170',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (4,'ABSENCES','240',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (5,'ABSENCES','242',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (6,'ABSENCES','246',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (7,'ABSENCES','248',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (8,'ABSENCES','270',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (9,'ABSENCES','272',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (10,'ABSENCES','280',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (11,'ABSENCES','282',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (12,'ABSENCES','284',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (13,'ABSENCES','478',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (14,'ABSENCES','482',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (15,'ABSENCES','484',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (16,'ABSENCES','486',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (17,'ABSENCES','570',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (18,'ABSENCES','580',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (19,'ABSENCES','610',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (20,'ABSENCES','740',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (21,'ABSENCES','742',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (22,'ABSENCES','744',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (23,'ABSENCES','746',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (24,'ABSENCES','748',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (25,'ABSENCES','750',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (26,'ABSENCES','752',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (27,'ABSENCES','770',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (28,'ABSENCES','772',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (29,'ABSENCES','774',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (30,'ABSENCES','776',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (31,'ABSENCES','780',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (32,'ABSENCES','782',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (33,'ABSENCES','784',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (34,'ABSENCES','786',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (35,'ABSENCES','999',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (36,'ARCHIVAGE','DET',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (37,'ARCHIVAGE','ANQ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (38,'BUREAU','LNG',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (39,'BUREAU','RIM',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (40,'BUREAU','SHE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (41,'BUREAU','VAL',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (42,'BUREAU','QUE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (43,'BUREAU','STJ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (44,'BUREAU','MTL',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (45,'BUREAU','SEP',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (46,'BUREAU','TRV',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (47,'BUREAU','SAG',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (48,'BUREAU','GAT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (49,'BUTPRESENTATION','DEC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (50,'BUTPRESENTATION','INF',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (51,'CATEGORIEEMPLOI','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (52,'CATEGORIEEMPLOI','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (53,'CATEGORIEEMPLOI','8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (54,'CATEGORIEEMPLOI','10',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (55,'CATEGORIEEMPLOI','11',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (56,'CATEGORIEEMPLOI','12',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (57,'CATEGORIEEMPLOI','13',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (58,'CATEGORIEEMPLOI','14',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (59,'CATEGORIEORGANISATION','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (60,'CATEGORIEORGANISATION','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (61,'CATEGORIEORGANISATION','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (62,'CATEGORIEORGANISATION','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (63,'CENTRERESPONSABILITE','4511',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (64,'CENTRERESPONSABILITE','4512',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (65,'CENTRERESPONSABILITE','4513',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (66,'CENTRERESPONSABILITE','4514',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (67,'CENTRERESPONSABILITE','4515',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (68,'CENTRERESPONSABILITE','4516',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (69,'CENTRERESPONSABILITE','4519',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (70,'CENTRERESPONSABILITE','4521',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (71,'CENTRERESPONSABILITE','4522',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (72,'CENTRERESPONSABILITE','4523',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (73,'CENTRERESPONSABILITE','4524',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (74,'CENTRERESPONSABILITE','4525',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (75,'CENTRERESPONSABILITE','4530',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (76,'CENTRERESPONSABILITE','4535',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (77,'CENTRERESPONSABILITE','4540',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (78,'CENTRERESPONSABILITE','4545',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (79,'CENTRERESPONSABILITE','4550',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (80,'CENTRERESPONSABILITE','4555',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (81,'CENTRERESPONSABILITE','4560',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (82,'CENTRERESPONSABILITE','4565',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (83,'CENTRERESPONSABILITE','4570',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (84,'CLIENTELE','ANA',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (85,'CLIENTELE','ASS',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (86,'CLIENTELE','DET',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (87,'CLIENTELE','FEM',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (88,'CLIENTELE','ITI',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (89,'CLIENTELE','LOC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (90,'CONCLUSIONSENQUETE','R',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (91,'CONCLUSIONSENQUETE','L',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (92,'CONCLUSIONSENQUETE','N',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (93,'DECISIONRECEVABILITE','E',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (94,'DECISIONRECEVABILITE','S',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (95,'DECISIONRECEVABILITE','P',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (96,'DEPENSES','A29',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (97,'DEPENSES','A32',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (98,'DEPENSES','A91',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (99,'DEPENSES','A92',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (100,'DEPENSES','H620',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (101,'DETAILSDEFERMETURE','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (102,'DETAILSDEFERMETURE','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (103,'DETAILSDEFERMETURE','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (104,'DETAILSDEFERMETURE','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (105,'DETAILSDEFERMETURE','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (106,'DETAILSDEFERMETURE','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (107,'DETAILSDEFERMETURE','7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (108,'DETAILSDEFERMETURE','8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (109,'DETAILSDEFERMETURE','9',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (110,'DETAILSDEFERMETURE','10',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (111,'DETAILSDEFERMETURE','11',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (112,'DETAILSDEFERMETURE','12',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (113,'DETAILSDEFERMETURE','13',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (114,'DETAILSDEFERMETURE','14',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (115,'DETAILSDEFERMETURE','15',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (116,'DETAILSDEFERMETURE','16',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (117,'DETAILSDEFERMETURE','17',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (118,'DETAILSDEFERMETURE','18',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (119,'DETAILSDEFERMETURE','19',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (120,'DETAILSDEFERMETURE','20',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (121,'DETAILSDEFERMETURE','21',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (122,'DETAILSDEFERMETURE','22',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (123,'DETAILSDEFERMETURE','23',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (124,'DETAILSDEFERMETURE','24',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (125,'DETAILSDEFERMETURE','25',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (126,'DIRECTIONS','C',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (127,'DIRECTIONS','R',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (128,'DIRECTIONS','B',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (129,'DISTRICTSJUDICIAIRES','605',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (130,'DISTRICTSJUDICIAIRES','615',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (131,'DISTRICTSJUDICIAIRES','160',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (132,'DISTRICTSJUDICIAIRES','415',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (133,'DISTRICTSJUDICIAIRES','655',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (134,'DISTRICTSJUDICIAIRES','350',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (135,'DISTRICTSJUDICIAIRES','760',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (136,'DISTRICTSJUDICIAIRES','210',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (137,'DISTRICTSJUDICIAIRES','455',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (138,'DISTRICTSJUDICIAIRES','460',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (139,'DISTRICTSJUDICIAIRES','685',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (140,'DISTRICTSJUDICIAIRES','105',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (141,'DISTRICTSJUDICIAIRES','255',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (142,'DISTRICTSJUDICIAIRES','240',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (143,'DISTRICTSJUDICIAIRES','150',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (144,'DISTRICTSJUDICIAIRES','652',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (145,'DISTRICTSJUDICIAIRES','405',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (146,'DISTRICTSJUDICIAIRES','695',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (147,'DISTRICTSJUDICIAIRES','235',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (148,'DISTRICTSJUDICIAIRES','690',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (149,'DISTRICTSJUDICIAIRES','110',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (150,'DISTRICTSJUDICIAIRES','640',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (151,'DISTRICTSJUDICIAIRES','675',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (152,'DISTRICTSJUDICIAIRES','550',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (153,'DISTRICTSJUDICIAIRES','755',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (154,'DISTRICTSJUDICIAIRES','705',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (155,'DISTRICTSJUDICIAIRES','250',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (156,'DISTRICTSJUDICIAIRES','520',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (157,'DISTRICTSJUDICIAIRES','260',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (158,'DISTRICTSJUDICIAIRES','560',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (159,'DISTRICTSJUDICIAIRES','775',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (160,'DISTRICTSJUDICIAIRES','540',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (161,'DISTRICTSJUDICIAIRES','635',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (162,'DISTRICTSJUDICIAIRES','505',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (163,'DISTRICTSJUDICIAIRES','630',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (164,'DISTRICTSJUDICIAIRES','650',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (165,'DISTRICTSJUDICIAIRES','300',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (166,'DISTRICTSJUDICIAIRES','500',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (167,'DISTRICTSJUDICIAIRES','510',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (168,'DISTRICTSJUDICIAIRES','680',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (169,'DISTRICTSJUDICIAIRES','670',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (170,'DISTRICTSJUDICIAIRES','200',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (171,'DISTRICTSJUDICIAIRES','730',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (172,'DISTRICTSJUDICIAIRES','765',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (173,'DISTRICTSJUDICIAIRES','125',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (174,'DISTRICTSJUDICIAIRES','100',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (175,'DISTRICTSJUDICIAIRES','155',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (176,'DISTRICTSJUDICIAIRES','600',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (177,'DISTRICTSJUDICIAIRES','720',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (178,'DISTRICTSJUDICIAIRES','450',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (179,'DISTRICTSJUDICIAIRES','750',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (180,'DISTRICTSJUDICIAIRES','530',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (181,'DISTRICTSJUDICIAIRES','410',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (182,'DISTRICTSJUDICIAIRES','625',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (183,'DISTRICTSJUDICIAIRES','660',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (184,'DISTRICTSJUDICIAIRES','700',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (185,'DISTRICTSJUDICIAIRES','400',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (186,'DISTRICTSJUDICIAIRES','515',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (187,'ECHELLES','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (188,'ECHELLES','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (189,'ECHELLES','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (190,'ECHELLES','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (191,'ECHELLES','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (192,'ECHELLES','7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (193,'ECHELLES','8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (194,'ECHELLES','9',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (195,'ECHELLES','10',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (196,'ECHELLES','11',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (197,'ECHELLES','12',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (198,'ECHELLES','13',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (199,'ECHELLES','14',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (200,'ECHELLES','15',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (201,'ECHELLES','16',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (202,'ECHELLES','17',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (203,'ECHELLES','19',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (204,'ECHELLES','20',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (205,'ECHELLES','21',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (206,'ECHELLES','195',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (207,'ECHELONS','1',NULL,1,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (208,'ETAPESETUDEDOSSIER','M',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (209,'ETAPESETUDEDOSSIER','C',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (210,'ETAPESETUDEDOSSIER','S',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (211,'EVENEMENTETAPEPLUMITIF','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (212,'EVENEMENTETAPEPLUMITIF','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (213,'EVENEMENTETAPEPLUMITIF','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (214,'EVENEMENTETAPEPLUMITIF','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (215,'EVENEMENTETAPEPLUMITIF','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (216,'EVENEMENTETAPEPLUMITIF','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (217,'EVENEMENTETAPEPLUMITIF','8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (218,'EVENEMENTETAPEPLUMITIF','9',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (219,'EVENEMENTETAPEPLUMITIF','10',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (220,'GENRE','M',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (221,'GENRE','F',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (222,'INSTANCESJUDICIAIRES','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (223,'INSTANCESJUDICIAIRES','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (224,'INSTANCESJUDICIAIRES','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (225,'INSTANCESJUDICIAIRES','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (226,'INSTANCESJUDICIAIRES','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (227,'INSTANCESJUDICIAIRES','7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (228,'INSTANCESJUDICIAIRES','8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (229,'INSTANCESJUDICIAIRES','9',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (230,'INSTANCESJUDICIAIRES','10',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (231,'INSTANCESJUDICIAIRES','11',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (232,'INSTANCESJUDICIAIRES','13',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (233,'INSTANCESJUDICIAIRES','16',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (234,'INSTANCESJUDICIAIRES','17',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (235,'INSTANCESJUDICIAIRES','18',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (236,'INSTANCESJUDICIAIRES','19',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (237,'INSTANCESJUDICIAIRES','20',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (238,'INSTANCESJUDICIAIRES','22',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (239,'INSTANCESJUDICIAIRES','23',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (240,'INSTANCESJUDICIAIRES','25',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (241,'INSTANCESJUDICIAIRES','26',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (242,'INSTANCESJUDICIAIRES','27',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (243,'INSTANCESJUDICIAIRES','28',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (244,'INSTANCESJUDICIAIRES','30',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (245,'LANGUE','FR',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (246,'LANGUE','EN',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (247,'LANGUE','INT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (248,'LANGUE','ATS',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (249,'LANGUE','LSQ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (250,'LIEUXEVENEMENTCLIENTSARISQUE','CDP',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (251,'LIEUXEVENEMENTCLIENTSARISQUE','RES',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (252,'LIEUXEVENEMENTCLIENTSARISQUE','TRV',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (253,'LISTEDISTRIBUTIONRECHERCHE','PRE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (254,'LISTEDISTRIBUTIONRECHERCHE','VPR',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (255,'LISTEDISTRIBUTIONRECHERCHE','COM',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (256,'LISTEDISTRIBUTIONRECHERCHE','ADJ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (257,'LISTEDISTRIBUTIONRECHERCHE','SEC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (258,'LISTEDISTRIBUTIONRECHERCHE','GES',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (259,'LISTEDISTRIBUTIONRECHERCHE','QUE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (260,'LISTEDISTRIBUTIONRECHERCHE','REG',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (261,'LISTEDISTRIBUTIONRECHERCHE','BIB',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (262,'LISTEDISTRIBUTIONRECHERCHE','RCH',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (263,'LISTEDISTRIBUTIONRECHERCHE','MON',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (264,'LISTEDISTRIBUTIONRECHERCHE','AUT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (265,'LOCALISATIONS','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (266,'LOCALISATIONS','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (267,'LOCALISATIONS','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (268,'LOCALISATIONS','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (269,'LOISJEUNESSE','JC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (270,'LOISJEUNESSE','PJ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (271,'LOISJEUNESSE','PJ_JC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (272,'MOTIFDEFERMETURE','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (273,'MOTIFDEFERMETURE','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (274,'MOTIFDEFERMETURE','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (275,'MOTIFDEFERMETURE','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (276,'MOTIFDEFERMETURE','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (277,'MOTIFDEFERMETURE','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (278,'MOTIFDEFERMETURE','7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (279,'MOTIFREPORT','C',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (280,'MOTIFREPORT','A',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (281,'MOTIFREPORT','J',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (282,'MOTIFREPORT','D',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (283,'NATUREJUGEMENT','01',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (284,'NATUREJUGEMENT','03',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (285,'NATUREJUGEMENT','02',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (286,'NATUREJUGEMENT','04',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (287,'NATUREJUGEMENT','05',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (288,'ORIGINEDEMANDE','TEL',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (289,'ORIGINEDEMANDE','FAX',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (290,'ORIGINEDEMANDE','COU',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (291,'ORIGINEDEMANDE','EML',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (292,'ORIGINEDEMANDE','ENT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (293,'ORIGINEDEMANDE','INT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (294,'PAYS','CAN',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (295,'PAYS','CEN',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (296,'PAYS','FRA',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (297,'POSTESCENTREJEUNESSE','DPJ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (298,'POSTESCENTREJEUNESSE','DG',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (299,'POSTESCENTREJEUNESSE','PCA',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (300,'POSTESCENTREJEUNESSE','ADJ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (301,'POSTESCENTREJEUNESSE','CHS',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (302,'POSTESCENTREJEUNESSE','CHP',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (303,'POSTESCENTREJEUNESSE','CFG',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (304,'POSTESCENTREJEUNESSE','CHU',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (305,'POSTESCENTREJEUNESSE','DSQ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (306,'POSTESCENTREJEUNESSE','SCJ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (307,'POSTESCENTREJEUNESSE','CDJ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (308,'POSTESCENTREJEUNESSE','DGR',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (309,'POSTESCENTREJEUNESSE','CDU',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (310,'PROVINCE','CB',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (311,'PROVINCE','ALB',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (312,'PROVINCE','SAS',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (313,'PROVINCE','MAN',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (314,'PROVINCE','ONT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (315,'PROVINCE','QUE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (316,'PROVINCE','NS',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (317,'PROVINCE','NB',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (318,'PROVINCE','IPE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (319,'PROVINCE','TN',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (320,'PROVINCE','YUK',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (321,'PROVINCE','TNO',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (322,'PROVINCE','NUN',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (323,'RAISONDESISTEMENT','A',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (324,'RAISONDESISTEMENT','C',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (325,'RAISONDESISTEMENT','R',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (326,'RAISONDESISTEMENT','S',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (327,'RAISONFERMETURE','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (328,'RAISONFERMETURE','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (329,'RAISONFERMETURE','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (330,'RAISONFERMETURE','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (331,'RAISONFERMETURE','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (332,'RAISONFERMETURE','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (333,'RAISONFERMETURE','7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (334,'RAISONFINRECEVABILITE','01',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (335,'RAISONFINRECEVABILITE','02',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (336,'RAISONFINRECEVABILITE','03',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (337,'RAISONFINRECEVABILITE','H',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (338,'RAISONFINRECEVABILITE','P',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (339,'RAISONFINRECEVABILITE','T',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (340,'RAISONFINRECEVABILITE','A',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (341,'RAISONFINRECEVABILITE','I',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (342,'RAISONFINRECEVABILITE','S',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (343,'RECOMMANDATIONSENQUETE','A',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (344,'RECOMMANDATIONSENQUETE','E01',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (345,'RECOMMANDATIONSENQUETE','E34',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (346,'RECOMMANDATIONSENQUETE','P01',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (347,'RECOMMANDATIONSENQUETE','R01',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (348,'RECOMMANDATIONSRECEVABILITE','OUV',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (349,'RECOMMANDATIONSRECEVABILITE','FER',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (350,'RECOMMANDATIONSRECEVABILITE','CAS',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (351,'RECOMMANDATIONSRECEVABILITE','CTX',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (352,'REGIONADMINISTRATIVE','01',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (353,'REGIONADMINISTRATIVE','02',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (354,'REGIONADMINISTRATIVE','03',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (355,'REGIONADMINISTRATIVE','04',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (356,'REGIONADMINISTRATIVE','05',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (357,'REGIONADMINISTRATIVE','06',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (358,'REGIONADMINISTRATIVE','07',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (359,'REGIONADMINISTRATIVE','08',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (360,'REGIONADMINISTRATIVE','09',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (361,'REGIONADMINISTRATIVE','10',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (362,'REGIONADMINISTRATIVE','11',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (363,'REGIONADMINISTRATIVE','12',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (364,'REGIONADMINISTRATIVE','13',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (365,'REGIONADMINISTRATIVE','14',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (366,'REGIONADMINISTRATIVE','15',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (367,'REGIONADMINISTRATIVE','16',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (368,'REGIONADMINISTRATIVE','17',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (369,'REGIONADMINISTRATIVE','18',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (370,'RETRAITENQUETE','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (371,'RETRAITENQUETE','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (372,'RETRAITENQUETE','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (373,'RETRAITENQUETE','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (374,'RETRAITENQUETE','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (375,'RETRAITENQUETE','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (376,'ROLECLIENT','010',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (377,'ROLECLIENT','020',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (378,'ROLECLIENT','030',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (379,'ROLECLIENT','040',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (380,'ROLECLIENT','050',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (381,'ROLECLIENT','060',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (382,'ROLECLIENT','070',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (383,'ROLECLIENT','080',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (384,'ROLECLIENT','090',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (385,'ROLECLIENT','100',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (386,'ROLECLIENT','110',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (387,'ROLECLIENT','120',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (388,'ROLECLIENT','130',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (389,'ROLECLIENT','140',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (390,'ROLECLIENT','150',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (391,'ROLECLIENT','160',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (392,'ROLECLIENT','170',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (393,'ROLECLIENT','180',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (394,'ROLECLIENT','190',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (395,'ROLECLIENT','200',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (396,'ROLECLIENT','145',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (397,'SECTEUR','L',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (398,'SECTEUR','T',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (399,'SECTEUR','B',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (400,'SECTEUR','P',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (401,'SECTEURACTIVITE','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (402,'SECTEURACTIVITE','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (403,'SECTEURACTIVITE','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (404,'SECTEURACTIVITE','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (405,'SECTEURACTIVITE','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (406,'SECTEURACTIVITE','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (407,'SECTEURACTIVITE','7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (408,'SECTEURACTIVITE','8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (409,'SECTEURACTIVITE','9',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (410,'SECTEURACTIVITE','10',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (411,'SECTEURACTIVITE','10_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (412,'SECTEURACTIVITE','10_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (413,'SECTEURACTIVITE','10_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (414,'SECTEURACTIVITE','10_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (415,'SECTEURACTIVITE','10_5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (416,'SECTEURACTIVITE','10_6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (417,'SECTEURACTIVITE','10_7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (418,'SECTEURACTIVITE','11',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (419,'SECTEURACTIVITE','12',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (420,'SECTEURACTIVITE','13',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (421,'SECTEURACTIVITE','14',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (422,'SECTEURACTIVITE','14_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (423,'SECTEURACTIVITE','14_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (424,'SECTEURACTIVITE','14_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (425,'SECTEURACTIVITE','14_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (426,'SECTEURACTIVITE','14_5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (427,'SECTEURACTIVITE','14_6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (428,'SECTEURACTIVITE','15',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (429,'SECTEURACTIVITE','15_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (430,'SECTEURACTIVITE','15_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (431,'SECTEURACTIVITE','15_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (432,'SECTEURACTIVITE','15_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (433,'SECTEURACTIVITE','15_5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (434,'SECTEURACTIVITE','15_6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (435,'SECTEURACTIVITE','15_7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (436,'SECTEURACTIVITE','15_8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (437,'SECTEURACTIVITE','16',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (438,'SECTEURACTIVITE','16_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (439,'SECTEURACTIVITE','16_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (440,'SECTEURACTIVITE','16_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (441,'SECTEURACTIVITE','16_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (442,'SECTEURACTIVITE','16_5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (443,'SECTEURACTIVITE','17',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (444,'SECTEURACTIVITE','17_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (445,'SECTEURACTIVITE','17_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (446,'SECTEURACTIVITE','17_5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (447,'SECTEURACTIVITE','17_6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (448,'SECTEURACTIVITE','17_7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (449,'SECTEURACTIVITE','18',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (450,'SECTEURACTIVITE','18_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (451,'SECTEURACTIVITE','18_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (452,'SECTEURACTIVITE','18_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (453,'SECTEURACTIVITE','18_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (454,'SECTEURACTIVITE','18_5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (455,'SECTEURACTIVITE','19',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (456,'SECTEURACTIVITE','19_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (457,'SECTEURACTIVITE','19_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (458,'SECTEURACTIVITE','19_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (459,'SECTEURACTIVITE','19_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (460,'SECTEURACTIVITE','19_5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (461,'SECTEURACTIVITE','19_6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (462,'SECTEURACTIVITE','19_7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (463,'SECTEURACTIVITE','2_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (464,'SECTEURACTIVITE','2_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (465,'SECTEURACTIVITE','2_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (466,'SECTEURACTIVITE','2_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (467,'SECTEURACTIVITE','17_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (468,'SECTEURRELATIONS','JUR',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (469,'SECTEURRELATIONS','LOG',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (470,'SECTEURRELATIONS','REL',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (471,'SECTEURRELATIONS','SAN',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (472,'SECTEURRELATIONS','TRV',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (473,'SECTEURRELATIONS','GOU',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (474,'SECTEURRELATIONS','PRJ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (475,'SECTEURRELATIONS','LOC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (476,'SECTEURRELATIONS','DEF',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (477,'SECTEURRELATIONS','EDU',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (478,'SECTEURRELATIONS','INF',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (479,'SECTEURRELATIONS','INT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (480,'SECTEURRELATIONS','IND',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (481,'SOURCEAVIS','ASS',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (482,'SOURCEAVIS','AUR',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (483,'SOURCEAVIS','AUT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (484,'SOURCEAVIS','CIT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (485,'SOURCEAVIS','MIN',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (486,'SOURCEAVIS','ORG',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (487,'SOURCEAVIS','PAR',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (488,'SOURCEAVIS','PRE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (489,'STATUTDOCUMENT','PUB',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (490,'STATUTDOCUMENT','RES',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (491,'STATUTDOCUMENT','INT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (492,'STATUTEMPLOI','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (493,'STATUTEMPLOI','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (494,'STATUTEMPLOI','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (495,'STATUTEMPLOI','8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (496,'STATUTEMPLOI','13',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (497,'STATUTHORAIRE','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (498,'STATUTHORAIRE','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (499,'STATUTHORAIRE','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (500,'STATUTHORAIRE','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (501,'STATUTPLAINTE','AVIREC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (502,'STATUTPLAINTE','AVIENQ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (503,'STATUTPLAINTE','COM',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (504,'STATUTPLAINTE','CEP',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (505,'STATUTPLAINTE','CTX',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (506,'STATUTPLAINTE','ENQ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (507,'STATUTPLAINTE','FER',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (508,'STATUTPLAINTE','INA',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (509,'STATUTPLAINTE','MED',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (510,'STATUTPLAINTE','RCV',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (511,'STATUTPLAINTE','TRI',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (512,'STATUTRELATION','OCC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (513,'STATUTRELATION','PER',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (514,'SUIVIDEMANDE','CTX',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (515,'SUIVIDEMANDE','RCH',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (516,'SUJETS','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (517,'SUJETS','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (518,'SUJETS','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (519,'SUJETS','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (520,'SUJETS','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (521,'SUJETS','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (522,'SUJETS','7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (523,'SUJETS','8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (524,'SUJETS','9',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (525,'SUJETS','10',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (526,'SUJETS','11',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (527,'SUJETS','12',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (528,'SUJETS','13',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (529,'SUJETS','14',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (530,'SUJETS','15',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (531,'SUJETS','17',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (532,'SUJETS','18',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (533,'SUJETS','19',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (534,'SUJETS','20',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (535,'SUJETS','21',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (536,'SUJETS','22',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (537,'SUJETS','23',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (538,'SUJETS','24',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (539,'SUJETS','26',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (540,'SUJETS','27',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (541,'SUJETS','28',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (542,'SUJETS','29',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (543,'SUJETS','30',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (544,'SUJETS','32',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (545,'SUJETS','33',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (546,'SUJETS','34',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (547,'SUJETS','35',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (548,'SUJETS','36',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (549,'SUJETS','37',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (550,'SUJETS','38',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (551,'SUJETS','39',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (552,'SUJETS','40',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (553,'SUJETS','41',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (554,'SUJETS','42',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (555,'SUJETS','43',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (556,'SUJETS','45',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (557,'SUJETS','46',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (558,'SUJETS','47',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (559,'SUJETS','48',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (560,'SUJETS','49',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (561,'SUJETS','50',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (562,'SUJETS','51',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (563,'SUJETS','52',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (564,'SUJETS','53',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (565,'SUJETS','54',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (566,'SUJETS','55',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (567,'SUJETS','56',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (568,'SUJETS','57',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (569,'SUJETS','58',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (570,'SUJETS','60',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (571,'SUJETS','61',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (572,'SUJETS','62',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (573,'SUJETS','63',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (574,'SUJETS','65',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (575,'SUJETS','66',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (576,'SUJETS','67',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (577,'SUJETS','68',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (578,'SUJETS','69',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (579,'SUJETS','70',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (580,'SUJETS','71',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (581,'SUJETS','72',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (582,'SUJETS','73',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (583,'SUJETS','74',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (584,'SUJETS','75',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (585,'SUJETS','76',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (586,'SUJETS','77',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (587,'SUJETS','79',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (588,'SUJETS','80',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (589,'SUJETS','81',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (590,'SUJETS','82',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (591,'SUJETS','83',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (592,'SUJETS','93',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (593,'SUJETS','94',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (594,'SUJETS','95',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (595,'SUJETS','96',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (596,'SUJETS','97',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (597,'SUJETS','98',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (598,'SUJETS','99',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (599,'SUJETS','100',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (600,'SUJETS','101',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (601,'SUJETS','102',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (602,'SUJETS','103',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (603,'SUJETS','104',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (604,'SUJETS','105',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (605,'SUJETS','106',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (606,'SUJETS','107',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (607,'SUJETS','108',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (608,'SUJETS','109',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (609,'SUJETS','110',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (610,'SUJETS','111',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (611,'SUJETS','112',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (612,'SUJETS','113',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (613,'SUJETS','115',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (614,'SUJETS','116',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (615,'TITRECIVILITE','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (616,'TITRECIVILITE','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (617,'TITRECIVILITE','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (618,'TITRECIVILITE','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (619,'TITRECIVILITE','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (620,'TITRECIVILITE','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (621,'TITRECIVILITE','7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (622,'TITRECIVILITE','8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (623,'TITRECIVILITE','9',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (624,'TITRECIVILITE','10',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (625,'TITRECIVILITE','11',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (626,'TITRECIVILITE','12',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (627,'TITRECIVILITE','13',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (628,'TITRECIVILITE','14',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (629,'TITRECIVILITE','15',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (630,'TITRECIVILITE','16',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (631,'TITRECIVILITE','17',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (632,'TITRECIVILITE','18',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (633,'TITRECIVILITE','19',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (634,'TITRECIVILITE','20',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (635,'TITRECIVILITE','21',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (636,'TITRECIVILITE','22',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (637,'TITRECIVILITE','23',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (638,'TITRECIVILITE','24',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (639,'TITRECIVILITE','25',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (640,'TITRECIVILITE','26',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (641,'TITRECIVILITE','27',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (642,'TITRECIVILITE','28',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (643,'TITRECOMMISSAIRE','COM',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (644,'TITRECOMMISSAIRE','DIR',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (645,'TITRECOMMISSAIRE','JUG',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (646,'TITRECOMMISSAIRE','PRE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (647,'TITRECOMMISSAIRE','PRO',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (648,'TITRECOMMISSAIRE','VIC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (649,'TITREHONORIFIQUE','1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (650,'TITREHONORIFIQUE','2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (651,'TITREHONORIFIQUE','3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (652,'TITREHONORIFIQUE','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (653,'TITREHONORIFIQUE','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (654,'TITREHONORIFIQUE','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (655,'TITREHONORIFIQUE','7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (656,'TITREHONORIFIQUE','8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (657,'TITREHONORIFIQUE','9',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (658,'TITREHONORIFIQUE','10',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (659,'TITREHONORIFIQUE','11',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (660,'TITREHONORIFIQUE','12',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (661,'TITREHONORIFIQUE','13',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (662,'TITREHONORIFIQUE','14',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (663,'TITREHONORIFIQUE','15',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (664,'TITREHONORIFIQUE','16',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (665,'TITREHONORIFIQUE','17',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (666,'TITREHONORIFIQUE','18',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (667,'TITREHONORIFIQUE','19',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (668,'TITREHONORIFIQUE','20',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (669,'TITREHONORIFIQUE','21',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (670,'TITREHONORIFIQUE','22',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (671,'TITREHONORIFIQUE','23',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (672,'TITREHONORIFIQUE','24',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (673,'TITREHONORIFIQUE','25',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (674,'TITREHONORIFIQUE','26',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (675,'TITREHONORIFIQUE','27',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (676,'TITREHONORIFIQUE','28',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (677,'TYPEADRESSE','AUT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (678,'TYPEADRESSE','RES',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (679,'TYPEADRESSE','TRV',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (680,'29','ENQ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (681,'29','MED',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (682,'29','AVI',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (683,'29','MES',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (684,'22','AVS',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (685,'22','MEM',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (686,'22','POS',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (687,'22','COM',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (688,'22','ETU',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (689,'22','EXP',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (690,'22','LET',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (691,'22','PLN',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (692,'22','RAP',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (693,'TYPEDATEECHEANCE','DFI',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (694,'TYPEDATEECHEANCE','DFE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (695,'TYPEDATEECHEANCE','DVI',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (696,'TYPEDATEECHEANCE','DVE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (697,'24','AUT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (698,'24','AVC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (699,'24','AVR',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (700,'24','CAS',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (701,'24','DOC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (702,'24','FOR',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (703,'24','INF',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (704,'24','EVE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (705,'24','PLA',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (706,'24','MAT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (707,'24','REN',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (708,'TYPEDESCRIPTEUR','DRT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (709,'TYPEDESCRIPTEUR','MTF',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (710,'TYPEDESCRIPTEUR','SEC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (711,'TYPEDESCRIPTEUR','MIL',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (712,'TYPEDESCRIPTEUR','INT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (713,'TYPEDESCRIPTEUR','MTC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (714,'TYPEDESCRIPTEUR','LOI',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (715,'TYPEDESCRIPTEUR','ART',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (716,'TYPEDESCRIPTEUR','SUJ',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (717,'TYPEDESCRIPTEUR','CLI',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (718,'TYPEDOCUMENT','AVM',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (719,'TYPEDOCUMENT','AVC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (720,'TYPEDOCUMENT','AVR',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (721,'TYPEDOCUMENT','COR',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (722,'TYPEDOCUMENT','ETU',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (723,'TYPEDOCUMENT','EXP',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (724,'TYPEDOCUMENT','JUG',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (725,'TYPEDOCUMENT','MEM',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (726,'TYPEDOCUMENT','SRV',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (727,'TYPEDOCUMENT','PRS',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (728,'TYPEDOCUMENT','PLU',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (729,'TYPEDOCUMENT','SCI',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (730,'TYPEDOCUMENT','RES',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (731,'TYPEDOCUMENT','CNF',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (732,'TYPEDROIT','CHA',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (733,'TYPEDROIT','JEU',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (734,'TYPEMEMBRE','EXC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (735,'TYPEMEMBRE','EXP',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (736,'TYPEMEMBRE','LAU',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (737,'TYPEMEMBRE','COM',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (738,'TYPEMEMBRE','PER',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (739,'TYPEORGANISATION','1_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (740,'TYPEORGANISATION','1_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (741,'TYPEORGANISATION','2_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (742,'TYPEORGANISATION','2_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (743,'TYPEORGANISATION','2_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (744,'TYPEORGANISATION','2_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (745,'TYPEORGANISATION','2_5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (746,'TYPEORGANISATION','2_6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (747,'TYPEORGANISATION','3_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (748,'TYPEORGANISATION','3_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (749,'TYPEORGANISATION','3_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (750,'TYPEORGANISATION','3_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (751,'TYPEORGANISATION','3_5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (752,'TYPEORGANISATION','3_6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (753,'TYPEORGANISATION','3_7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (754,'TYPEORGANISATION','3_8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (755,'TYPEORGANISATION','4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (756,'TYPEORGANISATION','4_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (757,'TYPEORGANISATION','4_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (758,'TYPEORGANISATION','4_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (759,'TYPEORGANISATION','4_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (760,'TYPEORGANISATION','4_5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (761,'TYPEORGANISATION','4_7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (762,'TYPEORGANISATION','4_8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (763,'TYPEORGANISATION','5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (764,'TYPEORGANISATION','5_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (765,'TYPEORGANISATION','5_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (766,'TYPEORGANISATION','5_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (767,'TYPEORGANISATION','5_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (768,'TYPEORGANISATION','5_5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (769,'TYPEORGANISATION','5_6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (770,'TYPEORGANISATION','5_7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (771,'TYPEORGANISATION','6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (772,'TYPEORGANISATION','6_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (773,'TYPEORGANISATION','6_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (774,'TYPEORGANISATION','6_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (775,'TYPEORGANISATION','6_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (776,'TYPEORGANISATION','6_5',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (777,'TYPEORGANISATION','6_6',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (778,'TYPEORGANISATION','6_7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (779,'TYPEORGANISATION','6_8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (780,'TYPEORGANISATION','6_9',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (781,'TYPEORGANISATION','7',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (782,'TYPEORGANISATION','7_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (783,'TYPEORGANISATION','7_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (784,'TYPEORGANISATION','7_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (785,'TYPEORGANISATION','8',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (786,'TYPEORGANISATION','8_1',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (787,'TYPEORGANISATION','8_2',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (788,'TYPEORGANISATION','8_3',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (789,'TYPEORGANISATION','8_4',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (790,'TYPEORGANISATION','9',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (791,'TYPEPRESENTATION','DOC',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (792,'TYPEPRESENTATION','VER',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (793,'TYPEPRIMEFORFAIT','FOR',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (794,'TYPEPRIMEFORFAIT','PRI',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (795,'TYPERELATION','IND',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (796,'TYPERELATION','ORG',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (797,'TYPEREQUERANTMEC','E',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (798,'TYPEREQUERANTMEC','M',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (799,'TYPEREQUERANTMEC','P',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (800,'TYPEREQUERANTMEC','AVOE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (801,'TYPEREQUERANTMEC','AVOP',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (802,'TYPETELEPHONE','AUT',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (803,'TYPETELEPHONE','CEL',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (804,'TYPETELEPHONE','RES',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (805,'TYPETELEPHONE','PAG',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (806,'TYPETELEPHONE','FAX',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (807,'TYPETELEPHONE','TRV',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (808,'VERSIONDOCUMENT','RED',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (809,'VERSIONDOCUMENT','PRE',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (810,'VERSIONDOCUMENT','FIN',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (811,'VERSIONDOCUMENT','ADP',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (812,'VERSIONDOCUMENT','REM',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (813,'VERSIONDOCUMENT','REV',NULL,NULL,'system','2005-08-29 10:45:27','system','2005-08-29 10:45:27',NULL,NULL),
 (814,'VILLE','01',NULL,NULL,'system','2005-08-29 10:45:27','lehose','2005-08-29 11:06:07',NULL,NULL),
 (815,'VILLE','02',NULL,NULL,'system','2005-08-29 10:45:27','lehose','2005-08-29 11:06:02',NULL,NULL),
 (816,'VILLE','03',NULL,NULL,'system','2005-08-29 10:45:27','lehose','2005-08-29 11:06:16',NULL,NULL),
 (817,'VILLE','04',NULL,NULL,'system','2005-08-29 10:45:27','lehose','2005-08-29 11:06:20',NULL,NULL),
 (818,'TEST','Test Value Code 1',NULL,NULL,'lehose','2005-08-29 10:45:27','lehose','2005-08-29 10:45:27',NULL,NULL),
 (819,'TEST2','Test2 Value Code 1',NULL,NULL,'lehose','2005-08-29 10:45:27','lehose','2005-08-29 10:45:27',NULL,NULL),
 (820,'DOCAUTEURTYPE','MEMBRE',NULL,NULL,'lehose','2005-09-08 11:26:09','lehose','2005-09-08 11:26:09',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (821,'DOCAUTEURTYPE','RELATION',NULL,NULL,'lehose','2005-09-08 11:28:47','lehose','2005-09-08 11:28:47',NULL,NULL),
 (822,'DOCAUTEURTYPE','AUTRE',NULL,NULL,'lehose','2005-09-08 11:29:03','lehose','2005-09-08 11:29:03',NULL,NULL),
 (823,'TYPEDATE','DMY',NULL,NULL,'lehose','2005-09-12 13:10:56','lehose','2005-09-12 13:10:56',NULL,NULL),
 (824,'TYPEDATE','MY',NULL,NULL,'lehose','2005-09-12 13:12:09','lehose','2005-09-12 13:12:09',NULL,NULL),
 (825,'TYPEORGANISATION','10',NULL,NULL,'lehose','2005-09-13 16:30:21','lehose','2005-09-13 16:30:21',NULL,NULL),
 (826,'PRESENCEDISTRICTJUDICIAIRE','REQ',NULL,NULL,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL),
 (827,'PRESENCEDISTRICTJUDICIAIRE','AUC',NULL,NULL,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL),
 (828,'PRESENCEDISTRICTJUDICIAIRE','OPT',NULL,NULL,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL),
 (829,'RAISONNONMEDIATION','IMP',NULL,NULL,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (830,'RAISONNONMEDIATION','MED',NULL,NULL,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL),
 (831,'RAISONNONMEDIATION','INI',NULL,NULL,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL),
 (832,'RAISONNONMEDIATION','REF',NULL,NULL,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL),
 (833,'ECHELONS','2',NULL,2,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL),
 (834,'ECHELONS','3',NULL,3,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL),
 (835,'ECHELONS','4',NULL,4,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL),
 (836,'ECHELONS','5',NULL,5,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL),
 (837,'ECHELONS','6',NULL,6,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL),
 (838,'ECHELONS','7',NULL,7,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL);
INSERT INTO `azreftablesvalues` (`ID`,`RefTableCode`,`ValueCode`,`ParentValueCode`,`Sequence`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (839,'ECHELONS','8','',8,'system','2005-09-26 17:00:57','system','2005-09-26 17:00:57',NULL,NULL);
/*!40000 ALTER TABLE `azreftablesvalues` ENABLE KEYS */;


--
-- Table structure for table `p4`.`azreftablesvaluesdescription`
--

DROP TABLE IF EXISTS `azreftablesvaluesdescription`;
CREATE TABLE `azreftablesvaluesdescription` (
  `ID` int(11) NOT NULL default '0',
  `LanguageCode` char(2) NOT NULL default '',
  `ShortDescription` varchar(50) NOT NULL default '',
  `Description` varchar(255) NOT NULL default '',
  `CreatedBy` varchar(100) NOT NULL default '',
  `CreatedDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `UpdatedBy` varchar(100) NOT NULL default '',
  `UpdatedDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`,`LanguageCode`),
  KEY `KEY_azRefTablesValuesDescription_LanguageCode` (`LanguageCode`),
  CONSTRAINT `azreftablesvaluesdescription_ibfk_1` FOREIGN KEY (`LanguageCode`) REFERENCES `azreftableslanguages` (`LanguageCode`),
  CONSTRAINT `azreftablesvaluesdescription_ibfk_2` FOREIGN KEY (`ID`) REFERENCES `azreftablesvalues` (`ID`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`azreftablesvaluesdescription`
--

/*!40000 ALTER TABLE `azreftablesvaluesdescription` DISABLE KEYS */;
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,'EN','130 - Congé de préretraite','130 - Congé de préretraite','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (1,'FR','130 - Congé de préretraite','130 - Congé de préretraite','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (2,'EN','131 - Départ volontaire - réserve de maladies','131 - Départ volontaire - réserve de maladies','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (2,'FR','131 - Départ volontaire - réserve de maladies','131 - Départ volontaire - réserve de maladies','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (3,'EN','170 - Coupure pour retards ou départs hâtifs','170 - Coupure pour retards ou départs hâtifs','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (3,'FR','170 - Coupure pour retards ou départs hâtifs','170 - Coupure pour retards ou départs hâtifs','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (4,'EN','240 - Accident de travail','240 - Accident de travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (4,'FR','240 - Accident de travail','240 - Accident de travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (5,'EN','242 - Invalidité suite à un accident d\'automobile ','242 - Invalidité suite à un accident d\'automobile P1','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (5,'FR','242 - Invalidité suite à un accident d\'automobile ','242 - Invalidité suite à un accident d\'automobile P1','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (6,'EN','246 - Assurance-salaire P2','246 - Assurance-salaire P2','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (6,'FR','246 - Assurance-salaire P2','246 - Assurance-salaire P2','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (7,'EN','248 - Assurance-salaire P3','248 - Assurance-salaire P3','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (7,'FR','248 - Assurance-salaire P3','248 - Assurance-salaire P3','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (8,'EN','270 - Délai de carence','270 - Délai de carence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (8,'FR','270 - Délai de carence','270 - Délai de carence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (9,'EN','272 - Invalidité sans prestation d\'assurance salai','272 - Invalidité sans prestation d\'assurance salaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (9,'FR','272 - Invalidité sans prestation d\'assurance salai','272 - Invalidité sans prestation d\'assurance salaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (10,'EN','280 - Suspension','280 - Suspension','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (10,'FR','280 - Suspension','280 - Suspension','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (11,'EN','282 - Relevé provisoire de fonction sans traitemen','282 - Relevé provisoire de fonction sans traitement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (11,'FR','282 - Relevé provisoire de fonction sans traitemen','282 - Relevé provisoire de fonction sans traitement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (12,'EN','284 - Absence sans permission','284 - Absence sans permission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (12,'FR','284 - Absence sans permission','284 - Absence sans permission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (13,'EN','478 - Absence motif jugé valable par sous-ministre','478 - Absence motif jugé valable par sous-ministre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (13,'FR','478 - Absence motif jugé valable par sous-ministre','478 - Absence motif jugé valable par sous-ministre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (14,'EN','482 - Congé pour fonder une entreprise','482 - Congé pour fonder une entreprise','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (14,'FR','482 - Congé pour fonder une entreprise','482 - Congé pour fonder une entreprise','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (15,'EN','484 - Congé annuel sans traitement','484 - Congé annuel sans traitement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (15,'FR','484 - Congé annuel sans traitement','484 - Congé annuel sans traitement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (16,'EN','486 - Maladies (employé occasionnel de moins d\'un ','486 - Maladies (employé occasionnel de moins d\'un an)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (16,'FR','486 - Maladies (employé occasionnel de moins d\'un ','486 - Maladies (employé occasionnel de moins d\'un an)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (17,'EN','570 - Témoin dans une cause ou l\'employé est parti','570 - Témoin dans une cause ou l\'employé est parti','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (17,'FR','570 - Témoin dans une cause ou l\'employé est parti','570 - Témoin dans une cause ou l\'employé est parti','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (18,'EN','580 - Congé sans traitement re formation perfect. ','580 - Congé sans traitement re formation perfect. etc.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (18,'FR','580 - Congé sans traitement re formation perfect. ','580 - Congé sans traitement re formation perfect. etc.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (19,'EN','610 - Activités syndicales remboursement par le sy','610 - Activités syndicales remboursement par le syndicat','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (19,'FR','610 - Activités syndicales remboursement par le sy','610 - Activités syndicales remboursement par le syndicat','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (20,'EN','740 - Congé maternité employée assuj. à ac 20 sema','740 - Congé maternité employée assuj. à ac 20 semaines','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (20,'FR','740 - Congé maternité employée assuj. à ac 20 sema','740 - Congé maternité employée assuj. à ac 20 semaines','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (21,'EN','742 - Congé mater. employée non admiss. ac 10 ou 2','742 - Congé mater. employée non admiss. ac 10 ou 20 sem.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (21,'FR','742 - Congé mater. employée non admiss. ac 10 ou 2','742 - Congé mater. employée non admiss. ac 10 ou 20 sem.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (22,'EN','744 - Retrait préventif','744 - Retrait préventif','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (22,'FR','744 - Retrait préventif','744 - Retrait préventif','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (23,'EN','746 - Complication ou danger interruption grossess','746 - Complication ou danger interruption grossesse P2','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (23,'FR','746 - Complication ou danger interruption grossess','746 - Complication ou danger interruption grossesse P2','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (24,'EN','748 - Interruption grossesse natur. ou provoq. lég','748 - Interruption grossesse natur. ou provoq. légal P2','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (24,'FR','748 - Interruption grossesse natur. ou provoq. lég','748 - Interruption grossesse natur. ou provoq. légal P2','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (25,'EN','750 - Interruption grossesse natur. ou provoq. lég','750 - Interruption grossesse natur. ou provoq. légal P3','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (25,'FR','750 - Interruption grossesse natur. ou provoq. lég','750 - Interruption grossesse natur. ou provoq. légal P3','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (26,'EN','752 - Visite chez un prof. de la santé pour grosse','752 - Visite chez un prof. de la santé pour grossesse P2','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (26,'FR','752 - Visite chez un prof. de la santé pour grosse','752 - Visite chez un prof. de la santé pour grossesse P2','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (27,'EN','770 - Congé de maternité non payé','770 - Congé de maternité non payé','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (27,'FR','770 - Congé de maternité non payé','770 - Congé de maternité non payé','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (28,'EN','772 - Extention congé de maternité retard à la nai','772 - Extention congé de maternité retard à la naissance','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (28,'FR','772 - Extention congé de maternité retard à la nai','772 - Extention congé de maternité retard à la naissance','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (29,'EN','774 - Extention congé de maternité santé enfant l\'','774 - Extention congé de maternité santé enfant l\'exige','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (29,'FR','774 - Extention congé de maternité santé enfant l\'','774 - Extention congé de maternité santé enfant l\'exige','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (30,'EN','776 - Prolongation du congé de maternité','776 - Prolongation du congé de maternité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (30,'FR','776 - Prolongation du congé de maternité','776 - Prolongation du congé de maternité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (31,'EN','780 - Prolongation du congé pour adoption','780 - Prolongation du congé pour adoption','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (31,'FR','780 - Prolongation du congé pour adoption','780 - Prolongation du congé pour adoption','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (32,'EN','782 - Extension du congé pour adoption','782 - Extension du congé pour adoption','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (32,'FR','782 - Extension du congé pour adoption','782 - Extension du congé pour adoption','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (33,'EN','784 - Congé en vue de l\'adoption d\'un enfant','784 - Congé en vue de l\'adoption d\'un enfant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (33,'FR','784 - Congé en vue de l\'adoption d\'un enfant','784 - Congé en vue de l\'adoption d\'un enfant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (34,'EN','786 - Congé pour déplacement hors-Québec pour adop','786 - Congé pour déplacement hors-Québec pour adoption','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (34,'FR','786 - Congé pour déplacement hors-Québec pour adop','786 - Congé pour déplacement hors-Québec pour adoption','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (35,'EN','999 - Départ - Indemnité de départ','999 - Départ - Indemnité de départ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (35,'FR','999 - Départ - Indemnité de départ','999 - Départ - Indemnité de départ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (36,'EN','Détruit','Détruit','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (36,'FR','Détruit','Détruit','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (37,'EN','Archives Nationales Québec','Archives Nationales Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (37,'FR','Archives Nationales Québec','Archives Nationales Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (38,'EN','Longueuil','Longueuil','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (38,'FR','Longueuil','Longueuil','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (39,'EN','Rimouski','Rimouski','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (39,'FR','Rimouski','Rimouski','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (40,'EN','Sherbrooke','Sherbrooke','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (40,'FR','Sherbrooke','Sherbrooke','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (41,'EN','Val d\'Or','Val d\'Or','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (41,'FR','Val d\'Or','Val d\'Or','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (42,'EN','Québec','Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (42,'FR','Québec','Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (43,'EN','Saint-Jérôme','Saint-Jérôme','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (43,'FR','Saint-Jérôme','Saint-Jérôme','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (44,'EN','Montréal','Montréal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (44,'FR','Montréal','Montréal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (45,'EN','Sept-Îles','Sept-Îles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (45,'FR','Sept-Îles','Sept-Îles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (46,'EN','Trois-Rivières','Trois-Rivières','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (46,'FR','Trois-Rivières','Trois-Rivières','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (47,'EN','Saguenay','Saguenay','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (47,'FR','Saguenay','Saguenay','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (48,'EN','Gatineau','Gatineau','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (48,'FR','Gatineau','Gatineau','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (49,'EN','Décision','Décision','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (49,'FR','Décision','Décision','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (50,'EN','Information','Information','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (50,'FR','Information','Information','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (51,'EN','Professionnels','Professionnels','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (51,'FR','Professionnels','Professionnels','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (52,'EN','Personnel bureau, techniciens & assimil.','Personnel bureau, techniciens & assimil.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (52,'FR','Personnel bureau, techniciens & assimil.','Personnel bureau, techniciens & assimil.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (53,'EN','Cadres supérieurs','Cadres supérieurs','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (53,'FR','Cadres supérieurs','Cadres supérieurs','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (54,'EN','Cadres intermédiaires','Cadres intermédiaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (54,'FR','Cadres intermédiaires','Cadres intermédiaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (55,'EN','Avocats','Avocats','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (55,'FR','Avocats','Avocats','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (56,'EN','Hors-cadres','Hors-cadres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (56,'FR','Hors-cadres','Hors-cadres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (57,'EN','Professionnels non syndiqués','Professionnels non syndiqués','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (57,'FR','Professionnels non syndiqués','Professionnels non syndiqués','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (58,'EN','Étudiant','Étudiant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (58,'FR','Étudiant','Étudiant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (59,'EN','organisme','organisme','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (59,'FR','organisme','organisme','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (60,'EN','clientèle','clientèle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (60,'FR','clientèle','clientèle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (61,'EN','secteur','secteur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (61,'FR','secteur','secteur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (62,'EN','PAE','PAE','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (62,'FR','PAE','PAE','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (63,'EN','4511 - Présidence et Vice-Présidence','4511 - Présidence et Vice-Présidence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (63,'FR','4511 - Présidence et Vice-Présidence','4511 - Présidence et Vice-Présidence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (64,'EN','4512 - Contentieux','4512 - Contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (64,'FR','4512 - Contentieux','4512 - Contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (65,'EN','4513 - Recherche et planification','4513 - Recherche et planification','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (65,'FR','4513 - Recherche et planification','4513 - Recherche et planification','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (66,'EN','4514 - Services administratifs','4514 - Services administratifs','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (66,'FR','4514 - Services administratifs','4514 - Services administratifs','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (67,'EN','4515 - Programme d\'accès à l\'égalité','4515 - Programme d\'accès à l\'égalité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (67,'FR','4515 - Programme d\'accès à l\'égalité','4515 - Programme d\'accès à l\'égalité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (68,'EN','4516 - Enquêtes-Montréal Métropolitain','4516 - Enquêtes-Montréal Métropolitain','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (68,'FR','4516 - Enquêtes-Montréal Métropolitain','4516 - Enquêtes-Montréal Métropolitain','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (69,'EN','4519 - Secrétariat','4519 - Secrétariat','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (69,'FR','4519 - Secrétariat','4519 - Secrétariat','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (70,'EN','4521 - Direction des Communications et Centre de l','4521 - Direction des Communications et Centre de la documentation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (70,'FR','4521 - Direction des Communications et Centre de l','4521 - Direction des Communications et Centre de la documentation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (71,'EN','4522 - Direction de l\'Éducation et de la Coopérati','4522 - Direction de l\'Éducation et de la Coopération','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (71,'FR','4522 - Direction de l\'Éducation et de la Coopérati','4522 - Direction de l\'Éducation et de la Coopération','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (72,'EN','4523 - Bureau de Québec et des bureaux régionaux','4523 - Bureau de Québec et des bureaux régionaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (72,'FR','4523 - Bureau de Québec et des bureaux régionaux','4523 - Bureau de Québec et des bureaux régionaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (73,'EN','4524 - Direction des Enquêtes et de la représentat','4524 - Direction des Enquêtes et de la représentation régionale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (73,'FR','4524 - Direction des Enquêtes et de la représentat','4524 - Direction des Enquêtes et de la représentation régionale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (74,'EN','4525 - Bureau de Québec','4525 - Bureau de Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (74,'FR','4525 - Bureau de Québec','4525 - Bureau de Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (75,'EN','4530 - Bureau régional de Sept-îles','4530 - Bureau régional de Sept-îles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (75,'FR','4530 - Bureau régional de Sept-îles','4530 - Bureau régional de Sept-îles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (76,'EN','4535 - Bureau régional de Sherbrooke','4535 - Bureau régional de Sherbrooke','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (76,'FR','4535 - Bureau régional de Sherbrooke','4535 - Bureau régional de Sherbrooke','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (77,'EN','4540 - Bureau régional de Val D\'Or','4540 - Bureau régional de Val D\'Or','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (77,'FR','4540 - Bureau régional de Val D\'Or','4540 - Bureau régional de Val D\'Or','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (78,'EN','4545 - Bureau régional de Hull','4545 - Bureau régional de Hull','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (78,'FR','4545 - Bureau régional de Hull','4545 - Bureau régional de Hull','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (79,'EN','4550 - Bureau régional de Chicoutimi','4550 - Bureau régional de Chicoutimi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (79,'FR','4550 - Bureau régional de Chicoutimi','4550 - Bureau régional de Chicoutimi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (80,'EN','4555 - Bureau régional de Rimouski','4555 - Bureau régional de Rimouski','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (80,'FR','4555 - Bureau régional de Rimouski','4555 - Bureau régional de Rimouski','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (81,'EN','4560 - Bureau régional de St-Jérôme','4560 - Bureau régional de St-Jérôme','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (81,'FR','4560 - Bureau régional de St-Jérôme','4560 - Bureau régional de St-Jérôme','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (82,'EN','4565 - Bureau régional de Longueuil','4565 - Bureau régional de Longueuil','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (82,'FR','4565 - Bureau régional de Longueuil','4565 - Bureau régional de Longueuil','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (83,'EN','4570 - Bureau régional de Trois-Rivières','4570 - Bureau régional de Trois-Rivières','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (83,'FR','4570 - Bureau régional de Trois-Rivières','4570 - Bureau régional de Trois-Rivières','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (84,'EN','Analphabètes','Analphabètes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (84,'FR','Analphabètes','Analphabètes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (85,'EN','Assistés sociaux','Assistés sociaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (85,'FR','Assistés sociaux','Assistés sociaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (86,'EN','Détenus','Détenus','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (86,'FR','Détenus','Détenus','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (87,'EN','Femmes','Femmes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (87,'FR','Femmes','Femmes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (88,'EN','Itinérants','Itinérants','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (88,'FR','Itinérants','Itinérants','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (89,'EN','Locataires','Locataires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (89,'FR','Locataires','Locataires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (90,'EN','Respecté','Respecté','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (90,'FR','Respecté','Respecté','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (91,'EN','Lésé','Lésé','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (91,'FR','Lésé','Lésé','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (92,'EN','Ne se prononce pas','Ne se prononce pas','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (92,'FR','Ne se prononce pas','Ne se prononce pas','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (93,'EN','Enquête','Enquête','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (93,'FR','Enquête','Enquête','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (94,'EN','Enquête sommaire','Enquête sommaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (94,'FR','Enquête sommaire','Enquête sommaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (95,'EN','Prioritaire','Prioritaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (95,'FR','Prioritaire','Prioritaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (96,'EN','A-29 ARTT','A-29 ARTT','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (96,'FR','A-29 ARTT','A-29 ARTT','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (97,'EN','A-32','A-32','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (97,'FR','A-32','A-32','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (98,'EN','A-91','A-91','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (98,'FR','A-91','A-91','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (99,'EN','A-92','A-92','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (99,'FR','A-92','A-92','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (100,'EN','H-620','H-620','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (100,'FR','H-620','H-620','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (101,'EN','Ne constitue pas un cas de discrimination ou d\'exp','Ne constitue pas un cas de discrimination ou d\'exploitation au sens de la Charte','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (101,'FR','Ne constitue pas un cas de discrimination ou d\'exp','Ne constitue pas un cas de discrimination ou d\'exploitation au sens de la Charte','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (102,'EN','N\'est pas de la comptence lgislative du Qubec','N\'est pas de la comptence lgislative du Qubec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (102,'FR','N\'est pas de la comptence lgislative du Qubec','N\'est pas de la comptence lgislative du Qubec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (103,'EN','Dsistement','Dsistement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (103,'FR','Dsistement','Dsistement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (104,'EN','A exerc, pour les mmes faits, l\'un des recours prv','A exerc, pour les mmes faits, l\'un des recours prvus aux articles 49 et 80','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (104,'FR','A exerc, pour les mmes faits, l\'un des recours prv','A exerc, pour les mmes faits, l\'un des recours prvus aux articles 49 et 80','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (105,'EN','Plainte dpose plus de deux ans aprs le dernier fai','Plainte dpose plus de deux ans aprs le dernier fait pertinent','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (105,'FR','Plainte dpose plus de deux ans aprs le dernier fai','Plainte dpose plus de deux ans aprs le dernier fait pertinent','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (106,'EN','Partie plaignante n\'a pas un intrt suffisant','Partie plaignante n\'a pas un intrt suffisant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (106,'FR','Partie plaignante n\'a pas un intrt suffisant','Partie plaignante n\'a pas un intrt suffisant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (107,'EN','Plainte frivole, vexatoire ou faite de mauvaise fo','Plainte frivole, vexatoire ou faite de mauvaise foi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (107,'FR','Plainte frivole, vexatoire ou faite de mauvaise fo','Plainte frivole, vexatoire ou faite de mauvaise foi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (108,'EN','A exerc, pour les mmes faits, un autre recours que','A exerc, pour les mmes faits, un autre recours que ceux prvus aux articles 49 et 80','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (108,'FR','A exerc, pour les mmes faits, un autre recours que','A exerc, pour les mmes faits, un autre recours que ceux prvus aux articles 49 et 80','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (109,'EN','Inutilit de poursuivre la recherche des lments de ','Inutilit de poursuivre la recherche des lments de preuve','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (109,'FR','Inutilit de poursuivre la recherche des lments de ','Inutilit de poursuivre la recherche des lments de preuve','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (110,'EN','Preuve insuffisante','Preuve insuffisante','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (110,'FR','Preuve insuffisante','Preuve insuffisante','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (111,'EN','N\'est pas opportun de saisir le Tribunal','N\'est pas opportun de saisir le Tribunal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (111,'FR','N\'est pas opportun de saisir le Tribunal','N\'est pas opportun de saisir le Tribunal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (112,'EN','Admission de la violation d\'un droit','Admission de la violation d\'un droit','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (112,'FR','Admission de la violation d\'un droit','Admission de la violation d\'un droit','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (113,'EN','Accomplissement d\'un acte','Accomplissement d\'un acte','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (113,'FR','Accomplissement d\'un acte','Accomplissement d\'un acte','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (114,'EN','Cessation de l\'acte discriminatoire','Cessation de l\'acte discriminatoire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (114,'FR','Cessation de l\'acte discriminatoire','Cessation de l\'acte discriminatoire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (115,'EN','Compensation montaire','Compensation montaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (115,'FR','Compensation montaire','Compensation montaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (116,'EN','Entente entre les parties aprs intervention de la ','Entente entre les parties aprs intervention de la Commission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (116,'FR','Entente entre les parties aprs intervention de la ','Entente entre les parties aprs intervention de la Commission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (117,'EN','Ouverture de dossier de la propre initiative de la','Ouverture de dossier de la propre initiative de la Commission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (117,'FR','Ouverture de dossier de la propre initiative de la','Ouverture de dossier de la propre initiative de la Commission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (118,'EN','Rouverture du dossier','Rouverture du dossier','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (118,'FR','Rouverture du dossier','Rouverture du dossier','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (119,'EN','Saisir le Tribunal','Saisir le Tribunal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (119,'FR','Saisir le Tribunal','Saisir le Tribunal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (120,'EN','Rglement hors cour','Rglement hors cour','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (120,'FR','Rglement hors cour','Rglement hors cour','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (121,'EN','Double recours','Double recours','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (121,'FR','Double recours','Double recours','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (122,'EN','Fermeture administrative','Fermeture administrative','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (122,'FR','Fermeture administrative','Fermeture administrative','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (123,'EN','Plaignant satisfait des dmarches','Plaignant satisfait des dmarches','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (123,'FR','Plaignant satisfait des dmarches','Plaignant satisfait des dmarches','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (124,'EN','Rglement devant une autre instance','Rglement devant une autre instance','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (124,'FR','Rglement devant une autre instance','Rglement devant une autre instance','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (125,'EN','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (125,'FR','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (126,'EN','Contentieux','Contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (126,'FR','Contentieux','Contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (127,'EN','Recherche et planification','Recherche et planification','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (127,'FR','Recherche et planification','Recherche et planification','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (128,'EN','Bibliothèque','Bibliothèque','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (128,'FR','Bibliothèque','Bibliothèque','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (129,'EN','Abitibi','Abitibi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (129,'FR','Abitibi','Abitibi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (130,'EN','Abitibi','Abitibi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (130,'FR','Abitibi','Abitibi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (131,'EN','Alma','Alma','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (131,'FR','Alma','Alma','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (132,'EN','Arthabaska','Arthabaska','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (132,'FR','Arthabaska','Arthabaska','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (133,'EN','Baie-Comeau','Baie-Comeau','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (133,'FR','Baie-Comeau','Baie-Comeau','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (134,'EN','Beauce','Beauce','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (134,'FR','Beauce','Beauce','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (135,'EN','Beauharnois','Beauharnois','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (135,'FR','Beauharnois','Beauharnois','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (136,'EN','Beauport','Beauport','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (136,'FR','Beauport','Beauport','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (137,'EN','Bedford','Bedford','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (137,'FR','Bedford','Bedford','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (138,'EN','Bedford','Bedford','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (138,'FR','Bedford','Bedford','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (139,'EN','Blanc-Sablon','Blanc-Sablon','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (139,'FR','Blanc-Sablon','Blanc-Sablon','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (140,'EN','Bonnaventure','Bonnaventure','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (140,'FR','Bonnaventure','Bonnaventure','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (141,'EN','Cabano','Cabano','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (141,'FR','Cabano','Cabano','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (142,'EN','Charlevoix','Charlevoix','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (142,'FR','Charlevoix','Charlevoix','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (143,'EN','Chicoutimi','Chicoutimi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (143,'FR','Chicoutimi','Chicoutimi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (144,'EN','Côte-Nord','Côte-Nord','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (144,'FR','Côte-Nord','Côte-Nord','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (145,'EN','Drummond','Drummond','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (145,'FR','Drummond','Drummond','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (146,'EN','Fermont','Fermont','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (146,'FR','Fermont','Fermont','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (147,'EN','Frontenac','Frontenac','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (147,'FR','Frontenac','Frontenac','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (148,'EN','Gagnon','Gagnon','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (148,'FR','Gagnon','Gagnon','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (149,'EN','Gaspé','Gaspé','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (149,'FR','Gaspé','Gaspé','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (150,'EN','Grand-Nord','Grand-Nord','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (150,'FR','Grand-Nord','Grand-Nord','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (151,'EN','Havre-Saint-Pierre','Havre-Saint-Pierre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (151,'FR','Havre-Saint-Pierre','Havre-Saint-Pierre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (152,'EN','Hull','Hull','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (152,'FR','Hull','Hull','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (153,'EN','Iberville','Iberville','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (153,'FR','Iberville','Iberville','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (154,'EN','Joliette','Joliette','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (154,'FR','Joliette','Joliette','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (155,'EN','Kamourawska','Kamourawska','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (155,'FR','Kamourawska','Kamourawska','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (156,'EN','Kirkland','Kirkland','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (156,'FR','Kirkland','Kirkland','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (157,'EN','La Pocatière','La Pocatière','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (157,'FR','La Pocatière','La Pocatière','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (158,'EN','Labelle','Labelle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (158,'FR','Labelle','Labelle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (159,'EN','Laprairie','Laprairie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (159,'FR','Laprairie','Laprairie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (160,'EN','Laval','Laval','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (160,'FR','Laval','Laval','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (161,'EN','LG-2','LG-2','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (161,'FR','LG-2','LG-2','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (162,'EN','Longueuil','Longueuil','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (162,'FR','Longueuil','Longueuil','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (163,'EN','Matagami','Matagami','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (163,'FR','Matagami','Matagami','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (164,'EN','650','650','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (164,'FR','650','650','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (165,'EN','Montmagny','Montmagny','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (165,'FR','Montmagny','Montmagny','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (166,'EN','Montréal','Montréal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (166,'FR','Montréal','Montréal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (167,'EN','Montréal-Nord','Montréal-Nord','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (167,'FR','Montréal-Nord','Montréal-Nord','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (168,'EN','Natashquan','Natashquan','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (168,'FR','Natashquan','Natashquan','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (169,'EN','Port-Cartier','Port-Cartier','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (169,'FR','Port-Cartier','Port-Cartier','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (170,'EN','Québec','Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (170,'FR','Québec','Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (171,'EN','Repentigny','Repentigny','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (171,'FR','Repentigny','Repentigny','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (172,'EN','Richelieu','Richelieu','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (172,'FR','Richelieu','Richelieu','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (173,'EN','Rimouski','Rimouski','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (173,'FR','Rimouski','Rimouski','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (174,'EN','Rimouski','Rimouski','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (174,'FR','Rimouski','Rimouski','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (175,'EN','Roberval','Roberval','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (175,'FR','Roberval','Roberval','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (176,'EN','Rouyn-Noranda','Rouyn-Noranda','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (176,'FR','Rouyn-Noranda','Rouyn-Noranda','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (177,'EN','Saint-Eustache','Saint-Eustache','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (177,'FR','Saint-Eustache','Saint-Eustache','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (178,'EN','Saint-François','Saint-François','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (178,'FR','Saint-François','Saint-François','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (179,'EN','Saint-Hyacinthe','Saint-Hyacinthe','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (179,'FR','Saint-Hyacinthe','Saint-Hyacinthe','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (180,'EN','Saint-Laurent','Saint-Laurent','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (180,'FR','Saint-Laurent','Saint-Laurent','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (181,'EN','Saint-Maurice','Saint-Maurice','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (181,'FR','Saint-Maurice','Saint-Maurice','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (182,'EN','Senneterre-Obedjiwan','Senneterre-Obedjiwan','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (182,'FR','Senneterre-Obedjiwan','Senneterre-Obedjiwan','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (183,'EN','Shefferville','Shefferville','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (183,'FR','Shefferville','Shefferville','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (184,'EN','Terrebonne','Terrebonne','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (184,'FR','Terrebonne','Terrebonne','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (185,'EN','Trois-Rivères','Trois-Rivères','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (185,'FR','Trois-Rivères','Trois-Rivères','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (186,'EN','Verdun','Verdun','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (186,'FR','Verdun','Verdun','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (187,'EN','2','2','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (187,'FR','2','2','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (188,'EN','3','3','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (188,'FR','3','3','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (189,'EN','4','4','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (189,'FR','4','4','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (190,'EN','5','5','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (190,'FR','5','5','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (191,'EN','6','6','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (191,'FR','6','6','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (192,'EN','7','7','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (192,'FR','7','7','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (193,'EN','8','8','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (193,'FR','8','8','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (194,'EN','9','9','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (194,'FR','9','9','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (195,'EN','10','10','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (195,'FR','10','10','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (196,'EN','11','11','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (196,'FR','11','11','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (197,'EN','12','12','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (197,'FR','12','12','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (198,'EN','13','13','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (198,'FR','13','13','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (199,'EN','14','14','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (199,'FR','14','14','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (200,'EN','15','15','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (200,'FR','15','15','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (201,'EN','16','16','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (201,'FR','16','16','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (202,'EN','17','17','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (202,'FR','17','17','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (203,'EN','19','19','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (203,'FR','19','19','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (204,'EN','20','20','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (204,'FR','20','20','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (205,'EN','21','21','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (205,'FR','21','21','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (206,'EN','195','195','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (206,'FR','195','195','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (207,'EN','1','1','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (207,'FR','1','1','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (208,'EN','Mandat','Mandat','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (208,'FR','Mandat','Mandat','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (209,'EN','Conclusion','Conclusion','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (209,'FR','Conclusion','Conclusion','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (210,'EN','Suivi','Suivi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (210,'FR','Suivi','Suivi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (211,'EN','Signifié le','Signifié le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (211,'FR','Signifié le','Signifié le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (212,'EN','Produit le','Produit le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (212,'FR','Produit le','Produit le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (213,'EN','Timbré le','Timbré le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (213,'FR','Timbré le','Timbré le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (214,'EN','Signification par fax le','Signification par fax le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (214,'FR','Signification par fax le','Signification par fax le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (215,'EN','Reçu par huissier le','Reçu par huissier le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (215,'FR','Reçu par huissier le','Reçu par huissier le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (216,'EN','Reçu signification par fax le','Reçu signification par fax le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (216,'FR','Reçu signification par fax le','Reçu signification par fax le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (217,'EN','Taxé le','Taxé le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (217,'FR','Taxé le','Taxé le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (218,'EN','Reçu le','Reçu le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (218,'FR','Reçu le','Reçu le','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (219,'EN','Non est inventus','Non est inventus','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (219,'FR','Non est inventus','Non est inventus','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (220,'EN','Masculin','Masculin','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (220,'FR','Masculin','Masculin','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (221,'EN','Féminin','Féminin','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (221,'FR','Féminin','Féminin','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (222,'EN','Cour suprême du Canada','Cour suprême du Canada','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (222,'FR','Cour suprême du Canada','Cour suprême du Canada','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (223,'EN','Cour du Québec','Cour du Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (223,'FR','Cour du Québec','Cour du Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (224,'EN','Cour supérieure','Cour supérieure','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (224,'FR','Cour supérieure','Cour supérieure','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (225,'EN','Cour fédérale','Cour fédérale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (225,'FR','Cour fédérale','Cour fédérale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (226,'EN','Cour d\'appel','Cour d\'appel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (226,'FR','Cour d\'appel','Cour d\'appel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (227,'EN','Cour fédérale d\'appel','Cour fédérale d\'appel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (227,'FR','Cour fédérale d\'appel','Cour fédérale d\'appel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (228,'EN','Cour provinciale','Cour provinciale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (228,'FR','Cour provinciale','Cour provinciale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (229,'EN','Cour autres provinces','Cour autres provinces','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (229,'FR','Cour autres provinces','Cour autres provinces','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (230,'EN','Arbitrage CDPDJ','Arbitrage CDPDJ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (230,'FR','Arbitrage CDPDJ','Arbitrage CDPDJ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (231,'EN','Chambre de la jeunesse','Chambre de la jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (231,'FR','Chambre de la jeunesse','Chambre de la jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (232,'EN','Board of Inquiry','Board of Inquiry','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (232,'FR','Board of Inquiry','Board of Inquiry','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (233,'EN','Tribunal des droits de la personne','Tribunal des droits de la personne','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (233,'FR','Tribunal des droits de la personne','Tribunal des droits de la personne','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (234,'EN','Commission des affaires sociales','Commission des affaires sociales','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (234,'FR','Commission des affaires sociales','Commission des affaires sociales','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (235,'EN','Tribunal administratif','Tribunal administratif','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (235,'FR','Tribunal administratif','Tribunal administratif','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (236,'EN','Tribunal du travail','Tribunal du travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (236,'FR','Tribunal du travail','Tribunal du travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (237,'EN','Tribunal d\'arbitrage','Tribunal d\'arbitrage','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (237,'FR','Tribunal d\'arbitrage','Tribunal d\'arbitrage','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (238,'EN','Commission de la santé et de la sécurité au travai','Commission de la santé et de la sécurité au travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (238,'FR','Commission de la santé et de la sécurité au travai','Commission de la santé et de la sécurité au travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (239,'EN','CDPDJ','CDPDJ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (239,'FR','CDPDJ','CDPDJ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (240,'EN','Chambre criminelle et pénale','Chambre criminelle et pénale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (240,'FR','Chambre criminelle et pénale','Chambre criminelle et pénale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (241,'EN','Commission d\'accès à l\'information','Commission d\'accès à l\'information','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (241,'FR','Commission d\'accès à l\'information','Commission d\'accès à l\'information','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (242,'EN','Commission des lésions professionnelles','Commission des lésions professionnelles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (242,'FR','Commission des lésions professionnelles','Commission des lésions professionnelles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (243,'EN','Conseil de la magistrature','Conseil de la magistrature','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (243,'FR','Conseil de la magistrature','Conseil de la magistrature','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (244,'EN','Régie du logement','Régie du logement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (244,'FR','Régie du logement','Régie du logement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (245,'EN','Français','Français','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (245,'FR','Français','Français','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (246,'EN','Anglais','Anglais','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (246,'FR','Anglais','Anglais','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (247,'EN','Interprète','Interprète','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (247,'FR','Interprète','Interprète','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (248,'EN','Langage des sourds','Langage des sourds','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (248,'FR','Langage des sourds','Langage des sourds','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (249,'EN','Langage des signes','Langage des signes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (249,'FR','Langage des signes','Langage des signes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (250,'EN','À la CDPDJ','À la CDPDJ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (250,'FR','À la CDPDJ','À la CDPDJ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (251,'EN','Résidence','Résidence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (251,'FR','Résidence','Résidence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (252,'EN','Travail','Travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (252,'FR','Travail','Travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (253,'EN','Président','Président','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (253,'FR','Président','Président','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (254,'EN','Vice-Président(e)','Vice-Président(e)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (254,'FR','Vice-Président(e)','Vice-Président(e)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (255,'EN','Commissaires','Commissaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (255,'FR','Commissaires','Commissaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (256,'EN','Adjoint(e) au président','Adjoint(e) au président','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (256,'FR','Adjoint(e) au président','Adjoint(e) au président','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (257,'EN','Secrétaire de la Commission','Secrétaire de la Commission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (257,'FR','Secrétaire de la Commission','Secrétaire de la Commission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (258,'EN','Gestionnaires','Gestionnaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (258,'FR','Gestionnaires','Gestionnaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (259,'EN','Bureau de Québec','Bureau de Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (259,'FR','Bureau de Québec','Bureau de Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (260,'EN','Bureaux régionaux','Bureaux régionaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (260,'FR','Bureaux régionaux','Bureaux régionaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (261,'EN','Bibliothèque','Bibliothèque','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (261,'FR','Bibliothèque','Bibliothèque','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (262,'EN','Recherche et planification','Recherche et planification','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (262,'FR','Recherche et planification','Recherche et planification','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (263,'EN','Monique Rochon','Monique Rochon','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (263,'FR','Monique Rochon','Monique Rochon','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (264,'EN','Autres:','Autres:','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (264,'FR','Autres:','Autres:','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (265,'EN','Internet-CID','Internet-CID','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (265,'FR','Internet-CID','Internet-CID','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (266,'EN','Bibliothèque','Bibliothèque','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (266,'FR','Bibliothèque','Bibliothèque','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (267,'EN','Éditeur','Éditeur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (267,'FR','Éditeur','Éditeur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (268,'EN','Archives','Archives','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (268,'FR','Archives','Archives','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (269,'EN','Jeunes Contrevenants','Jeunes Contrevenants','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (269,'FR','Jeunes Contrevenants','Jeunes Contrevenants','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (270,'EN','Protection Jeunesse','Protection Jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (270,'FR','Protection Jeunesse','Protection Jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (271,'EN','Protection Jeunesse et Jeunes Contrevenants','Protection Jeunesse et Jeunes Contrevenants','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (271,'FR','Protection Jeunesse et Jeunes Contrevenants','Protection Jeunesse et Jeunes Contrevenants','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (272,'EN','Fermeture selon l\'article 71 ou 74','Fermeture selon l\'article 71 ou 74','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (272,'FR','Fermeture selon l\'article 71 ou 74','Fermeture selon l\'article 71 ou 74','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (273,'EN','Fermeture selon l\'article 77','Fermeture selon l\'article 77','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (273,'FR','Fermeture selon l\'article 77','Fermeture selon l\'article 77','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (274,'EN','Fermeture selon l\'article 78','Fermeture selon l\'article 78','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (274,'FR','Fermeture selon l\'article 78','Fermeture selon l\'article 78','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (275,'EN','Fermeture selon l\'article 80','Fermeture selon l\'article 80','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (275,'FR','Fermeture selon l\'article 80','Fermeture selon l\'article 80','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (276,'EN','Rglement en cours d\'enqute','Rglement en cours d\'enqute','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (276,'FR','Rglement en cours d\'enqute','Rglement en cours d\'enqute','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (277,'EN','Mesures de redressement suivies','Mesures de redressement suivies','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (277,'FR','Mesures de redressement suivies','Mesures de redressement suivies','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (278,'EN','Fermeture administrative','Fermeture administrative','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (278,'FR','Fermeture administrative','Fermeture administrative','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (279,'EN','Complément d\'information','Complément d\'information','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (279,'FR','Complément d\'information','Complément d\'information','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (280,'EN','Avis juridique','Avis juridique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (280,'FR','Avis juridique','Avis juridique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (281,'EN','Ajournement','Ajournement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (281,'FR','Ajournement','Ajournement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (282,'EN','Délibération','Délibération','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (282,'FR','Délibération','Délibération','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (283,'EN','Dsistement','Dsistement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (283,'FR','Dsistement','Dsistement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (284,'EN','Jugement dfavorable','Jugement dfavorable','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (284,'FR','Jugement dfavorable','Jugement dfavorable','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (285,'EN','Fermeture administrative','Fermeture administrative','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (285,'FR','Fermeture administrative','Fermeture administrative','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (286,'EN','Jugement favorable','Jugement favorable','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (286,'FR','Jugement favorable','Jugement favorable','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (287,'EN','Rglement hors cour','Rglement hors cour','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (287,'FR','Rglement hors cour','Rglement hors cour','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (288,'EN','Téléphone','Téléphone','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (288,'FR','Téléphone','Téléphone','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (289,'EN','Fax','Fax','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (289,'FR','Fax','Fax','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (290,'EN','Courrier','Courrier','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (290,'FR','Courrier','Courrier','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (291,'EN','Courriel','Courriel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (291,'FR','Courriel','Courriel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (292,'EN','Entrevue','Entrevue','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (292,'FR','Entrevue','Entrevue','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (293,'EN','Courrier interne','Courrier interne','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (293,'FR','Courrier interne','Courrier interne','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (294,'EN','Canada','Canada','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (294,'FR','Canada','Canada','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (295,'EN','Centrafrique','Centrafrique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (295,'FR','Centrafrique','Centrafrique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (296,'EN','France','France','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (296,'FR','France','France','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (297,'EN','DPJ','DPJ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (297,'FR','DPJ','DPJ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (298,'EN','Directeur général','Directeur général','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (298,'FR','Directeur général','Directeur général','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (299,'EN','Président du conseil d\'administration','Président du conseil d\'administration','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (299,'FR','Président du conseil d\'administration','Président du conseil d\'administration','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (300,'EN','Adjoint du DPJ','Adjoint du DPJ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (300,'FR','Adjoint du DPJ','Adjoint du DPJ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (301,'EN','Chef de service','Chef de service','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (301,'FR','Chef de service','Chef de service','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (302,'EN','Chef de point de service','Chef de point de service','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (302,'FR','Chef de point de service','Chef de point de service','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (303,'EN','Chef de foyer de groupe','Chef de foyer de groupe','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (303,'FR','Chef de foyer de groupe','Chef de foyer de groupe','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (304,'EN','Chef d\'unité de centre de réadaptation','Chef d\'unité de centre de réadaptation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (304,'FR','Chef d\'unité de centre de réadaptation','Chef d\'unité de centre de réadaptation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (305,'EN','Directeur des services à la qualité','Directeur des services à la qualité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (305,'FR','Directeur des services à la qualité','Directeur des services à la qualité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (306,'EN','Syndicat des employés du centre jeunesse','Syndicat des employés du centre jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (306,'FR','Syndicat des employés du centre jeunesse','Syndicat des employés du centre jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (307,'EN','Centre de jour','Centre de jour','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (307,'FR','Centre de jour','Centre de jour','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (308,'EN','DG de ADRLSSSS','DG de ADRLSSSS','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (308,'FR','DG de ADRLSSSS','DG de ADRLSSSS','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (309,'EN','Comité des usagers','Comité des usagers','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (309,'FR','Comité des usagers','Comité des usagers','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (310,'EN','Colombie-Britannique','Colombie-Britannique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (310,'FR','Colombie-Britannique','Colombie-Britannique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (311,'EN','Alberta','Alberta','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (311,'FR','Alberta','Alberta','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (312,'EN','Saskatchewan','Saskatchewan','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (312,'FR','Saskatchewan','Saskatchewan','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (313,'EN','Manitoba','Manitoba','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (313,'FR','Manitoba','Manitoba','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (314,'EN','Ontario','Ontario','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (314,'FR','Ontario','Ontario','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (315,'EN','Québec','Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (315,'FR','Québec','Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (316,'EN','Nouvelle-Écosse','Nouvelle-Écosse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (316,'FR','Nouvelle-Écosse','Nouvelle-Écosse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (317,'EN','Nouveau-Brunswick','Nouveau-Brunswick','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (317,'FR','Nouveau-Brunswick','Nouveau-Brunswick','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (318,'EN','Île-du-Prince-Édouard','Île-du-Prince-Édouard','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (318,'FR','Île-du-Prince-Édouard','Île-du-Prince-Édouard','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (319,'EN','Terre-Neuve','Terre-Neuve','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (319,'FR','Terre-Neuve','Terre-Neuve','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (320,'EN','Yukon','Yukon','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (320,'FR','Yukon','Yukon','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (321,'EN','Territoires-du-Nord-Ouest','Territoires-du-Nord-Ouest','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (321,'FR','Territoires-du-Nord-Ouest','Territoires-du-Nord-Ouest','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (322,'EN','Nunavut','Nunavut','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (322,'FR','Nunavut','Nunavut','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (323,'EN','Aucune raison fournie','Aucune raison fournie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (323,'FR','Aucune raison fournie','Aucune raison fournie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (324,'EN','Confidentiel','Confidentiel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (324,'FR','Confidentiel','Confidentiel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (325,'EN','Règlement devant une autre instance','Règlement devant une autre instance','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (325,'FR','Règlement devant une autre instance','Règlement devant une autre instance','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (326,'EN','Raison détaillée','Raison détaillée','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (326,'FR','Raison détaillée','Raison détaillée','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (327,'EN','Ne communique plus avec la CDPDJ','Ne communique plus avec la CDPDJ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (327,'FR','Ne communique plus avec la CDPDJ','Ne communique plus avec la CDPDJ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (328,'EN','Impossible de rejoindre le plaignant','Impossible de rejoindre le plaignant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (328,'FR','Impossible de rejoindre le plaignant','Impossible de rejoindre le plaignant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (329,'EN','Absence de collaboration','Absence de collaboration','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (329,'FR','Absence de collaboration','Absence de collaboration','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (330,'EN','Situation réglée','Situation réglée','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (330,'FR','Situation réglée','Situation réglée','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (331,'EN','Demande verbale de cesser d\'agir','Demande verbale de cesser d\'agir','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (331,'FR','Demande verbale de cesser d\'agir','Demande verbale de cesser d\'agir','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (332,'EN','Pas de lien entre le motif et les faits allégués','Pas de lien entre le motif et les faits allégués','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (332,'FR','Pas de lien entre le motif et les faits allégués','Pas de lien entre le motif et les faits allégués','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (333,'EN','Après enquête, les faits ne soutiennent pas les al','Après enquête, les faits ne soutiennent pas les allégations','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (333,'FR','Après enquête, les faits ne soutiennent pas les al','Après enquête, les faits ne soutiennent pas les allégations','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (334,'EN','Abandon','Abandon','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (334,'FR','Abandon','Abandon','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (335,'EN','Avis de refus','Avis de refus','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (335,'FR','Avis de refus','Avis de refus','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (336,'EN','Règlement','Règlement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (336,'FR','Règlement','Règlement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (337,'EN','Hors compétence','Hors compétence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (337,'FR','Hors compétence','Hors compétence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (338,'EN','Pas de raison de croire','Pas de raison de croire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (338,'FR','Pas de raison de croire','Pas de raison de croire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (339,'EN','Tribunal saisi','Tribunal saisi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (339,'FR','Tribunal saisi','Tribunal saisi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (340,'EN','Autre','Autre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (340,'FR','Autre','Autre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (341,'EN','Intervention réussie','Intervention réussie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (341,'FR','Intervention réussie','Intervention réussie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (342,'EN','Situation rétablie','Situation rétablie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (342,'FR','Situation rétablie','Situation rétablie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (343,'EN','Autre recommandation','Autre recommandation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (343,'FR','Autre recommandation','Autre recommandation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (344,'EN','Expliquer-Réception/évaluation signalement','Expliquer-Réception/évaluation signalement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (344,'FR','Expliquer-Réception/évaluation signalement','Expliquer-Réception/évaluation signalement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (345,'EN','Expliquer autres','Expliquer autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (345,'FR','Expliquer autres','Expliquer autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (346,'EN','Procéder-Réception/Évaluation signalement','Procéder-Réception/Évaluation signalement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (346,'FR','Procéder-Réception/Évaluation signalement','Procéder-Réception/Évaluation signalement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (347,'EN','Revoir - Réception/Évaluation signalement','Revoir - Réception/Évaluation signalement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (347,'FR','Revoir - Réception/Évaluation signalement','Revoir - Réception/Évaluation signalement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (348,'EN','Ouverture','Ouverture','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (348,'FR','Ouverture','Ouverture','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (349,'EN','Fermeture','Fermeture','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (349,'FR','Fermeture','Fermeture','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (350,'EN','Cas spéciaux','Cas spéciaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (350,'FR','Cas spéciaux','Cas spéciaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (351,'EN','Avis au contentieux','Avis au contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (351,'FR','Avis au contentieux','Avis au contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (352,'EN','Bas-St-Laurent','Bas-St-Laurent','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (352,'FR','Bas-St-Laurent','Bas-St-Laurent','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (353,'EN','Saguenay-Lac-St-Jean','Saguenay-Lac-St-Jean','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (353,'FR','Saguenay-Lac-St-Jean','Saguenay-Lac-St-Jean','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (354,'EN','Capitale-Nationale','Capitale-Nationale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (354,'FR','Capitale-Nationale','Capitale-Nationale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (355,'EN','Mauricie','Mauricie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (355,'FR','Mauricie','Mauricie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (356,'EN','Estrie','Estrie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (356,'FR','Estrie','Estrie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (357,'EN','Montréal','Montréal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (357,'FR','Montréal','Montréal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (358,'EN','Outaouais','Outaouais','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (358,'FR','Outaouais','Outaouais','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (359,'EN','Abititi-Témiscamingue','Abititi-Témiscamingue','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (359,'FR','Abititi-Témiscamingue','Abititi-Témiscamingue','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (360,'EN','Côte-Nord','Côte-Nord','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (360,'FR','Côte-Nord','Côte-Nord','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (361,'EN','Nord-Du-Québec','Nord-Du-Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (361,'FR','Nord-Du-Québec','Nord-Du-Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (362,'EN','Gaspésie-Îles-de-la-Madeleine','Gaspésie-Îles-de-la-Madeleine','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (362,'FR','Gaspésie-Îles-de-la-Madeleine','Gaspésie-Îles-de-la-Madeleine','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (363,'EN','Chaudière-Appalaches','Chaudière-Appalaches','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (363,'FR','Chaudière-Appalaches','Chaudière-Appalaches','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (364,'EN','Laval','Laval','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (364,'FR','Laval','Laval','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (365,'EN','Lanaudière','Lanaudière','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (365,'FR','Lanaudière','Lanaudière','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (366,'EN','Laurentides','Laurentides','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (366,'FR','Laurentides','Laurentides','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (367,'EN','Montérégie','Montérégie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (367,'FR','Montérégie','Montérégie','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (368,'EN','Centre-du-Québec','Centre-du-Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (368,'FR','Centre-du-Québec','Centre-du-Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (369,'EN','Autre','Autre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (369,'FR','Autre','Autre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (370,'EN','Retiré pour supplément d\'enqute','Retiré pour supplément d\'enqute','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (370,'FR','Retiré pour supplément d\'enqute','Retiré pour supplément d\'enqute','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (371,'EN','Retiré pour avis au Contentieux','Retiré pour avis au Contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (371,'FR','Retiré pour avis au Contentieux','Retiré pour avis au Contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (372,'EN','Retiré pour autre raison','Retiré pour autre raison','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (372,'FR','Retiré pour autre raison','Retiré pour autre raison','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (373,'EN','Mandat de médiation','Mandat de médiation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (373,'FR','Mandat de médiation','Mandat de médiation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (374,'EN','Mesures de redressement','Mesures de redressement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (374,'FR','Mesures de redressement','Mesures de redressement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (375,'EN','Assemble des commissaires','Assemble des commissaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (375,'FR','Assemble des commissaires','Assemble des commissaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (376,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (376,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (377,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (377,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (378,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (378,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (379,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (379,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (380,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (380,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (381,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (381,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (382,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (382,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (383,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (383,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (384,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (384,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (385,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (385,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (386,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (386,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (387,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (387,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (388,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (388,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (389,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (389,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (390,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (390,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (391,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (391,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (392,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (392,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (393,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (393,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (394,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (394,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (395,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (395,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (396,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (396,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (397,'EN','Logement','Logement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (397,'FR','Logement','Logement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (398,'EN','Travail','Travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (398,'FR','Travail','Travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (399,'EN','Bien et services','Bien et services','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (399,'FR','Bien et services','Bien et services','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (400,'EN','Transport publique','Transport publique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (400,'FR','Transport publique','Transport publique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (401,'EN','Particulier','Particulier','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (401,'FR','Particulier','Particulier','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (402,'EN','Agricultures, Forêts, mines','Agricultures, Forêts, mines','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (402,'FR','Agricultures, Forêts, mines','Agricultures, Forêts, mines','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (403,'EN','Industries','Industries','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (403,'FR','Industries','Industries','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (404,'EN','Bâtiments','Bâtiments','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (404,'FR','Bâtiments','Bâtiments','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (405,'EN','Travaux publics','Travaux publics','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (405,'FR','Travaux publics','Travaux publics','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (406,'EN','Transports','Transports','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (406,'FR','Transports','Transports','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (407,'EN','Communications','Communications','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (407,'FR','Communications','Communications','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (408,'EN','Services d\'utilité publique','Services d\'utilité publique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (408,'FR','Services d\'utilité publique','Services d\'utilité publique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (409,'EN','Commerce de gros','Commerce de gros','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (409,'FR','Commerce de gros','Commerce de gros','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (410,'EN','Commerce de détail','Commerce de détail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (410,'FR','Commerce de détail','Commerce de détail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (411,'EN','Alimentation','Alimentation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (411,'FR','Alimentation','Alimentation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (412,'EN','Vêtement','Vêtement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (412,'FR','Vêtement','Vêtement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (413,'EN','Services (dépanneur, pharmacie etc...)','Services (dépanneur, pharmacie etc...)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (413,'FR','Services (dépanneur, pharmacie etc...)','Services (dépanneur, pharmacie etc...)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (414,'EN','Ameublement','Ameublement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (414,'FR','Ameublement','Ameublement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (415,'EN','Automobiles, stations-services','Automobiles, stations-services','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (415,'FR','Automobiles, stations-services','Automobiles, stations-services','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (416,'EN','Quincailleries, bijouteries','Quincailleries, bijouteries','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (416,'FR','Quincailleries, bijouteries','Quincailleries, bijouteries','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (417,'EN','Appareils électroniques','Appareils électroniques','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (417,'FR','Appareils électroniques','Appareils électroniques','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (418,'EN','Finances, institutions financières','Finances, institutions financières','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (418,'FR','Finances, institutions financières','Finances, institutions financières','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (419,'EN','Assurances','Assurances','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (419,'FR','Assurances','Assurances','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (420,'EN','Autres institutions','Autres institutions','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (420,'FR','Autres institutions','Autres institutions','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (421,'EN','Immobilier','Immobilier','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (421,'FR','Immobilier','Immobilier','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (422,'EN','Agences immobilières','Agences immobilières','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (422,'FR','Agences immobilières','Agences immobilières','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (423,'EN','Propriétaires publics HLM','Propriétaires publics HLM','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (423,'FR','Propriétaires publics HLM','Propriétaires publics HLM','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (424,'EN','Coopératives d\'habitation','Coopératives d\'habitation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (424,'FR','Coopératives d\'habitation','Coopératives d\'habitation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (425,'EN','Propriétaires (individu)','Propriétaires (individu)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (425,'FR','Propriétaires (individu)','Propriétaires (individu)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (426,'EN','Propriétaires (compagnie)','Propriétaires (compagnie)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (426,'FR','Propriétaires (compagnie)','Propriétaires (compagnie)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (427,'EN','Condominiums','Condominiums','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (427,'FR','Condominiums','Condominiums','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (428,'EN','Services aux entreprises','Services aux entreprises','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (428,'FR','Services aux entreprises','Services aux entreprises','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (429,'EN','Bureaux de placement, location du personnel','Bureaux de placement, location du personnel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (429,'FR','Bureaux de placement, location du personnel','Bureaux de placement, location du personnel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (430,'EN','Services informatiques','Services informatiques','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (430,'FR','Services informatiques','Services informatiques','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (431,'EN','Comptabilité','Comptabilité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (431,'FR','Comptabilité','Comptabilité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (432,'EN','Publicité','Publicité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (432,'FR','Publicité','Publicité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (433,'EN','Architectes, ingénieurs','Architectes, ingénieurs','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (433,'FR','Architectes, ingénieurs','Architectes, ingénieurs','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (434,'EN','Avocats, bureaux de conseil...','Avocats, bureaux de conseil...','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (434,'FR','Avocats, bureaux de conseil...','Avocats, bureaux de conseil...','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (435,'EN','Entretien ménager','Entretien ménager','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (435,'FR','Entretien ménager','Entretien ménager','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (436,'EN','Agence de sécurité','Agence de sécurité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (436,'FR','Agence de sécurité','Agence de sécurité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (437,'EN','Services d\'enseignement','Services d\'enseignement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (437,'FR','Services d\'enseignement','Services d\'enseignement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (438,'EN','Élémentaire et secondaire','Élémentaire et secondaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (438,'FR','Élémentaire et secondaire','Élémentaire et secondaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (439,'EN','Collégial (CEGEP)','Collégial (CEGEP)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (439,'FR','Collégial (CEGEP)','Collégial (CEGEP)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (440,'EN','Universitaire','Universitaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (440,'FR','Universitaire','Universitaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (441,'EN','Autres écoles privées (langue, cuisine, informatiq','Autres écoles privées (langue, cuisine, informatique, ...)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (441,'FR','Autres écoles privées (langue, cuisine, informatiq','Autres écoles privées (langue, cuisine, informatique, ...)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (442,'EN','Lieux de culte','Lieux de culte','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (442,'FR','Lieux de culte','Lieux de culte','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (443,'EN','Soins de santé et services sociaux','Soins de santé et services sociaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (443,'FR','Soins de santé et services sociaux','Soins de santé et services sociaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (444,'EN','Hôpitaux, centres hospitaliers','Hôpitaux, centres hospitaliers','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (444,'FR','Hôpitaux, centres hospitaliers','Hôpitaux, centres hospitaliers','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (445,'EN','Centres d\'accueil','Centres d\'accueil','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (445,'FR','Centres d\'accueil','Centres d\'accueil','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (446,'EN','Associations','Associations','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (446,'FR','Associations','Associations','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (447,'EN','Garderies','Garderies','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (447,'FR','Garderies','Garderies','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (448,'EN','Résidences d\'hébergement (soins de santé)','Résidences d\'hébergement (soins de santé)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (448,'FR','Résidences d\'hébergement (soins de santé)','Résidences d\'hébergement (soins de santé)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (449,'EN','Hébergement et restauration','Hébergement et restauration','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (449,'FR','Hébergement et restauration','Hébergement et restauration','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (450,'EN','Hôtels','Hôtels','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (450,'FR','Hôtels','Hôtels','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (451,'EN','Motels','Motels','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (451,'FR','Motels','Motels','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (452,'EN','Tavernes, brasseries, bras boîtes de nuit','Tavernes, brasseries, bras boîtes de nuit','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (452,'FR','Tavernes, brasseries, bras boîtes de nuit','Tavernes, brasseries, bras boîtes de nuit','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (453,'EN','Restaurants','Restaurants','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (453,'FR','Restaurants','Restaurants','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (454,'EN','Résidences','Résidences','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (454,'FR','Résidences','Résidences','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (455,'EN','Divertissement, loisirs, culture','Divertissement, loisirs, culture','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (455,'FR','Divertissement, loisirs, culture','Divertissement, loisirs, culture','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (456,'EN','Matériel audio-visuel','Matériel audio-visuel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (456,'FR','Matériel audio-visuel','Matériel audio-visuel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (457,'EN','Théâtres','Théâtres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (457,'FR','Théâtres','Théâtres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (458,'EN','Sports, clubs, salles de quilles','Sports, clubs, salles de quilles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (458,'FR','Sports, clubs, salles de quilles','Sports, clubs, salles de quilles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (459,'EN','Loteries','Loteries','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (459,'FR','Loteries','Loteries','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (460,'EN','Bibliothèques, musées','Bibliothèques, musées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (460,'FR','Bibliothèques, musées','Bibliothèques, musées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (461,'EN','Camps de vacances','Camps de vacances','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (461,'FR','Camps de vacances','Camps de vacances','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (462,'EN','Concours littéraires','Concours littéraires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (462,'FR','Concours littéraires','Concours littéraires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (463,'EN','Agriculture','Agriculture','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (463,'FR','Agriculture','Agriculture','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (464,'EN','Forêts','Forêts','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (464,'FR','Forêts','Forêts','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (465,'EN','Chasse et pêche','Chasse et pêche','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (465,'FR','Chasse et pêche','Chasse et pêche','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (466,'EN','Mines','Mines','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (466,'FR','Mines','Mines','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (467,'EN','Professionnels de la santé: dentistes, médecins...','Professionnels de la santé: dentistes, médecins....','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (467,'FR','Professionnels de la santé: dentistes, médecins...','Professionnels de la santé: dentistes, médecins....','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (468,'EN','Juridique','Juridique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (468,'FR','Juridique','Juridique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (469,'EN','Logement','Logement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (469,'FR','Logement','Logement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (470,'EN','Religion','Religion','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (470,'FR','Religion','Religion','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (471,'EN','Santé/Services sociaux','Santé/Services sociaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (471,'FR','Santé/Services sociaux','Santé/Services sociaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (472,'EN','Travail','Travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (472,'FR','Travail','Travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (473,'EN','Gouvernement','Gouvernement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (473,'FR','Gouvernement','Gouvernement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (474,'EN','Protection de la jeunesse','Protection de la jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (474,'FR','Protection de la jeunesse','Protection de la jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (475,'EN','Loisirs/Culture','Loisirs/Culture','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (475,'FR','Loisirs/Culture','Loisirs/Culture','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (476,'EN','Défense des droits','Défense des droits','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (476,'FR','Défense des droits','Défense des droits','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (477,'EN','Éducation','Éducation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (477,'FR','Éducation','Éducation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (478,'EN','Information','Information','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (478,'FR','Information','Information','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (479,'EN','International','International','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (479,'FR','International','International','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (480,'EN','Individus (revoir)','Individus (revoir)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (480,'FR','Individus (revoir)','Individus (revoir)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (481,'EN','Assemblée nationale','Assemblée nationale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (481,'FR','Assemblée nationale','Assemblée nationale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (482,'EN','Autre','Autre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (482,'FR','Autre','Autre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (483,'EN','Autre direction','Autre direction','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (483,'FR','Autre direction','Autre direction','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (484,'EN','Citoyen','Citoyen','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (484,'FR','Citoyen','Citoyen','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (485,'EN','Ministère','Ministère','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (485,'FR','Ministère','Ministère','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (486,'EN','Organisation','Organisation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (486,'FR','Organisation','Organisation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (487,'EN','Parlementaire','Parlementaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (487,'FR','Parlementaire','Parlementaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (488,'EN','Présidence','Présidence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (488,'FR','Présidence','Présidence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (489,'EN','Public','Public','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (489,'FR','Public','Public','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (490,'EN','Accès restreint','Accès restreint','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (490,'FR','Accès restreint','Accès restreint','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (491,'EN','Circulation interne seulement','Circulation interne seulement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (491,'FR','Circulation interne seulement','Circulation interne seulement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (492,'EN','Temporaire','Temporaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (492,'FR','Temporaire','Temporaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (493,'EN','Permanent avec sécurité d\'emploi','Permanent avec sécurité d\'emploi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (493,'FR','Permanent avec sécurité d\'emploi','Permanent avec sécurité d\'emploi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (494,'EN','Temporaire temps partiel sur appel-autres','Temporaire temps partiel sur appel-autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (494,'FR','Temporaire temps partiel sur appel-autres','Temporaire temps partiel sur appel-autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (495,'EN','Occ. sans droit de rappel moins 1 an','Occ. sans droit de rappel moins 1 an','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (495,'FR','Occ. sans droit de rappel moins 1 an','Occ. sans droit de rappel moins 1 an','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (496,'EN','Occ. sans droit de rappel plus 1 an','Occ. sans droit de rappel plus 1 an','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (496,'FR','Occ. sans droit de rappel plus 1 an','Occ. sans droit de rappel plus 1 an','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (497,'EN','Temps plein','Temps plein','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (497,'FR','Temps plein','Temps plein','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (498,'EN','Temps partiel','Temps partiel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (498,'FR','Temps partiel','Temps partiel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (499,'EN','Retraite graduelle','Retraite graduelle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (499,'FR','Retraite graduelle','Retraite graduelle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (500,'EN','Préretraite graduelle','Préretraite graduelle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (500,'FR','Préretraite graduelle','Préretraite graduelle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (501,'EN','Avis sur recevabilité','Avis sur recevabilité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (501,'FR','Avis sur recevabilité','Avis sur recevabilité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (502,'EN','Avis sur enquête','Avis sur enquête','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (502,'FR','Avis sur enquête','Avis sur enquête','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (503,'EN','Commissaires','Commissaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (503,'FR','Commissaires','Commissaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (504,'EN','Dépôt du rapport ','Dépôt du rapport ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (504,'FR','Dépôt du rapport ','Dépôt du rapport ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (505,'EN','Contentieux','Contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (505,'FR','Contentieux','Contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (506,'EN','Enquête','Enquête','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (506,'FR','Enquête','Enquête','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (507,'EN','Fermeture','Fermeture','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (507,'FR','Fermeture','Fermeture','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (508,'EN','Inactif','Inactif','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (508,'FR','Inactif','Inactif','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (509,'EN','Médiation','Médiation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (509,'FR','Médiation','Médiation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (510,'EN','Recevabilité','Recevabilité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (510,'FR','Recevabilité','Recevabilité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (511,'EN','Tribunal','Tribunal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (511,'FR','Tribunal','Tribunal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (512,'EN','Occasionnel','Occasionnel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (512,'FR','Occasionnel','Occasionnel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (513,'EN','Permanent','Permanent','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (513,'FR','Permanent','Permanent','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (514,'EN','Transféré au contentieux','Transféré au contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (514,'FR','Transféré au contentieux','Transféré au contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (515,'EN','Transféré à la recherche','Transféré à la recherche','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (515,'FR','Transféré à la recherche','Transféré à la recherche','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (516,'EN','Accès à l\'égalité','Accès à l\'égalité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (516,'FR','Accès à l\'égalité','Accès à l\'égalité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (517,'EN','Accès à l\'information et protection des renseignem','Accès à l\'information et protection des renseignements personnels','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (517,'FR','Accès à l\'information et protection des renseignem','Accès à l\'information et protection des renseignements personnels','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (518,'EN','Accommodement raisonnable ou mesures d\'adaptation','Accommodement raisonnable ou mesures d\'adaptation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (518,'FR','Accommodement raisonnable ou mesures d\'adaptation','Accommodement raisonnable ou mesures d\'adaptation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (519,'EN','Âge','Âge','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (519,'FR','Âge','Âge','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (520,'EN','Aide sociale','Aide sociale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (520,'FR','Aide sociale','Aide sociale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (521,'EN','Antécédents judiciaires','Antécédents judiciaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (521,'FR','Antécédents judiciaires','Antécédents judiciaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (522,'EN','Assurances - Avantages sociaux - Régimes de rentes','Assurances - Avantages sociaux - Régimes de rentes ou de retraite','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (522,'FR','Assurances - Avantages sociaux - Régimes de rentes','Assurances - Avantages sociaux - Régimes de rentes ou de retraite','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (523,'EN','Autochtones','Autochtones','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (523,'FR','Autochtones','Autochtones','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (524,'EN','Biens et services offerts au public','Biens et services offerts au public','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (524,'FR','Biens et services offerts au public','Biens et services offerts au public','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (525,'EN','Charte des droits et libertés de la personne','Charte des droits et libertés de la personne','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (525,'FR','Charte des droits et libertés de la personne','Charte des droits et libertés de la personne','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (526,'EN','Commission des droits de la personne et des droits','Commission des droits de la personne et des droits de la jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (526,'FR','Commission des droits de la personne et des droits','Commission des droits de la personne et des droits de la jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (527,'EN','Condition sociale','Condition sociale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (527,'FR','Condition sociale','Condition sociale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (528,'EN','Confessionnalité scolaire','Confessionnalité scolaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (528,'FR','Confessionnalité scolaire','Confessionnalité scolaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (529,'EN','Conjoints de fait','Conjoints de fait','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (529,'FR','Conjoints de fait','Conjoints de fait','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (530,'EN','Conventions collectives','Conventions collectives','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (530,'FR','Conventions collectives','Conventions collectives','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (531,'EN','Détenus -  Détenues','Détenus -  Détenues','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (531,'FR','Détenus -  Détenues','Détenus -  Détenues','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (532,'EN','Discrimination','Discrimination','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (532,'FR','Discrimination','Discrimination','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (533,'EN','Droits économiques et sociaux','Droits économiques et sociaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (533,'FR','Droits économiques et sociaux','Droits économiques et sociaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (534,'EN','Droits fondamentaux','Droits fondamentaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (534,'FR','Droits fondamentaux','Droits fondamentaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (535,'EN','Droits judiciaires','Droits judiciaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (535,'FR','Droits judiciaires','Droits judiciaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (536,'EN','Droits politiques','Droits politiques','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (536,'FR','Droits politiques','Droits politiques','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (537,'EN','Intégration scolaire','Intégration scolaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (537,'FR','Intégration scolaire','Intégration scolaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (538,'EN','Enfance - Jeunesse','Enfance - Jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (538,'FR','Enfance - Jeunesse','Enfance - Jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (539,'EN','Équité salariale','Équité salariale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (539,'FR','Équité salariale','Équité salariale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (540,'EN','État civil','État civil','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (540,'FR','État civil','État civil','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (541,'EN','Examens médicaux','Examens médicaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (541,'FR','Examens médicaux','Examens médicaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (542,'EN','Exploitation des personnes âgées ou handicapées','Exploitation des personnes âgées ou handicapées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (542,'FR','Exploitation des personnes âgées ou handicapées','Exploitation des personnes âgées ou handicapées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (543,'EN','Femmes','Femmes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (543,'FR','Femmes','Femmes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (544,'EN','Langue','Langue','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (544,'FR','Langue','Langue','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (545,'EN','Liberté d\'association','Liberté d\'association','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (545,'FR','Liberté d\'association','Liberté d\'association','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (546,'EN','Liberté d\'opinion, d\'expression et de réunion paci','Liberté d\'opinion, d\'expression et de réunion pacifique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (546,'FR','Liberté d\'opinion, d\'expression et de réunion paci','Liberté d\'opinion, d\'expression et de réunion pacifique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (547,'EN','Logement','Logement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (547,'FR','Logement','Logement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (548,'EN','Orientation sexuelle','Orientation sexuelle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (548,'FR','Orientation sexuelle','Orientation sexuelle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (549,'EN','Personnes handicapées','Personnes handicapées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (549,'FR','Personnes handicapées','Personnes handicapées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (550,'EN','Police','Police','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (550,'FR','Police','Police','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (551,'EN','Programmes d\'accès à l\'égalité','Programmes d\'accès à l\'égalité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (551,'FR','Programmes d\'accès à l\'égalité','Programmes d\'accès à l\'égalité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (552,'EN','Sida','Sida','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (552,'FR','Sida','Sida','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (553,'EN','Syndicats','Syndicats','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (553,'FR','Syndicats','Syndicats','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (554,'EN','Travail','Travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (554,'FR','Travail','Travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (555,'EN','Vie privée','Vie privée','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (555,'FR','Vie privée','Vie privée','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (556,'EN','Grossesse','Grossesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (556,'FR','Grossesse','Grossesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (557,'EN','Harcèlement','Harcèlement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (557,'FR','Harcèlement','Harcèlement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (558,'EN','Origine ethnique ou nationale','Origine ethnique ou nationale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (558,'FR','Origine ethnique ou nationale','Origine ethnique ou nationale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (559,'EN','Pauvreté','Pauvreté','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (559,'FR','Pauvreté','Pauvreté','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (560,'EN','Personnes âgées','Personnes âgées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (560,'FR','Personnes âgées','Personnes âgées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (561,'EN','Racisme','Racisme','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (561,'FR','Racisme','Racisme','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (562,'EN','Religion','Religion','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (562,'FR','Religion','Religion','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (563,'EN','Santé et services sociaux','Santé et services sociaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (563,'FR','Santé et services sociaux','Santé et services sociaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (564,'EN','Secret professionnel','Secret professionnel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (564,'FR','Secret professionnel','Secret professionnel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (565,'EN','Sexe','Sexe','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (565,'FR','Sexe','Sexe','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (566,'EN','Caméras vidéos','Caméras vidéos','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (566,'FR','Caméras vidéos','Caméras vidéos','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (567,'EN','Casier judiciaire','Casier judiciaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (567,'FR','Casier judiciaire','Casier judiciaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (568,'EN','Aide juridique','Aide juridique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (568,'FR','Aide juridique','Aide juridique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (569,'EN','Acte juridique','Acte juridique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (569,'FR','Acte juridique','Acte juridique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (570,'EN','Dossier judiciaire','Dossier judiciaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (570,'FR','Dossier judiciaire','Dossier judiciaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (571,'EN','Écoles','Écoles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (571,'FR','Écoles','Écoles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (572,'EN','Éducation aux droits','Éducation aux droits','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (572,'FR','Éducation aux droits','Éducation aux droits','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (573,'EN','Éducation','Éducation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (573,'FR','Éducation','Éducation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (574,'EN','Élèves handicapés','Élèves handicapés','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (574,'FR','Élèves handicapés','Élèves handicapés','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (575,'EN','Enfants handicapés','Enfants handicapés','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (575,'FR','Enfants handicapés','Enfants handicapés','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (576,'EN','Minorités','Minorités','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (576,'FR','Minorités','Minorités','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (577,'EN','Race - couleur','Race - couleur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (577,'FR','Race - couleur','Race - couleur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (578,'EN','Fouilles','Fouilles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (578,'FR','Fouilles','Fouilles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (579,'EN','Handicap','Handicap','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (579,'FR','Handicap','Handicap','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (580,'EN','Homosexualité','Homosexualité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (580,'FR','Homosexualité','Homosexualité','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (581,'EN','Liberté de religion','Liberté de religion','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (581,'FR','Liberté de religion','Liberté de religion','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (582,'EN','Mesures d\'adaptation','Mesures d\'adaptation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (582,'FR','Mesures d\'adaptation','Mesures d\'adaptation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (583,'EN','Liens de parenté','Liens de parenté','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (583,'FR','Liens de parenté','Liens de parenté','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (584,'EN','Prisons','Prisons','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (584,'FR','Prisons','Prisons','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (585,'EN','Propagande haineuse','Propagande haineuse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (585,'FR','Propagande haineuse','Propagande haineuse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (586,'EN','Protection de la jeunesse','Protection de la jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (586,'FR','Protection de la jeunesse','Protection de la jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (587,'EN','Retraite','Retraite','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (587,'FR','Retraite','Retraite','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (588,'EN','Sexualisation des postes','Sexualisation des postes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (588,'FR','Sexualisation des postes','Sexualisation des postes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (589,'EN','Soins intimes','Soins intimes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (589,'FR','Soins intimes','Soins intimes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (590,'EN','Surveillance par caméra vidéo','Surveillance par caméra vidéo','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (590,'FR','Surveillance par caméra vidéo','Surveillance par caméra vidéo','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (591,'EN','Convictions politiques','Convictions politiques','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (591,'FR','Convictions politiques','Convictions politiques','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (592,'EN','Enquêtes publiques','Enquêtes publiques','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (592,'FR','Enquêtes publiques','Enquêtes publiques','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (593,'EN','Aboriginal Peoples','Aboriginal Peoples','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (593,'FR','Aboriginal Peoples','Aboriginal Peoples','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (594,'EN','Affirmative Action Programs','Affirmative Action Programs','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (594,'FR','Affirmative Action Programs','Affirmative Action Programs','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (595,'EN','AIDS','AIDS','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (595,'FR','AIDS','AIDS','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (596,'EN','Application Forms and Interviews','Application Forms and Interviews','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (596,'FR','Application Forms and Interviews','Application Forms and Interviews','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (597,'EN','Charter of Human Rights and Freedoms','Charter of Human Rights and Freedoms','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (597,'FR','Charter of Human Rights and Freedoms','Charter of Human Rights and Freedoms','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (598,'EN','Education','Education','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (598,'FR','Education','Education','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (599,'EN','Equal Pay','Equal Pay','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (599,'FR','Equal Pay','Equal Pay','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (600,'EN','Harassment','Harassment','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (600,'FR','Harassment','Harassment','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (601,'EN','Housing','Housing','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (601,'FR','Housing','Housing','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (602,'EN','Language','Language','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (602,'FR','Language','Language','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (603,'EN','Medical Examination','Medical Examination','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (603,'FR','Medical Examination','Medical Examination','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (604,'EN','Racism','Racism','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (604,'FR','Racism','Racism','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (605,'EN','Sex','Sex','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (605,'FR','Sex','Sex','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (606,'EN','Sexual Orientation','Sexual Orientation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (606,'FR','Sexual Orientation','Sexual Orientation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (607,'EN','Women','Women','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (607,'FR','Women','Women','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (608,'EN','Youth','Youth','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (608,'FR','Youth','Youth','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (609,'EN','Poverty','Poverty','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (609,'FR','Poverty','Poverty','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (610,'EN','Economic and Social Rights','Economic and Social Rights','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (610,'FR','Economic and Social Rights','Economic and Social Rights','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (611,'EN','Minorities','Minorities','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (611,'FR','Minorities','Minorities','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (612,'EN','Exploitation of Elderly and Disabled People','Exploitation of Elderly and Disabled People','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (612,'FR','Exploitation of Elderly and Disabled People','Exploitation of Elderly and Disabled People','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (613,'EN','Fundamental Rights','Fundamental Rights','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (613,'FR','Fundamental Rights','Fundamental Rights','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (614,'EN','Freedoms of opinion, expression and pacific assemb','Freedoms of opinion, expression and pacific assembly','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (614,'FR','Freedoms of opinion, expression and pacific assemb','Freedoms of opinion, expression and pacific assembly','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (615,'EN','a/s Responsable','a/s Responsable','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (615,'FR','a/s Responsable','a/s Responsable','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (616,'EN','Capitaine','Capitaine','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (616,'FR','Capitaine','Capitaine','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (617,'EN','Cardinal','Cardinal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (617,'FR','Cardinal','Cardinal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (618,'EN','Chef','Chef','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (618,'FR','Chef','Chef','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (619,'EN','Dr.','Dr.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (619,'FR','Dr.','Dr.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (620,'EN','Father','Father','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (620,'FR','Father','Father','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (621,'EN','Frère','Frère','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (621,'FR','Frère','Frère','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (622,'EN','Grand Chef','Grand Chef','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (622,'FR','Grand Chef','Grand Chef','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (623,'EN','Lieutenant','Lieutenant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (623,'FR','Lieutenant','Lieutenant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (624,'EN','M. L\'Abbé','M. L\'Abbé','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (624,'FR','M. L\'Abbé','M. L\'Abbé','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (625,'EN','Madame','Madame','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (625,'FR','Madame','Madame','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (626,'EN','Madame la juge','Madame la juge','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (626,'FR','Madame la juge','Madame la juge','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (627,'EN','Madame la juge en chef du Canada','Madame la juge en chef du Canada','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (627,'FR','Madame la juge en chef du Canada','Madame la juge en chef du Canada','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (628,'EN','Madme','Madme','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (628,'FR','Madme','Madme','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (629,'EN','Mdame','Mdame','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (629,'FR','Mdame','Mdame','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (630,'EN','Me','Me','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (630,'FR','Me','Me','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (631,'EN','Mgr','Mgr','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (631,'FR','Mgr','Mgr','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (632,'EN','Monseiur','Monseiur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (632,'FR','Monseiur','Monseiur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (633,'EN','Monsieur','Monsieur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (633,'FR','Monsieur','Monsieur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (634,'EN','Monsieur le juge','Monsieur le juge','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (634,'FR','Monsieur le juge','Monsieur le juge','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (635,'EN','Monsieur le recteur','Monsieur le recteur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (635,'FR','Monsieur le recteur','Monsieur le recteur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (636,'EN','Monsieur le sénateur','Monsieur le sénateur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (636,'FR','Monsieur le sénateur','Monsieur le sénateur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (637,'EN','Mr.','Mr.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (637,'FR','Mr.','Mr.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (638,'EN','Mrs.','Mrs.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (638,'FR','Mrs.','Mrs.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (639,'EN','Père','Père','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (639,'FR','Père','Père','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (640,'EN','Sergent','Sergent','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (640,'FR','Sergent','Sergent','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (641,'EN','Sergente','Sergente','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (641,'FR','Sergente','Sergente','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (642,'EN','Sour','Sour','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (642,'FR','Sour','Sour','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (643,'EN','Commissaire','Commissaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (643,'FR','Commissaire','Commissaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (644,'EN','Directeur général','Directeur général','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (644,'FR','Directeur général','Directeur général','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (645,'EN','Juge en chef adjoint','Juge en chef adjoint','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (645,'FR','Juge en chef adjoint','Juge en chef adjoint','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (646,'EN','Président','Président','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (646,'FR','Président','Président','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (647,'EN','Professeur(e)','Professeur(e)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (647,'FR','Professeur(e)','Professeur(e)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (648,'EN','Vice-président','Vice-président','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (648,'FR','Vice-président','Vice-président','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (649,'EN','a/s Responsable','a/s Responsable','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (649,'FR','a/s Responsable','a/s Responsable','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (650,'EN','Capitaine','Capitaine','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (650,'FR','Capitaine','Capitaine','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (651,'EN','Cardinal','Cardinal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (651,'FR','Cardinal','Cardinal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (652,'EN','Chef','Chef','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (652,'FR','Chef','Chef','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (653,'EN','Dr.','Dr.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (653,'FR','Dr.','Dr.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (654,'EN','Father','Father','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (654,'FR','Father','Father','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (655,'EN','Frère','Frère','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (655,'FR','Frère','Frère','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (656,'EN','Grand Chef','Grand Chef','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (656,'FR','Grand Chef','Grand Chef','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (657,'EN','Lieutenant','Lieutenant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (657,'FR','Lieutenant','Lieutenant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (658,'EN','M. L\'Abbé','M. L\'Abbé','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (658,'FR','M. L\'Abbé','M. L\'Abbé','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (659,'EN','Madame','Madame','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (659,'FR','Madame','Madame','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (660,'EN','Madame la juge','Madame la juge','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (660,'FR','Madame la juge','Madame la juge','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (661,'EN','Madame la juge en chef du Canada','Madame la juge en chef du Canada','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (661,'FR','Madame la juge en chef du Canada','Madame la juge en chef du Canada','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (662,'EN','Madme','Madme','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (662,'FR','Madme','Madme','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (663,'EN','Mdame','Mdame','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (663,'FR','Mdame','Mdame','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (664,'EN','Me','Me','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (664,'FR','Me','Me','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (665,'EN','Mgr','Mgr','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (665,'FR','Mgr','Mgr','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (666,'EN','Monseiur','Monseiur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (666,'FR','Monseiur','Monseiur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (667,'EN','Monsieur','Monsieur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (667,'FR','Monsieur','Monsieur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (668,'EN','Monsieur le juge','Monsieur le juge','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (668,'FR','Monsieur le juge','Monsieur le juge','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (669,'EN','Monsieur le recteur','Monsieur le recteur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (669,'FR','Monsieur le recteur','Monsieur le recteur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (670,'EN','Monsieur le sénateur','Monsieur le sénateur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (670,'FR','Monsieur le sénateur','Monsieur le sénateur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (671,'EN','Mr.','Mr.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (671,'FR','Mr.','Mr.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (672,'EN','Mrs.','Mrs.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (672,'FR','Mrs.','Mrs.','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (673,'EN','Père','Père','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (673,'FR','Père','Père','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (674,'EN','Sergent','Sergent','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (674,'FR','Sergent','Sergent','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (675,'EN','Sergente','Sergente','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (675,'FR','Sergente','Sergente','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (676,'EN','Sour','Sour','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (676,'FR','Sour','Sour','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (677,'EN','Autre','Autre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (677,'FR','Autre','Autre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (678,'EN','Résidence','Résidence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (678,'FR','Résidence','Résidence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (679,'EN','Travail','Travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (679,'FR','Travail','Travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (680,'EN','Enquête','Enquête','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (680,'FR','Enquête','Enquête','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (681,'EN','Médiation','Médiation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (681,'FR','Médiation','Médiation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (682,'EN','Avis juridique','Avis juridique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (682,'FR','Avis juridique','Avis juridique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (683,'EN','Mesure','Mesure','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (683,'FR','Mesure','Mesure','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (684,'EN','Avis','Avis','system','2005-08-29 10:45:31','lehose','2005-08-29 13:06:51',NULL,NULL),
 (684,'FR','Avis','Avis','system','2005-08-29 10:45:31','lehose','2005-08-29 13:02:41',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (685,'EN','Mémoire','Mémoire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (685,'FR','Mémoire','Mémoire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (686,'EN','Position officielle','Position officielle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (686,'FR','Position officielle','Position officielle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (687,'EN','Communication','Communication','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (687,'FR','Communication','Communication','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (688,'EN','Étude','Étude','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (688,'FR','Étude','Étude','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (689,'EN','Expertise sociologique','Expertise sociologique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (689,'FR','Expertise sociologique','Expertise sociologique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (690,'EN','Lettre officielle','Lettre officielle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (690,'FR','Lettre officielle','Lettre officielle','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (691,'EN','Planification opérationnelle (à revoir)','Planification opérationnelle (à revoir)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (691,'FR','Planification opérationnelle (à revoir)','Planification opérationnelle (à revoir)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (692,'EN','Rapport annuel','Rapport annuel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (692,'FR','Rapport annuel','Rapport annuel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (693,'EN','Date fixée interne','Date fixée interne','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (693,'FR','Date fixée interne','Date fixée interne','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (694,'EN','Date fixée externe','Date fixée externe','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (694,'FR','Date fixée externe','Date fixée externe','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (695,'EN','Date visée interne','Date visée interne','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (695,'FR','Date visée interne','Date visée interne','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (696,'EN','Date visée externe','Date visée externe','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (696,'FR','Date visée externe','Date visée externe','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (697,'EN','Autorisation ','Autorisation ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (697,'FR','Autorisation ','Autorisation ','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (698,'EN','Avis juridique - CTX','Avis juridique - CTX','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (698,'FR','Avis juridique - CTX','Avis juridique - CTX','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (699,'EN','Avis juridique - RCH','Avis juridique - RCH','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (699,'FR','Avis juridique - RCH','Avis juridique - RCH','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (700,'EN','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (700,'FR','','','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (701,'EN','Documentation','Documentation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (701,'FR','Documentation','Documentation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (702,'EN','Formation','Formation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (702,'FR','Formation','Formation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (703,'EN','Information','Information','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (703,'FR','Information','Information','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (704,'EN','Participation à un événement','Participation à un événement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (704,'FR','Participation à un événement','Participation à un événement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (705,'EN','Plainte','Plainte','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (705,'FR','Plainte','Plainte','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (706,'EN','Plainte sans matière','Plainte sans matière','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (706,'FR','Plainte sans matière','Plainte sans matière','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (707,'EN','Renonciation','Renonciation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (707,'FR','Renonciation','Renonciation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (708,'EN','Droit','Droit','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (708,'FR','Droit','Droit','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (709,'EN','Motif','Motif','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (709,'FR','Motif','Motif','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (710,'EN','Secteur','Secteur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (710,'FR','Secteur','Secteur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (711,'EN','Milieux','Milieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (711,'FR','Milieux','Milieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (712,'EN','Interventions','Interventions','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (712,'FR','Interventions','Interventions','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (713,'EN','Mots clés','Mots clés','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (713,'FR','Mots clés','Mots clés','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (714,'EN','Loi','Loi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (714,'FR','Loi','Loi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (715,'EN','Articles','Articles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (715,'FR','Articles','Articles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (716,'EN','Sujets','Sujets','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (716,'FR','Sujets','Sujets','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (717,'EN','Clientèles','Clientèles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (717,'FR','Clientèles','Clientèles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (718,'EN','Avis - Commission','Avis - Commission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (718,'FR','Avis - Commission','Avis - Commission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (719,'EN','Avis juridique - CTX','Avis juridique - CTX','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (719,'FR','Avis juridique - CTX','Avis juridique - CTX','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (720,'EN','Avis juridique - RCH','Avis juridique - RCH','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (720,'FR','Avis juridique - RCH','Avis juridique - RCH','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (721,'EN','Correspondance','Correspondance','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (721,'FR','Correspondance','Correspondance','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (722,'EN','Étude','Étude','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (722,'FR','Étude','Étude','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (723,'EN','Expertise sociologique','Expertise sociologique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (723,'FR','Expertise sociologique','Expertise sociologique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (724,'EN','Jugement','Jugement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (724,'FR','Jugement','Jugement','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (725,'EN','Mémoire','Mémoire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (725,'FR','Mémoire','Mémoire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (726,'EN','Note de service','Note de service','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (726,'FR','Note de service','Note de service','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (727,'EN','Notes de présentation','Notes de présentation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (727,'FR','Notes de présentation','Notes de présentation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (728,'EN','Plumitif','Plumitif','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (728,'FR','Plumitif','Plumitif','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (729,'EN','Publication scientifique','Publication scientifique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (729,'FR','Publication scientifique','Publication scientifique','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (730,'EN','Résolution','Résolution','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (730,'FR','Résolution','Résolution','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (731,'EN','Texte de conférence','Texte de conférence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (731,'FR','Texte de conférence','Texte de conférence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (732,'EN','Charte','Charte','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (732,'FR','Charte','Charte','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (733,'EN','Jeunesse','Jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (733,'FR','Jeunesse','Jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (734,'EN','Ex-membre de la Commission','Ex-membre de la Commission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (734,'FR','Ex-membre de la Commission','Ex-membre de la Commission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (735,'EN','Ex-membre du personnel','Ex-membre du personnel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (735,'FR','Ex-membre du personnel','Ex-membre du personnel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (736,'EN','Lauréat du PDL','Lauréat du PDL','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (736,'FR','Lauréat du PDL','Lauréat du PDL','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (737,'EN','Membre de la Commission','Membre de la Commission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (737,'FR','Membre de la Commission','Membre de la Commission','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (738,'EN','Membre du personnel','Membre du personnel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (738,'FR','Membre du personnel','Membre du personnel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (739,'EN','Québec','Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (739,'FR','Québec','Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (740,'EN','De l\'extérieur','De l\'extérieur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (740,'FR','De l\'extérieur','De l\'extérieur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (741,'EN','Employeurs','Employeurs','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (741,'FR','Employeurs','Employeurs','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (742,'EN','Responsables - ressources humaines','Responsables - ressources humaines','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (742,'FR','Responsables - ressources humaines','Responsables - ressources humaines','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (743,'EN','Organisations d\'aide à l\'emploi','Organisations d\'aide à l\'emploi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (743,'FR','Organisations d\'aide à l\'emploi','Organisations d\'aide à l\'emploi','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (744,'EN','Syndicats','Syndicats','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (744,'FR','Syndicats','Syndicats','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (745,'EN','Organisations, associations et services divers','Organisations, associations et services divers','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (745,'FR','Organisations, associations et services divers','Organisations, associations et services divers','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (746,'EN','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (746,'FR','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (747,'EN','Services de garde','Services de garde','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (747,'FR','Services de garde','Services de garde','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (748,'EN','Écoles primaires','Écoles primaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (748,'FR','Écoles primaires','Écoles primaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (749,'EN','Écoles secondaires','Écoles secondaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (749,'FR','Écoles secondaires','Écoles secondaires','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (750,'EN','Cégeps et collèges','Cégeps et collèges','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (750,'FR','Cégeps et collèges','Cégeps et collèges','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (751,'EN','Universités','Universités','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (751,'FR','Universités','Universités','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (752,'EN','Institutions spécialisées','Institutions spécialisées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (752,'FR','Institutions spécialisées','Institutions spécialisées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (753,'EN','Organisations diverses','Organisations diverses','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (753,'FR','Organisations diverses','Organisations diverses','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (754,'EN','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (754,'FR','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (755,'EN','SECTEUR SANTÉ / SERVICES SOCIAUX','SECTEUR SANTÉ / SERVICES SOCIAUX','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (755,'FR','SECTEUR SANTÉ / SERVICES SOCIAUX','SECTEUR SANTÉ / SERVICES SOCIAUX','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (756,'EN','CLSC','CLSC','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (756,'FR','CLSC','CLSC','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (757,'EN','Hôpitaux','Hôpitaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (757,'FR','Hôpitaux','Hôpitaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (758,'EN','Régies régionales','Régies régionales','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (758,'FR','Régies régionales','Régies régionales','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (759,'EN','Centres jeunesse','Centres jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (759,'FR','Centres jeunesse','Centres jeunesse','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (760,'EN','Services - jeunes contrevenants','Services - jeunes contrevenants','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (760,'FR','Services - jeunes contrevenants','Services - jeunes contrevenants','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (761,'EN','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (761,'FR','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (762,'EN','Organisations diverses','Organisations diverses','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (762,'FR','Organisations diverses','Organisations diverses','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (763,'EN','SECTEUR JURIDIQUE','SECTEUR JURIDIQUE','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (763,'FR','SECTEUR JURIDIQUE','SECTEUR JURIDIQUE','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (764,'EN','Avocats - Bureaux d\'avocats','Avocats - Bureaux d\'avocats','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (764,'FR','Avocats - Bureaux d\'avocats','Avocats - Bureaux d\'avocats','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (765,'EN','Contentieux','Contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (765,'FR','Contentieux','Contentieux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (766,'EN','Tribunaux','Tribunaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (766,'FR','Tribunaux','Tribunaux','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (767,'EN','Services juridiques','Services juridiques','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (767,'FR','Services juridiques','Services juridiques','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (768,'EN','Services policiers','Services policiers','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (768,'FR','Services policiers','Services policiers','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (769,'EN','Organisations diverses','Organisations diverses','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (769,'FR','Organisations diverses','Organisations diverses','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (770,'EN','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (770,'FR','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (771,'EN','ORGANISMES / DÉFENSE DES DROITS','ORGANISMES / DÉFENSE DES DROITS','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (771,'FR','ORGANISMES / DÉFENSE DES DROITS','ORGANISMES / DÉFENSE DES DROITS','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (772,'EN','Commissions des droits (Canada)','Commissions des droits (Canada)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (772,'FR','Commissions des droits (Canada)','Commissions des droits (Canada)','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (773,'EN','Ligues et associations de droits','Ligues et associations de droits','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (773,'FR','Ligues et associations de droits','Ligues et associations de droits','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (774,'EN','Autochtones','Autochtones','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (774,'FR','Autochtones','Autochtones','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (775,'EN','Femmes','Femmes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (775,'FR','Femmes','Femmes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (776,'EN','Jeunes','Jeunes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (776,'FR','Jeunes','Jeunes','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (777,'EN','Minorités ethnoculturelles','Minorités ethnoculturelles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (777,'FR','Minorités ethnoculturelles','Minorités ethnoculturelles','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (778,'EN','Personnes âgées','Personnes âgées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (778,'FR','Personnes âgées','Personnes âgées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (779,'EN','Personnes handicapées','Personnes handicapées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (779,'FR','Personnes handicapées','Personnes handicapées','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (780,'EN','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (780,'FR','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (781,'EN','INFORMATION','INFORMATION','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (781,'FR','INFORMATION','INFORMATION','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (782,'EN','Médias','Médias','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (782,'FR','Médias','Médias','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (783,'EN','Communication-Québec','Communication-Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (783,'FR','Communication-Québec','Communication-Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (784,'EN','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (784,'FR','Autres','Autres','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (785,'EN','GOUVERNEMENTS','GOUVERNEMENTS','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (785,'FR','GOUVERNEMENTS','GOUVERNEMENTS','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (786,'EN','Provincial','Provincial','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (786,'FR','Provincial','Provincial','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (787,'EN','Fédéral','Fédéral','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (787,'FR','Fédéral','Fédéral','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (788,'EN','Municipal','Municipal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (788,'FR','Municipal','Municipal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (789,'EN','Étrangers','Étrangers','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (789,'FR','Étrangers','Étrangers','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (790,'EN','CDPDJ - Membres du personnel','CDPDJ - Membres du personnel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (790,'FR','CDPDJ - Membres du personnel','CDPDJ - Membres du personnel','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (791,'EN','Dépôt de document','Dépôt de document','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (791,'FR','Dépôt de document','Dépôt de document','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (792,'EN','Présentation verbale','Présentation verbale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (792,'FR','Présentation verbale','Présentation verbale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (793,'EN','Forfait','Forfait','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (793,'FR','Forfait','Forfait','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (794,'EN','Prime','Prime','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (794,'FR','Prime','Prime','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (795,'EN','Individu','Individu','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (795,'FR','Individu','Individu','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (796,'EN','Organisation','Organisation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (796,'FR','Organisation','Organisation','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (797,'EN','Enfant','Enfant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (797,'FR','Enfant','Enfant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (798,'EN','Mère','Mère','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (798,'FR','Mère','Mère','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (799,'EN','Père','Père','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (799,'FR','Père','Père','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (800,'EN','Avocat de l\'enfant','Avocat de l\'enfant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (800,'FR','Avocat de l\'enfant','Avocat de l\'enfant','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (801,'EN','Avocat des parents','Avocat des parents','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (801,'FR','Avocat des parents','Avocat des parents','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (802,'EN','Autre','Autre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (802,'FR','Autre','Autre','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (803,'EN','Cellulaire','Cellulaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (803,'FR','Cellulaire','Cellulaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (804,'EN','Résidence','Résidence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (804,'FR','Résidence','Résidence','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (805,'EN','Téléavertisseur','Téléavertisseur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (805,'FR','Téléavertisseur','Téléavertisseur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (806,'EN','Télécopieur','Télécopieur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (806,'FR','Télécopieur','Télécopieur','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (807,'EN','Travail','Travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (807,'FR','Travail','Travail','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (808,'EN','En rédaction','En rédaction','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (808,'FR','En rédaction','En rédaction','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (809,'EN','Préliminaire','Préliminaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (809,'FR','Préliminaire','Préliminaire','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (810,'EN','Finale','Finale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (810,'FR','Finale','Finale','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (811,'EN','Adopté','Adopté','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (811,'FR','Adopté','Adopté','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (812,'EN','Remplacé par','Remplacé par','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (812,'FR','Remplacé par','Remplacé par','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (813,'EN','Révisé par','Révisé par','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (813,'FR','Révisé par','Révisé par','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (814,'EN','Montréal','Montréal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (814,'FR','Montréal','Montréal','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (815,'EN','Sherbrooke','Sherbrooke','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (815,'FR','Sherbrooke','Sherbrooke','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (816,'EN','Québec','Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (816,'FR','Québec','Québec','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (817,'EN','Trois-Rivières','Trois-Rivières','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (817,'FR','Trois-Rivières','Trois-Rivières','system','2005-08-29 10:45:31','system','2005-08-29 10:45:31',NULL,NULL),
 (820,'EN','','','lehose','2005-09-08 11:26:22','lehose','2005-09-08 11:26:22',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (820,'FR','','','lehose','2005-09-08 11:26:30','lehose','2005-09-08 11:26:30',NULL,NULL),
 (821,'EN','','','lehose','2005-09-08 11:29:31','lehose','2005-09-08 11:29:31',NULL,NULL),
 (821,'FR','','','lehose','2005-09-08 11:29:41','lehose','2005-09-08 11:29:41',NULL,NULL),
 (822,'EN','','','lehose','2005-09-08 11:29:54','lehose','2005-09-08 11:29:54',NULL,NULL),
 (822,'FR','','','lehose','2005-09-08 11:30:01','lehose','2005-09-08 11:30:01',NULL,NULL),
 (823,'EN','Journée','Journée','lehose','2005-09-12 13:11:41','lehose','2005-09-12 13:11:41',NULL,NULL),
 (823,'FR','Journée','Journée','lehose','2005-09-12 13:11:54','lehose','2005-09-12 13:11:54',NULL,NULL),
 (824,'EN','Mois','Mois','lehose','2005-09-12 13:12:21','lehose','2005-09-12 13:12:43',NULL,NULL),
 (824,'FR','Mois','Mois','lehose','2005-09-12 13:12:35','lehose','2005-09-12 13:12:35',NULL,NULL),
 (825,'EN','','','lehose','2005-09-13 16:30:40','lehose','2005-09-13 16:30:40',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (825,'FR','','','lehose','2005-09-13 16:30:51','lehose','2005-09-13 16:30:51',NULL,NULL),
 (826,'EN','Requis','Requis','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (826,'FR','Requis','Requis','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (827,'EN','Aucun','Aucun','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (827,'FR','Aucun','Aucun','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (828,'EN','Optionel','Optionel','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (828,'FR','Optionel','Optionel','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (829,'EN','Conditions de négociation impossibles','Conditions de négociation impossibles','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (829,'FR','Conditions de négociation impossibles','Conditions de négociation impossibles','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (830,'EN','Dossier médiatisé','Dossier médiatisé','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (830,'FR','Dossier médiatisé','Dossier médiatisé','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (831,'EN','Initiative de la CDPDJ','Initiative de la CDPDJ','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (831,'FR','Initiative de la CDPDJ','Initiative de la CDPDJ','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (832,'EN','Refus catégorique des parties','Refus catégorique des parties','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (832,'FR','Refus catégorique des parties','Refus catégorique des parties','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (833,'EN','2','2','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (833,'FR','2','2','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (834,'EN','3','3','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (834,'FR','3','3','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (835,'EN','4','4','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (835,'FR','4','4','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (836,'EN','5','5','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (836,'FR','5','5','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (837,'EN','6','6','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (837,'FR','7','7','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (838,'EN','7','7','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL);
INSERT INTO `azreftablesvaluesdescription` (`ID`,`LanguageCode`,`ShortDescription`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (838,'FR','7','7','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (839,'EN','8','8','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL),
 (839,'FR','8','8','system','2005-09-26 17:01:21','system','2005-09-26 17:01:21',NULL,NULL);
/*!40000 ALTER TABLE `azreftablesvaluesdescription` ENABLE KEYS */;


--
-- Table structure for table `p4`.`categorieemploi`
--

DROP TABLE IF EXISTS `categorieemploi`;
CREATE TABLE `categorieemploi` (
  `ID` int(11) NOT NULL auto_increment,
  `Categorie` int(11) NOT NULL,
  `Facteur` float NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_categorie` (`Categorie`),
  CONSTRAINT `categorieemploi_ibfk_1` FOREIGN KEY (`Categorie`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`categorieemploi`
--

/*!40000 ALTER TABLE `categorieemploi` DISABLE KEYS */;
INSERT INTO `categorieemploi` (`ID`,`Categorie`,`Facteur`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,55,1.065,'lehose','2001-01-20 05:00:00','lehose','2005-09-27 13:16:03',NULL,NULL),
 (2,56,1,'lehose','2001-01-20 05:00:00','lehose','2005-09-27 13:15:34',NULL,NULL),
 (3,57,1.065,'lehose','2001-01-20 05:00:00','lehose','2005-09-27 13:16:08',NULL,NULL),
 (4,54,4.5,'lehose','2005-09-21 13:32:29','lehose','2005-09-21 13:32:31','lehose','2005-09-21 13:32:34'),
 (5,51,1.065,'lehose','2005-09-27 13:14:14','lehose','2005-09-27 13:16:13',NULL,NULL),
 (6,52,1.1112,'lehose','2005-09-27 13:15:56','lehose','2005-09-27 13:15:56',NULL,NULL),
 (7,58,1.1112,'lehose','2005-09-27 13:16:28','lehose','2005-09-27 13:16:28',NULL,NULL),
 (8,54,1,'lehose','2005-09-27 13:16:38','lehose','2005-09-27 13:16:38',NULL,NULL),
 (9,53,1,'lehose','2005-09-27 13:17:03','lehose','2005-09-27 13:17:03',NULL,NULL);
/*!40000 ALTER TABLE `categorieemploi` ENABLE KEYS */;


--
-- Table structure for table `p4`.`centreresponsabilite`
--

DROP TABLE IF EXISTS `centreresponsabilite`;
CREATE TABLE `centreresponsabilite` (
  `ID` int(11) NOT NULL auto_increment,
  `Code` varchar(25) NOT NULL,
  `Description` varchar(100) NOT NULL,
  `Montant` decimal(19,4) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`centreresponsabilite`
--

/*!40000 ALTER TABLE `centreresponsabilite` DISABLE KEYS */;
/*!40000 ALTER TABLE `centreresponsabilite` ENABLE KEYS */;


--
-- Table structure for table `p4`.`cheminement2`
--

DROP TABLE IF EXISTS `cheminement2`;
CREATE TABLE `cheminement2` (
  `ID` int(11) NOT NULL auto_increment,
  `TypeDroit` int(11) NOT NULL,
  `StatutInitial` int(11) NOT NULL,
  `NouveauStatut` int(11) NOT NULL,
  `Description` varchar(100) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_typedroit` (`TypeDroit`),
  KEY `KEY_statutinitial` (`StatutInitial`),
  KEY `KEY_nouveaustatut` (`NouveauStatut`),
  CONSTRAINT `cheminement2_ibfk_1` FOREIGN KEY (`TypeDroit`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `cheminement2_ibfk_2` FOREIGN KEY (`StatutInitial`) REFERENCES `statut` (`ID`),
  CONSTRAINT `cheminement2_ibfk_3` FOREIGN KEY (`NouveauStatut`) REFERENCES `statut` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`cheminement2`
--

/*!40000 ALTER TABLE `cheminement2` DISABLE KEYS */;
/*!40000 ALTER TABLE `cheminement2` ENABLE KEYS */;


--
-- Table structure for table `p4`.`commande`
--

DROP TABLE IF EXISTS `commande`;
CREATE TABLE `commande` (
  `ID` int(11) NOT NULL auto_increment,
  `Date` varchar(25) NOT NULL,
  `Prix` varchar(25) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`commande`
--

/*!40000 ALTER TABLE `commande` DISABLE KEYS */;
INSERT INTO `commande` (`ID`,`Date`,`Prix`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,'2005-01-01','12','lehose','2005-09-21 13:03:30','lehose','2005-09-21 13:03:33',NULL,NULL);
/*!40000 ALTER TABLE `commande` ENABLE KEYS */;


--
-- Table structure for table `p4`.`commandedocuments`
--

DROP TABLE IF EXISTS `commandedocuments`;
CREATE TABLE `commandedocuments` (
  `ID` int(11) NOT NULL auto_increment,
  `CommandeID` int(11) NOT NULL,
  `Document` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_commandedocuments` (`CommandeID`),
  KEY `KEY_document` (`Document`),
  CONSTRAINT `commandedocuments_ibfk_1` FOREIGN KEY (`CommandeID`) REFERENCES `commande` (`ID`),
  CONSTRAINT `commandedocuments_ibfk_2` FOREIGN KEY (`Document`) REFERENCES `document` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`commandedocuments`
--

/*!40000 ALTER TABLE `commandedocuments` DISABLE KEYS */;
INSERT INTO `commandedocuments` (`ID`,`CommandeID`,`Document`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,1,'lehose','2005-09-21 13:03:52','lehose','2005-09-21 13:03:54',NULL,NULL);
/*!40000 ALTER TABLE `commandedocuments` ENABLE KEYS */;


--
-- Table structure for table `p4`.`corpsemploi`
--

DROP TABLE IF EXISTS `corpsemploi`;
CREATE TABLE `corpsemploi` (
  `ID` int(11) NOT NULL auto_increment,
  `Categorie` int(11) NOT NULL,
  `CodeEchelle` int(11) NOT NULL,
  `Description` varchar(60) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_categorie` (`Categorie`),
  KEY `KEY_codeechelle` (`CodeEchelle`),
  CONSTRAINT `corpsemploi_ibfk_1` FOREIGN KEY (`Categorie`) REFERENCES `categorieemploi` (`ID`),
  CONSTRAINT `corpsemploi_ibfk_2` FOREIGN KEY (`CodeEchelle`) REFERENCES `echellesalariale` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`corpsemploi`
--

/*!40000 ALTER TABLE `corpsemploi` DISABLE KEYS */;
INSERT INTO `corpsemploi` (`ID`,`Categorie`,`CodeEchelle`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,1,'Avocat','lehose','2001-01-20 05:00:00','lehose','2001-01-20 05:00:00',NULL,NULL),
 (2,2,1,'Autre 1','lehose','2005-01-01 00:00:00','lehose','2005-01-01 00:00:00',NULL,NULL),
 (3,3,1,'Autre 2','lehose','2005-01-01 00:00:00','lehose','2005-01-01 00:00:00',NULL,NULL);
/*!40000 ALTER TABLE `corpsemploi` ENABLE KEYS */;


--
-- Table structure for table `p4`.`demande`
--

DROP TABLE IF EXISTS `demande`;
CREATE TABLE `demande` (
  `ID` int(11) NOT NULL auto_increment,
  `Type` int(11) default NULL,
  `TypeDroit` int(11) NOT NULL,
  `RelationID` int(11) default NULL,
  `MembreID` int(11) default NULL,
  `DEMANDE` datetime NOT NULL,
  `Origine` int(11) NOT NULL,
  `RecuPar` int(11) NOT NULL,
  `RegionAdministrative` int(11) default NULL,
  `RefereA` int(11) default NULL,
  `AssigneA` int(11) default NULL,
  `Description` text,
  `LangueCommunication` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_type` (`Type`),
  KEY `KEY_typedroit` (`TypeDroit`),
  KEY `KEY_origine` (`Origine`),
  KEY `KEY_regionadministrative` (`RegionAdministrative`),
  KEY `KEY_languecommunication` (`LangueCommunication`),
  KEY `KEY_relationid` (`RelationID`),
  KEY `KEY_membreid` (`MembreID`),
  KEY `KEY_recupar` (`RecuPar`),
  KEY `KEY_referea` (`RefereA`),
  KEY `KEY_assignea` (`AssigneA`),
  CONSTRAINT `demande_ibfk_1` FOREIGN KEY (`Type`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `demande_ibfk_10` FOREIGN KEY (`AssigneA`) REFERENCES `membre` (`ID`),
  CONSTRAINT `demande_ibfk_2` FOREIGN KEY (`TypeDroit`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `demande_ibfk_3` FOREIGN KEY (`Origine`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `demande_ibfk_4` FOREIGN KEY (`RegionAdministrative`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `demande_ibfk_5` FOREIGN KEY (`LangueCommunication`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `demande_ibfk_6` FOREIGN KEY (`RelationID`) REFERENCES `relation` (`ID`),
  CONSTRAINT `demande_ibfk_7` FOREIGN KEY (`MembreID`) REFERENCES `membre` (`ID`),
  CONSTRAINT `demande_ibfk_8` FOREIGN KEY (`RecuPar`) REFERENCES `membre` (`ID`),
  CONSTRAINT `demande_ibfk_9` FOREIGN KEY (`RefereA`) REFERENCES `relation` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`demande`
--

/*!40000 ALTER TABLE `demande` DISABLE KEYS */;
/*!40000 ALTER TABLE `demande` ENABLE KEYS */;


--
-- Table structure for table `p4`.`demandedocuments`
--

DROP TABLE IF EXISTS `demandedocuments`;
CREATE TABLE `demandedocuments` (
  `ID` int(11) NOT NULL auto_increment,
  `DemandeID` int(11) NOT NULL,
  `DocumentID` int(11) NOT NULL,
  `Quantite` smallint(6) NOT NULL,
  `DateEnvoi` datetime default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_demandedocuments` (`DemandeID`),
  KEY `KEY_documentid` (`DocumentID`),
  CONSTRAINT `demandedocuments_ibfk_1` FOREIGN KEY (`DemandeID`) REFERENCES `demande` (`ID`),
  CONSTRAINT `demandedocuments_ibfk_2` FOREIGN KEY (`DocumentID`) REFERENCES `document` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`demandedocuments`
--

/*!40000 ALTER TABLE `demandedocuments` DISABLE KEYS */;
/*!40000 ALTER TABLE `demandedocuments` ENABLE KEYS */;


--
-- Table structure for table `p4`.`demandesuivi`
--

DROP TABLE IF EXISTS `demandesuivi`;
CREATE TABLE `demandesuivi` (
  `ID` int(11) NOT NULL auto_increment,
  `DemandeID` int(11) NOT NULL,
  `Description` varchar(100) NOT NULL,
  `Date` datetime NOT NULL,
  `SuiviEffectue` tinyint(1) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_demandesuivi` (`DemandeID`),
  CONSTRAINT `demandesuivi_ibfk_1` FOREIGN KEY (`DemandeID`) REFERENCES `demande` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`demandesuivi`
--

/*!40000 ALTER TABLE `demandesuivi` DISABLE KEYS */;
/*!40000 ALTER TABLE `demandesuivi` ENABLE KEYS */;


--
-- Table structure for table `p4`.`descripteur`
--

DROP TABLE IF EXISTS `descripteur`;
CREATE TABLE `descripteur` (
  `ID` int(11) NOT NULL auto_increment,
  `TypeDroit` int(11) NOT NULL,
  `TypeDescripteur` int(11) NOT NULL,
  `CodeLoiJeunesse` int(11) NOT NULL,
  `Code` varchar(20) NOT NULL,
  `Description_E` varchar(100) NOT NULL,
  `Description_F` varchar(100) NOT NULL,
  `CleTri` smallint(6) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_typedroit` (`TypeDroit`),
  KEY `KEY_typedescripteur` (`TypeDescripteur`),
  KEY `KEY_codeloijeunesse` (`CodeLoiJeunesse`),
  CONSTRAINT `descripteur_ibfk_1` FOREIGN KEY (`TypeDroit`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `descripteur_ibfk_2` FOREIGN KEY (`TypeDescripteur`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `descripteur_ibfk_3` FOREIGN KEY (`CodeLoiJeunesse`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`descripteur`
--

/*!40000 ALTER TABLE `descripteur` DISABLE KEYS */;
/*!40000 ALTER TABLE `descripteur` ENABLE KEYS */;


--
-- Table structure for table `p4`.`descripteurdocument`
--

DROP TABLE IF EXISTS `descripteurdocument`;
CREATE TABLE `descripteurdocument` (
  `ID` int(11) NOT NULL auto_increment,
  `Description` varchar(100) NOT NULL,
  `TypeDescripteur` int(11) default NULL,
  `CoteBibliographique` varchar(25) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_typedescripteur` (`TypeDescripteur`),
  CONSTRAINT `descripteurdocument_ibfk_1` FOREIGN KEY (`TypeDescripteur`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`descripteurdocument`
--

/*!40000 ALTER TABLE `descripteurdocument` DISABLE KEYS */;
INSERT INTO `descripteurdocument` (`ID`,`Description`,`TypeDescripteur`,`CoteBibliographique`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,'Test',715,'Test','lehose','2001-01-01 00:00:00','lehose','2005-09-20 13:35:02',NULL,NULL),
 (2,'Test',715,NULL,'lehose','2005-09-20 14:56:29','lehose','2005-09-20 14:56:29',NULL,NULL);
/*!40000 ALTER TABLE `descripteurdocument` ENABLE KEYS */;


--
-- Table structure for table `p4`.`descripteurdocumentsousdescripteur`
--

DROP TABLE IF EXISTS `descripteurdocumentsousdescripteur`;
CREATE TABLE `descripteurdocumentsousdescripteur` (
  `ID` int(11) NOT NULL auto_increment,
  `DescripteurDocumentID` int(11) NOT NULL,
  `Description` varchar(100) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_descripteurdocumentsousdescripteur` (`DescripteurDocumentID`),
  CONSTRAINT `descripteurdocumentsousdescripteur_ibfk_1` FOREIGN KEY (`DescripteurDocumentID`) REFERENCES `descripteurdocument` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`descripteurdocumentsousdescripteur`
--

/*!40000 ALTER TABLE `descripteurdocumentsousdescripteur` DISABLE KEYS */;
INSERT INTO `descripteurdocumentsousdescripteur` (`ID`,`DescripteurDocumentID`,`Description`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,'Test','lehose','2005-09-20 14:04:35','lehose','2005-09-20 14:04:38','lehose','2005-09-20 14:04:41'),
 (2,1,'Test','lehose','2005-09-20 14:07:19','lehose','2005-09-20 14:07:21','lehose','2005-09-20 14:07:23');
/*!40000 ALTER TABLE `descripteurdocumentsousdescripteur` ENABLE KEYS */;


--
-- Table structure for table `p4`.`detailsdecision`
--

DROP TABLE IF EXISTS `detailsdecision`;
CREATE TABLE `detailsdecision` (
  `ID` int(11) NOT NULL auto_increment,
  `EnqueteID` smallint(6) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`detailsdecision`
--

/*!40000 ALTER TABLE `detailsdecision` DISABLE KEYS */;
/*!40000 ALTER TABLE `detailsdecision` ENABLE KEYS */;


--
-- Table structure for table `p4`.`detailsdecisionautresinterventions`
--

DROP TABLE IF EXISTS `detailsdecisionautresinterventions`;
CREATE TABLE `detailsdecisionautresinterventions` (
  `ID` int(11) NOT NULL auto_increment,
  `DetailsDecisionID` int(11) NOT NULL,
  `AutreIntervention` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_detailsdecisionautresinterventions` (`DetailsDecisionID`),
  KEY `KEY_autreintervention` (`AutreIntervention`),
  CONSTRAINT `detailsdecisionautresinterventions_ibfk_1` FOREIGN KEY (`DetailsDecisionID`) REFERENCES `detailsdecision` (`ID`),
  CONSTRAINT `detailsdecisionautresinterventions_ibfk_2` FOREIGN KEY (`AutreIntervention`) REFERENCES `autreintervention` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`detailsdecisionautresinterventions`
--

/*!40000 ALTER TABLE `detailsdecisionautresinterventions` DISABLE KEYS */;
/*!40000 ALTER TABLE `detailsdecisionautresinterventions` ENABLE KEYS */;


--
-- Table structure for table `p4`.`detailsdecisionconclusions`
--

DROP TABLE IF EXISTS `detailsdecisionconclusions`;
CREATE TABLE `detailsdecisionconclusions` (
  `ID` int(11) NOT NULL auto_increment,
  `DetailsDecisionID` int(11) NOT NULL,
  `DroitID` smallint(6) NOT NULL,
  `Conclusion` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_detailsdecisionconclusions` (`DetailsDecisionID`),
  KEY `KEY_conclusion` (`Conclusion`),
  CONSTRAINT `detailsdecisionconclusions_ibfk_1` FOREIGN KEY (`DetailsDecisionID`) REFERENCES `detailsdecision` (`ID`),
  CONSTRAINT `detailsdecisionconclusions_ibfk_2` FOREIGN KEY (`Conclusion`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`detailsdecisionconclusions`
--

/*!40000 ALTER TABLE `detailsdecisionconclusions` DISABLE KEYS */;
/*!40000 ALTER TABLE `detailsdecisionconclusions` ENABLE KEYS */;


--
-- Table structure for table `p4`.`detailsdecisionmembrescomite`
--

DROP TABLE IF EXISTS `detailsdecisionmembrescomite`;
CREATE TABLE `detailsdecisionmembrescomite` (
  `ID` int(11) NOT NULL auto_increment,
  `DetailsDecisionID` int(11) NOT NULL,
  `MembreID` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_detailsdecisionmembrescomite` (`DetailsDecisionID`),
  KEY `KEY_membreid` (`MembreID`),
  CONSTRAINT `detailsdecisionmembrescomite_ibfk_1` FOREIGN KEY (`DetailsDecisionID`) REFERENCES `detailsdecision` (`ID`),
  CONSTRAINT `detailsdecisionmembrescomite_ibfk_2` FOREIGN KEY (`MembreID`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`detailsdecisionmembrescomite`
--

/*!40000 ALTER TABLE `detailsdecisionmembrescomite` DISABLE KEYS */;
/*!40000 ALTER TABLE `detailsdecisionmembrescomite` ENABLE KEYS */;


--
-- Table structure for table `p4`.`detailsdecisionrecommandations`
--

DROP TABLE IF EXISTS `detailsdecisionrecommandations`;
CREATE TABLE `detailsdecisionrecommandations` (
  `ID` int(11) NOT NULL auto_increment,
  `DetailsDecisionID` int(11) NOT NULL,
  `Recommandation` int(11) NOT NULL,
  `RecommandeA` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_detailsdecisionrecommandations` (`DetailsDecisionID`),
  KEY `KEY_recommandation` (`Recommandation`),
  KEY `KEY_recommandea` (`RecommandeA`),
  CONSTRAINT `detailsdecisionrecommandations_ibfk_1` FOREIGN KEY (`DetailsDecisionID`) REFERENCES `detailsdecision` (`ID`),
  CONSTRAINT `detailsdecisionrecommandations_ibfk_2` FOREIGN KEY (`Recommandation`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `detailsdecisionrecommandations_ibfk_3` FOREIGN KEY (`RecommandeA`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`detailsdecisionrecommandations`
--

/*!40000 ALTER TABLE `detailsdecisionrecommandations` DISABLE KEYS */;
/*!40000 ALTER TABLE `detailsdecisionrecommandations` ENABLE KEYS */;


--
-- Table structure for table `p4`.`directioncentrejeunesse`
--

DROP TABLE IF EXISTS `directioncentrejeunesse`;
CREATE TABLE `directioncentrejeunesse` (
  `ID` int(11) NOT NULL auto_increment,
  `PosteCentreJeunesse` int(11) NOT NULL,
  `Client` int(11) NOT NULL,
  `RegionAdministrative` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_postecentrejeunesse` (`PosteCentreJeunesse`),
  KEY `KEY_client` (`Client`),
  KEY `KEY_regionadministrative` (`RegionAdministrative`),
  CONSTRAINT `directioncentrejeunesse_ibfk_1` FOREIGN KEY (`PosteCentreJeunesse`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `directioncentrejeunesse_ibfk_2` FOREIGN KEY (`Client`) REFERENCES `relation` (`ID`),
  CONSTRAINT `directioncentrejeunesse_ibfk_3` FOREIGN KEY (`RegionAdministrative`) REFERENCES `regionadministrative` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`directioncentrejeunesse`
--

/*!40000 ALTER TABLE `directioncentrejeunesse` DISABLE KEYS */;
/*!40000 ALTER TABLE `directioncentrejeunesse` ENABLE KEYS */;


--
-- Table structure for table `p4`.`document`
--

DROP TABLE IF EXISTS `document`;
CREATE TABLE `document` (
  `ID` int(11) NOT NULL auto_increment,
  `Statut` int(11) NOT NULL,
  `Type` int(11) NOT NULL,
  `Titre` varchar(255) NOT NULL,
  `Langue` int(11) NOT NULL,
  `DirectionResponsable` int(11) NOT NULL,
  `TypeDate` int(11) default NULL,
  `Date` datetime default NULL,
  `Version` int(11) default NULL,
  `DocumentMAJ` int(11) default NULL,
  `Cote` varchar(25) default NULL,
  `AncienneCote` varchar(25) default NULL,
  `CodeDewey` varchar(20) default NULL,
  `Pages` smallint(6) default NULL,
  `ContientAnnexes` tinyint(1) NOT NULL,
  `Resume` text,
  `FichierSource` varchar(50) default NULL,
  `NoResolution` varchar(50) default NULL,
  `Reference` varchar(255) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_statut` (`Statut`),
  KEY `KEY_type` (`Type`),
  KEY `KEY_langue` (`Langue`),
  KEY `KEY_directionresponsable` (`DirectionResponsable`),
  KEY `KEY_version` (`Version`),
  KEY `KEY_documentmaj` (`DocumentMAJ`),
  KEY `KEY_typedate` (`TypeDate`),
  CONSTRAINT `document_ibfk_1` FOREIGN KEY (`Statut`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `document_ibfk_2` FOREIGN KEY (`Type`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `document_ibfk_3` FOREIGN KEY (`Langue`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `document_ibfk_4` FOREIGN KEY (`DirectionResponsable`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `document_ibfk_5` FOREIGN KEY (`Version`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `document_ibfk_6` FOREIGN KEY (`DocumentMAJ`) REFERENCES `document` (`ID`),
  CONSTRAINT `document_ibfk_7` FOREIGN KEY (`TypeDate`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`document`
--

/*!40000 ALTER TABLE `document` DISABLE KEYS */;
INSERT INTO `document` (`ID`,`Statut`,`Type`,`Titre`,`Langue`,`DirectionResponsable`,`TypeDate`,`Date`,`Version`,`DocumentMAJ`,`Cote`,`AncienneCote`,`CodeDewey`,`Pages`,`ContientAnnexes`,`Resume`,`FichierSource`,`NoResolution`,`Reference`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,489,719,'Jugements Temporaire',245,128,823,'2005-10-01 00:00:00',810,NULL,'Cote1','Cote','SDF23345SDF',12,1,'Test','SourceTest.pdf','RES234234','REF234234','lehose','2005-09-01 14:15:01','slehoux@xiazur.com','2005-09-12 13:37:57',NULL,NULL),
 (2,489,719,'Jugements Permanents',245,128,824,'2005-09-12 00:00:00',812,1,NULL,NULL,NULL,NULL,0,NULL,NULL,NULL,NULL,'lehose','2005-09-07 13:48:50','slehoux@xiazur.com','2005-09-12 14:38:08',NULL,NULL),
 (3,489,728,'Plumitif Bourgenion',245,126,823,'2005-09-13 00:00:00',811,NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,NULL,NULL,'lehose','2005-09-08 15:50:57','slehoux@xiazur.com','2005-09-12 15:41:26',NULL,NULL);
/*!40000 ALTER TABLE `document` ENABLE KEYS */;


--
-- Table structure for table `p4`.`documentapprovisionnement`
--

DROP TABLE IF EXISTS `documentapprovisionnement`;
CREATE TABLE `documentapprovisionnement` (
  `ID` int(11) NOT NULL auto_increment,
  `DocumentID` int(11) NOT NULL,
  `Fournisseur` int(11) NOT NULL,
  `Quantite` smallint(6) NOT NULL,
  `Cout` decimal(19,4) NOT NULL,
  `DateCommandee` datetime NOT NULL,
  `DateReception` datetime default NULL,
  `Note` text,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_documentapprovisionnement` (`DocumentID`),
  KEY `KEY_fournisseur` (`Fournisseur`),
  CONSTRAINT `documentapprovisionnement_ibfk_1` FOREIGN KEY (`DocumentID`) REFERENCES `document` (`ID`),
  CONSTRAINT `documentapprovisionnement_ibfk_2` FOREIGN KEY (`Fournisseur`) REFERENCES `relation` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`documentapprovisionnement`
--

/*!40000 ALTER TABLE `documentapprovisionnement` DISABLE KEYS */;
INSERT INTO `documentapprovisionnement` (`ID`,`DocumentID`,`Fournisseur`,`Quantite`,`Cout`,`DateCommandee`,`DateReception`,`Note`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,1,1,'12.5000','2005-09-06 00:00:00','2005-09-20 00:00:00','test','lehose','2005-09-06 09:35:31','lehose','2005-09-06 09:35:33','lehose','2005-09-06 09:36:06'),
 (2,1,4,123,'123.0000','2005-09-14 00:00:00','2005-11-21 00:00:00',NULL,'slehoux@xiazur.com','2005-09-13 15:21:18','lehose','2005-09-14 09:25:22',NULL,NULL),
 (3,1,4,10,'123.0000','2005-09-14 00:00:00','2005-09-14 00:00:00',NULL,'lehose','2005-09-14 11:48:57','lehose','2005-09-14 11:49:36',NULL,NULL),
 (4,1,4,10,'123.0000','2005-09-14 00:00:00',NULL,NULL,'lehose','2005-09-14 14:05:24','lehose','2005-09-14 14:05:24',NULL,NULL);
/*!40000 ALTER TABLE `documentapprovisionnement` ENABLE KEYS */;


--
-- Table structure for table `p4`.`documentauteurs`
--

DROP TABLE IF EXISTS `documentauteurs`;
CREATE TABLE `documentauteurs` (
  `ID` int(11) NOT NULL auto_increment,
  `DocumentID` int(11) NOT NULL,
  `MembreID` int(11) default NULL,
  `RelationID` int(11) default NULL,
  `Prenom` varchar(50) default NULL,
  `Nom` varchar(50) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_documentauteurs` (`DocumentID`),
  KEY `KEY_membreid` (`MembreID`),
  CONSTRAINT `documentauteurs_ibfk_1` FOREIGN KEY (`DocumentID`) REFERENCES `document` (`ID`),
  CONSTRAINT `documentauteurs_ibfk_2` FOREIGN KEY (`MembreID`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`documentauteurs`
--

/*!40000 ALTER TABLE `documentauteurs` DISABLE KEYS */;
INSERT INTO `documentauteurs` (`ID`,`DocumentID`,`MembreID`,`RelationID`,`Prenom`,`Nom`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (3,1,NULL,NULL,'Michel','Leclerc','lehose','2005-09-06 13:12:04','lehose','2005-09-08 11:22:36',NULL,NULL),
 (4,1,2,NULL,NULL,NULL,'lehose','2005-09-07 15:00:03','lehose','2005-09-08 11:00:14',NULL,NULL),
 (5,1,NULL,1,NULL,NULL,'lehose','2005-09-07 16:47:52','lehose','2005-09-08 11:00:19',NULL,NULL),
 (6,1,NULL,NULL,'Francis','Lavigeur','lehose','2005-09-08 10:59:20','lehose','2005-09-08 11:21:22',NULL,NULL),
 (7,1,1,NULL,NULL,NULL,'lehose','2005-09-08 11:00:44','lehose','2005-09-08 11:00:44',NULL,NULL);
/*!40000 ALTER TABLE `documentauteurs` ENABLE KEYS */;


--
-- Table structure for table `p4`.`documentcontentieux`
--

DROP TABLE IF EXISTS `documentcontentieux`;
CREATE TABLE `documentcontentieux` (
  `ID` int(11) NOT NULL auto_increment,
  `DocumentID` int(11) NOT NULL,
  `FermeturePlumitif` tinyint(1) NOT NULL,
  `InstanceJudiciaire` int(11) default NULL,
  `DistrictJudiciaire` int(11) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_documentcontentieux` (`DocumentID`),
  KEY `KEY_instancejudiciaire` (`InstanceJudiciaire`),
  KEY `KEY_districtjudiciaire` (`DistrictJudiciaire`),
  CONSTRAINT `documentcontentieux_ibfk_1` FOREIGN KEY (`DocumentID`) REFERENCES `document` (`ID`),
  CONSTRAINT `documentcontentieux_ibfk_2` FOREIGN KEY (`InstanceJudiciaire`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `documentcontentieux_ibfk_3` FOREIGN KEY (`DistrictJudiciaire`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`documentcontentieux`
--

/*!40000 ALTER TABLE `documentcontentieux` DISABLE KEYS */;
INSERT INTO `documentcontentieux` (`ID`,`DocumentID`,`FermeturePlumitif`,`InstanceJudiciaire`,`DistrictJudiciaire`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,1,4,140,'lehose','2005-09-01 15:07:16','lehose','2005-09-15 10:37:22',NULL,NULL),
 (2,3,1,4,174,'slehoux@xiazur.com','2005-09-09 14:21:14','lehose','2005-09-15 10:46:12',NULL,NULL),
 (3,2,1,12,174,'lehose','2005-09-15 11:25:48','lehose','2005-09-15 11:26:03',NULL,NULL);
/*!40000 ALTER TABLE `documentcontentieux` ENABLE KEYS */;


--
-- Table structure for table `p4`.`documentdescripteurs`
--

DROP TABLE IF EXISTS `documentdescripteurs`;
CREATE TABLE `documentdescripteurs` (
  `ID` int(11) NOT NULL auto_increment,
  `DocumentID` int(11) NOT NULL,
  `Type` int(11) NOT NULL,
  `Descripteur` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_documentdescripteurs` (`DocumentID`),
  KEY `KEY_type` (`Type`),
  KEY `KEY_descripteur` (`Descripteur`),
  CONSTRAINT `documentdescripteurs_ibfk_1` FOREIGN KEY (`DocumentID`) REFERENCES `document` (`ID`),
  CONSTRAINT `documentdescripteurs_ibfk_2` FOREIGN KEY (`Type`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `documentdescripteurs_ibfk_3` FOREIGN KEY (`Descripteur`) REFERENCES `descripteurdocument` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`documentdescripteurs`
--

/*!40000 ALTER TABLE `documentdescripteurs` DISABLE KEYS */;
INSERT INTO `documentdescripteurs` (`ID`,`DocumentID`,`Type`,`Descripteur`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,715,1,'lehose','2005-09-01 16:22:36','lehose','2005-09-01 16:22:41',NULL,NULL);
/*!40000 ALTER TABLE `documentdescripteurs` ENABLE KEYS */;


--
-- Table structure for table `p4`.`documentdiffusion`
--

DROP TABLE IF EXISTS `documentdiffusion`;
CREATE TABLE `documentdiffusion` (
  `ID` int(11) NOT NULL auto_increment,
  `DocumentID` int(11) NOT NULL,
  `Localisation` int(11) default NULL,
  `AInclureDansRapport` tinyint(1) NOT NULL,
  `NombreDisponible` smallint(6) default NULL,
  `SeuilNouvelleCommande` smallint(6) default NULL,
  `NoteRepertoire` text,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_documentdiffusion` (`DocumentID`),
  KEY `KEY_localisation` (`Localisation`),
  CONSTRAINT `documentdiffusion_ibfk_1` FOREIGN KEY (`DocumentID`) REFERENCES `document` (`ID`),
  CONSTRAINT `documentdiffusion_ibfk_2` FOREIGN KEY (`Localisation`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`documentdiffusion`
--

/*!40000 ALTER TABLE `documentdiffusion` DISABLE KEYS */;
INSERT INTO `documentdiffusion` (`ID`,`DocumentID`,`Localisation`,`AInclureDansRapport`,`NombreDisponible`,`SeuilNouvelleCommande`,`NoteRepertoire`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,268,1,133,24234,'Test','lehose','2005-09-01 15:10:29','lehose','2005-09-14 11:49:35',NULL,NULL),
 (2,3,266,1,NULL,324,'test','slehoux@xiazur.com','2005-09-13 15:14:00','slehoux@xiazur.com','2005-09-13 15:14:00',NULL,NULL);
/*!40000 ALTER TABLE `documentdiffusion` ENABLE KEYS */;


--
-- Table structure for table `p4`.`documentdocumentsconnexes`
--

DROP TABLE IF EXISTS `documentdocumentsconnexes`;
CREATE TABLE `documentdocumentsconnexes` (
  `ID` int(11) NOT NULL auto_increment,
  `DocumentID` int(11) NOT NULL,
  `DocumentConnexeID` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_documentdocumentsconnexes` (`DocumentID`),
  KEY `KEY_documentconnexeid` (`DocumentConnexeID`),
  CONSTRAINT `documentdocumentsconnexes_ibfk_1` FOREIGN KEY (`DocumentID`) REFERENCES `document` (`ID`),
  CONSTRAINT `documentdocumentsconnexes_ibfk_2` FOREIGN KEY (`DocumentConnexeID`) REFERENCES `document` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`documentdocumentsconnexes`
--

/*!40000 ALTER TABLE `documentdocumentsconnexes` DISABLE KEYS */;
INSERT INTO `documentdocumentsconnexes` (`ID`,`DocumentID`,`DocumentConnexeID`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,1,'lehose','2005-09-01 16:33:56','slehoux@xiazur.com','2005-09-13 14:42:29',NULL,NULL);
/*!40000 ALTER TABLE `documentdocumentsconnexes` ENABLE KEYS */;


--
-- Table structure for table `p4`.`documentplumitif`
--

DROP TABLE IF EXISTS `documentplumitif`;
CREATE TABLE `documentplumitif` (
  `ID` int(11) NOT NULL auto_increment,
  `DocumentID` int(11) NOT NULL,
  `DateEtape` datetime NOT NULL,
  `Etape` int(11) NOT NULL,
  `NoteEtape` text NOT NULL,
  `NombreJoursAudition` double default NULL,
  `EvenementEtapePlumitif1` int(11) NOT NULL,
  `DateEvenementEtapePlumitif1` datetime NOT NULL,
  `EvenementEtapePlumitif2` int(11) NOT NULL,
  `DateEvenementEtapePlumitif2` datetime NOT NULL,
  `EvenementEtapePlumitif3` int(11) NOT NULL,
  `DateEvenementEtapePlumitif3` datetime NOT NULL,
  `Avocat1` int(11) NOT NULL,
  `Avocat2` int(11) NOT NULL,
  `InstanceJudiciaire` int(11) default NULL,
  `DistrictJudiciaire` int(11) default NULL,
  `NoCour` varchar(25) default NULL,
  `FichierSource` varchar(50) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_documentplumitif` (`DocumentID`),
  KEY `KEY_evenementetapeplumitif1` (`EvenementEtapePlumitif1`),
  KEY `KEY_evenementetapeplumitif2` (`EvenementEtapePlumitif2`),
  KEY `KEY_evenementetapeplumitif3` (`EvenementEtapePlumitif3`),
  KEY `KEY_instancejudiciaire` (`InstanceJudiciaire`),
  KEY `KEY_districtjudiciaire` (`DistrictJudiciaire`),
  KEY `KEY_etape` (`Etape`),
  KEY `KEY_avocat1` (`Avocat1`),
  KEY `KEY_avocat2` (`Avocat2`),
  CONSTRAINT `documentplumitif_ibfk_1` FOREIGN KEY (`DocumentID`) REFERENCES `document` (`ID`),
  CONSTRAINT `documentplumitif_ibfk_2` FOREIGN KEY (`EvenementEtapePlumitif1`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `documentplumitif_ibfk_3` FOREIGN KEY (`EvenementEtapePlumitif2`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `documentplumitif_ibfk_4` FOREIGN KEY (`EvenementEtapePlumitif3`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `documentplumitif_ibfk_5` FOREIGN KEY (`InstanceJudiciaire`) REFERENCES `instancejudiciaire` (`ID`),
  CONSTRAINT `documentplumitif_ibfk_6` FOREIGN KEY (`DistrictJudiciaire`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `documentplumitif_ibfk_7` FOREIGN KEY (`Etape`) REFERENCES `etapeplumitif` (`ID`),
  CONSTRAINT `documentplumitif_ibfk_8` FOREIGN KEY (`Avocat1`) REFERENCES `membre` (`ID`),
  CONSTRAINT `documentplumitif_ibfk_9` FOREIGN KEY (`Avocat2`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`documentplumitif`
--

/*!40000 ALTER TABLE `documentplumitif` DISABLE KEYS */;
INSERT INTO `documentplumitif` (`ID`,`DocumentID`,`DateEtape`,`Etape`,`NoteEtape`,`NombreJoursAudition`,`EvenementEtapePlumitif1`,`DateEvenementEtapePlumitif1`,`EvenementEtapePlumitif2`,`DateEvenementEtapePlumitif2`,`EvenementEtapePlumitif3`,`DateEvenementEtapePlumitif3`,`Avocat1`,`Avocat2`,`InstanceJudiciaire`,`DistrictJudiciaire`,`NoCour`,`FichierSource`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (2,3,'2005-09-08 00:00:00',4,'test',NULL,212,'2005-09-08 00:00:00',211,'2005-09-08 00:00:00',211,'2005-09-08 00:00:00',2,1,4,173,'test','test','lehose','2005-09-08 17:02:04','lehose','2005-09-15 09:56:13',NULL,NULL),
 (3,3,'2005-09-09 00:00:00',1,'test',234,212,'2005-09-09 00:00:00',219,'2005-09-09 00:00:00',213,'2005-09-09 00:00:00',1,2,NULL,NULL,NULL,NULL,'lehose','2005-09-09 10:04:23','slehoux@xiazur.com','2005-09-12 17:33:08',NULL,NULL),
 (4,3,'2005-09-12 00:00:00',1,'test',234,212,'2005-09-12 00:00:00',213,'2005-09-13 00:00:00',219,'2005-09-14 00:00:00',1,2,NULL,NULL,NULL,NULL,'slehoux@xiazur.com','2005-09-12 17:33:54','slehoux@xiazur.com','2005-09-13 13:26:05',NULL,NULL),
 (5,3,'2005-09-13 00:00:00',1,'test',234,212,'2005-09-13 00:00:00',212,'2005-09-13 00:00:00',214,'2005-09-13 00:00:00',1,2,NULL,NULL,NULL,NULL,'slehoux@xiazur.com','2005-09-13 14:31:50','slehoux@xiazur.com','2005-09-13 14:31:53',NULL,NULL);
INSERT INTO `documentplumitif` (`ID`,`DocumentID`,`DateEtape`,`Etape`,`NoteEtape`,`NombreJoursAudition`,`EvenementEtapePlumitif1`,`DateEvenementEtapePlumitif1`,`EvenementEtapePlumitif2`,`DateEvenementEtapePlumitif2`,`EvenementEtapePlumitif3`,`DateEvenementEtapePlumitif3`,`Avocat1`,`Avocat2`,`InstanceJudiciaire`,`DistrictJudiciaire`,`NoCour`,`FichierSource`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (6,3,'2005-09-15 00:00:00',1,'test',123,212,'2005-09-15 00:00:00',211,'2005-09-15 00:00:00',219,'2005-09-15 00:00:00',1,2,NULL,NULL,NULL,NULL,'lehose','2005-09-15 09:48:21','lehose','2005-09-15 09:48:21',NULL,NULL),
 (7,3,'2005-09-15 00:00:00',2,'test',123,212,'2005-01-01 00:00:00',211,'2005-01-01 00:00:00',219,'2005-01-01 00:00:00',1,2,4,140,NULL,NULL,'lehose','2005-09-15 09:51:12','lehose','2005-09-15 09:52:17',NULL,NULL);
/*!40000 ALTER TABLE `documentplumitif` ENABLE KEYS */;


--
-- Table structure for table `p4`.`documentrecherche`
--

DROP TABLE IF EXISTS `documentrecherche`;
CREATE TABLE `documentrecherche` (
  `ID` int(11) NOT NULL auto_increment,
  `DocumentID` int(11) NOT NULL,
  `FichierEdition` varchar(50) default NULL,
  `NoDossierRecherche` int(11) default NULL,
  `NoteRecherche` text,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_documentrecherche` (`DocumentID`),
  KEY `KEY_nodossierrecherche` (`NoDossierRecherche`),
  CONSTRAINT `documentrecherche_ibfk_1` FOREIGN KEY (`DocumentID`) REFERENCES `document` (`ID`),
  CONSTRAINT `documentrecherche_ibfk_2` FOREIGN KEY (`NoDossierRecherche`) REFERENCES `dossier` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`documentrecherche`
--

/*!40000 ALTER TABLE `documentrecherche` DISABLE KEYS */;
INSERT INTO `documentrecherche` (`ID`,`DocumentID`,`FichierEdition`,`NoDossierRecherche`,`NoteRecherche`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,'TestFichier.pdf',1,'test','lehose','2005-09-01 15:08:49','slehoux@xiazur.com','2005-09-09 15:27:14',NULL,NULL);
/*!40000 ALTER TABLE `documentrecherche` ENABLE KEYS */;


--
-- Table structure for table `p4`.`documentspositions`
--

DROP TABLE IF EXISTS `documentspositions`;
CREATE TABLE `documentspositions` (
  `ID` int(11) NOT NULL auto_increment,
  `DossierID` int(11) NOT NULL,
  `DocumentID` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_documentspositions` (`DossierID`),
  KEY `KEY_documentid` (`DocumentID`),
  CONSTRAINT `documentspositions_ibfk_1` FOREIGN KEY (`DossierID`) REFERENCES `dossier` (`ID`),
  CONSTRAINT `documentspositions_ibfk_2` FOREIGN KEY (`DocumentID`) REFERENCES `document` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`documentspositions`
--

/*!40000 ALTER TABLE `documentspositions` DISABLE KEYS */;
/*!40000 ALTER TABLE `documentspositions` ENABLE KEYS */;


--
-- Table structure for table `p4`.`dossier`
--

DROP TABLE IF EXISTS `dossier`;
CREATE TABLE `dossier` (
  `ID` int(11) NOT NULL auto_increment,
  `Type` int(11) NOT NULL,
  `Nom` varchar(50) NOT NULL,
  `Source` int(11) NOT NULL,
  `Description` text,
  `TypeDateEcheance` int(11) default NULL,
  `DateEcheance` datetime default NULL,
  `NoteEcheance` varchar(50) default NULL,
  `TypePresentation` int(11) default NULL,
  `ButPresentation` int(11) default NULL,
  `DatePresentation` datetime default NULL,
  `NoResolution` varchar(25) default NULL,
  `DateCommissionParlementaire` datetime default NULL,
  `HyperLienJournalDebats` varchar(100) default NULL,
  `Cote` varchar(25) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_type` (`Type`),
  KEY `KEY_source` (`Source`),
  KEY `KEY_typedateecheance` (`TypeDateEcheance`),
  KEY `KEY_typepresentation` (`TypePresentation`),
  KEY `KEY_butpresentation` (`ButPresentation`),
  CONSTRAINT `dossier_ibfk_1` FOREIGN KEY (`Type`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `dossier_ibfk_2` FOREIGN KEY (`Source`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `dossier_ibfk_3` FOREIGN KEY (`TypeDateEcheance`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `dossier_ibfk_4` FOREIGN KEY (`TypePresentation`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `dossier_ibfk_5` FOREIGN KEY (`ButPresentation`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`dossier`
--

/*!40000 ALTER TABLE `dossier` DISABLE KEYS */;
INSERT INTO `dossier` (`ID`,`Type`,`Nom`,`Source`,`Description`,`TypeDateEcheance`,`DateEcheance`,`NoteEcheance`,`TypePresentation`,`ButPresentation`,`DatePresentation`,`NoResolution`,`DateCommissionParlementaire`,`HyperLienJournalDebats`,`Cote`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,684,'Test',481,'test',694,'2005-01-01 00:00:00','test',791,49,'2005-01-01 00:00:00','RES12333','2005-01-01 00:00:00','//Lien','F2345','slehoux@xiazur.com','2005-09-09 15:01:08','slehoux@xiazur.com','2005-09-09 15:01:08',NULL,NULL);
/*!40000 ALTER TABLE `dossier` ENABLE KEYS */;


--
-- Table structure for table `p4`.`dossierassignations`
--

DROP TABLE IF EXISTS `dossierassignations`;
CREATE TABLE `dossierassignations` (
  `ID` int(11) NOT NULL auto_increment,
  `DossierID` int(11) NOT NULL,
  `PersonneResponsable` int(11) NOT NULL,
  `DateAssignation` datetime NOT NULL,
  `DateEcheance` datetime default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_dossierassignations` (`DossierID`),
  KEY `KEY_personneresponsable` (`PersonneResponsable`),
  CONSTRAINT `dossierassignations_ibfk_1` FOREIGN KEY (`DossierID`) REFERENCES `dossier` (`ID`),
  CONSTRAINT `dossierassignations_ibfk_2` FOREIGN KEY (`PersonneResponsable`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`dossierassignations`
--

/*!40000 ALTER TABLE `dossierassignations` DISABLE KEYS */;
/*!40000 ALTER TABLE `dossierassignations` ENABLE KEYS */;


--
-- Table structure for table `p4`.`dossierenvois`
--

DROP TABLE IF EXISTS `dossierenvois`;
CREATE TABLE `dossierenvois` (
  `ID` int(11) NOT NULL auto_increment,
  `DossierID` int(11) NOT NULL,
  `DocumentID` int(11) NOT NULL,
  `Type` int(11) NOT NULL,
  `Statut` int(11) NOT NULL,
  `Version` int(11) default NULL,
  `Destinataire` int(11) NOT NULL,
  `Date` datetime NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_dossierenvois` (`DossierID`),
  KEY `KEY_type` (`Type`),
  KEY `KEY_statut` (`Statut`),
  KEY `KEY_version` (`Version`),
  KEY `KEY_destinataire` (`Destinataire`),
  KEY `KEY_documentid` (`DocumentID`),
  CONSTRAINT `dossierenvois_ibfk_1` FOREIGN KEY (`DossierID`) REFERENCES `dossier` (`ID`),
  CONSTRAINT `dossierenvois_ibfk_2` FOREIGN KEY (`Type`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `dossierenvois_ibfk_3` FOREIGN KEY (`Statut`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `dossierenvois_ibfk_4` FOREIGN KEY (`Version`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `dossierenvois_ibfk_5` FOREIGN KEY (`Destinataire`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `dossierenvois_ibfk_6` FOREIGN KEY (`DocumentID`) REFERENCES `document` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`dossierenvois`
--

/*!40000 ALTER TABLE `dossierenvois` DISABLE KEYS */;
/*!40000 ALTER TABLE `dossierenvois` ENABLE KEYS */;


--
-- Table structure for table `p4`.`dossierpae`
--

DROP TABLE IF EXISTS `dossierpae`;
CREATE TABLE `dossierpae` (
  `ID` int(11) NOT NULL auto_increment,
  `Client` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_client` (`Client`),
  CONSTRAINT `dossierpae_ibfk_1` FOREIGN KEY (`Client`) REFERENCES `relation` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`dossierpae`
--

/*!40000 ALTER TABLE `dossierpae` DISABLE KEYS */;
/*!40000 ALTER TABLE `dossierpae` ENABLE KEYS */;


--
-- Table structure for table `p4`.`droit`
--

DROP TABLE IF EXISTS `droit`;
CREATE TABLE `droit` (
  `ID` int(11) NOT NULL auto_increment,
  `TypeDroit` int(11) NOT NULL,
  `LoiJeunesse` int(11) NOT NULL,
  `Code` varchar(8) NOT NULL,
  `DescriptionFrancais` varchar(200) NOT NULL,
  `DescriptionAnglais` varchar(200) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_typedroit` (`TypeDroit`),
  KEY `KEY_loijeunesse` (`LoiJeunesse`),
  CONSTRAINT `droit_ibfk_1` FOREIGN KEY (`TypeDroit`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `droit_ibfk_2` FOREIGN KEY (`LoiJeunesse`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`droit`
--

/*!40000 ALTER TABLE `droit` DISABLE KEYS */;
/*!40000 ALTER TABLE `droit` ENABLE KEYS */;


--
-- Table structure for table `p4`.`echellesalariale`
--

DROP TABLE IF EXISTS `echellesalariale`;
CREATE TABLE `echellesalariale` (
  `ID` int(11) NOT NULL auto_increment,
  `NoEchelle` int(11) NOT NULL,
  `Classe` varchar(25) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_noechelle` (`NoEchelle`),
  CONSTRAINT `echellesalariale_ibfk_1` FOREIGN KEY (`NoEchelle`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`echellesalariale`
--

/*!40000 ALTER TABLE `echellesalariale` DISABLE KEYS */;
INSERT INTO `echellesalariale` (`ID`,`NoEchelle`,`Classe`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,200,'Intermédiaire','lehose','2001-01-20 05:00:00','lehose','2001-01-20 05:00:00',NULL,NULL),
 (2,199,'Intermédiaire Plus','lehose','2005-09-23 15:37:46','lehose','2005-09-23 15:37:46',NULL,NULL);
/*!40000 ALTER TABLE `echellesalariale` ENABLE KEYS */;


--
-- Table structure for table `p4`.`echellesalarialeechelons`
--

DROP TABLE IF EXISTS `echellesalarialeechelons`;
CREATE TABLE `echellesalarialeechelons` (
  `ID` int(11) NOT NULL auto_increment,
  `EchelleSalarialeID` int(11) NOT NULL,
  `NoEchelon` int(11) NOT NULL,
  `DateDebut` datetime NOT NULL,
  `Salaire` decimal(19,4) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_echellesalarialeechelons` (`EchelleSalarialeID`),
  KEY `KEY_noechelon` (`NoEchelon`),
  CONSTRAINT `echellesalarialeechelons_ibfk_1` FOREIGN KEY (`EchelleSalarialeID`) REFERENCES `echellesalariale` (`ID`),
  CONSTRAINT `echellesalarialeechelons_ibfk_2` FOREIGN KEY (`NoEchelon`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`echellesalarialeechelons`
--

/*!40000 ALTER TABLE `echellesalarialeechelons` DISABLE KEYS */;
INSERT INTO `echellesalarialeechelons` (`ID`,`EchelleSalarialeID`,`NoEchelon`,`DateDebut`,`Salaire`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (3,1,207,'2005-09-26 00:00:00','100000.0000','lehose','2005-09-26 15:06:50','lehose','2005-09-26 15:06:50',NULL,NULL),
 (4,2,207,'2005-09-26 00:00:00','75000.0000','lehose','2005-09-26 15:07:12','lehose','2005-09-26 15:07:12',NULL,NULL),
 (5,1,833,'2005-09-26 00:00:00','110000.0000','lehose','2005-09-26 16:01:52','lehose','2005-09-26 16:03:14',NULL,NULL),
 (6,1,834,'2005-09-26 00:00:00','120000.0000','lehose','2005-09-26 16:02:05','lehose','2005-09-26 16:03:22',NULL,NULL),
 (7,1,835,'2005-09-26 00:00:00','130000.0000','lehose','2005-09-26 16:02:12','lehose','2005-09-26 16:03:30',NULL,NULL),
 (8,1,836,'2005-09-26 00:00:00','140000.0000','lehose','2005-09-26 16:02:22','lehose','2005-09-26 16:03:36',NULL,NULL),
 (9,1,837,'2005-09-26 00:00:00','150000.0000','lehose','2005-09-26 16:02:42','lehose','2005-09-26 16:02:42',NULL,NULL),
 (10,1,838,'2005-09-26 00:00:00','160000.0000','lehose','2005-09-26 16:02:52','lehose','2005-09-26 16:02:52',NULL,NULL);
INSERT INTO `echellesalarialeechelons` (`ID`,`EchelleSalarialeID`,`NoEchelon`,`DateDebut`,`Salaire`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (11,1,839,'2005-09-26 00:00:00','170000.0000','lehose','2005-09-26 16:03:03','lehose','2005-09-26 16:03:03',NULL,NULL),
 (12,1,207,'2005-09-01 00:00:00','90000.0000','lehose','2005-09-26 16:19:39','lehose','2005-09-26 16:19:39',NULL,NULL),
 (13,1,833,'2005-09-01 00:00:00','100000.0000','lehose','2005-09-26 16:19:47','lehose','2005-09-26 16:19:47',NULL,NULL),
 (14,1,834,'2005-09-01 00:00:00','110000.0000','lehose','2005-09-26 16:20:01','lehose','2005-09-26 16:20:21',NULL,NULL),
 (15,1,835,'2005-09-01 00:00:00','120000.0000','lehose','2005-09-26 16:20:32','lehose','2005-09-26 16:20:32',NULL,NULL),
 (16,1,836,'2005-09-01 00:00:00','130000.0000','lehose','2005-09-26 16:20:41','lehose','2005-09-26 16:20:41',NULL,NULL),
 (17,1,837,'2005-09-01 00:00:00','140000.0000','lehose','2005-09-26 16:21:03','lehose','2005-09-26 16:21:03',NULL,NULL),
 (18,1,838,'2005-09-01 00:00:00','150000.0000','lehose','2005-09-26 16:21:16','lehose','2005-09-26 16:21:16',NULL,NULL);
INSERT INTO `echellesalarialeechelons` (`ID`,`EchelleSalarialeID`,`NoEchelon`,`DateDebut`,`Salaire`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (19,1,839,'2005-09-01 00:00:00','160000.0000','lehose','2005-09-26 16:21:36','lehose','2005-09-26 16:21:36',NULL,NULL);
/*!40000 ALTER TABLE `echellesalarialeechelons` ENABLE KEYS */;


--
-- Table structure for table `p4`.`etapeplumitif`
--

DROP TABLE IF EXISTS `etapeplumitif`;
CREATE TABLE `etapeplumitif` (
  `ID` int(11) NOT NULL auto_increment,
  `Cheminement` varchar(255) NOT NULL,
  `Attribution` varchar(100) NOT NULL,
  `RequiertNombreJours` tinyint(1) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`etapeplumitif`
--

/*!40000 ALTER TABLE `etapeplumitif` DISABLE KEYS */;
INSERT INTO `etapeplumitif` (`ID`,`Cheminement`,`Attribution`,`RequiertNombreJours`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,'Test','Test',1,'lehose','2001-01-01 00:00:00','lehose','2005-09-12 16:39:49',NULL,NULL),
 (2,'Test 1','Test 1',1,'lehose','2005-09-12 16:40:08','lehose','2005-09-12 16:40:08',NULL,NULL),
 (3,'Test 2','Test 2',0,'lehose','2005-09-12 16:40:18','lehose','2005-09-12 16:40:18',NULL,NULL),
 (4,'Test 3','Test 3',0,'lehose','2005-09-12 16:40:26','lehose','2005-09-12 16:40:26',NULL,NULL),
 (5,'Test 4','Test 4',0,'lehose','2005-09-12 16:40:34','lehose','2005-09-20 10:49:13',NULL,NULL),
 (6,'Test 5','Test 5',1,'lehose','2005-09-20 14:55:36','lehose','2005-09-20 14:55:36',NULL,NULL);
/*!40000 ALTER TABLE `etapeplumitif` ENABLE KEYS */;


--
-- Table structure for table `p4`.`evenement`
--

DROP TABLE IF EXISTS `evenement`;
CREATE TABLE `evenement` (
  `ID` int(11) NOT NULL auto_increment,
  `Nom` varchar(100) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`evenement`
--

/*!40000 ALTER TABLE `evenement` DISABLE KEYS */;
/*!40000 ALTER TABLE `evenement` ENABLE KEYS */;


--
-- Table structure for table `p4`.`evenementparticipants`
--

DROP TABLE IF EXISTS `evenementparticipants`;
CREATE TABLE `evenementparticipants` (
  `ID` int(11) NOT NULL auto_increment,
  `EvenementID` int(11) NOT NULL,
  `ClientID` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_evenementparticipants` (`EvenementID`),
  KEY `KEY_clientid` (`ClientID`),
  CONSTRAINT `evenementparticipants_ibfk_1` FOREIGN KEY (`EvenementID`) REFERENCES `evenement` (`ID`),
  CONSTRAINT `evenementparticipants_ibfk_2` FOREIGN KEY (`ClientID`) REFERENCES `relation` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`evenementparticipants`
--

/*!40000 ALTER TABLE `evenementparticipants` DISABLE KEYS */;
/*!40000 ALTER TABLE `evenementparticipants` ENABLE KEYS */;


--
-- Table structure for table `p4`.`instancejudiciaire`
--

DROP TABLE IF EXISTS `instancejudiciaire`;
CREATE TABLE `instancejudiciaire` (
  `ID` int(11) NOT NULL auto_increment,
  `InstanceJudiciaire` int(11) NOT NULL,
  `PresenceDistrictJudiciaire` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_instancejudiciaire` (`InstanceJudiciaire`),
  KEY `KEY_presencedistrictjudiciaire` (`PresenceDistrictJudiciaire`),
  CONSTRAINT `instancejudiciaire_ibfk_1` FOREIGN KEY (`InstanceJudiciaire`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `instancejudiciaire_ibfk_2` FOREIGN KEY (`PresenceDistrictJudiciaire`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`instancejudiciaire`
--

/*!40000 ALTER TABLE `instancejudiciaire` DISABLE KEYS */;
INSERT INTO `instancejudiciaire` (`ID`,`InstanceJudiciaire`,`PresenceDistrictJudiciaire`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (4,230,826,'lehose','2005-09-14 16:03:12','lehose','2005-09-15 09:21:26',NULL,NULL),
 (5,231,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (6,232,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (7,233,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (8,234,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (9,235,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (10,236,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (11,222,827,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:57:12',NULL,NULL),
 (12,237,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (13,238,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (14,239,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL);
INSERT INTO `instancejudiciaire` (`ID`,`InstanceJudiciaire`,`PresenceDistrictJudiciaire`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (15,240,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (16,241,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (17,242,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (18,243,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (19,223,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (20,244,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (21,224,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (22,225,827,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:56:34',NULL,NULL),
 (23,226,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL),
 (24,227,827,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:56:47',NULL,NULL),
 (25,228,828,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:03:12',NULL,NULL);
INSERT INTO `instancejudiciaire` (`ID`,`InstanceJudiciaire`,`PresenceDistrictJudiciaire`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (26,229,827,'lehose','2005-09-14 16:03:12','lehose','2005-09-14 16:56:56',NULL,NULL);
/*!40000 ALTER TABLE `instancejudiciaire` ENABLE KEYS */;


--
-- Table structure for table `p4`.`lienaddresse`
--

DROP TABLE IF EXISTS `lienaddresse`;
CREATE TABLE `lienaddresse` (
  `ID` int(11) NOT NULL auto_increment,
  `AddresseID` int(11) NOT NULL,
  `MembreID` int(11) default NULL,
  `RelationID` int(11) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_addresseid` (`AddresseID`),
  KEY `KEY_membreid` (`MembreID`),
  KEY `KEY_relationid` (`RelationID`),
  CONSTRAINT `lienaddresse_ibfk_1` FOREIGN KEY (`AddresseID`) REFERENCES `adresse` (`ID`),
  CONSTRAINT `lienaddresse_ibfk_2` FOREIGN KEY (`MembreID`) REFERENCES `membre` (`ID`),
  CONSTRAINT `lienaddresse_ibfk_3` FOREIGN KEY (`RelationID`) REFERENCES `relation` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 6144 kB; (`AddresseID`) REFER `p4/adresse`(`ID`';

--
-- Dumping data for table `p4`.`lienaddresse`
--

/*!40000 ALTER TABLE `lienaddresse` DISABLE KEYS */;
/*!40000 ALTER TABLE `lienaddresse` ENABLE KEYS */;


--
-- Table structure for table `p4`.`membre`
--

DROP TABLE IF EXISTS `membre`;
CREATE TABLE `membre` (
  `ID` int(11) NOT NULL auto_increment,
  `Type` int(11) NOT NULL,
  `Prenom` varchar(50) NOT NULL,
  `Nom` varchar(50) NOT NULL,
  `DateEntree` datetime NOT NULL,
  `DateDepart` datetime default NULL,
  `NAS` varchar(9) default NULL,
  `CodeUsager` varchar(10) default NULL,
  `DateNaissance` datetime default NULL,
  `Courriel` varchar(100) default NULL,
  `SuperieurImmediat` int(11) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_type` (`Type`),
  KEY `KEY_superieurimmediat` (`SuperieurImmediat`),
  CONSTRAINT `membre_ibfk_1` FOREIGN KEY (`Type`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `membre_ibfk_2` FOREIGN KEY (`SuperieurImmediat`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`membre`
--

/*!40000 ALTER TABLE `membre` DISABLE KEYS */;
INSERT INTO `membre` (`ID`,`Type`,`Prenom`,`Nom`,`DateEntree`,`DateDepart`,`NAS`,`CodeUsager`,`DateNaissance`,`Courriel`,`SuperieurImmediat`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,735,'Gilles','Legault','2005-09-01 00:00:00','2005-09-23 00:00:00','999999999','leggi','2005-09-14 00:00:00','gilles.legault@admtl.qc.ca',NULL,'lehose','2005-09-01 14:48:29','lehose','2005-09-23 15:00:31',NULL,NULL),
 (2,738,'Emanuelle','Dupont','2005-01-01 00:00:00',NULL,'666666666','dupem','2005-09-06 00:00:00',NULL,1,'lehose','2005-09-06 13:00:40','lehose','2005-09-22 15:54:13',NULL,NULL),
 (3,738,'Stéphane','Tremblay','2005-09-13 00:00:00',NULL,'555555555','trest','1974-01-01 00:00:00',NULL,NULL,'slehoux@xiazur.com','2005-09-13 14:07:33','lehose','2005-09-22 16:25:23',NULL,NULL),
 (4,738,'George','Godfroy','2005-09-20 00:00:00',NULL,NULL,'godge',NULL,NULL,NULL,'lehose','2005-09-20 14:46:45','lehose','2005-09-21 17:23:03',NULL,NULL),
 (5,738,'Michel','Levasseur','2005-01-01 00:00:00',NULL,NULL,NULL,NULL,NULL,NULL,'lehose','2005-09-21 14:48:40','lehose','2005-09-21 14:48:40',NULL,NULL),
 (6,738,'Antoine','Grandpré','2005-01-01 00:00:00',NULL,NULL,NULL,NULL,NULL,NULL,'lehose','2005-09-21 14:49:12','lehose','2005-09-21 14:49:12',NULL,NULL);
INSERT INTO `membre` (`ID`,`Type`,`Prenom`,`Nom`,`DateEntree`,`DateDepart`,`NAS`,`CodeUsager`,`DateNaissance`,`Courriel`,`SuperieurImmediat`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (7,738,'Christiane','Lavallée','2004-01-01 00:00:00',NULL,NULL,NULL,NULL,NULL,NULL,'lehose','2005-09-21 14:49:39','lehose','2005-09-21 14:49:39',NULL,NULL),
 (8,738,'Claudine','Marcoux','2004-01-01 00:00:00',NULL,NULL,NULL,NULL,NULL,NULL,'lehose','2005-09-21 14:49:58','lehose','2005-09-21 14:49:58',NULL,NULL),
 (9,738,'Collin','Lafayette','2003-01-01 00:00:00',NULL,NULL,NULL,NULL,NULL,NULL,'lehose','2005-09-21 14:50:28','lehose','2005-09-21 14:50:28',NULL,NULL),
 (10,738,'Marle','Carrotte','2001-01-01 00:00:00',NULL,NULL,NULL,NULL,NULL,NULL,'lehose','2005-09-21 14:51:05','lehose','2005-09-21 14:51:05',NULL,NULL),
 (11,738,'Jeanine','Sutteau','2000-01-01 00:00:00',NULL,NULL,NULL,NULL,NULL,NULL,'lehose','2005-09-21 14:51:33','lehose','2005-09-21 14:51:33',NULL,NULL),
 (12,738,'Carmen','Ayotte','1987-11-23 00:00:00',NULL,NULL,NULL,NULL,NULL,NULL,'lehose','2005-09-21 15:08:47','lehose','2005-09-21 15:08:53',NULL,NULL);
INSERT INTO `membre` (`ID`,`Type`,`Prenom`,`Nom`,`DateEntree`,`DateDepart`,`NAS`,`CodeUsager`,`DateNaissance`,`Courriel`,`SuperieurImmediat`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (13,738,'Georgio','Godfroy','2005-01-01 00:00:00',NULL,NULL,'godgeo',NULL,NULL,NULL,'lehose','2005-09-21 17:25:16','lehose','2005-09-21 17:27:10',NULL,NULL),
 (14,738,'Georgina','Godfroy','2005-01-01 00:00:00',NULL,NULL,'godgeo1',NULL,NULL,NULL,'lehose','2005-09-21 17:28:10','lehose','2005-09-21 17:28:10',NULL,NULL),
 (15,738,'Éric','Brossard','2005-01-01 00:00:00',NULL,NULL,'broer',NULL,NULL,NULL,'lehose','2005-09-21 17:29:13','lehose','2005-09-21 17:51:49',NULL,NULL),
 (16,738,'Suzelle','Latour','2005-01-01 00:00:00',NULL,'777777777','latsu',NULL,NULL,NULL,'lehose','2005-09-22 16:39:05','lehose','2005-09-22 16:39:05',NULL,NULL),
 (17,737,'Thierry','Laflamme','2001-01-01 00:00:00',NULL,'111111111','lafth',NULL,'thierry.laflamme@cdpdj.qc.ca',NULL,'lehose','2005-09-22 17:05:08','lehose','2005-09-23 15:01:03',NULL,NULL);
/*!40000 ALTER TABLE `membre` ENABLE KEYS */;


--
-- Table structure for table `p4`.`membreabsences`
--

DROP TABLE IF EXISTS `membreabsences`;
CREATE TABLE `membreabsences` (
  `ID` int(11) NOT NULL auto_increment,
  `MembreID` int(11) NOT NULL,
  `DateDebut` datetime NOT NULL,
  `DateRetour` datetime NOT NULL,
  `NbJours` smallint(6) default NULL,
  `NbHeures` double default NULL,
  `RaisonAbsence` int(11) NOT NULL,
  `Pourcentage` double NOT NULL,
  `Montant` decimal(19,4) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_membreabsences` (`MembreID`),
  KEY `KEY_raisonabsence` (`RaisonAbsence`),
  CONSTRAINT `membreabsences_ibfk_1` FOREIGN KEY (`MembreID`) REFERENCES `membre` (`ID`),
  CONSTRAINT `membreabsences_ibfk_2` FOREIGN KEY (`RaisonAbsence`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`membreabsences`
--

/*!40000 ALTER TABLE `membreabsences` DISABLE KEYS */;
/*!40000 ALTER TABLE `membreabsences` ENABLE KEYS */;


--
-- Table structure for table `p4`.`membredepenses`
--

DROP TABLE IF EXISTS `membredepenses`;
CREATE TABLE `membredepenses` (
  `ID` int(11) NOT NULL auto_increment,
  `MembreID` int(11) NOT NULL,
  `Description` int(11) NOT NULL,
  `Montant` decimal(19,4) NOT NULL,
  `DateDepense` datetime NOT NULL,
  `DatePaiement` datetime NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_membredepenses` (`MembreID`),
  KEY `KEY_description` (`Description`),
  CONSTRAINT `membredepenses_ibfk_1` FOREIGN KEY (`MembreID`) REFERENCES `membre` (`ID`),
  CONSTRAINT `membredepenses_ibfk_2` FOREIGN KEY (`Description`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`membredepenses`
--

/*!40000 ALTER TABLE `membredepenses` DISABLE KEYS */;
/*!40000 ALTER TABLE `membredepenses` ENABLE KEYS */;


--
-- Table structure for table `p4`.`membrehoraires`
--

DROP TABLE IF EXISTS `membrehoraires`;
CREATE TABLE `membrehoraires` (
  `ID` int(11) NOT NULL auto_increment,
  `MembreID` int(11) NOT NULL,
  `DateDebut` datetime NOT NULL,
  `LundiAM` double default NULL,
  `LundiPM` double default NULL,
  `MardiAM` double default NULL,
  `MardiPM` double default NULL,
  `MercrediAM` double default NULL,
  `MercrediPM` double default NULL,
  `JeudiAM` double default NULL,
  `JeudiPM` double default NULL,
  `VendrediAM` double default NULL,
  `VendrediPM` double default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_membrehoraires` (`MembreID`),
  CONSTRAINT `membrehoraires_ibfk_1` FOREIGN KEY (`MembreID`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`membrehoraires`
--

/*!40000 ALTER TABLE `membrehoraires` DISABLE KEYS */;
INSERT INTO `membrehoraires` (`ID`,`MembreID`,`DateDebut`,`LundiAM`,`LundiPM`,`MardiAM`,`MardiPM`,`MercrediAM`,`MercrediPM`,`JeudiAM`,`JeudiPM`,`VendrediAM`,`VendrediPM`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,'2005-09-19 00:00:00',3,4,3,4,3,4,3,4,3,NULL,'lehose','2005-09-26 11:26:00','lehose','2005-09-27 14:09:45',NULL,NULL);
/*!40000 ALTER TABLE `membrehoraires` ENABLE KEYS */;


--
-- Table structure for table `p4`.`membreprimesforfaits`
--

DROP TABLE IF EXISTS `membreprimesforfaits`;
CREATE TABLE `membreprimesforfaits` (
  `ID` int(11) NOT NULL auto_increment,
  `MembreID` int(11) NOT NULL,
  `TypePrimeForfait` int(11) NOT NULL,
  `Code` int(11) NOT NULL,
  `DateDebut` datetime NOT NULL,
  `DateFin` datetime NOT NULL,
  `Duree` smallint(6) NOT NULL,
  `PourcentagePrime` double NOT NULL,
  `ForfaitAnnuel` decimal(19,4) NOT NULL,
  `MontantPaye` decimal(19,4) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_membreprimesforfaits` (`MembreID`),
  KEY `KEY_typeprimeforfait` (`TypePrimeForfait`),
  KEY `KEY_code` (`Code`),
  CONSTRAINT `membreprimesforfaits_ibfk_1` FOREIGN KEY (`MembreID`) REFERENCES `membre` (`ID`),
  CONSTRAINT `membreprimesforfaits_ibfk_2` FOREIGN KEY (`TypePrimeForfait`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `membreprimesforfaits_ibfk_3` FOREIGN KEY (`Code`) REFERENCES `primeforfait` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`membreprimesforfaits`
--

/*!40000 ALTER TABLE `membreprimesforfaits` DISABLE KEYS */;
/*!40000 ALTER TABLE `membreprimesforfaits` ENABLE KEYS */;


--
-- Table structure for table `p4`.`membreprofilemploi`
--

DROP TABLE IF EXISTS `membreprofilemploi`;
CREATE TABLE `membreprofilemploi` (
  `ID` int(11) NOT NULL auto_increment,
  `MembreID` int(11) NOT NULL,
  `CentreResponsabilite` int(11) NOT NULL,
  `DateCentreResponsabilite` datetime NOT NULL,
  `CorpsEmploi` int(11) NOT NULL,
  `Echelle` int(11) NOT NULL,
  `Echelon` int(11) NOT NULL,
  `StatutEmploi` int(11) NOT NULL,
  `StatutHoraire` int(11) NOT NULL,
  `DateEffective` datetime NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_membreprofilemploi` (`MembreID`),
  KEY `KEY_centreresponsabilite` (`CentreResponsabilite`),
  KEY `KEY_statutemploi` (`StatutEmploi`),
  KEY `KEY_statuthoraire` (`StatutHoraire`),
  KEY `KEY_corpsemploi` (`CorpsEmploi`),
  KEY `KEY_echelle` (`Echelle`),
  CONSTRAINT `membreprofilemploi_ibfk_1` FOREIGN KEY (`MembreID`) REFERENCES `membre` (`ID`),
  CONSTRAINT `membreprofilemploi_ibfk_2` FOREIGN KEY (`CentreResponsabilite`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `membreprofilemploi_ibfk_3` FOREIGN KEY (`StatutEmploi`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `membreprofilemploi_ibfk_4` FOREIGN KEY (`StatutHoraire`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `membreprofilemploi_ibfk_5` FOREIGN KEY (`CorpsEmploi`) REFERENCES `corpsemploi` (`ID`),
  CONSTRAINT `membreprofilemploi_ibfk_6` FOREIGN KEY (`Echelle`) REFERENCES `echellesalariale` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`membreprofilemploi`
--

/*!40000 ALTER TABLE `membreprofilemploi` DISABLE KEYS */;
INSERT INTO `membreprofilemploi` (`ID`,`MembreID`,`CentreResponsabilite`,`DateCentreResponsabilite`,`CorpsEmploi`,`Echelle`,`Echelon`,`StatutEmploi`,`StatutHoraire`,`DateEffective`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,63,'2005-10-28 00:00:00',1,1,3,495,498,'2005-10-28 00:00:00','lehose','2005-09-27 16:42:18','lehose','2005-09-27 18:05:10',NULL,NULL);
/*!40000 ALTER TABLE `membreprofilemploi` ENABLE KEYS */;


--
-- Table structure for table `p4`.`membretempssupplementaire`
--

DROP TABLE IF EXISTS `membretempssupplementaire`;
CREATE TABLE `membretempssupplementaire` (
  `ID` int(11) NOT NULL auto_increment,
  `MembreID` int(11) NOT NULL,
  `NoCategorie` int(11) NOT NULL,
  `Facteur` float NOT NULL,
  `DateDebut` datetime NOT NULL,
  `DateFin` datetime NOT NULL,
  `Duree` smallint(6) NOT NULL,
  `MontantPaye` decimal(19,4) NOT NULL,
  `DatePaiement` datetime NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_membretempssupplementaire` (`MembreID`),
  KEY `KEY_nocategorie` (`NoCategorie`),
  CONSTRAINT `membretempssupplementaire_ibfk_1` FOREIGN KEY (`MembreID`) REFERENCES `membre` (`ID`),
  CONSTRAINT `membretempssupplementaire_ibfk_2` FOREIGN KEY (`NoCategorie`) REFERENCES `categorieemploi` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`membretempssupplementaire`
--

/*!40000 ALTER TABLE `membretempssupplementaire` DISABLE KEYS */;
/*!40000 ALTER TABLE `membretempssupplementaire` ENABLE KEYS */;


--
-- Table structure for table `p4`.`membretraitementdiffere`
--

DROP TABLE IF EXISTS `membretraitementdiffere`;
CREATE TABLE `membretraitementdiffere` (
  `ID` int(11) NOT NULL auto_increment,
  `MembreID` int(11) NOT NULL,
  `DateDebutParticipation` datetime NOT NULL,
  `DateFinParticipationPrevue` datetime NOT NULL,
  `DureeParticipation` smallint(6) NOT NULL,
  `DateDebutConge` datetime NOT NULL,
  `DateFinCongePrevue` datetime NOT NULL,
  `DureeConge` smallint(6) NOT NULL,
  `Pourcentage` double NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_membretraitementdiffere` (`MembreID`),
  CONSTRAINT `membretraitementdiffere_ibfk_1` FOREIGN KEY (`MembreID`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`membretraitementdiffere`
--

/*!40000 ALTER TABLE `membretraitementdiffere` DISABLE KEYS */;
/*!40000 ALTER TABLE `membretraitementdiffere` ENABLE KEYS */;


--
-- Table structure for table `p4`.`note`
--

DROP TABLE IF EXISTS `note`;
CREATE TABLE `note` (
  `ID` int(11) NOT NULL auto_increment,
  `DemandeID` int(11) NOT NULL,
  `PlainteID` int(11) NOT NULL,
  `Description` text NOT NULL,
  `Date` datetime NOT NULL,
  `SaisiPar` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_demandeid` (`DemandeID`),
  KEY `KEY_plainteid` (`PlainteID`),
  KEY `KEY_saisipar` (`SaisiPar`),
  CONSTRAINT `note_ibfk_1` FOREIGN KEY (`DemandeID`) REFERENCES `demande` (`ID`),
  CONSTRAINT `note_ibfk_2` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`),
  CONSTRAINT `note_ibfk_3` FOREIGN KEY (`SaisiPar`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`note`
--

/*!40000 ALTER TABLE `note` DISABLE KEYS */;
/*!40000 ALTER TABLE `note` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plainte`
--

DROP TABLE IF EXISTS `plainte`;
CREATE TABLE `plainte` (
  `ID` int(11) NOT NULL auto_increment,
  `AncienID` varchar(20) default NULL,
  `TypeDroit` int(11) NOT NULL,
  `LoiJeunesse` int(11) default NULL,
  `PlaignantID` int(11) default NULL,
  `STATUT` int(11) NOT NULL,
  `BUREAU` int(11) NOT NULL,
  `RegionAdministrativeMODIFIER` int(11) NOT NULL,
  `Secteur` int(11) default NULL,
  `Archivex` varchar(10) default NULL,
  `NB_Archive` varchar(8) default NULL,
  `ArchivageVersement` int(11) default NULL,
  `DateArchivage` datetime default NULL,
  `Thematique` varchar(100) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_typedroit` (`TypeDroit`),
  KEY `KEY_loijeunesse` (`LoiJeunesse`),
  KEY `KEY_bureau` (`BUREAU`),
  KEY `KEY_regionadministrativemodifier` (`RegionAdministrativeMODIFIER`),
  KEY `KEY_secteur` (`Secteur`),
  KEY `KEY_archivageversement` (`ArchivageVersement`),
  KEY `KEY_plaignantid` (`PlaignantID`),
  KEY `KEY_statut` (`STATUT`),
  CONSTRAINT `plainte_ibfk_1` FOREIGN KEY (`TypeDroit`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainte_ibfk_2` FOREIGN KEY (`LoiJeunesse`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainte_ibfk_3` FOREIGN KEY (`BUREAU`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainte_ibfk_4` FOREIGN KEY (`RegionAdministrativeMODIFIER`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainte_ibfk_5` FOREIGN KEY (`Secteur`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainte_ibfk_6` FOREIGN KEY (`ArchivageVersement`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainte_ibfk_7` FOREIGN KEY (`PlaignantID`) REFERENCES `relation` (`ID`),
  CONSTRAINT `plainte_ibfk_8` FOREIGN KEY (`STATUT`) REFERENCES `statut` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plainte`
--

/*!40000 ALTER TABLE `plainte` DISABLE KEYS */;
/*!40000 ALTER TABLE `plainte` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plainteassignationsrecherche`
--

DROP TABLE IF EXISTS `plainteassignationsrecherche`;
CREATE TABLE `plainteassignationsrecherche` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `TypeAssignation` int(11) NOT NULL,
  `ENQUETEUR` int(11) NOT NULL,
  `DATE_ASS` datetime NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plainteassignationsrecherche` (`PlainteID`),
  KEY `KEY_typeassignation` (`TypeAssignation`),
  KEY `KEY_enqueteur` (`ENQUETEUR`),
  CONSTRAINT `plainteassignationsrecherche_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`),
  CONSTRAINT `plainteassignationsrecherche_ibfk_2` FOREIGN KEY (`TypeAssignation`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainteassignationsrecherche_ibfk_3` FOREIGN KEY (`ENQUETEUR`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plainteassignationsrecherche`
--

/*!40000 ALTER TABLE `plainteassignationsrecherche` DISABLE KEYS */;
/*!40000 ALTER TABLE `plainteassignationsrecherche` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plainteavis`
--

DROP TABLE IF EXISTS `plainteavis`;
CREATE TABLE `plainteavis` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `AVOCAT` int(11) NOT NULL,
  `ENVOI` datetime NOT NULL,
  `RETOUR` datetime NOT NULL,
  `DIRECTION` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plainteavis` (`PlainteID`),
  KEY `KEY_direction` (`DIRECTION`),
  KEY `KEY_avocat` (`AVOCAT`),
  CONSTRAINT `plainteavis_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`),
  CONSTRAINT `plainteavis_ibfk_2` FOREIGN KEY (`DIRECTION`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainteavis_ibfk_3` FOREIGN KEY (`AVOCAT`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plainteavis`
--

/*!40000 ALTER TABLE `plainteavis` DISABLE KEYS */;
/*!40000 ALTER TABLE `plainteavis` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plaintecheminement`
--

DROP TABLE IF EXISTS `plaintecheminement`;
CREATE TABLE `plaintecheminement` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `CheminementID` int(11) NOT NULL,
  `StatutInitial` int(11) NOT NULL,
  `StatutFinal` int(11) NOT NULL,
  `Description` varchar(200) NOT NULL,
  `Commentaires` varchar(200) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plaintecheminement` (`PlainteID`),
  KEY `KEY_cheminementid` (`CheminementID`),
  KEY `KEY_statutinitial` (`StatutInitial`),
  KEY `KEY_statutfinal` (`StatutFinal`),
  CONSTRAINT `plaintecheminement_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`),
  CONSTRAINT `plaintecheminement_ibfk_2` FOREIGN KEY (`CheminementID`) REFERENCES `cheminement2` (`ID`),
  CONSTRAINT `plaintecheminement_ibfk_3` FOREIGN KEY (`StatutInitial`) REFERENCES `statut` (`ID`),
  CONSTRAINT `plaintecheminement_ibfk_4` FOREIGN KEY (`StatutFinal`) REFERENCES `statut` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plaintecheminement`
--

/*!40000 ALTER TABLE `plaintecheminement` DISABLE KEYS */;
/*!40000 ALTER TABLE `plaintecheminement` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plaintedecisions`
--

DROP TABLE IF EXISTS `plaintedecisions`;
CREATE TABLE `plaintedecisions` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `Depot_Dir` datetime default NULL,
  `Enqueteur` int(11) default NULL,
  `No_CP` varchar(6) default NULL,
  `Date_CP` datetime default NULL,
  `No_PRE` varchar(6) default NULL,
  `Date_PRE` datetime default NULL,
  `Acte` text,
  `MontantReglement` decimal(19,4) NOT NULL,
  `ReglementConfidentiel` tinyint(1) NOT NULL,
  `Date_Regle` datetime default NULL,
  `MotifFermeture` int(11) default NULL,
  `Detail_fer` int(11) default NULL,
  `Datail_78` int(11) default NULL,
  `DateFermeture` datetime NOT NULL,
  `RaisonDesistement` int(11) default NULL,
  `RaisonDesistementDetaile` text NOT NULL,
  `Date_desis` datetime default NULL,
  `Resolution` text,
  `RedigePar` int(11) default NULL,
  `Sommaire` text,
  `Retire` int(11) default NULL,
  `EtapeEtudeDossier` int(11) default NULL,
  `MotifReport` int(11) default NULL,
  `DateRetourCE` datetime default NULL,
  `DateEnvoiDecision` datetime default NULL,
  `No_Com` varchar(12) default NULL,
  `Date_COM` datetime default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plaintedecisions` (`PlainteID`),
  KEY `KEY_motiffermeture` (`MotifFermeture`),
  KEY `KEY_detail_fer` (`Detail_fer`),
  KEY `KEY_datail_78` (`Datail_78`),
  KEY `KEY_raisondesistement` (`RaisonDesistement`),
  KEY `KEY_retire` (`Retire`),
  KEY `KEY_etapeetudedossier` (`EtapeEtudeDossier`),
  KEY `KEY_motifreport` (`MotifReport`),
  KEY `KEY_enqueteur` (`Enqueteur`),
  KEY `KEY_redigepar` (`RedigePar`),
  CONSTRAINT `plaintedecisions_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`),
  CONSTRAINT `plaintedecisions_ibfk_10` FOREIGN KEY (`RedigePar`) REFERENCES `membre` (`ID`),
  CONSTRAINT `plaintedecisions_ibfk_2` FOREIGN KEY (`MotifFermeture`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plaintedecisions_ibfk_3` FOREIGN KEY (`Detail_fer`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plaintedecisions_ibfk_4` FOREIGN KEY (`Datail_78`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plaintedecisions_ibfk_5` FOREIGN KEY (`RaisonDesistement`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plaintedecisions_ibfk_6` FOREIGN KEY (`Retire`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plaintedecisions_ibfk_7` FOREIGN KEY (`EtapeEtudeDossier`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plaintedecisions_ibfk_8` FOREIGN KEY (`MotifReport`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plaintedecisions_ibfk_9` FOREIGN KEY (`Enqueteur`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plaintedecisions`
--

/*!40000 ALTER TABLE `plaintedecisions` DISABLE KEYS */;
/*!40000 ALTER TABLE `plaintedecisions` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plaintedescripteurs`
--

DROP TABLE IF EXISTS `plaintedescripteurs`;
CREATE TABLE `plaintedescripteurs` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `TypeDescripteur` int(11) NOT NULL,
  `Descripteur` int(11) NOT NULL,
  `EstPrincipal` tinyint(1) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plaintedescripteurs` (`PlainteID`),
  KEY `KEY_typedescripteur` (`TypeDescripteur`),
  KEY `KEY_descripteur` (`Descripteur`),
  CONSTRAINT `plaintedescripteurs_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`),
  CONSTRAINT `plaintedescripteurs_ibfk_2` FOREIGN KEY (`TypeDescripteur`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plaintedescripteurs_ibfk_3` FOREIGN KEY (`Descripteur`) REFERENCES `descripteur` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plaintedescripteurs`
--

/*!40000 ALTER TABLE `plaintedescripteurs` DISABLE KEYS */;
/*!40000 ALTER TABLE `plaintedescripteurs` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plaintedocumentsreference`
--

DROP TABLE IF EXISTS `plaintedocumentsreference`;
CREATE TABLE `plaintedocumentsreference` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `DocumentReference` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plaintedocumentsreference` (`PlainteID`),
  KEY `KEY_documentreference` (`DocumentReference`),
  CONSTRAINT `plaintedocumentsreference_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`),
  CONSTRAINT `plaintedocumentsreference_ibfk_2` FOREIGN KEY (`DocumentReference`) REFERENCES `document` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plaintedocumentsreference`
--

/*!40000 ALTER TABLE `plaintedocumentsreference` DISABLE KEYS */;
/*!40000 ALTER TABLE `plaintedocumentsreference` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plaintedocumentsspecifiques`
--

DROP TABLE IF EXISTS `plaintedocumentsspecifiques`;
CREATE TABLE `plaintedocumentsspecifiques` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `DocumentSpecifique` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plaintedocumentsspecifiques` (`PlainteID`),
  KEY `KEY_documentspecifique` (`DocumentSpecifique`),
  CONSTRAINT `plaintedocumentsspecifiques_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`),
  CONSTRAINT `plaintedocumentsspecifiques_ibfk_2` FOREIGN KEY (`DocumentSpecifique`) REFERENCES `document` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plaintedocumentsspecifiques`
--

/*!40000 ALTER TABLE `plaintedocumentsspecifiques` DISABLE KEYS */;
/*!40000 ALTER TABLE `plaintedocumentsspecifiques` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plainteenquete`
--

DROP TABLE IF EXISTS `plainteenquete`;
CREATE TABLE `plainteenquete` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `Enqueteur` int(11) NOT NULL,
  `DateAssignation` datetime NOT NULL,
  `AutreEnqueteur` int(11) default NULL,
  `DateRapport` datetime default NULL,
  `DateAvisEnquete` datetime default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plainteenquete` (`PlainteID`),
  KEY `KEY_enqueteur` (`Enqueteur`),
  KEY `KEY_autreenqueteur` (`AutreEnqueteur`),
  CONSTRAINT `plainteenquete_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`),
  CONSTRAINT `plainteenquete_ibfk_2` FOREIGN KEY (`Enqueteur`) REFERENCES `membre` (`ID`),
  CONSTRAINT `plainteenquete_ibfk_3` FOREIGN KEY (`AutreEnqueteur`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plainteenquete`
--

/*!40000 ALTER TABLE `plainteenquete` DISABLE KEYS */;
/*!40000 ALTER TABLE `plainteenquete` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plaintemediation`
--

DROP TABLE IF EXISTS `plaintemediation`;
CREATE TABLE `plaintemediation` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plaintemediation` (`PlainteID`),
  CONSTRAINT `plaintemediation_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plaintemediation`
--

/*!40000 ALTER TABLE `plaintemediation` DISABLE KEYS */;
/*!40000 ALTER TABLE `plaintemediation` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plaintemesures`
--

DROP TABLE IF EXISTS `plaintemesures`;
CREATE TABLE `plaintemesures` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `NumeroCPS` varchar(6) NOT NULL,
  `DateCPS` datetime NOT NULL,
  `DateRevision` datetime NOT NULL,
  `DECISION` tinyint(1) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plaintemesures` (`PlainteID`),
  CONSTRAINT `plaintemesures_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plaintemesures`
--

/*!40000 ALTER TABLE `plaintemesures` DISABLE KEYS */;
/*!40000 ALTER TABLE `plaintemesures` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plainteparties`
--

DROP TABLE IF EXISTS `plainteparties`;
CREATE TABLE `plainteparties` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `TypePartie` int(11) NOT NULL,
  `PartieID` int(11) NOT NULL,
  `TitreMandataire` varchar(40) default NULL,
  `TypeRole` int(11) default NULL,
  `AdresseID` int(11) default NULL,
  `Adresse` varchar(60) default NULL,
  `Ville` varchar(40) default NULL,
  `Province` varchar(20) default NULL,
  `CodePostal` varchar(6) default NULL,
  `Pays` varchar(50) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plainteparties` (`PlainteID`),
  KEY `KEY_typepartie` (`TypePartie`),
  KEY `KEY_typerole` (`TypeRole`),
  KEY `KEY_partieid` (`PartieID`),
  KEY `KEY_adresseid` (`AdresseID`),
  CONSTRAINT `plainteparties_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`),
  CONSTRAINT `plainteparties_ibfk_2` FOREIGN KEY (`TypePartie`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainteparties_ibfk_3` FOREIGN KEY (`TypeRole`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainteparties_ibfk_4` FOREIGN KEY (`PartieID`) REFERENCES `relation` (`ID`),
  CONSTRAINT `plainteparties_ibfk_5` FOREIGN KEY (`AdresseID`) REFERENCES `adresse` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plainteparties`
--

/*!40000 ALTER TABLE `plainteparties` DISABLE KEYS */;
/*!40000 ALTER TABLE `plainteparties` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plaintepiecesjointes`
--

DROP TABLE IF EXISTS `plaintepiecesjointes`;
CREATE TABLE `plaintepiecesjointes` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `MyNewAttribute` varchar(25) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plaintepiecesjointes` (`PlainteID`),
  CONSTRAINT `plaintepiecesjointes_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plaintepiecesjointes`
--

/*!40000 ALTER TABLE `plaintepiecesjointes` DISABLE KEYS */;
/*!40000 ALTER TABLE `plaintepiecesjointes` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plainterecevabilite`
--

DROP TABLE IF EXISTS `plainterecevabilite`;
CREATE TABLE `plainterecevabilite` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `Technicien` int(11) NOT NULL,
  `DateAssignation` datetime NOT NULL,
  `Evenement` datetime default NULL,
  `Recommandation` int(11) default NULL,
  `Justification` text,
  `Envoi_ques` datetime default NULL,
  `Expiration` datetime default NULL,
  `Retour_que` datetime default NULL,
  `Non_ouvert` int(11) default NULL,
  `Date_non_o` datetime default NULL,
  `DecisionPar` int(11) default NULL,
  `Decision` int(11) default NULL,
  `NaturePlainte` text,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_plainterecevabilite` (`PlainteID`),
  KEY `KEY_recommandation` (`Recommandation`),
  KEY `KEY_non_ouvert` (`Non_ouvert`),
  KEY `KEY_decision` (`Decision`),
  KEY `KEY_technicien` (`Technicien`),
  KEY `KEY_decisionpar` (`DecisionPar`),
  CONSTRAINT `plainterecevabilite_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`),
  CONSTRAINT `plainterecevabilite_ibfk_2` FOREIGN KEY (`Recommandation`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainterecevabilite_ibfk_3` FOREIGN KEY (`Non_ouvert`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainterecevabilite_ibfk_4` FOREIGN KEY (`Decision`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `plainterecevabilite_ibfk_5` FOREIGN KEY (`Technicien`) REFERENCES `relation` (`ID`),
  CONSTRAINT `plainterecevabilite_ibfk_6` FOREIGN KEY (`DecisionPar`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plainterecevabilite`
--

/*!40000 ALTER TABLE `plainterecevabilite` DISABLE KEYS */;
/*!40000 ALTER TABLE `plainterecevabilite` ENABLE KEYS */;


--
-- Table structure for table `p4`.`plumitifautrepartie`
--

DROP TABLE IF EXISTS `plumitifautrepartie`;
CREATE TABLE `plumitifautrepartie` (
  `ID` int(11) NOT NULL auto_increment,
  `AutrePartieID` varchar(25) NOT NULL,
  `Nom` varchar(50) default NULL,
  `Prenom` varchar(50) NOT NULL,
  `NomOrganisation` varchar(100) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`plumitifautrepartie`
--

/*!40000 ALTER TABLE `plumitifautrepartie` DISABLE KEYS */;
/*!40000 ALTER TABLE `plumitifautrepartie` ENABLE KEYS */;


--
-- Table structure for table `p4`.`presentationstatutaire`
--

DROP TABLE IF EXISTS `presentationstatutaire`;
CREATE TABLE `presentationstatutaire` (
  `ID` int(11) NOT NULL auto_increment,
  `NumeroSeance` varchar(25) NOT NULL,
  `DateSeance` datetime NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`presentationstatutaire`
--

/*!40000 ALTER TABLE `presentationstatutaire` DISABLE KEYS */;
/*!40000 ALTER TABLE `presentationstatutaire` ENABLE KEYS */;


--
-- Table structure for table `p4`.`presentationstatutairedossiers`
--

DROP TABLE IF EXISTS `presentationstatutairedossiers`;
CREATE TABLE `presentationstatutairedossiers` (
  `ID` int(11) NOT NULL auto_increment,
  `PresentationStatutaireID` int(11) NOT NULL,
  `DossierID` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_presentationstatutairedossiers` (`PresentationStatutaireID`),
  KEY `KEY_dossierid` (`DossierID`),
  CONSTRAINT `presentationstatutairedossiers_ibfk_1` FOREIGN KEY (`PresentationStatutaireID`) REFERENCES `presentationstatutaire` (`ID`),
  CONSTRAINT `presentationstatutairedossiers_ibfk_2` FOREIGN KEY (`DossierID`) REFERENCES `dossier` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`presentationstatutairedossiers`
--

/*!40000 ALTER TABLE `presentationstatutairedossiers` DISABLE KEYS */;
/*!40000 ALTER TABLE `presentationstatutairedossiers` ENABLE KEYS */;


--
-- Table structure for table `p4`.`primeforfait`
--

DROP TABLE IF EXISTS `primeforfait`;
CREATE TABLE `primeforfait` (
  `ID` int(11) NOT NULL auto_increment,
  `TypePrimeForfait` int(11) NOT NULL,
  `Code` varchar(25) NOT NULL,
  `Description` varchar(100) NOT NULL,
  `PourcentagePrime` double NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_typeprimeforfait` (`TypePrimeForfait`),
  CONSTRAINT `primeforfait_ibfk_1` FOREIGN KEY (`TypePrimeForfait`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`primeforfait`
--

/*!40000 ALTER TABLE `primeforfait` DISABLE KEYS */;
/*!40000 ALTER TABLE `primeforfait` ENABLE KEYS */;


--
-- Table structure for table `p4`.`promotion`
--

DROP TABLE IF EXISTS `promotion`;
CREATE TABLE `promotion` (
  `ID` int(11) NOT NULL auto_increment,
  `MyNewAttribute` varchar(25) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`promotion`
--

/*!40000 ALTER TABLE `promotion` DISABLE KEYS */;
/*!40000 ALTER TABLE `promotion` ENABLE KEYS */;


--
-- Table structure for table `p4`.`regionadministrative`
--

DROP TABLE IF EXISTS `regionadministrative`;
CREATE TABLE `regionadministrative` (
  `ID` int(11) NOT NULL auto_increment,
  `RegionAdministrativeID` int(11) NOT NULL,
  `BureauID` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_regionadministrativeid` (`RegionAdministrativeID`),
  KEY `KEY_bureauid` (`BureauID`),
  CONSTRAINT `regionadministrative_ibfk_1` FOREIGN KEY (`RegionAdministrativeID`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `regionadministrative_ibfk_2` FOREIGN KEY (`BureauID`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`regionadministrative`
--

/*!40000 ALTER TABLE `regionadministrative` DISABLE KEYS */;
/*!40000 ALTER TABLE `regionadministrative` ENABLE KEYS */;


--
-- Table structure for table `p4`.`relation`
--

DROP TABLE IF EXISTS `relation`;
CREATE TABLE `relation` (
  `ID` int(11) NOT NULL auto_increment,
  `Type` int(11) NOT NULL,
  `Statut` int(11) NOT NULL,
  `LangueCommunication` int(11) NOT NULL,
  `Secteur` int(11) NOT NULL,
  `TypeOrganisation` int(11) NOT NULL,
  `NomOrganisation` varchar(60) default NULL,
  `Sigle` varchar(25) default NULL,
  `CategorieOrganisation` int(11) default NULL,
  `TitreCivilite` int(11) default NULL,
  `TitreHonorifique` int(11) default NULL,
  `Prenom` varchar(50) default NULL,
  `Nom` varchar(50) default NULL,
  `OrganisationReliee` int(11) default NULL,
  `EstRepresentantPrincipal` tinyint(1) NOT NULL,
  `Genre` int(11) default NULL,
  `DateDeNaissance` datetime default NULL,
  `Fonction` varchar(100) default NULL,
  `Departement` varchar(100) default NULL,
  `Courriel` varchar(100) default NULL,
  `SiteWeb` varchar(100) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_type` (`Type`),
  KEY `KEY_statut` (`Statut`),
  KEY `KEY_languecommunication` (`LangueCommunication`),
  KEY `KEY_secteur` (`Secteur`),
  KEY `KEY_typeorganisation` (`TypeOrganisation`),
  KEY `KEY_categorieorganisation` (`CategorieOrganisation`),
  KEY `KEY_titrecivilite` (`TitreCivilite`),
  KEY `KEY_titrehonorifique` (`TitreHonorifique`),
  KEY `KEY_genre` (`Genre`),
  CONSTRAINT `relation_ibfk_1` FOREIGN KEY (`Type`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `relation_ibfk_2` FOREIGN KEY (`Statut`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `relation_ibfk_3` FOREIGN KEY (`LangueCommunication`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `relation_ibfk_4` FOREIGN KEY (`Secteur`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `relation_ibfk_5` FOREIGN KEY (`TypeOrganisation`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `relation_ibfk_6` FOREIGN KEY (`CategorieOrganisation`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `relation_ibfk_7` FOREIGN KEY (`TitreCivilite`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `relation_ibfk_8` FOREIGN KEY (`TitreHonorifique`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `relation_ibfk_9` FOREIGN KEY (`Genre`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`relation`
--

/*!40000 ALTER TABLE `relation` DISABLE KEYS */;
INSERT INTO `relation` (`ID`,`Type`,`Statut`,`LangueCommunication`,`Secteur`,`TypeOrganisation`,`NomOrganisation`,`Sigle`,`CategorieOrganisation`,`TitreCivilite`,`TitreHonorifique`,`Prenom`,`Nom`,`OrganisationReliee`,`EstRepresentantPrincipal`,`Genre`,`DateDeNaissance`,`Fonction`,`Departement`,`Courriel`,`SiteWeb`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,795,512,245,476,739,'Test','T',59,622,NULL,'Caroline','Lachance',344,1,221,'2005-09-14 00:00:00','Test','Test','Test','Test','lehose','2005-09-01 14:47:40','slehoux@xiazur.com','2005-09-12 09:37:47',NULL,NULL),
 (2,795,512,248,473,741,NULL,NULL,59,625,660,'Suzelle','Trottier',NULL,1,221,'1947-09-08 00:00:00','Juge en Chef',NULL,NULL,NULL,'lehose','2005-09-08 11:20:06','lehose','2005-09-08 11:20:06',NULL,NULL),
 (3,796,512,245,477,740,'OCDP','OCDP',NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'lehose','2005-09-08 15:46:19','lehose','2005-09-08 15:46:19',NULL,NULL),
 (4,796,512,245,471,825,'Sante Plus',NULL,61,NULL,NULL,NULL,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'slehoux@xiazur.com','2005-09-14 09:12:17','lehose','2005-09-14 09:26:44',NULL,NULL),
 (5,795,512,245,477,739,'Forkingto',NULL,NULL,NULL,NULL,'Charlotte','Ginsbourg',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'lehose','2005-09-20 14:47:33','lehose','2005-09-20 14:47:33',NULL,NULL);
/*!40000 ALTER TABLE `relation` ENABLE KEYS */;


--
-- Table structure for table `p4`.`relationclienteles`
--

DROP TABLE IF EXISTS `relationclienteles`;
CREATE TABLE `relationclienteles` (
  `ID` int(11) NOT NULL auto_increment,
  `RelationID` int(11) NOT NULL,
  `Clientele` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_relationclienteles` (`RelationID`),
  KEY `KEY_clientele` (`Clientele`),
  CONSTRAINT `relationclienteles_ibfk_1` FOREIGN KEY (`RelationID`) REFERENCES `relation` (`ID`),
  CONSTRAINT `relationclienteles_ibfk_2` FOREIGN KEY (`Clientele`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`relationclienteles`
--

/*!40000 ALTER TABLE `relationclienteles` DISABLE KEYS */;
INSERT INTO `relationclienteles` (`ID`,`RelationID`,`Clientele`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,5,84,'CDPDJ-7UN1LE65X\\lehose','2005-08-11 13:19:27','CDPDJ-7UN1LE65X\\lehose','2005-08-11 13:19:27',NULL,NULL);
/*!40000 ALTER TABLE `relationclienteles` ENABLE KEYS */;


--
-- Table structure for table `p4`.`relationclientsarisque`
--

DROP TABLE IF EXISTS `relationclientsarisque`;
CREATE TABLE `relationclientsarisque` (
  `ID` int(11) NOT NULL auto_increment,
  `RelationID` int(11) NOT NULL,
  `Evenement` text NOT NULL,
  `DateEvenement` datetime NOT NULL,
  `Lieux` int(11) NOT NULL,
  `Rapports` varchar(100) NOT NULL,
  `ActionsPosesSuiteEvenement` text,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_relationclientsarisque` (`RelationID`),
  KEY `KEY_lieux` (`Lieux`),
  CONSTRAINT `relationclientsarisque_ibfk_1` FOREIGN KEY (`RelationID`) REFERENCES `relation` (`ID`),
  CONSTRAINT `relationclientsarisque_ibfk_2` FOREIGN KEY (`Lieux`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`relationclientsarisque`
--

/*!40000 ALTER TABLE `relationclientsarisque` DISABLE KEYS */;
INSERT INTO `relationclientsarisque` (`ID`,`RelationID`,`Evenement`,`DateEvenement`,`Lieux`,`Rapports`,`ActionsPosesSuiteEvenement`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,'test 1','2005-08-11 13:36:01',250,'test 1','test 1','CDPDJ-7UN1LE65X\\lehose','2005-08-11 13:36:08','CDPDJ-7UN1LE65X\\lehose','2005-08-11 13:36:27','CDPDJ-7UN1LE65X\\lehose','2005-08-11 13:36:48'),
 (2,1,'test 2','2005-08-11 13:36:11',250,'test 2','test 2','CDPDJ-7UN1LE65X\\lehose','2005-08-11 13:36:15','lehose','2005-09-06 14:42:30',NULL,NULL);
/*!40000 ALTER TABLE `relationclientsarisque` ENABLE KEYS */;


--
-- Table structure for table `p4`.`relationrepresentants`
--

DROP TABLE IF EXISTS `relationrepresentants`;
CREATE TABLE `relationrepresentants` (
  `ID` int(11) NOT NULL auto_increment,
  `RelationID` int(11) NOT NULL,
  `Representant` int(11) NOT NULL,
  `Prenom` varchar(50) default NULL,
  `Nom` varchar(50) default NULL,
  `EstRepresentantPrincipal` tinyint(1) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_relationrepresentants` (`RelationID`),
  KEY `KEY_representant` (`Representant`),
  CONSTRAINT `relationrepresentants_ibfk_1` FOREIGN KEY (`RelationID`) REFERENCES `relation` (`ID`),
  CONSTRAINT `relationrepresentants_ibfk_2` FOREIGN KEY (`Representant`) REFERENCES `relation` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`relationrepresentants`
--

/*!40000 ALTER TABLE `relationrepresentants` DISABLE KEYS */;
INSERT INTO `relationrepresentants` (`ID`,`RelationID`,`Representant`,`Prenom`,`Nom`,`EstRepresentantPrincipal`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,1,'test','test',1,'CDPDJ-7UN1LE65X\\lehose','2005-08-11 14:21:21','CDPDJ-7UN1LE65X\\lehose','2005-08-11 14:21:24',NULL,NULL);
/*!40000 ALTER TABLE `relationrepresentants` ENABLE KEYS */;


--
-- Table structure for table `p4`.`revuepresse`
--

DROP TABLE IF EXISTS `revuepresse`;
CREATE TABLE `revuepresse` (
  `ID` int(11) NOT NULL auto_increment,
  `Edition` varchar(100) NOT NULL,
  `FichierSource` varchar(100) default NULL,
  `Note` text,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`revuepresse`
--

/*!40000 ALTER TABLE `revuepresse` DISABLE KEYS */;
/*!40000 ALTER TABLE `revuepresse` ENABLE KEYS */;


--
-- Table structure for table `p4`.`secteur`
--

DROP TABLE IF EXISTS `secteur`;
CREATE TABLE `secteur` (
  `ID` int(11) NOT NULL auto_increment,
  `Secteur` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_secteur` (`Secteur`),
  CONSTRAINT `secteur_ibfk_1` FOREIGN KEY (`Secteur`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`secteur`
--

/*!40000 ALTER TABLE `secteur` DISABLE KEYS */;
INSERT INTO `secteur` (`ID`,`Secteur`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,476,'lehose','2005-09-20 16:59:06','lehose','2005-09-20 16:59:06',NULL,NULL);
/*!40000 ALTER TABLE `secteur` ENABLE KEYS */;


--
-- Table structure for table `p4`.`secteurtypesorganisation`
--

DROP TABLE IF EXISTS `secteurtypesorganisation`;
CREATE TABLE `secteurtypesorganisation` (
  `ID` int(11) NOT NULL auto_increment,
  `SecteurID` int(11) NOT NULL,
  `TypeOrganisation` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_secteurtypesorganisation` (`SecteurID`),
  KEY `KEY_typeorganisation` (`TypeOrganisation`),
  CONSTRAINT `secteurtypesorganisation_ibfk_1` FOREIGN KEY (`SecteurID`) REFERENCES `secteur` (`ID`),
  CONSTRAINT `secteurtypesorganisation_ibfk_2` FOREIGN KEY (`TypeOrganisation`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`secteurtypesorganisation`
--

/*!40000 ALTER TABLE `secteurtypesorganisation` DISABLE KEYS */;
INSERT INTO `secteurtypesorganisation` (`ID`,`SecteurID`,`TypeOrganisation`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,739,'lehose','2005-09-20 17:15:46','lehose','2005-09-20 17:15:48','lehose','2005-09-20 17:15:50'),
 (2,1,740,'lehose','2005-09-20 17:15:58','lehose','2005-09-20 17:15:58',NULL,NULL);
/*!40000 ALTER TABLE `secteurtypesorganisation` ENABLE KEYS */;


--
-- Table structure for table `p4`.`statut`
--

DROP TABLE IF EXISTS `statut`;
CREATE TABLE `statut` (
  `ID` int(11) NOT NULL auto_increment,
  `TypeDroit` int(11) NOT NULL,
  `StatutID` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_typedroit` (`TypeDroit`),
  KEY `KEY_statutid` (`StatutID`),
  CONSTRAINT `statut_ibfk_1` FOREIGN KEY (`TypeDroit`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `statut_ibfk_2` FOREIGN KEY (`StatutID`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`statut`
--

/*!40000 ALTER TABLE `statut` DISABLE KEYS */;
/*!40000 ALTER TABLE `statut` ENABLE KEYS */;


--
-- Table structure for table `p4`.`sujet`
--

DROP TABLE IF EXISTS `sujet`;
CREATE TABLE `sujet` (
  `ID` int(11) NOT NULL auto_increment,
  `Sujet` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_sujet` (`Sujet`),
  CONSTRAINT `sujet_ibfk_1` FOREIGN KEY (`Sujet`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`sujet`
--

/*!40000 ALTER TABLE `sujet` DISABLE KEYS */;
INSERT INTO `sujet` (`ID`,`Sujet`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,516,'lehose','2005-09-20 14:43:42','lehose','2005-09-20 14:44:01',NULL,NULL),
 (2,525,'lehose','2005-09-20 14:44:32','lehose','2005-09-20 14:44:39',NULL,NULL),
 (3,599,'lehose','2005-09-20 14:45:31','lehose','2005-09-20 14:45:31',NULL,NULL),
 (4,600,'lehose','2005-09-20 15:09:25','lehose','2005-09-20 15:09:25',NULL,NULL),
 (5,601,'lehose','2005-09-20 15:09:41','lehose','2005-09-20 15:09:41',NULL,NULL),
 (6,602,'lehose','2005-09-20 15:13:02','lehose','2005-09-20 15:13:02',NULL,NULL),
 (7,603,'lehose','2005-09-20 15:13:48','lehose','2005-09-20 15:13:48',NULL,NULL),
 (8,604,'lehose','2005-09-20 15:14:38','lehose','2005-09-20 15:14:38',NULL,NULL);
/*!40000 ALTER TABLE `sujet` ENABLE KEYS */;


--
-- Table structure for table `p4`.`sujetsujetsecondaire`
--

DROP TABLE IF EXISTS `sujetsujetsecondaire`;
CREATE TABLE `sujetsujetsecondaire` (
  `ID` int(11) NOT NULL auto_increment,
  `SujetID` int(11) NOT NULL,
  `Sujet` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_sujetsujetsecondaire` (`SujetID`),
  KEY `KEY_sujet` (`Sujet`),
  CONSTRAINT `sujetsujetsecondaire_ibfk_1` FOREIGN KEY (`SujetID`) REFERENCES `sujet` (`ID`),
  CONSTRAINT `sujetsujetsecondaire_ibfk_2` FOREIGN KEY (`Sujet`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`sujetsujetsecondaire`
--

/*!40000 ALTER TABLE `sujetsujetsecondaire` DISABLE KEYS */;
INSERT INTO `sujetsujetsecondaire` (`ID`,`SujetID`,`Sujet`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,1,595,'lehose','2005-09-20 15:24:18','lehose','2005-09-20 15:24:20','lehose','2005-09-20 15:24:23');
/*!40000 ALTER TABLE `sujetsujetsecondaire` ENABLE KEYS */;


--
-- Table structure for table `p4`.`telephone`
--

DROP TABLE IF EXISTS `telephone`;
CREATE TABLE `telephone` (
  `ID` int(11) NOT NULL auto_increment,
  `MembreID` int(11) default NULL,
  `RelationID` int(11) default NULL,
  `Type` int(11) NOT NULL,
  `Numero` varchar(25) default NULL,
  `Poste` varchar(10) default NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_type` (`Type`),
  KEY `KEY_membreid` (`MembreID`),
  KEY `KEY_relationid` (`RelationID`),
  CONSTRAINT `telephone_ibfk_1` FOREIGN KEY (`Type`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `telephone_ibfk_2` FOREIGN KEY (`MembreID`) REFERENCES `membre` (`ID`),
  CONSTRAINT `telephone_ibfk_3` FOREIGN KEY (`RelationID`) REFERENCES `relation` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`telephone`
--

/*!40000 ALTER TABLE `telephone` DISABLE KEYS */;
INSERT INTO `telephone` (`ID`,`MembreID`,`RelationID`,`Type`,`Numero`,`Poste`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,2,NULL,737,'514-555-4567','345','CDPDJ-7UN1LE65X\\lehose','2005-08-10 11:35:20','CDPDJ-7UN1LE65X\\lehose','2005-08-10 11:42:45','CDPDJ-7UN1LE65X\\lehose','2005-08-10 11:42:51'),
 (2,NULL,5,737,'514-555-5555','555','CDPDJ-7UN1LE65X\\lehose','2005-08-11 12:58:57','CDPDJ-7UN1LE65X\\lehose','2005-08-11 12:58:57',NULL,NULL),
 (3,NULL,1,737,'514-555-5555','324','CDPDJ-7UN1LE65X\\lehose','2005-08-11 14:54:48','CDPDJ-7UN1LE65X\\lehose','2005-08-11 14:54:48',NULL,NULL),
 (4,NULL,2,737,'514-555-5555','4356','CDPDJ-7UN1LE65X\\lehose','2005-08-11 16:14:41','CDPDJ-7UN1LE65X\\lehose','2005-08-11 16:14:41',NULL,NULL);
/*!40000 ALTER TABLE `telephone` ENABLE KEYS */;


--
-- Table structure for table `p4`.`transitionstatut`
--

DROP TABLE IF EXISTS `transitionstatut`;
CREATE TABLE `transitionstatut` (
  `ID` int(11) NOT NULL auto_increment,
  `StatutInitial` int(11) NOT NULL,
  `NouveauStatut` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_statutinitial` (`StatutInitial`),
  KEY `KEY_nouveaustatut` (`NouveauStatut`),
  CONSTRAINT `transitionstatut_ibfk_1` FOREIGN KEY (`StatutInitial`) REFERENCES `statut` (`ID`),
  CONSTRAINT `transitionstatut_ibfk_2` FOREIGN KEY (`NouveauStatut`) REFERENCES `statut` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`transitionstatut`
--

/*!40000 ALTER TABLE `transitionstatut` DISABLE KEYS */;
/*!40000 ALTER TABLE `transitionstatut` ENABLE KEYS */;


--
-- Table structure for table `p4`.`transitionstatutactions`
--

DROP TABLE IF EXISTS `transitionstatutactions`;
CREATE TABLE `transitionstatutactions` (
  `ID` int(11) NOT NULL auto_increment,
  `TransitionStatutID` int(11) NOT NULL,
  `Action` varchar(50) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_transitionstatutactions` (`TransitionStatutID`),
  CONSTRAINT `transitionstatutactions_ibfk_1` FOREIGN KEY (`TransitionStatutID`) REFERENCES `transitionstatut` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`transitionstatutactions`
--

/*!40000 ALTER TABLE `transitionstatutactions` DISABLE KEYS */;
/*!40000 ALTER TABLE `transitionstatutactions` ENABLE KEYS */;


--
-- Table structure for table `p4`.`tribunal2`
--

DROP TABLE IF EXISTS `tribunal2`;
CREATE TABLE `tribunal2` (
  `ID` int(11) NOT NULL auto_increment,
  `PlainteID` int(11) NOT NULL,
  `AvocatID` int(11) NOT NULL,
  `NatureJugement` int(11) NOT NULL,
  `DateJugement` datetime NOT NULL,
  `ExplicationsNatureJugement` text NOT NULL,
  `NoSeancePresident` varchar(5) NOT NULL,
  `DateSeancePresident` datetime NOT NULL,
  `NoSeanceCP` varchar(6) NOT NULL,
  `DateSeanceCP` datetime NOT NULL,
  `NoCour` varchar(14) NOT NULL,
  `DetailsJugement` varchar(37) NOT NULL,
  `MontantDommagesMateriels` decimal(19,4) NOT NULL,
  `MontantDommagesMoraux` decimal(19,4) NOT NULL,
  `MontantDommagesExemplaires` decimal(19,4) NOT NULL,
  `AccomplissementActe` text NOT NULL,
  `Commentaires` varchar(60) NOT NULL,
  `DateFermetureDossier` datetime NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_tribunal2` (`PlainteID`),
  KEY `KEY_naturejugement` (`NatureJugement`),
  KEY `KEY_avocatid` (`AvocatID`),
  CONSTRAINT `tribunal2_ibfk_1` FOREIGN KEY (`PlainteID`) REFERENCES `plainte` (`ID`),
  CONSTRAINT `tribunal2_ibfk_2` FOREIGN KEY (`NatureJugement`) REFERENCES `azreftablesvalues` (`ID`),
  CONSTRAINT `tribunal2_ibfk_3` FOREIGN KEY (`AvocatID`) REFERENCES `membre` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`tribunal2`
--

/*!40000 ALTER TABLE `tribunal2` DISABLE KEYS */;
/*!40000 ALTER TABLE `tribunal2` ENABLE KEYS */;


--
-- Table structure for table `p4`.`typeclient`
--

DROP TABLE IF EXISTS `typeclient`;
CREATE TABLE `typeclient` (
  `ID` int(11) NOT NULL auto_increment,
  `Code` varchar(25) NOT NULL,
  `Description` varchar(25) NOT NULL,
  `TypeDroit` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_typedroit` (`TypeDroit`),
  CONSTRAINT `typeclient_ibfk_1` FOREIGN KEY (`TypeDroit`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`typeclient`
--

/*!40000 ALTER TABLE `typeclient` DISABLE KEYS */;
/*!40000 ALTER TABLE `typeclient` ENABLE KEYS */;


--
-- Table structure for table `p4`.`typeorganisation`
--

DROP TABLE IF EXISTS `typeorganisation`;
CREATE TABLE `typeorganisation` (
  `ID` int(11) NOT NULL auto_increment,
  `TypeOrganisation` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_typeorganisation` (`TypeOrganisation`),
  CONSTRAINT `typeorganisation_ibfk_1` FOREIGN KEY (`TypeOrganisation`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`typeorganisation`
--

/*!40000 ALTER TABLE `typeorganisation` DISABLE KEYS */;
INSERT INTO `typeorganisation` (`ID`,`TypeOrganisation`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,739,'lehose','2005-09-20 16:15:22','lehose','2005-09-20 16:15:22',NULL,NULL),
 (2,740,'lehose','2005-09-20 16:16:06','lehose','2005-09-20 16:16:06',NULL,NULL);
/*!40000 ALTER TABLE `typeorganisation` ENABLE KEYS */;


--
-- Table structure for table `p4`.`typesorganisationclienteles`
--

DROP TABLE IF EXISTS `typesorganisationclienteles`;
CREATE TABLE `typesorganisationclienteles` (
  `ID` int(11) NOT NULL auto_increment,
  `TypeOrganisationID` int(11) NOT NULL,
  `Clientele` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_typesorganisationclienteles` (`TypeOrganisationID`),
  KEY `KEY_clientele` (`Clientele`),
  CONSTRAINT `typesorganisationclienteles_ibfk_1` FOREIGN KEY (`TypeOrganisationID`) REFERENCES `typeorganisation` (`ID`),
  CONSTRAINT `typesorganisationclienteles_ibfk_2` FOREIGN KEY (`Clientele`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`typesorganisationclienteles`
--

/*!40000 ALTER TABLE `typesorganisationclienteles` DISABLE KEYS */;
INSERT INTO `typesorganisationclienteles` (`ID`,`TypeOrganisationID`,`Clientele`,`CreatedBy`,`CreatedDate`,`UpdatedBy`,`UpdatedDate`,`DeletedBy`,`DeletedDate`) VALUES 
 (1,2,84,'lehose','2005-09-20 16:19:22','lehose','2005-09-20 16:19:25','lehose','2005-09-20 16:19:27'),
 (2,2,84,'lehose','2005-09-20 16:19:37','lehose','2005-09-20 16:19:37',NULL,NULL);
/*!40000 ALTER TABLE `typesorganisationclienteles` ENABLE KEYS */;


--
-- Table structure for table `p4`.`versementdestruction`
--

DROP TABLE IF EXISTS `versementdestruction`;
CREATE TABLE `versementdestruction` (
  `ID` int(11) NOT NULL auto_increment,
  `Date` datetime NOT NULL,
  `ArchivageAction` int(11) NOT NULL,
  `CreatedBy` varchar(100) NOT NULL,
  `CreatedDate` datetime NOT NULL,
  `UpdatedBy` varchar(100) NOT NULL,
  `UpdatedDate` datetime NOT NULL,
  `DeletedBy` varchar(100) default NULL,
  `DeletedDate` datetime default NULL,
  PRIMARY KEY  (`ID`),
  KEY `KEY_archivageaction` (`ArchivageAction`),
  CONSTRAINT `versementdestruction_ibfk_1` FOREIGN KEY (`ArchivageAction`) REFERENCES `azreftablesvalues` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `p4`.`versementdestruction`
--

/*!40000 ALTER TABLE `versementdestruction` DISABLE KEYS */;
/*!40000 ALTER TABLE `versementdestruction` ENABLE KEYS */;


--
-- Procedure `p4`.`PRC_azGetMulRefTblValByTblCode`
--

DROP PROCEDURE IF EXISTS `PRC_azGetMulRefTblValByTblCode`;
DELIMITER %%;
CREATE PROCEDURE `PRC_azGetMulRefTblValByTblCode`(P_RefTableCodes VARCHAR(8000), P_LanguageCode char(2))
BEGIN



	SELECT

		AZREFTABLESVALUES.ID,

		AZREFTABLESVALUES.ValueCode,

		AZREFTABLESVALUES.RefTableCode,

		AZREFTABLESVALUESDESCRIPTION.ShortDescription,

		AZREFTABLESVALUESDESCRIPTION.Description,

		AZREFTABLESVALUES.CreatedBy,

		AZREFTABLESVALUES.CreatedDate,

		AZREFTABLESVALUES.UpdatedBy,

		AZREFTABLESVALUES.UpdatedDate

	FROM

		AZREFTABLESVALUES

	INNER JOIN

		AZREFTABLESVALUESDESCRIPTION ON AZREFTABLESVALUES.ID = AZREFTABLESVALUESDESCRIPTION.ID

	WHERE

		INSTR(P_RefTableCodes, AZREFTABLESVALUES.RefTableCode) <> 0 AND

		AZREFTABLESVALUESDESCRIPTION.LanguageCode = P_LanguageCode

	ORDER BY

		AZREFTABLESVALUES.RefTableCode,

		AZREFTABLESVALUES.Sequence,

		AZREFTABLESVALUES.ValueCode;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_azGetRefTblValByTblCode`
--

DROP PROCEDURE IF EXISTS `PRC_azGetRefTblValByTblCode`;
DELIMITER %%;
CREATE PROCEDURE `PRC_azGetRefTblValByTblCode`(P_RefTableCodes VARCHAR(50), P_LanguageCode CHAR(2), P_ParentValueCode VARCHAR(50))
BEGIN



	SELECT

		azRefTablesValues.ID,

		azRefTablesValues.ValueCode,

		azRefTablesValuesDescription.ShortDescription,

		azRefTablesValuesDescription.Description,

		azRefTablesValues.CreatedBy,

		azRefTablesValues.CreatedDate,

		azRefTablesValues.UpdatedBy,

		azRefTablesValues.UpdatedDate

	FROM

		azRefTablesValues

	INNER JOIN

		azRefTablesValuesDescription ON azRefTablesValues.ID = azRefTablesValuesDescription.ID

	WHERE

		azRefTablesValues.RefTableCode = P_RefTableCodes AND

		azRefTablesValuesDescription.LanguageCode = P_LanguageCode AND

		(P_ParentValueCode IS NULL OR azRefTablesValues.ParentValueCode = P_ParentValueCode)

	ORDER BY

		azRefTablesValues.Sequence;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_azGetRefTblValSDescByID`
--

DROP PROCEDURE IF EXISTS `PRC_azGetRefTblValSDescByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_azGetRefTblValSDescByID`(P_ValueID INT, P_LanguageCode CHAR(2), P_ShowDeleted NUMERIC)
BEGIN



	IF P_ShowDeleted = 1 THEN



		SELECT     azRefTablesValuesDescription.ShortDescription

		FROM       azRefTablesValuesDescription

		WHERE     (ID = P_ValueID) AND (LanguageCode = P_LanguageCode);



	ELSE



		SELECT     azRefTablesValuesDescription.ShortDescription

		FROM       azRefTablesValues INNER JOIN

             				azRefTablesValuesDescription ON azRefTablesValues.ID = azRefTablesValuesDescription.ID

		WHERE     (azRefTablesValues.ID = P_ValueID) AND (azRefTablesValuesDescription.LanguageCode = P_LanguageCode)  AND (azRefTablesValues.DeletedDate IS NULL);

	END IF;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_azReadRefTblValByValCode`
--

DROP PROCEDURE IF EXISTS `PRC_azReadRefTblValByValCode`;
DELIMITER %%;
CREATE PROCEDURE `PRC_azReadRefTblValByValCode`(P_RefTableCode VARCHAR(50), P_RefTableValueCode VARCHAR(50))
BEGIN



	SELECT

		azRefTablesValues.ID,

		azRefTablesValues.ValueCode,

		azRefTablesValues.CreatedBy,

		azRefTablesValues.CreatedDate,

		azRefTablesValues.UpdatedBy,

		azRefTablesValues.UpdatedDate

	FROM

		azRefTablesValues

	WHERE

		azRefTablesValues.RefTableCode = P_RefTableCode AND

		azRefTablesValues.ValueCode = P_RefTableValueCode;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_azReadRefTblValDescByCode`
--

DROP PROCEDURE IF EXISTS `PRC_azReadRefTblValDescByCode`;
DELIMITER %%;
CREATE PROCEDURE `PRC_azReadRefTblValDescByCode`(P_RefTableCode VARCHAR(50), P_RefTableValueCode VARCHAR(50), P_LanguageCode CHAR(2))
BEGIN



	SELECT

		azRefTablesValues.ID,

		azRefTablesValues.ValueCode,

		azRefTablesValuesDescription.ShortDescription,

		azRefTablesValuesDescription.Description,

		azRefTablesValues.CreatedBy,

		azRefTablesValues.CreatedDate,

		azRefTablesValues.UpdatedBy,

		azRefTablesValues.UpdatedDate

	FROM

		azRefTablesValues

	INNER JOIN

		azRefTablesValuesDescription ON azRefTablesValues.ID = azRefTablesValuesDescription.ID

	WHERE

		azRefTablesValues.RefTableCode = P_RefTableCode AND

		azRefTablesValues.ValueCode = P_RefTableValueCode AND

		azRefTablesValuesDescription.LanguageCode = P_LanguageCode;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteAdresse`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteAdresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteAdresse`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT

	COUNT(*)

INTO

	V_ROW_COUNT

FROM

	Adresse

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Adresse

	SET

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteAppel`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteAppel`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteAppel`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Appel

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Appel

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteAutreIntervention`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteAutreIntervention`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteAutreIntervention`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	AutreIntervention

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		AutreIntervention

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteAvisJuridique`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteAvisJuridique`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteAvisJuridique`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	AvisJuridique

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		AvisJuridique

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteAvisJuridiqueAssocAvisJuridiqueDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteAvisJuridiqueAssocAvisJuridiqueDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteAvisJuridiqueAssocAvisJuridiqueDocuments`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	AvisJuridiqueDocuments

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		AvisJuridiqueDocuments

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteCategorieEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteCategorieEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteCategorieEmploi`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	CategorieEmploi

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		CategorieEmploi

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteCentreResponsabilite`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteCentreResponsabilite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteCentreResponsabilite`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	CentreResponsabilite

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		CentreResponsabilite

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteCheminement`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteCheminement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteCheminement`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Cheminement2

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Cheminement2

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteCommande`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteCommande`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteCommande`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Commande

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Commande

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteCommandeAssocCommandeDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteCommandeAssocCommandeDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteCommandeAssocCommandeDocuments`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	CommandeDocuments

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		CommandeDocuments

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteCorpsEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteCorpsEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteCorpsEmploi`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	CorpsEmploi

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		CorpsEmploi

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDemande`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDemande`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDemande`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Demande

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Demande

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDemandeAssocDemandeDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDemandeAssocDemandeDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDemandeAssocDemandeDocuments`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DemandeDocuments

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DemandeDocuments

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDemandeAssocDemandeSuivi`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDemandeAssocDemandeSuivi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDemandeAssocDemandeSuivi`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DemandeSuivi

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DemandeSuivi

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDescripteur`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDescripteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDescripteur`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Descripteur

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Descripteur

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDescripteurDocument`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDescripteurDocument`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDescripteurDocument`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DescripteurDocument

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		DescripteurDocument

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDescripteurDocumentAssocSousDescripteur`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDescripteurDocumentAssocSousDescripteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDescripteurDocumentAssocSousDescripteur`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DescripteurDocumentSousDescripteur

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DescripteurDocumentSousDescripteur

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDetailsDecision`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDetailsDecision`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDetailsDecision`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DetailsDecision

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		DetailsDecision

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDetailsDecisionAssocDetailsDecisionAutresInterventions`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDetailsDecisionAssocDetailsDecisionAutresInterventions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDetailsDecisionAssocDetailsDecisionAutresInterventions`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DetailsDecisionAutresInterventions

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DetailsDecisionAutresInterventions

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDetailsDecisionAssocDetailsDecisionMembresComite`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDetailsDecisionAssocDetailsDecisionMembresComite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDetailsDecisionAssocDetailsDecisionMembresComite`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DetailsDecisionMembresComite

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DetailsDecisionMembresComite

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDetailsDecisionAssocDetailsDecisionRecommandations`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDetailsDecisionAssocDetailsDecisionRecommandations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDetailsDecisionAssocDetailsDecisionRecommandations`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DetailsDecisionRecommandations

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DetailsDecisionRecommandations

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDirectionCentreJeunesse`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDirectionCentreJeunesse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDirectionCentreJeunesse`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DirectionCentreJeunesse

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		DirectionCentreJeunesse

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDocument`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDocument`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDocument`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Document

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Document

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDocumentAssocDocumentApprovisionnement`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDocumentAssocDocumentApprovisionnement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDocumentAssocDocumentApprovisionnement`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentApprovisionnement

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DocumentApprovisionnement

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDocumentAssocDocumentAuteurs`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDocumentAssocDocumentAuteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDocumentAssocDocumentAuteurs`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentAuteurs

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DocumentAuteurs

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDocumentAssocDocumentDescripteurs`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDocumentAssocDocumentDescripteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDocumentAssocDocumentDescripteurs`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentDescripteurs

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DocumentDescripteurs

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDocumentAssocDocumentDocumentsConnexes`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDocumentAssocDocumentDocumentsConnexes`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDocumentAssocDocumentDocumentsConnexes`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentDocumentsConnexes

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DocumentDocumentsConnexes

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDocumentAssocDocumentPlumitif`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDocumentAssocDocumentPlumitif`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDocumentAssocDocumentPlumitif`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentPlumitif

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DocumentPlumitif

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDossier`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDossier`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDossier`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Dossier

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Dossier

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDossierAssocDossierAssignations`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDossierAssocDossierAssignations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDossierAssocDossierAssignations`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DossierAssignations

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DossierAssignations

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDossierAssocDossierDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDossierAssocDossierDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDossierAssocDossierDocuments`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentsPositions

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DocumentsPositions

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDossierAssocDossierEnvois`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDossierAssocDossierEnvois`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDossierAssocDossierEnvois`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DossierEnvois

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		DossierEnvois

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDossierPAE`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDossierPAE`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDossierPAE`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DossierPAE

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		DossierPAE

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteDroit`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteDroit`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteDroit`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Droit

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Droit

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteEchelleSalariale`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteEchelleSalariale`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteEchelleSalariale`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	EchelleSalariale

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		EchelleSalariale

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteEchelleSalarialeAssocEchelleSalarialeEchelons`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteEchelleSalarialeAssocEchelleSalarialeEchelons`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteEchelleSalarialeAssocEchelleSalarialeEchelons`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	EchelleSalarialeEchelons

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		EchelleSalarialeEchelons

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteEtapePlumitif`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteEtapePlumitif`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteEtapePlumitif`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	EtapePlumitif

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		EtapePlumitif

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteEvenement`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteEvenement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteEvenement`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Evenement

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Evenement

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteEvenementAssocEvenementParticipants`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteEvenementAssocEvenementParticipants`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteEvenementAssocEvenementParticipants`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	EvenementParticipants

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		EvenementParticipants

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteInstanceJudiciaire`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteInstanceJudiciaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteInstanceJudiciaire`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	InstanceJudiciaire

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		InstanceJudiciaire

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteLienAddresse`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteLienAddresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteLienAddresse`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	LienAddresse

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		LienAddresse

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteMembre`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteMembre`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteMembre`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Membre

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Membre

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteMembreAssocMembreAbsences`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteMembreAssocMembreAbsences`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteMembreAssocMembreAbsences`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	MembreAbsences

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		MembreAbsences

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteMembreAssocMembreDepenses`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteMembreAssocMembreDepenses`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteMembreAssocMembreDepenses`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	MembreDepenses

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		MembreDepenses

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteMembreAssocMembreHoraires`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteMembreAssocMembreHoraires`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteMembreAssocMembreHoraires`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	MembreHoraires

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		MembreHoraires

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteMembreAssocMembrePrimesForfaits`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteMembreAssocMembrePrimesForfaits`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteMembreAssocMembrePrimesForfaits`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	MembrePrimesForfaits

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		MembrePrimesForfaits

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteMembreAssocMembreProfilEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteMembreAssocMembreProfilEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteMembreAssocMembreProfilEmploi`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	MembreProfilEmploi

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		MembreProfilEmploi

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteMembreAssocMembreTempsSupplementaire`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteMembreAssocMembreTempsSupplementaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteMembreAssocMembreTempsSupplementaire`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	MembreTempsSupplementaire

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		MembreTempsSupplementaire

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteMembreAssocMembreTraitementDiffere`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteMembreAssocMembreTraitementDiffere`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteMembreAssocMembreTraitementDiffere`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	MembreTraitementDiffere

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		MembreTraitementDiffere

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteNote`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteNote`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteNote`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Note

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Note

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlainte`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlainte`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlainte`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Plainte

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Plainte

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlainteAssocPlainteAssignations`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlainteAssocPlainteAssignations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlainteAssocPlainteAssignations`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteAssignationsRecherche

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		PlainteAssignationsRecherche

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlainteAssocPlainteAvis`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlainteAssocPlainteAvis`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlainteAssocPlainteAvis`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteAvis

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		PlainteAvis

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlainteAssocPlainteCheminement`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlainteAssocPlainteCheminement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlainteAssocPlainteCheminement`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteCheminement

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		PlainteCheminement

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlainteAssocPlainteDecisions`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlainteAssocPlainteDecisions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlainteAssocPlainteDecisions`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteDecisions

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		PlainteDecisions

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlainteAssocPlainteDescripteurs`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlainteAssocPlainteDescripteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlainteAssocPlainteDescripteurs`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteDescripteurs

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		PlainteDescripteurs

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlainteAssocPlainteDocumentsReference`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlainteAssocPlainteDocumentsReference`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlainteAssocPlainteDocumentsReference`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteDocumentsReference

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		PlainteDocumentsReference

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlainteAssocPlainteDocumentsSpecifiques`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlainteAssocPlainteDocumentsSpecifiques`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlainteAssocPlainteDocumentsSpecifiques`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteDocumentsSpecifiques

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		PlainteDocumentsSpecifiques

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlainteAssocPlainteJugements`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlainteAssocPlainteJugements`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlainteAssocPlainteJugements`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Tribunal2

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		Tribunal2

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlainteAssocPlainteMesures`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlainteAssocPlainteMesures`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlainteAssocPlainteMesures`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteMesures

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		PlainteMesures

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlainteAssocPlainteParties`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlainteAssocPlainteParties`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlainteAssocPlainteParties`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteParties

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		PlainteParties

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlainteAssocPlaintePiecesJointes`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlainteAssocPlaintePiecesJointes`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlainteAssocPlaintePiecesJointes`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlaintePiecesJointes

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		PlaintePiecesJointes

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePlumitifAutrePartie`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePlumitifAutrePartie`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePlumitifAutrePartie`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlumitifAutrePartie

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		PlumitifAutrePartie

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePresentationStatutaire`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePresentationStatutaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePresentationStatutaire`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PresentationStatutaire

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		PresentationStatutaire

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePresentationStatutaireAssocPresentationStatutaireDossi`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePresentationStatutaireAssocPresentationStatutaireDossi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePresentationStatutaireAssocPresentationStatutaireDossi`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PresentationStatutaireDossiers

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		PresentationStatutaireDossiers

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePrimeForfait`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePrimeForfait`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePrimeForfait`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PrimeForfait

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		PrimeForfait

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeletePromotion`
--

DROP PROCEDURE IF EXISTS `PRC_DeletePromotion`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeletePromotion`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Promotion

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Promotion

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteRegionAdministrative`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteRegionAdministrative`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteRegionAdministrative`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	RegionAdministrative

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		RegionAdministrative

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteRelation`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteRelation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteRelation`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Relation

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Relation

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteRelationAssocRelationClienteles`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteRelationAssocRelationClienteles`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteRelationAssocRelationClienteles`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	RelationClienteles

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		RelationClienteles

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteRelationAssocRelationClientsARisque`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteRelationAssocRelationClientsARisque`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteRelationAssocRelationClientsARisque`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	RelationClientsARisque

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		RelationClientsARisque

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteRelationAssocRelationRepresentants`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteRelationAssocRelationRepresentants`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteRelationAssocRelationRepresentants`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	RelationRepresentants

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		RelationRepresentants

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteRevuePresse`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteRevuePresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteRevuePresse`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	RevuePresse

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		RevuePresse

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteSecteur`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteSecteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteSecteur`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Secteur

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Secteur

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteSecteurAssocSecteurTypesOrganisation`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteSecteurAssocSecteurTypesOrganisation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteSecteurAssocSecteurTypesOrganisation`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	SecteurTypesOrganisation

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		SecteurTypesOrganisation

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteStatut`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteStatut`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteStatut`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Statut

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Statut

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteSujet`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteSujet`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteSujet`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Sujet

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Sujet

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteSujetAssocSujetSujetSecondaire`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteSujetAssocSujetSujetSecondaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteSujetAssocSujetSujetSecondaire`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	SujetSujetSecondaire

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		SujetSujetSecondaire

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteTelephone`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteTelephone`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteTelephone`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Telephone

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Telephone

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteTransitionStatut`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteTransitionStatut`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteTransitionStatut`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	TransitionStatut

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		TransitionStatut

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteTransitionStatutAssocTransitionStatutActions`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteTransitionStatutAssocTransitionStatutActions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteTransitionStatutAssocTransitionStatutActions`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	TransitionStatutActions

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		TransitionStatutActions

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteTypeClient`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteTypeClient`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteTypeClient`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	TypeClient

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		TypeClient

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteTypeOrganisation`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteTypeOrganisation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteTypeOrganisation`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	TypeOrganisation

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		TypeOrganisation

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteTypeOrganisationAssocTypeOrganisationClienteles`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteTypeOrganisationAssocTypeOrganisationClienteles`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteTypeOrganisationAssocTypeOrganisationClienteles`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	TypesOrganisationClienteles

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE	

	UPDATE

		TypesOrganisationClienteles

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_DeleteVersementDestruction`
--

DROP PROCEDURE IF EXISTS `PRC_DeleteVersementDestruction`;
DELIMITER %%;
CREATE PROCEDURE `PRC_DeleteVersementDestruction`(P_ID int(11), P_UpdatedDate dateTime, P_DeletedBy varchar(100), out P_RETURNVALUE int)
BEGIN 



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	VersementDestruction

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		VersementDestruction

	SET 

		DeletedDate = NOW(),

		DeletedBy = P_DeletedBy

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

END IF;	



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindAdresseAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindAdresseAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindAdresseAll`(P_ID int(11), P_Adresse1 varchar(60), P_Adresse2 varchar(60), P_Adresse3 varchar(60), P_Province int(11), P_RegionAdministrative int(11), P_Ville int(11), P_CodePostal varchar(6), P_LanguageCode char(2))
BEGIN



SELECT

	Adresse.ID,

	Adresse.Adresse1,

	Adresse.Adresse2,

	Adresse.Adresse3,

	rtb1_Pays.ShortDescription rtb1_Pays,

	rtb2_Province.ShortDescription rtb2_Province,

	rtb3_RegionAdministrative.ShortDescription rtb3_RegionAdministrative,

	rtb4_Ville.ShortDescription rtb4_Ville,

	Adresse.CodePostal

FROM

	Adresse

LEFT JOIN

	azRefTablesValuesDescription rtb1_Pays ON rtb1_Pays.ID = Adresse.Pays AND  rtb1_Pays.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb2_Province ON rtb2_Province.ID = Adresse.Province AND  rtb2_Province.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb3_RegionAdministrative ON rtb3_RegionAdministrative.ID = Adresse.RegionAdministrative AND  rtb3_RegionAdministrative.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb4_Ville ON rtb4_Ville.ID = Adresse.Ville AND  rtb4_Ville.LanguageCode = P_LanguageCode

WHERE

	(P_ID IS NULL OR Adresse.ID = P_ID) AND

	(P_Adresse1 IS NULL OR Adresse.Adresse1 LIKE CONCAT('%', P_Adresse1, '%')) AND

	(P_Adresse2 IS NULL OR Adresse.Adresse2 LIKE CONCAT('%', P_Adresse2, '%')) AND

	(P_Adresse3 IS NULL OR Adresse.Adresse3 LIKE CONCAT('%', P_Adresse3, '%')) AND

	(P_Province IS NULL OR Adresse.Province = P_Province) AND

	(P_RegionAdministrative IS NULL OR Adresse.RegionAdministrative = P_RegionAdministrative) AND

	(P_Ville IS NULL OR Adresse.Ville = P_Ville) AND

	(P_CodePostal IS NULL OR Adresse.CodePostal LIKE CONCAT('%', P_CodePostal, '%')) AND

	Adresse.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindAppelAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindAppelAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindAppelAll`(P_TransfertDe int(11), P_TransfertA int(11), P_DateAppelFrom dateTime,P_DateAppelTo dateTime)
BEGIN



SELECT	

	Appel.ID,

	lnk1_Membre.Prenom lnk1_Prenom,

					lnk1_Membre.Nom lnk1_Nom,

	lnk2_Membre.Prenom lnk2_Prenom,

					lnk2_Membre.Nom lnk2_Nom,

	Appel.DateAppel

FROM

	Appel

LEFT JOIN

	Membre lnk1_Membre ON lnk1_Membre.ID = Appel.TransfertDe

LEFT JOIN

	Membre lnk2_Membre ON lnk2_Membre.ID = Appel.TransfertA

WHERE 

	(P_TransfertDe IS NULL OR Appel.TransfertDe = P_TransfertDe) AND

	(P_TransfertA IS NULL OR Appel.TransfertA = P_TransfertA) AND

	(P_DateAppelFrom IS NULL OR Appel.DateAppel >= P_DateAppelFrom) AND 

	(P_DateAppelTo IS NULL OR Appel.DateAppel <= fnc_azAdjustToDate(P_DateAppelTo)) AND 

	Appel.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindAppelByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindAppelByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindAppelByID`(P_ID int(11))
BEGIN



SELECT

	Appel.ID,

	lnk1_Membre.Prenom lnk1_Prenom,

					lnk1_Membre.Nom lnk1_Nom,

	lnk2_Membre.Prenom lnk2_Prenom,

					lnk2_Membre.Nom lnk2_Nom,

	Appel.DateAppel

FROM

	Appel

LEFT JOIN

	Membre lnk1_Membre ON lnk1_Membre.ID = Appel.TransfertDe

LEFT JOIN

	Membre lnk2_Membre ON lnk2_Membre.ID = Appel.TransfertA

WHERE 

	Appel.ID = P_ID AND 

	Appel.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindAutreInterventionAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindAutreInterventionAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindAutreInterventionAll`(P_Type int(11), P_Destinataire int(11))
BEGIN



SELECT	

	AutreIntervention.ID,

	rtb1_Type.ShortDescription rtb1_Type,

	rtb2_Destinataire.ShortDescription rtb2_Destinataire

FROM

	AutreIntervention

LEFT JOIN 

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = AutreIntervention.Type

LEFT JOIN 

	azRefTablesValuesDescription rtb2_Destinataire ON rtb2_Destinataire.ID = AutreIntervention.Destinataire

WHERE 

	(P_Type IS NULL OR AutreIntervention.Type = P_Type) AND

	(P_Destinataire IS NULL OR AutreIntervention.Destinataire = P_Destinataire) AND 

	AutreIntervention.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindAutreInterventionByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindAutreInterventionByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindAutreInterventionByID`(P_ID int(11))
BEGIN



SELECT

	AutreIntervention.ID,

	rtb1_Type.ShortDescription rtb1_Type,

	rtb2_Destinataire.ShortDescription rtb2_Destinataire

FROM

	AutreIntervention

	LEFT JOIN azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = AutreIntervention.Type

	LEFT JOIN azRefTablesValuesDescription rtb2_Destinataire ON rtb2_Destinataire.ID = AutreIntervention.Destinataire

WHERE 

	AutreIntervention.ID = P_ID AND 

	AutreIntervention.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindAvisJuridiqueAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindAvisJuridiqueAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindAvisJuridiqueAll`(P_DemandeID int(11), P_PlainteID int(11), P_DateRencontreFrom dateTime,P_DateRencontreTo dateTime, P_DatePrevueFrom dateTime,P_DatePrevueTo dateTime, P_DateEnvoiFrom dateTime,P_DateEnvoiTo dateTime)
BEGIN



SELECT	

	AvisJuridique.ID,

	lnk3_Relation.NomOrganisation lnk3_NomOrganisation,

					lnk3_Relation.Prenom lnk3_Prenom,

					lnk3_Relation.Nom lnk3_Nom,

					lnk3_Relation.OrganisationReliee lnk3_OrganisationReliee,

					lnk4_Membre.Prenom lnk4_Prenom,

					lnk4_Membre.Nom lnk4_Nom,

	lnk10_Relation.NomOrganisation lnk10_NomOrganisation,

					lnk10_Relation.Prenom lnk10_Prenom,

					lnk10_Relation.Nom lnk10_Nom,

					lnk10_Relation.OrganisationReliee lnk10_OrganisationReliee,

					rtb1_BUREAU.ShortDescription rtb1_BUREAU,

	AvisJuridique.DateRencontre,

	AvisJuridique.DatePrevue,

	AvisJuridique.DateEnvoi,

	AvisJuridique.Resume

FROM

	AvisJuridique

LEFT JOIN

	Demande lnk22_Demande ON lnk22_Demande.ID = AvisJuridique.DemandeID

LEFT JOIN

	Relation lnk3_Relation ON lnk3_Relation.ID = lnk22_Demande.RelationID

LEFT JOIN

	Membre lnk4_Membre ON lnk4_Membre.ID = lnk22_Demande.MembreID

LEFT JOIN

	Plainte lnk23_Plainte ON lnk23_Plainte.ID = AvisJuridique.PlainteID

LEFT JOIN

	Relation lnk10_Relation ON lnk10_Relation.ID = lnk23_Plainte.PlaignantID

LEFT JOIN

	azRefTablesValuesDescription rtb1_BUREAU ON rtb1_BUREAU.ID = lnk23_Plainte.BUREAU

WHERE 

	(P_DemandeID IS NULL OR AvisJuridique.DemandeID = P_DemandeID) AND

	(P_PlainteID IS NULL OR AvisJuridique.PlainteID = P_PlainteID) AND

	(P_DateRencontreFrom IS NULL OR AvisJuridique.DateRencontre >= P_DateRencontreFrom) AND 

	(P_DateRencontreTo IS NULL OR AvisJuridique.DateRencontre <= fnc_azAdjustToDate(P_DateRencontreTo)) AND

	(P_DatePrevueFrom IS NULL OR AvisJuridique.DatePrevue >= P_DatePrevueFrom) AND 

	(P_DatePrevueTo IS NULL OR AvisJuridique.DatePrevue <= fnc_azAdjustToDate(P_DatePrevueTo)) AND

	(P_DateEnvoiFrom IS NULL OR AvisJuridique.DateEnvoi >= P_DateEnvoiFrom) AND 

	(P_DateEnvoiTo IS NULL OR AvisJuridique.DateEnvoi <= fnc_azAdjustToDate(P_DateEnvoiTo)) AND 

	AvisJuridique.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindAvisJuridiqueByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindAvisJuridiqueByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindAvisJuridiqueByID`(P_ID int(11))
BEGIN



SELECT

	AvisJuridique.ID,

	lnk3_Relation.NomOrganisation lnk3_NomOrganisation,

					lnk3_Relation.Prenom lnk3_Prenom,

					lnk3_Relation.Nom lnk3_Nom,

					lnk3_Relation.OrganisationReliee lnk3_OrganisationReliee,

					lnk4_Membre.Prenom lnk4_Prenom,

					lnk4_Membre.Nom lnk4_Nom,

	lnk10_Relation.NomOrganisation lnk10_NomOrganisation,

					lnk10_Relation.Prenom lnk10_Prenom,

					lnk10_Relation.Nom lnk10_Nom,

					lnk10_Relation.OrganisationReliee lnk10_OrganisationReliee,

					rtb1_BUREAU.ShortDescription rtb1_BUREAU,

	AvisJuridique.DateRencontre,

	AvisJuridique.DatePrevue,

	AvisJuridique.DateEnvoi,

	AvisJuridique.Resume

FROM

	AvisJuridique

LEFT JOIN

	Demande lnk22_Demande ON lnk22_Demande.ID = AvisJuridique.DemandeID

LEFT JOIN

	Relation lnk3_Relation ON lnk3_Relation.ID = lnk22_Demande.RelationID

LEFT JOIN

	Membre lnk4_Membre ON lnk4_Membre.ID = lnk22_Demande.MembreID

LEFT JOIN

	Plainte lnk23_Plainte ON lnk23_Plainte.ID = AvisJuridique.PlainteID

LEFT JOIN

	Relation lnk10_Relation ON lnk10_Relation.ID = lnk23_Plainte.PlaignantID

LEFT JOIN

	azRefTablesValuesDescription rtb1_BUREAU ON rtb1_BUREAU.ID = lnk23_Plainte.BUREAU

WHERE 

	AvisJuridique.ID = P_ID AND 

	AvisJuridique.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindCategorieEmploiAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindCategorieEmploiAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindCategorieEmploiAll`(P_ID int(11),P_Categorie int(11), P_Facteur float, P_LanguageCode char(2))
BEGIN



SELECT	

	CategorieEmploi.ID,

	rtb1_Categorie.ShortDescription rtb1_Categorie,

	CategorieEmploi.Facteur

FROM

	CategorieEmploi

LEFT JOIN

	azRefTablesValuesDescription rtb1_Categorie ON rtb1_Categorie.ID = CategorieEmploi.Categorie AND rtb1_Categorie.LanguageCode = P_LanguageCode

WHERE

  (P_ID IS NULL OR CategorieEmploi.ID = P_ID) AND

	(P_Categorie IS NULL OR CategorieEmploi.Categorie = P_Categorie) AND

	(P_Facteur IS NULL OR CategorieEmploi.Facteur = P_Facteur) AND 

	CategorieEmploi.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindCentreResponsabiliteAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindCentreResponsabiliteAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindCentreResponsabiliteAll`(P_Code varchar(25), P_Description varchar(100), P_Montant numeric)
BEGIN



SELECT	

	CentreResponsabilite.ID,

	CentreResponsabilite.Code,

	CentreResponsabilite.Description,

	CentreResponsabilite.Montant

FROM

	CentreResponsabilite

WHERE 

	(P_Code IS NULL OR CentreResponsabilite.Code LIKE CONCAT(P_Code, '%')) AND

	(P_Description IS NULL OR CentreResponsabilite.Description LIKE CONCAT(P_Description, '%')) AND

	(P_Montant IS NULL OR CentreResponsabilite.Montant = P_Montant) AND 

	CentreResponsabilite.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindCentreResponsabiliteByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindCentreResponsabiliteByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindCentreResponsabiliteByID`(P_ID int(11))
BEGIN



SELECT

	CentreResponsabilite.ID,

	CentreResponsabilite.Code,

	CentreResponsabilite.Description,

	CentreResponsabilite.Montant

FROM

	CentreResponsabilite

WHERE 

	CentreResponsabilite.ID = P_ID AND 

	CentreResponsabilite.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindCheminementAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindCheminementAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindCheminementAll`(P_TypeDroit int(11), P_StatutInitial int(11), P_NouveauStatut int(11), P_Description varchar(100))
BEGIN



SELECT	

	Cheminement2.ID,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

	rtb2_TypeDroit.ShortDescription rtb2_TypeDroit,

					rtb3_StatutID.ShortDescription rtb3_StatutID,

	rtb4_TypeDroit.ShortDescription rtb4_TypeDroit,

					rtb5_StatutID.ShortDescription rtb5_StatutID,

	Cheminement2.Description

FROM

	Cheminement2

LEFT JOIN

	Statut lnk44_Statut ON lnk44_Statut.ID = Cheminement2.StatutInitial

LEFT JOIN

	azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = lnk44_Statut.TypeDroit

LEFT JOIN

	azRefTablesValuesDescription rtb2_StatutID ON rtb2_StatutID.ID = lnk44_Statut.StatutID

LEFT JOIN

	Statut lnk45_Statut ON lnk45_Statut.ID = Cheminement2.NouveauStatut

LEFT JOIN

	azRefTablesValuesDescription rtb3_TypeDroit ON rtb3_TypeDroit.ID = lnk45_Statut.TypeDroit

LEFT JOIN

	azRefTablesValuesDescription rtb4_StatutID ON rtb4_StatutID.ID = lnk45_Statut.StatutID

LEFT JOIN 

	azRefTablesValuesDescription rtb5_TypeDroit ON rtb5_TypeDroit.ID = Cheminement2.TypeDroit

WHERE 

	(P_TypeDroit IS NULL OR Cheminement2.TypeDroit = P_TypeDroit) AND

	(P_StatutInitial IS NULL OR Cheminement2.StatutInitial = P_StatutInitial) AND

	(P_NouveauStatut IS NULL OR Cheminement2.NouveauStatut = P_NouveauStatut) AND

	(P_Description IS NULL OR Cheminement2.Description LIKE CONCAT(P_Description, '%')) AND 

	Cheminement2.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindCheminementByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindCheminementByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindCheminementByID`(P_ID int(11))
BEGIN



SELECT

	Cheminement2.ID,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

	rtb2_TypeDroit.ShortDescription rtb2_TypeDroit,

					rtb3_StatutID.ShortDescription rtb3_StatutID,

	rtb4_TypeDroit.ShortDescription rtb4_TypeDroit,

					rtb5_StatutID.ShortDescription rtb5_StatutID,

	Cheminement2.Description

FROM

	Cheminement2

LEFT JOIN

	Statut lnk44_Statut ON lnk44_Statut.ID = Cheminement2.StatutInitial

LEFT JOIN

	azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = lnk44_Statut.TypeDroit

LEFT JOIN

	azRefTablesValuesDescription rtb2_StatutID ON rtb2_StatutID.ID = lnk44_Statut.StatutID

LEFT JOIN

	Statut lnk45_Statut ON lnk45_Statut.ID = Cheminement2.NouveauStatut

LEFT JOIN

	azRefTablesValuesDescription rtb3_TypeDroit ON rtb3_TypeDroit.ID = lnk45_Statut.TypeDroit

LEFT JOIN

	azRefTablesValuesDescription rtb4_StatutID ON rtb4_StatutID.ID = lnk45_Statut.StatutID

	LEFT JOIN azRefTablesValuesDescription rtb5_TypeDroit ON rtb5_TypeDroit.ID = Cheminement2.TypeDroit

WHERE 

	Cheminement2.ID = P_ID AND 

	Cheminement2.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindCommandeAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindCommandeAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindCommandeAll`(P_Date varchar(25), P_Prix varchar(25))
BEGIN



SELECT	

	Commande.ID,

	Commande.Date,

	Commande.Prix

FROM

	Commande

WHERE 

	(P_Date IS NULL OR Commande.Date LIKE CONCAT(P_Date, '%')) AND

	(P_Prix IS NULL OR Commande.Prix LIKE CONCAT(P_Prix, '%')) AND 

	Commande.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindCommandeByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindCommandeByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindCommandeByID`(P_ID int(11))
BEGIN



SELECT

	Commande.ID,

	Commande.Date,

	Commande.Prix

FROM

	Commande

WHERE 

	Commande.ID = P_ID AND 

	Commande.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindCorpsEmploiAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindCorpsEmploiAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindCorpsEmploiAll`(P_Categorie int(11), P_CodeEchelle int(11), P_Description varchar(60))
BEGIN



SELECT	

	CorpsEmploi.ID,

	rtb1_Categorie.ShortDescription rtb1_Categorie,

	CorpsEmploi.Description

FROM

	CorpsEmploi

LEFT JOIN

	CategorieEmploi lnk47_CategorieEmploi ON lnk47_CategorieEmploi.ID = CorpsEmploi.Categorie

LEFT JOIN

	azRefTablesValuesDescription rtb1_Categorie ON rtb1_Categorie.ID = lnk47_CategorieEmploi.Categorie

WHERE 

	(P_Categorie IS NULL OR CorpsEmploi.Categorie = P_Categorie) AND

	(P_CodeEchelle IS NULL OR CorpsEmploi.CodeEchelle = P_CodeEchelle) AND

	(P_Description IS NULL OR CorpsEmploi.Description LIKE CONCAT(P_Description, '%')) AND 

	CorpsEmploi.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindCorpsEmploiByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindCorpsEmploiByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindCorpsEmploiByID`(P_ID int(11))
BEGIN



SELECT

	CorpsEmploi.ID,

	rtb1_Categorie.ShortDescription rtb1_Categorie,

	CorpsEmploi.Description

FROM

	CorpsEmploi

LEFT JOIN

	CategorieEmploi lnk47_CategorieEmploi ON lnk47_CategorieEmploi.ID = CorpsEmploi.Categorie

LEFT JOIN

	azRefTablesValuesDescription rtb1_Categorie ON rtb1_Categorie.ID = lnk47_CategorieEmploi.Categorie

WHERE 

	CorpsEmploi.ID = P_ID AND 

	CorpsEmploi.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDemandeAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindDemandeAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDemandeAll`(P_Type int(11), P_TypeDroit int(11), P_RelationID int(11), P_MembreID int(11), P_DEMANDEFrom dateTime,P_DEMANDETo dateTime, P_Origine int(11), P_RecuPar int(11), P_RegionAdministrative int(11), P_RefereA int(11), P_AssigneA int(11), P_LangueCommunication int(11))
BEGIN



SELECT	

	Demande.ID,

	rtb1_Type.ShortDescription rtb1_Type,

	rtb2_TypeDroit.ShortDescription rtb2_TypeDroit,

	lnk3_Relation.NomOrganisation lnk3_NomOrganisation,

					lnk3_Relation.Prenom lnk3_Prenom,

					lnk3_Relation.Nom lnk3_Nom,

					lnk3_Relation.OrganisationReliee lnk3_OrganisationReliee,

	lnk4_Membre.Prenom lnk4_Prenom,

					lnk4_Membre.Nom lnk4_Nom,

	Demande.DEMANDE,

	rtb3_Origine.ShortDescription rtb3_Origine,

	lnk5_Membre.Prenom lnk5_Prenom,

					lnk5_Membre.Nom lnk5_Nom,

	rtb4_RegionAdministrative.ShortDescription rtb4_RegionAdministrative,

	lnk6_Relation.NomOrganisation lnk6_NomOrganisation,

					lnk6_Relation.Prenom lnk6_Prenom,

					lnk6_Relation.Nom lnk6_Nom,

					lnk6_Relation.OrganisationReliee lnk6_OrganisationReliee,

	lnk7_Membre.Prenom lnk7_Prenom,

					lnk7_Membre.Nom lnk7_Nom,

	Demande.Description,

	rtb5_LangueCommunication.ShortDescription rtb5_LangueCommunication

FROM

	Demande

LEFT JOIN

	Relation lnk3_Relation ON lnk3_Relation.ID = Demande.RelationID

LEFT JOIN

	Membre lnk4_Membre ON lnk4_Membre.ID = Demande.MembreID

LEFT JOIN

	Membre lnk5_Membre ON lnk5_Membre.ID = Demande.RecuPar

LEFT JOIN

	Relation lnk6_Relation ON lnk6_Relation.ID = Demande.RefereA

LEFT JOIN

	Membre lnk7_Membre ON lnk7_Membre.ID = Demande.AssigneA

LEFT JOIN 

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = Demande.Type

LEFT JOIN 

	azRefTablesValuesDescription rtb2_TypeDroit ON rtb2_TypeDroit.ID = Demande.TypeDroit

LEFT JOIN 

	azRefTablesValuesDescription rtb3_Origine ON rtb3_Origine.ID = Demande.Origine

LEFT JOIN 

	azRefTablesValuesDescription rtb4_RegionAdministrative ON rtb4_RegionAdministrative.ID = Demande.RegionAdministrative

LEFT JOIN 

	azRefTablesValuesDescription rtb5_LangueCommunication ON rtb5_LangueCommunication.ID = Demande.LangueCommunication

WHERE 

	(P_Type IS NULL OR Demande.Type = P_Type) AND

	(P_TypeDroit IS NULL OR Demande.TypeDroit = P_TypeDroit) AND

	(P_RelationID IS NULL OR Demande.RelationID = P_RelationID) AND

	(P_MembreID IS NULL OR Demande.MembreID = P_MembreID) AND

	(P_DEMANDEFrom IS NULL OR Demande.DEMANDE >= P_DEMANDEFrom) AND 

	(P_DEMANDETo IS NULL OR Demande.DEMANDE <= fnc_azAdjustToDate(P_DEMANDETo)) AND

	(P_Origine IS NULL OR Demande.Origine = P_Origine) AND

	(P_RecuPar IS NULL OR Demande.RecuPar = P_RecuPar) AND

	(P_RegionAdministrative IS NULL OR Demande.RegionAdministrative = P_RegionAdministrative) AND

	(P_RefereA IS NULL OR Demande.RefereA = P_RefereA) AND

	(P_AssigneA IS NULL OR Demande.AssigneA = P_AssigneA) AND

	(P_LangueCommunication IS NULL OR Demande.LangueCommunication = P_LangueCommunication) AND 

	Demande.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDemandeByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindDemandeByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDemandeByID`(P_ID int(11))
BEGIN



SELECT

	Demande.ID,

	rtb1_Type.ShortDescription rtb1_Type,

	rtb2_TypeDroit.ShortDescription rtb2_TypeDroit,

	lnk3_Relation.NomOrganisation lnk3_NomOrganisation,

					lnk3_Relation.Prenom lnk3_Prenom,

					lnk3_Relation.Nom lnk3_Nom,

					lnk3_Relation.OrganisationReliee lnk3_OrganisationReliee,

	lnk4_Membre.Prenom lnk4_Prenom,

					lnk4_Membre.Nom lnk4_Nom,

	Demande.DEMANDE,

	rtb3_Origine.ShortDescription rtb3_Origine,

	lnk5_Membre.Prenom lnk5_Prenom,

					lnk5_Membre.Nom lnk5_Nom,

	rtb4_RegionAdministrative.ShortDescription rtb4_RegionAdministrative,

	lnk6_Relation.NomOrganisation lnk6_NomOrganisation,

					lnk6_Relation.Prenom lnk6_Prenom,

					lnk6_Relation.Nom lnk6_Nom,

					lnk6_Relation.OrganisationReliee lnk6_OrganisationReliee,

	lnk7_Membre.Prenom lnk7_Prenom,

					lnk7_Membre.Nom lnk7_Nom,

	Demande.Description,

	rtb5_LangueCommunication.ShortDescription rtb5_LangueCommunication

FROM

	Demande

LEFT JOIN

	Relation lnk3_Relation ON lnk3_Relation.ID = Demande.RelationID

LEFT JOIN

	Membre lnk4_Membre ON lnk4_Membre.ID = Demande.MembreID

LEFT JOIN

	Membre lnk5_Membre ON lnk5_Membre.ID = Demande.RecuPar

LEFT JOIN

	Relation lnk6_Relation ON lnk6_Relation.ID = Demande.RefereA

LEFT JOIN

	Membre lnk7_Membre ON lnk7_Membre.ID = Demande.AssigneA

	LEFT JOIN azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = Demande.Type

	LEFT JOIN azRefTablesValuesDescription rtb2_TypeDroit ON rtb2_TypeDroit.ID = Demande.TypeDroit

	LEFT JOIN azRefTablesValuesDescription rtb3_Origine ON rtb3_Origine.ID = Demande.Origine

	LEFT JOIN azRefTablesValuesDescription rtb4_RegionAdministrative ON rtb4_RegionAdministrative.ID = Demande.RegionAdministrative

	LEFT JOIN azRefTablesValuesDescription rtb5_LangueCommunication ON rtb5_LangueCommunication.ID = Demande.LangueCommunication

WHERE 

	Demande.ID = P_ID AND 

	Demande.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDescripteurAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindDescripteurAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDescripteurAll`(P_TypeDroit int(11), P_TypeDescripteur int(11), P_CodeLoiJeunesse int(11), P_Code varchar(20), P_Description_E varchar(100), P_Description_F varchar(100), P_CleTri smallint(6))
BEGIN



SELECT	

	Descripteur.ID,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

	rtb2_TypeDescripteur.ShortDescription rtb2_TypeDescripteur,

	rtb3_CodeLoiJeunesse.ShortDescription rtb3_CodeLoiJeunesse,

	Descripteur.Code,

	Descripteur.Description_E,

	Descripteur.Description_F,

	Descripteur.CleTri

FROM

	Descripteur

LEFT JOIN 

	azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = Descripteur.TypeDroit

LEFT JOIN 

	azRefTablesValuesDescription rtb2_TypeDescripteur ON rtb2_TypeDescripteur.ID = Descripteur.TypeDescripteur

LEFT JOIN 

	azRefTablesValuesDescription rtb3_CodeLoiJeunesse ON rtb3_CodeLoiJeunesse.ID = Descripteur.CodeLoiJeunesse

WHERE 

	(P_TypeDroit IS NULL OR Descripteur.TypeDroit = P_TypeDroit) AND

	(P_TypeDescripteur IS NULL OR Descripteur.TypeDescripteur = P_TypeDescripteur) AND

	(P_CodeLoiJeunesse IS NULL OR Descripteur.CodeLoiJeunesse = P_CodeLoiJeunesse) AND

	(P_Code IS NULL OR Descripteur.Code LIKE CONCAT(P_Code, '%')) AND

	(P_Description_E IS NULL OR Descripteur.Description_E LIKE CONCAT(P_Description_E, '%')) AND

	(P_Description_F IS NULL OR Descripteur.Description_F LIKE CONCAT(P_Description_F, '%')) AND

	(P_CleTri IS NULL OR Descripteur.CleTri = P_CleTri) AND 

	Descripteur.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDescripteurByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindDescripteurByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDescripteurByID`(P_ID int(11))
BEGIN



SELECT

	Descripteur.ID,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

	rtb2_TypeDescripteur.ShortDescription rtb2_TypeDescripteur,

	rtb3_CodeLoiJeunesse.ShortDescription rtb3_CodeLoiJeunesse,

	Descripteur.Code,

	Descripteur.Description_E,

	Descripteur.Description_F,

	Descripteur.CleTri

FROM

	Descripteur

	LEFT JOIN azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = Descripteur.TypeDroit

	LEFT JOIN azRefTablesValuesDescription rtb2_TypeDescripteur ON rtb2_TypeDescripteur.ID = Descripteur.TypeDescripteur

	LEFT JOIN azRefTablesValuesDescription rtb3_CodeLoiJeunesse ON rtb3_CodeLoiJeunesse.ID = Descripteur.CodeLoiJeunesse

WHERE 

	Descripteur.ID = P_ID AND 

	Descripteur.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDescripteurDocumentAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindDescripteurDocumentAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDescripteurDocumentAll`(P_ID int(11), P_Description varchar(100), P_TypeDescripteur int(11), P_CoteBibliographique varchar(25), P_Languagecode char(2))
BEGIN



SELECT	

	DescripteurDocument.ID,

	DescripteurDocument.Description,

	rtb1_TypeDescripteur.ShortDescription rtb1_TypeDescripteur,

	DescripteurDocument.CoteBibliographique

FROM

	DescripteurDocument

LEFT JOIN

	azRefTablesValuesDescription rtb1_TypeDescripteur ON rtb1_TypeDescripteur.ID = DescripteurDocument.TypeDescripteur AND rtb1_TypeDescripteur.Languagecode = P_Languagecode

WHERE

  (P_ID IS NULL OR DescripteurDocument.ID = P_ID) AND

	(P_Description IS NULL OR DescripteurDocument.Description LIKE CONCAT(P_Description, '%')) AND

	(P_TypeDescripteur IS NULL OR DescripteurDocument.TypeDescripteur = P_TypeDescripteur) AND

	(P_CoteBibliographique IS NULL OR DescripteurDocument.CoteBibliographique LIKE CONCAT(P_CoteBibliographique, '%')) AND

	DescripteurDocument.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDetailsDecisionAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindDetailsDecisionAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDetailsDecisionAll`(P_EnqueteID smallint(6))
BEGIN



SELECT	

	DetailsDecision.ID,

	DetailsDecision.EnqueteID

FROM

	DetailsDecision

WHERE 

	(P_EnqueteID IS NULL OR DetailsDecision.EnqueteID = P_EnqueteID) AND 

	DetailsDecision.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDetailsDecisionByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindDetailsDecisionByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDetailsDecisionByID`(P_ID int(11))
BEGIN



SELECT

	DetailsDecision.ID,

	DetailsDecision.EnqueteID

FROM

	DetailsDecision

WHERE 

	DetailsDecision.ID = P_ID AND 

	DetailsDecision.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDirectionCentreJeunesseAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindDirectionCentreJeunesseAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDirectionCentreJeunesseAll`(P_PosteCentreJeunesse int(11), P_Client int(11), P_RegionAdministrative int(11))
BEGIN



SELECT	

	DirectionCentreJeunesse.ID,

	rtb1_PosteCentreJeunesse.ShortDescription rtb1_PosteCentreJeunesse,

	lnk50_Relation.NomOrganisation lnk50_NomOrganisation,

					lnk50_Relation.Prenom lnk50_Prenom,

					lnk50_Relation.Nom lnk50_Nom,

					lnk50_Relation.OrganisationReliee lnk50_OrganisationReliee,

	rtb2_BureauID.ShortDescription rtb2_BureauID

FROM

	DirectionCentreJeunesse

LEFT JOIN

	Relation lnk50_Relation ON lnk50_Relation.ID = DirectionCentreJeunesse.Client

LEFT JOIN

	RegionAdministrative lnk51_RegionAdministrative ON lnk51_RegionAdministrative.ID = DirectionCentreJeunesse.RegionAdministrative

LEFT JOIN

	azRefTablesValuesDescription rtb1_BureauID ON rtb1_BureauID.ID = lnk51_RegionAdministrative.BureauID

LEFT JOIN 

	azRefTablesValuesDescription rtb2_PosteCentreJeunesse ON rtb2_PosteCentreJeunesse.ID = DirectionCentreJeunesse.PosteCentreJeunesse

WHERE 

	(P_PosteCentreJeunesse IS NULL OR DirectionCentreJeunesse.PosteCentreJeunesse = P_PosteCentreJeunesse) AND

	(P_Client IS NULL OR DirectionCentreJeunesse.Client = P_Client) AND

	(P_RegionAdministrative IS NULL OR DirectionCentreJeunesse.RegionAdministrative = P_RegionAdministrative) AND 

	DirectionCentreJeunesse.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDirectionCentreJeunesseByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindDirectionCentreJeunesseByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDirectionCentreJeunesseByID`(P_ID int(11))
BEGIN



SELECT

	DirectionCentreJeunesse.ID,

	rtb1_PosteCentreJeunesse.ShortDescription rtb1_PosteCentreJeunesse,

	lnk50_Relation.NomOrganisation lnk50_NomOrganisation,

					lnk50_Relation.Prenom lnk50_Prenom,

					lnk50_Relation.Nom lnk50_Nom,

					lnk50_Relation.OrganisationReliee lnk50_OrganisationReliee,

	rtb2_BureauID.ShortDescription rtb2_BureauID

FROM

	DirectionCentreJeunesse

LEFT JOIN

	Relation lnk50_Relation ON lnk50_Relation.ID = DirectionCentreJeunesse.Client

LEFT JOIN

	RegionAdministrative lnk51_RegionAdministrative ON lnk51_RegionAdministrative.ID = DirectionCentreJeunesse.RegionAdministrative

LEFT JOIN

	azRefTablesValuesDescription rtb1_BureauID ON rtb1_BureauID.ID = lnk51_RegionAdministrative.BureauID

	LEFT JOIN azRefTablesValuesDescription rtb2_PosteCentreJeunesse ON rtb2_PosteCentreJeunesse.ID = DirectionCentreJeunesse.PosteCentreJeunesse

WHERE 

	DirectionCentreJeunesse.ID = P_ID AND 

	DirectionCentreJeunesse.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDocumentAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindDocumentAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDocumentAll`(P_ID int(11), P_Statut int(11), P_Type int(11), P_Langue int(11), P_DirectionResponsable int(11), P_DateFrom dateTime,P_DateTo dateTime, P_Version int(11), P_DocumentMAJ int(11), P_Cote varchar(25), P_AncienneCote varchar(25), P_CodeDewey varchar(20), P_Pages smallint(6), P_ContientAnnexes tinyint(1), P_NoResolution varchar(50), P_Reference varchar(255), P_LanguageCode char(2))
BEGIN



SELECT	

	Document.ID,

	rtb1_Statut.ShortDescription rtb1_Statut,

	rtb2_Type.ShortDescription rtb2_Type,

	Document.Titre,

	rtb3_Langue.ShortDescription rtb3_Langue,

	rtb4_DirectionResponsable.ShortDescription rtb4_DirectionResponsable,

  DATE_FORMAT(Document.Date, '%d-%m-%Y') Date,

	rtb5_Version.ShortDescription rtb5_Version,

	lnk34_Document.Titre lnk34_Titre,

	Document.Cote,

	Document.AncienneCote,

	Document.CodeDewey,

	Document.Pages,

	Document.ContientAnnexes,

	Document.Resume,

	Document.FichierSource,

	Document.Reference

FROM

	Document

LEFT JOIN

	Document lnk34_Document ON lnk34_Document.ID = Document.DocumentMAJ

LEFT JOIN

	azRefTablesValuesDescription rtb1_Statut ON rtb1_Statut.ID = Document.Statut AND rtb1_Statut.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb2_Type ON rtb2_Type.ID = Document.Type AND rtb2_Type.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb3_Langue ON rtb3_Langue.ID = Document.Langue AND rtb3_Langue.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb4_DirectionResponsable ON rtb4_DirectionResponsable.ID = Document.DirectionResponsable AND rtb4_DirectionResponsable.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb5_Version ON rtb5_Version.ID = Document.Version AND rtb5_Version.LanguageCode = P_LanguageCode

WHERE

  (P_ID IS NULL OR Document.ID = P_ID) AND

	(P_Statut IS NULL OR Document.Statut = P_Statut) AND

	(P_Type IS NULL OR Document.Type = P_Type) AND

	(P_Langue IS NULL OR Document.Langue = P_Langue) AND

	(P_DirectionResponsable IS NULL OR Document.DirectionResponsable = P_DirectionResponsable) AND

	(P_DateFrom IS NULL OR Document.Date >= P_DateFrom) AND 

	(P_DateTo IS NULL OR Document.Date <= fnc_azAdjustToDate(P_DateTo)) AND

	(P_Version IS NULL OR Document.Version = P_Version) AND

	(P_DocumentMAJ IS NULL OR Document.DocumentMAJ = P_DocumentMAJ) AND

	(P_Cote IS NULL OR Document.Cote LIKE CONCAT(P_Cote, '%')) AND

	(P_AncienneCote IS NULL OR Document.AncienneCote LIKE CONCAT(P_AncienneCote, '%')) AND

	(P_CodeDewey IS NULL OR Document.CodeDewey LIKE CONCAT(P_CodeDewey, '%')) AND

	(P_Pages IS NULL OR Document.Pages = P_Pages) AND

	(P_ContientAnnexes IS NULL OR Document.ContientAnnexes = P_ContientAnnexes) AND

	(P_NoResolution IS NULL OR Document.NoResolution LIKE CONCAT(P_NoResolution, '%')) AND

	(P_Reference IS NULL OR Document.Reference LIKE CONCAT(P_Reference, '%')) AND 

	Document.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDossierAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindDossierAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDossierAll`(P_Type int(11), P_Nom varchar(50), P_Source int(11), P_TypeDateEcheance int(11), P_DateEcheanceFrom dateTime,P_DateEcheanceTo dateTime, P_NoteEcheance varchar(50), P_TypePresentation int(11), P_ButPresentation int(11), P_DatePresentationFrom dateTime,P_DatePresentationTo dateTime, P_NoResolution varchar(25), P_DateCommissionParlementaireFrom dateTime,P_DateCommissionParlementaireTo dateTime, P_HyperLienJournalDebats varchar(100), P_Cote varchar(25))
BEGIN



SELECT	

	Dossier.ID,

	rtb1_Type.ShortDescription rtb1_Type,

	Dossier.Nom,

	rtb2_Source.ShortDescription rtb2_Source,

	Dossier.Description,

	rtb3_TypeDateEcheance.ShortDescription rtb3_TypeDateEcheance,

	Dossier.DateEcheance,

	Dossier.NoteEcheance,

	rtb4_TypePresentation.ShortDescription rtb4_TypePresentation,

	rtb5_ButPresentation.ShortDescription rtb5_ButPresentation,

	Dossier.DatePresentation,

	Dossier.NoResolution,

	Dossier.DateCommissionParlementaire,

	Dossier.HyperLienJournalDebats,

	Dossier.Cote

FROM

	Dossier

LEFT JOIN 

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = Dossier.Type

LEFT JOIN 

	azRefTablesValuesDescription rtb2_Source ON rtb2_Source.ID = Dossier.Source

LEFT JOIN 

	azRefTablesValuesDescription rtb3_TypeDateEcheance ON rtb3_TypeDateEcheance.ID = Dossier.TypeDateEcheance

LEFT JOIN 

	azRefTablesValuesDescription rtb4_TypePresentation ON rtb4_TypePresentation.ID = Dossier.TypePresentation

LEFT JOIN 

	azRefTablesValuesDescription rtb5_ButPresentation ON rtb5_ButPresentation.ID = Dossier.ButPresentation

WHERE 

	(P_Type IS NULL OR Dossier.Type = P_Type) AND

	(P_Nom IS NULL OR Dossier.Nom LIKE CONCAT(P_Nom, '%')) AND

	(P_Source IS NULL OR Dossier.Source = P_Source) AND

	(P_TypeDateEcheance IS NULL OR Dossier.TypeDateEcheance = P_TypeDateEcheance) AND

	(P_DateEcheanceFrom IS NULL OR Dossier.DateEcheance >= P_DateEcheanceFrom) AND 

	(P_DateEcheanceTo IS NULL OR Dossier.DateEcheance <= fnc_azAdjustToDate(P_DateEcheanceTo)) AND

	(P_NoteEcheance IS NULL OR Dossier.NoteEcheance LIKE CONCAT(P_NoteEcheance, '%')) AND

	(P_TypePresentation IS NULL OR Dossier.TypePresentation = P_TypePresentation) AND

	(P_ButPresentation IS NULL OR Dossier.ButPresentation = P_ButPresentation) AND

	(P_DatePresentationFrom IS NULL OR Dossier.DatePresentation >= P_DatePresentationFrom) AND 

	(P_DatePresentationTo IS NULL OR Dossier.DatePresentation <= fnc_azAdjustToDate(P_DatePresentationTo)) AND

	(P_NoResolution IS NULL OR Dossier.NoResolution LIKE CONCAT(P_NoResolution, '%')) AND

	(P_DateCommissionParlementaireFrom IS NULL OR Dossier.DateCommissionParlementaire >= P_DateCommissionParlementaireFrom) AND 

	(P_DateCommissionParlementaireTo IS NULL OR Dossier.DateCommissionParlementaire <= fnc_azAdjustToDate(P_DateCommissionParlementaireTo)) AND

	(P_HyperLienJournalDebats IS NULL OR Dossier.HyperLienJournalDebats LIKE CONCAT(P_HyperLienJournalDebats, '%')) AND

	(P_Cote IS NULL OR Dossier.Cote LIKE CONCAT(P_Cote, '%')) AND 

	Dossier.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDossierByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindDossierByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDossierByID`(P_ID int(11))
BEGIN



SELECT

	Dossier.ID,

	rtb1_Type.ShortDescription rtb1_Type,

	Dossier.Nom,

	rtb2_Source.ShortDescription rtb2_Source,

	Dossier.Description,

	rtb3_TypeDateEcheance.ShortDescription rtb3_TypeDateEcheance,

	Dossier.DateEcheance,

	Dossier.NoteEcheance,

	rtb4_TypePresentation.ShortDescription rtb4_TypePresentation,

	rtb5_ButPresentation.ShortDescription rtb5_ButPresentation,

	Dossier.DatePresentation,

	Dossier.NoResolution,

	Dossier.DateCommissionParlementaire,

	Dossier.HyperLienJournalDebats,

	Dossier.Cote

FROM

	Dossier

	LEFT JOIN azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = Dossier.Type

	LEFT JOIN azRefTablesValuesDescription rtb2_Source ON rtb2_Source.ID = Dossier.Source

	LEFT JOIN azRefTablesValuesDescription rtb3_TypeDateEcheance ON rtb3_TypeDateEcheance.ID = Dossier.TypeDateEcheance

	LEFT JOIN azRefTablesValuesDescription rtb4_TypePresentation ON rtb4_TypePresentation.ID = Dossier.TypePresentation

	LEFT JOIN azRefTablesValuesDescription rtb5_ButPresentation ON rtb5_ButPresentation.ID = Dossier.ButPresentation

WHERE 

	Dossier.ID = P_ID AND 

	Dossier.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDossierPAEAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindDossierPAEAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDossierPAEAll`(P_Client int(11))
BEGIN



SELECT	

	DossierPAE.ID,

	lnk27_Relation.NomOrganisation lnk27_NomOrganisation,

					lnk27_Relation.Prenom lnk27_Prenom,

					lnk27_Relation.Nom lnk27_Nom,

					lnk27_Relation.OrganisationReliee lnk27_OrganisationReliee

FROM

	DossierPAE

LEFT JOIN

	Relation lnk27_Relation ON lnk27_Relation.ID = DossierPAE.Client

WHERE 

	(P_Client IS NULL OR DossierPAE.Client = P_Client) AND 

	DossierPAE.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDossierPAEByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindDossierPAEByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDossierPAEByID`(P_ID int(11))
BEGIN



SELECT

	DossierPAE.ID,

	lnk27_Relation.NomOrganisation lnk27_NomOrganisation,

					lnk27_Relation.Prenom lnk27_Prenom,

					lnk27_Relation.Nom lnk27_Nom,

					lnk27_Relation.OrganisationReliee lnk27_OrganisationReliee

FROM

	DossierPAE

LEFT JOIN

	Relation lnk27_Relation ON lnk27_Relation.ID = DossierPAE.Client

WHERE 

	DossierPAE.ID = P_ID AND 

	DossierPAE.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDroitAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindDroitAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDroitAll`(P_TypeDroit int(11), P_LoiJeunesse int(11), P_Code varchar(8), P_DescriptionFrancais varchar(200), P_DescriptionAnglais varchar(200))
BEGIN



SELECT	

	Droit.ID,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

	rtb2_LoiJeunesse.ShortDescription rtb2_LoiJeunesse,

	Droit.Code,

	Droit.DescriptionFrancais,

	Droit.DescriptionAnglais

FROM

	Droit

LEFT JOIN 

	azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = Droit.TypeDroit

LEFT JOIN 

	azRefTablesValuesDescription rtb2_LoiJeunesse ON rtb2_LoiJeunesse.ID = Droit.LoiJeunesse

WHERE 

	(P_TypeDroit IS NULL OR Droit.TypeDroit = P_TypeDroit) AND

	(P_LoiJeunesse IS NULL OR Droit.LoiJeunesse = P_LoiJeunesse) AND

	(P_Code IS NULL OR Droit.Code LIKE CONCAT(P_Code, '%')) AND

	(P_DescriptionFrancais IS NULL OR Droit.DescriptionFrancais LIKE CONCAT(P_DescriptionFrancais, '%')) AND

	(P_DescriptionAnglais IS NULL OR Droit.DescriptionAnglais LIKE CONCAT(P_DescriptionAnglais, '%')) AND 

	Droit.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindDroitByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindDroitByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindDroitByID`(P_ID int(11))
BEGIN



SELECT

	Droit.ID,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

	rtb2_LoiJeunesse.ShortDescription rtb2_LoiJeunesse,

	Droit.Code,

	Droit.DescriptionFrancais,

	Droit.DescriptionAnglais

FROM

	Droit

	LEFT JOIN azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = Droit.TypeDroit

	LEFT JOIN azRefTablesValuesDescription rtb2_LoiJeunesse ON rtb2_LoiJeunesse.ID = Droit.LoiJeunesse

WHERE 

	Droit.ID = P_ID AND 

	Droit.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindEchelleSalarialeAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindEchelleSalarialeAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindEchelleSalarialeAll`(P_NoEchelle int(11), P_Classe varchar(25))
BEGIN



SELECT	

	EchelleSalariale.ID,

	rtb1_NoEchelle.ShortDescription rtb1_NoEchelle,

	EchelleSalariale.Classe

FROM

	EchelleSalariale

LEFT JOIN 

	azRefTablesValuesDescription rtb1_NoEchelle ON rtb1_NoEchelle.ID = EchelleSalariale.NoEchelle

WHERE 

	(P_NoEchelle IS NULL OR EchelleSalariale.NoEchelle = P_NoEchelle) AND

	(P_Classe IS NULL OR EchelleSalariale.Classe LIKE CONCAT(P_Classe, '%')) AND 

	EchelleSalariale.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindEchelleSalarialeByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindEchelleSalarialeByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindEchelleSalarialeByID`(P_ID int(11))
BEGIN



SELECT

	EchelleSalariale.ID,

	rtb1_NoEchelle.ShortDescription rtb1_NoEchelle,

	EchelleSalariale.Classe

FROM

	EchelleSalariale

	LEFT JOIN azRefTablesValuesDescription rtb1_NoEchelle ON rtb1_NoEchelle.ID = EchelleSalariale.NoEchelle

WHERE 

	EchelleSalariale.ID = P_ID AND 

	EchelleSalariale.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindEtapePlumitifAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindEtapePlumitifAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindEtapePlumitifAll`(P_Cheminement varchar(255), P_Attribution varchar(100))
BEGIN



SELECT	

	EtapePlumitif.ID,

	EtapePlumitif.Cheminement,

	EtapePlumitif.Attribution

FROM

	EtapePlumitif

WHERE 

	(P_Cheminement IS NULL OR EtapePlumitif.Cheminement LIKE CONCAT(P_Cheminement, '%')) AND

	(P_Attribution IS NULL OR EtapePlumitif.Attribution LIKE CONCAT(P_Attribution, '%')) AND 

	EtapePlumitif.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindEtapePlumitifByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindEtapePlumitifByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindEtapePlumitifByID`(P_ID int(11))
BEGIN



SELECT

	EtapePlumitif.ID,

	EtapePlumitif.Cheminement,

	EtapePlumitif.Attribution

FROM

	EtapePlumitif

WHERE 

	EtapePlumitif.ID = P_ID AND 

	EtapePlumitif.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindEvenementAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindEvenementAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindEvenementAll`(P_Nom varchar(100))
BEGIN



SELECT	

	Evenement.ID,

	Evenement.Nom

FROM

	Evenement

WHERE 

	(P_Nom IS NULL OR Evenement.Nom LIKE CONCAT(P_Nom, '%')) AND 

	Evenement.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindEvenementByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindEvenementByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindEvenementByID`(P_ID int(11))
BEGIN



SELECT

	Evenement.ID,

	Evenement.Nom

FROM

	Evenement

WHERE 

	Evenement.ID = P_ID AND 

	Evenement.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindInstanceJudiciaireAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindInstanceJudiciaireAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindInstanceJudiciaireAll`(P_ID int(11), P_InstanceJudiciaire int(11), P_PresenceDistrictJudiciaire int(11), P_LanguageCode char(2))
BEGIN



SELECT	

	InstanceJudiciaire.ID,

	rtb1_InstanceJudiciaire.ShortDescription rtb1_InstanceJudiciaire,

	rtb2_PresenceDistrictJudiciaire.ShortDescription rtb2_PresenceDistrictJudiciaire

FROM

	InstanceJudiciaire

LEFT JOIN

	azRefTablesValuesDescription rtb1_InstanceJudiciaire ON rtb1_InstanceJudiciaire.ID = InstanceJudiciaire.InstanceJudiciaire AND rtb1_InstanceJudiciaire.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb2_PresenceDistrictJudiciaire ON rtb2_PresenceDistrictJudiciaire.ID = InstanceJudiciaire.PresenceDistrictJudiciaire AND rtb2_PresenceDistrictJudiciaire.LanguageCode = P_LanguageCode

WHERE

  (P_ID IS NULL OR InstanceJudiciaire.ID = P_ID) AND

	(P_InstanceJudiciaire IS NULL OR InstanceJudiciaire.InstanceJudiciaire = P_InstanceJudiciaire) AND

	(P_PresenceDistrictJudiciaire IS NULL OR InstanceJudiciaire.PresenceDistrictJudiciaire = P_PresenceDistrictJudiciaire) AND

	InstanceJudiciaire.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindLienAddresseAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindLienAddresseAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindLienAddresseAll`(P_AddresseID int(11), P_MembreID int(11), P_RelationID int(11))
BEGIN



SELECT	

	LienAddresse.ID,

	lnk30_Adresse.Adresse1 lnk30_Adresse1,

					lnk30_Adresse.Adresse2 lnk30_Adresse2,

					lnk30_Adresse.Adresse3 lnk30_Adresse3,

	lnk42_Membre.Prenom lnk42_Prenom,

					lnk42_Membre.Nom lnk42_Nom,

	lnk43_Relation.NomOrganisation lnk43_NomOrganisation,

					lnk43_Relation.Prenom lnk43_Prenom,

					lnk43_Relation.Nom lnk43_Nom,

					lnk43_Relation.OrganisationReliee lnk43_OrganisationReliee

FROM

	LienAddresse

LEFT JOIN

	Adresse lnk30_Adresse ON lnk30_Adresse.ID = LienAddresse.AddresseID

LEFT JOIN

	Membre lnk42_Membre ON lnk42_Membre.ID = LienAddresse.MembreID

LEFT JOIN

	Relation lnk43_Relation ON lnk43_Relation.ID = LienAddresse.RelationID

WHERE 

	(P_AddresseID IS NULL OR LienAddresse.AddresseID = P_AddresseID) AND

	(P_MembreID IS NULL OR LienAddresse.MembreID = P_MembreID) AND

	(P_RelationID IS NULL OR LienAddresse.RelationID = P_RelationID) AND 

	LienAddresse.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindLienAddresseByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindLienAddresseByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindLienAddresseByID`(P_ID int(11))
BEGIN



SELECT

	LienAddresse.ID,

	lnk30_Adresse.Adresse1 lnk30_Adresse1,

					lnk30_Adresse.Adresse2 lnk30_Adresse2,

					lnk30_Adresse.Adresse3 lnk30_Adresse3,

	lnk42_Membre.Prenom lnk42_Prenom,

					lnk42_Membre.Nom lnk42_Nom,

	lnk43_Relation.NomOrganisation lnk43_NomOrganisation,

					lnk43_Relation.Prenom lnk43_Prenom,

					lnk43_Relation.Nom lnk43_Nom,

					lnk43_Relation.OrganisationReliee lnk43_OrganisationReliee

FROM

	LienAddresse

LEFT JOIN

	Adresse lnk30_Adresse ON lnk30_Adresse.ID = LienAddresse.AddresseID

LEFT JOIN

	Membre lnk42_Membre ON lnk42_Membre.ID = LienAddresse.MembreID

LEFT JOIN

	Relation lnk43_Relation ON lnk43_Relation.ID = LienAddresse.RelationID

WHERE 

	LienAddresse.ID = P_ID AND 

	LienAddresse.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindMembreAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindMembreAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindMembreAll`(P_ID int(11), P_Type int(11), P_Prenom varchar(50), P_Nom varchar(50), P_Actif tinyint(1), P_NAS varchar(9), P_CodeUsager varchar(10), P_Courriel varchar(100), P_SuperieurImmediat int(11), P_CurrentDate datetime, P_LanguageCode char(2))
BEGIN



SELECT

	Membre.ID,

	rtb1_Type.ShortDescription rtb1_Type,

	CONCAT(Membre.Nom, ', ', Membre.Prenom) NomComplet,

  DATE_FORMAT(Membre.DateEntree, '%d-%m-%Y') DateEntree,

  DATE_FORMAT(Membre.DateDepart, '%d-%m-%Y') DateDepart,

	CASE

    WHEN Membre.DateDepart IS NULL AND Membre.DateEntree <= P_CurrentDate THEN 1

    WHEN Membre.DateDepart IS NULL AND Membre.DateEntree > P_CurrentDate THEN 0

    WHEN Membre.DateDepart IS NOT NULL AND Membre.DateEntree <= P_CurrentDate AND Membre.DateDepart > P_CurrentDate THEN 1

    ELSE 0

  END Actif,

  CASE

    WHEN Membre.NAS IS NOT NULL THEN CONCAT(SUBSTRING(Membre.NAS, 1, 3), '-', SUBSTRING(Membre.NAS, 4, 3), '-', SUBSTRING(Membre.NAS, 7, 3))

    ELSE NULL

  END NAS,

	Membre.CodeUsager,

  Membre.Courriel

FROM

	Membre

LEFT JOIN

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = Membre.Type AND rtb1_Type.LanguageCode = P_LanguageCode

WHERE

  (P_ID IS NULL OR Membre.ID = P_ID) AND

	(P_Type IS NULL OR Membre.Type = P_Type) AND

	(P_Prenom IS NULL OR Membre.Prenom LIKE CONCAT(P_Prenom, '%')) AND

	(P_Nom IS NULL OR Membre.Nom LIKE CONCAT(P_Nom, '%')) AND

	(P_Actif IS NULL OR

   (Membre.DateDepart IS NULL AND Membre.DateEntree <= P_CurrentDate AND P_Actif = 1) OR

   (Membre.DateDepart IS NULL AND Membre.DateEntree > P_CurrentDate AND P_Actif = 0) OR

   (Membre.DateDepart IS NOT NULL AND Membre.DateEntree <= P_CurrentDate AND Membre.DateDepart > P_CurrentDate AND P_Actif = 1) OR

   (Membre.DateDepart IS NOT NULL AND P_Actif = 0)

  ) AND

	(P_NAS IS NULL OR Membre.NAS LIKE CONCAT(P_NAS, '%')) AND

	(P_CodeUsager IS NULL OR Membre.CodeUsager LIKE CONCAT(P_CodeUsager, '%')) AND

  (P_Courriel IS NULL OR Membre.Courriel LIKE CONCAT(P_Courriel, '%')) AND

	(P_SuperieurImmediat IS NULL OR Membre.SuperieurImmediat = P_SuperieurImmediat) AND

	Membre.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindNoteAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindNoteAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindNoteAll`(P_DemandeID int(11), P_PlainteID int(11), P_Description text, P_DateFrom dateTime,P_DateTo dateTime, P_SaisiPar int(11))
BEGIN



SELECT	

	Note.ID,

	lnk3_Relation.NomOrganisation lnk3_NomOrganisation,

					lnk3_Relation.Prenom lnk3_Prenom,

					lnk3_Relation.Nom lnk3_Nom,

					lnk3_Relation.OrganisationReliee lnk3_OrganisationReliee,

					lnk4_Membre.Prenom lnk4_Prenom,

					lnk4_Membre.Nom lnk4_Nom,

	lnk10_Relation.NomOrganisation lnk10_NomOrganisation,

					lnk10_Relation.Prenom lnk10_Prenom,

					lnk10_Relation.Nom lnk10_Nom,

					lnk10_Relation.OrganisationReliee lnk10_OrganisationReliee,

					rtb1_BUREAU.ShortDescription rtb1_BUREAU,

	Note.Date,

	lnk9_Membre.Prenom lnk9_Prenom,

					lnk9_Membre.Nom lnk9_Nom

FROM

	Note

LEFT JOIN

	Demande lnk57_Demande ON lnk57_Demande.ID = Note.DemandeID

LEFT JOIN

	Relation lnk3_Relation ON lnk3_Relation.ID = lnk57_Demande.RelationID

LEFT JOIN

	Membre lnk4_Membre ON lnk4_Membre.ID = lnk57_Demande.MembreID

LEFT JOIN

	Plainte lnk58_Plainte ON lnk58_Plainte.ID = Note.PlainteID

LEFT JOIN

	Relation lnk10_Relation ON lnk10_Relation.ID = lnk58_Plainte.PlaignantID

LEFT JOIN

	azRefTablesValuesDescription rtb1_BUREAU ON rtb1_BUREAU.ID = lnk58_Plainte.BUREAU

LEFT JOIN

	Membre lnk9_Membre ON lnk9_Membre.ID = Note.SaisiPar

WHERE 

	(P_DemandeID IS NULL OR Note.DemandeID = P_DemandeID) AND

	(P_PlainteID IS NULL OR Note.PlainteID = P_PlainteID) AND

	(P_Description IS NULL OR Note.Description = P_Description) AND

	(P_DateFrom IS NULL OR Note.Date >= P_DateFrom) AND 

	(P_DateTo IS NULL OR Note.Date <= fnc_azAdjustToDate(P_DateTo)) AND

	(P_SaisiPar IS NULL OR Note.SaisiPar = P_SaisiPar) AND 

	Note.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindNoteByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindNoteByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindNoteByID`(P_ID int(11))
BEGIN



SELECT

	Note.ID,

	lnk3_Relation.NomOrganisation lnk3_NomOrganisation,

					lnk3_Relation.Prenom lnk3_Prenom,

					lnk3_Relation.Nom lnk3_Nom,

					lnk3_Relation.OrganisationReliee lnk3_OrganisationReliee,

					lnk4_Membre.Prenom lnk4_Prenom,

					lnk4_Membre.Nom lnk4_Nom,

	lnk10_Relation.NomOrganisation lnk10_NomOrganisation,

					lnk10_Relation.Prenom lnk10_Prenom,

					lnk10_Relation.Nom lnk10_Nom,

					lnk10_Relation.OrganisationReliee lnk10_OrganisationReliee,

					rtb1_BUREAU.ShortDescription rtb1_BUREAU,

	Note.Date,

	lnk9_Membre.Prenom lnk9_Prenom,

					lnk9_Membre.Nom lnk9_Nom

FROM

	Note

LEFT JOIN

	Demande lnk57_Demande ON lnk57_Demande.ID = Note.DemandeID

LEFT JOIN

	Relation lnk3_Relation ON lnk3_Relation.ID = lnk57_Demande.RelationID

LEFT JOIN

	Membre lnk4_Membre ON lnk4_Membre.ID = lnk57_Demande.MembreID

LEFT JOIN

	Plainte lnk58_Plainte ON lnk58_Plainte.ID = Note.PlainteID

LEFT JOIN

	Relation lnk10_Relation ON lnk10_Relation.ID = lnk58_Plainte.PlaignantID

LEFT JOIN

	azRefTablesValuesDescription rtb1_BUREAU ON rtb1_BUREAU.ID = lnk58_Plainte.BUREAU

LEFT JOIN

	Membre lnk9_Membre ON lnk9_Membre.ID = Note.SaisiPar

WHERE 

	Note.ID = P_ID AND 

	Note.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindPlainteAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindPlainteAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindPlainteAll`(P_ID int(11), P_AncienID varchar(20), P_TypeDroit int(11), P_PlaignantID int(11), P_STATUT int(11), P_BUREAU int(11), P_RegionAdministrativeMODIFIER int(11), P_Archivex varchar(10))
BEGIN



SELECT	

	Plainte.ID,

	Plainte.AncienID,

	lnk10_Relation.NomOrganisation lnk10_NomOrganisation,

					lnk10_Relation.Prenom lnk10_Prenom,

					lnk10_Relation.Nom lnk10_Nom,

					lnk10_Relation.OrganisationReliee lnk10_OrganisationReliee,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

					rtb2_StatutID.ShortDescription rtb2_StatutID,

	rtb3_BUREAU.ShortDescription rtb3_BUREAU,

	rtb4_RegionAdministrativeMODIFIER.ShortDescription rtb4_RegionAdministrativeMODIFIER,

	rtb5_Secteur.ShortDescription rtb5_Secteur,

	Plainte.Archivex,

	rtb6_ArchivageVersement.ShortDescription rtb6_ArchivageVersement,

	Plainte.DateArchivage,

	Plainte.Thematique

FROM

	Plainte

LEFT JOIN

	Relation lnk10_Relation ON lnk10_Relation.ID = Plainte.PlaignantID

LEFT JOIN

	Statut lnk11_Statut ON lnk11_Statut.ID = Plainte.STATUT

LEFT JOIN

	azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = lnk11_Statut.TypeDroit

LEFT JOIN

	azRefTablesValuesDescription rtb2_StatutID ON rtb2_StatutID.ID = lnk11_Statut.StatutID

LEFT JOIN 

	azRefTablesValuesDescription rtb3_BUREAU ON rtb3_BUREAU.ID = Plainte.BUREAU

LEFT JOIN 

	azRefTablesValuesDescription rtb4_RegionAdministrativeMODIFIER ON rtb4_RegionAdministrativeMODIFIER.ID = Plainte.RegionAdministrativeMODIFIER

LEFT JOIN 

	azRefTablesValuesDescription rtb5_Secteur ON rtb5_Secteur.ID = Plainte.Secteur

LEFT JOIN 

	azRefTablesValuesDescription rtb6_ArchivageVersement ON rtb6_ArchivageVersement.ID = Plainte.ArchivageVersement

WHERE 

	(P_ID IS NULL OR Plainte.ID = P_ID) AND

	(P_AncienID IS NULL OR Plainte.AncienID LIKE CONCAT(P_AncienID, '%')) AND

	(P_TypeDroit IS NULL OR Plainte.TypeDroit = P_TypeDroit) AND

	(P_PlaignantID IS NULL OR Plainte.PlaignantID = P_PlaignantID) AND

	(P_STATUT IS NULL OR Plainte.STATUT = P_STATUT) AND

	(P_BUREAU IS NULL OR Plainte.BUREAU = P_BUREAU) AND

	(P_RegionAdministrativeMODIFIER IS NULL OR Plainte.RegionAdministrativeMODIFIER = P_RegionAdministrativeMODIFIER) AND

	(P_Archivex IS NULL OR Plainte.Archivex LIKE CONCAT(P_Archivex, '%')) AND 

	Plainte.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindPlainteByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindPlainteByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindPlainteByID`(P_ID int(11))
BEGIN



SELECT

	Plainte.ID,

	Plainte.AncienID,

	lnk10_Relation.NomOrganisation lnk10_NomOrganisation,

					lnk10_Relation.Prenom lnk10_Prenom,

					lnk10_Relation.Nom lnk10_Nom,

					lnk10_Relation.OrganisationReliee lnk10_OrganisationReliee,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

					rtb2_StatutID.ShortDescription rtb2_StatutID,

	rtb3_BUREAU.ShortDescription rtb3_BUREAU,

	rtb4_RegionAdministrativeMODIFIER.ShortDescription rtb4_RegionAdministrativeMODIFIER,

	rtb5_Secteur.ShortDescription rtb5_Secteur,

	Plainte.Archivex,

	rtb6_ArchivageVersement.ShortDescription rtb6_ArchivageVersement,

	Plainte.DateArchivage,

	Plainte.Thematique

FROM

	Plainte

LEFT JOIN

	Relation lnk10_Relation ON lnk10_Relation.ID = Plainte.PlaignantID

LEFT JOIN

	Statut lnk11_Statut ON lnk11_Statut.ID = Plainte.STATUT

LEFT JOIN

	azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = lnk11_Statut.TypeDroit

LEFT JOIN

	azRefTablesValuesDescription rtb2_StatutID ON rtb2_StatutID.ID = lnk11_Statut.StatutID

	LEFT JOIN azRefTablesValuesDescription rtb3_BUREAU ON rtb3_BUREAU.ID = Plainte.BUREAU

	LEFT JOIN azRefTablesValuesDescription rtb4_RegionAdministrativeMODIFIER ON rtb4_RegionAdministrativeMODIFIER.ID = Plainte.RegionAdministrativeMODIFIER

	LEFT JOIN azRefTablesValuesDescription rtb5_Secteur ON rtb5_Secteur.ID = Plainte.Secteur

	LEFT JOIN azRefTablesValuesDescription rtb6_ArchivageVersement ON rtb6_ArchivageVersement.ID = Plainte.ArchivageVersement

WHERE 

	Plainte.ID = P_ID AND 

	Plainte.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindPlumitifAutrePartieAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindPlumitifAutrePartieAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindPlumitifAutrePartieAll`(P_AutrePartieID varchar(25), P_Nom varchar(50), P_Prenom varchar(50), P_NomOrganisation varchar(100))
BEGIN



SELECT	

	PlumitifAutrePartie.ID,

	PlumitifAutrePartie.AutrePartieID,

	PlumitifAutrePartie.Nom,

	PlumitifAutrePartie.Prenom,

	PlumitifAutrePartie.NomOrganisation

FROM

	PlumitifAutrePartie

WHERE 

	(P_AutrePartieID IS NULL OR PlumitifAutrePartie.AutrePartieID LIKE CONCAT(P_AutrePartieID, '%')) AND

	(P_Nom IS NULL OR PlumitifAutrePartie.Nom LIKE CONCAT(P_Nom, '%')) AND

	(P_Prenom IS NULL OR PlumitifAutrePartie.Prenom LIKE CONCAT(P_Prenom, '%')) AND

	(P_NomOrganisation IS NULL OR PlumitifAutrePartie.NomOrganisation LIKE CONCAT(P_NomOrganisation, '%')) AND 

	PlumitifAutrePartie.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindPlumitifAutrePartieByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindPlumitifAutrePartieByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindPlumitifAutrePartieByID`(P_ID int(11))
BEGIN



SELECT

	PlumitifAutrePartie.ID,

	PlumitifAutrePartie.AutrePartieID,

	PlumitifAutrePartie.Nom,

	PlumitifAutrePartie.Prenom,

	PlumitifAutrePartie.NomOrganisation

FROM

	PlumitifAutrePartie

WHERE 

	PlumitifAutrePartie.ID = P_ID AND 

	PlumitifAutrePartie.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindPresentationStatutaireAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindPresentationStatutaireAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindPresentationStatutaireAll`(P_NumeroSeance varchar(25), P_DateSeanceFrom dateTime,P_DateSeanceTo dateTime)
BEGIN



SELECT	

	PresentationStatutaire.ID,

	PresentationStatutaire.NumeroSeance,

	PresentationStatutaire.DateSeance

FROM

	PresentationStatutaire

WHERE 

	(P_NumeroSeance IS NULL OR PresentationStatutaire.NumeroSeance LIKE CONCAT(P_NumeroSeance, '%')) AND

	(P_DateSeanceFrom IS NULL OR PresentationStatutaire.DateSeance >= P_DateSeanceFrom) AND 

	(P_DateSeanceTo IS NULL OR PresentationStatutaire.DateSeance <= fnc_azAdjustToDate(P_DateSeanceTo)) AND 

	PresentationStatutaire.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindPresentationStatutaireByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindPresentationStatutaireByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindPresentationStatutaireByID`(P_ID int(11))
BEGIN



SELECT

	PresentationStatutaire.ID,

	PresentationStatutaire.NumeroSeance,

	PresentationStatutaire.DateSeance

FROM

	PresentationStatutaire

WHERE 

	PresentationStatutaire.ID = P_ID AND 

	PresentationStatutaire.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindPrimeForfaitAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindPrimeForfaitAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindPrimeForfaitAll`(P_TypePrimeForfait int(11), P_Code varchar(25), P_Description varchar(100), P_PourcentagePrime double)
BEGIN



SELECT	

	PrimeForfait.ID,

	rtb1_TypePrimeForfait.ShortDescription rtb1_TypePrimeForfait,

	PrimeForfait.Code,

	PrimeForfait.Description,

	PrimeForfait.PourcentagePrime

FROM

	PrimeForfait

LEFT JOIN 

	azRefTablesValuesDescription rtb1_TypePrimeForfait ON rtb1_TypePrimeForfait.ID = PrimeForfait.TypePrimeForfait

WHERE 

	(P_TypePrimeForfait IS NULL OR PrimeForfait.TypePrimeForfait = P_TypePrimeForfait) AND

	(P_Code IS NULL OR PrimeForfait.Code LIKE CONCAT(P_Code, '%')) AND

	(P_Description IS NULL OR PrimeForfait.Description LIKE CONCAT(P_Description, '%')) AND

	(P_PourcentagePrime IS NULL OR PrimeForfait.PourcentagePrime = P_PourcentagePrime) AND 

	PrimeForfait.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindPrimeForfaitByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindPrimeForfaitByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindPrimeForfaitByID`(P_ID int(11))
BEGIN



SELECT

	PrimeForfait.ID,

	rtb1_TypePrimeForfait.ShortDescription rtb1_TypePrimeForfait,

	PrimeForfait.Code,

	PrimeForfait.Description,

	PrimeForfait.PourcentagePrime

FROM

	PrimeForfait

	LEFT JOIN azRefTablesValuesDescription rtb1_TypePrimeForfait ON rtb1_TypePrimeForfait.ID = PrimeForfait.TypePrimeForfait

WHERE 

	PrimeForfait.ID = P_ID AND 

	PrimeForfait.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindPromotionAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindPromotionAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindPromotionAll`(P_MyNewAttribute varchar(25))
BEGIN



SELECT	

	Promotion.ID,

	Promotion.MyNewAttribute

FROM

	Promotion

WHERE 

	(P_MyNewAttribute IS NULL OR Promotion.MyNewAttribute LIKE CONCAT(P_MyNewAttribute, '%')) AND 

	Promotion.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindPromotionByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindPromotionByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindPromotionByID`(P_ID int(11))
BEGIN



SELECT

	Promotion.ID,

	Promotion.MyNewAttribute

FROM

	Promotion

WHERE 

	Promotion.ID = P_ID AND 

	Promotion.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindRegionAdministrativeAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindRegionAdministrativeAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindRegionAdministrativeAll`(P_RegionAdministrativeID int(11), P_BureauID int(11))
BEGIN



SELECT	

	RegionAdministrative.ID,

	rtb1_RegionAdministrativeID.ShortDescription rtb1_RegionAdministrativeID,

	rtb2_BureauID.ShortDescription rtb2_BureauID

FROM

	RegionAdministrative

LEFT JOIN 

	azRefTablesValuesDescription rtb1_RegionAdministrativeID ON rtb1_RegionAdministrativeID.ID = RegionAdministrative.RegionAdministrativeID

LEFT JOIN 

	azRefTablesValuesDescription rtb2_BureauID ON rtb2_BureauID.ID = RegionAdministrative.BureauID

WHERE 

	(P_RegionAdministrativeID IS NULL OR RegionAdministrative.RegionAdministrativeID = P_RegionAdministrativeID) AND

	(P_BureauID IS NULL OR RegionAdministrative.BureauID = P_BureauID) AND 

	RegionAdministrative.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindRegionAdministrativeByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindRegionAdministrativeByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindRegionAdministrativeByID`(P_ID int(11))
BEGIN



SELECT

	RegionAdministrative.ID,

	rtb1_RegionAdministrativeID.ShortDescription rtb1_RegionAdministrativeID,

	rtb2_BureauID.ShortDescription rtb2_BureauID

FROM

	RegionAdministrative

	LEFT JOIN azRefTablesValuesDescription rtb1_RegionAdministrativeID ON rtb1_RegionAdministrativeID.ID = RegionAdministrative.RegionAdministrativeID

	LEFT JOIN azRefTablesValuesDescription rtb2_BureauID ON rtb2_BureauID.ID = RegionAdministrative.BureauID

WHERE 

	RegionAdministrative.ID = P_ID AND 

	RegionAdministrative.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindRelationAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindRelationAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindRelationAll`(P_ID int(11), P_Type int(11), P_Statut int(11), P_LangueCommunication int(11), P_Secteur int(11), P_TypeOrganisation int(11), P_NomOrganisation varchar(60), P_Sigle varchar(25), P_CategorieOrganisation int(11), P_TitreCivilite int(11), P_TitreHonorifique int(11), P_Prenom varchar(50), P_Nom varchar(50), P_OrganisationReliee int(11), P_EstRepresentantPrincipal tinyint(1), P_Genre int(11), P_DateDeNaissanceFrom dateTime,P_DateDeNaissanceTo dateTime, P_Fonction varchar(100), P_Departement varchar(100), P_Courriel varchar(100), P_SiteWeb varchar(100), P_LanguageCode char(2))
BEGIN



SELECT

	Relation.ID,

	rtb1_Type.ShortDescription rtb1_Type,

	rtb2_Statut.ShortDescription rtb2_Statut,

	rtb3_LangueCommunication.ShortDescription rtb3_LangueCommunication,

	rtb4_Secteur.ShortDescription rtb4_Secteur,

	rtb5_TypeOrganisation.ShortDescription rtb5_TypeOrganisation,

	Relation.NomOrganisation,

	Relation.Sigle,

	rtb6_CategorieOrganisation.ShortDescription rtb6_CategorieOrganisation,

	rtb7_TitreCivilite.ShortDescription rtb7_TitreCivilite,

	rtb8_TitreHonorifique.ShortDescription rtb8_TitreHonorifique,

	Relation.Prenom,

	Relation.Nom,

	Relation.OrganisationReliee,

	Relation.EstRepresentantPrincipal,

	rtb9_Genre.ShortDescription rtb9_Genre,

  DATE_FORMAT(Relation.DateDeNaissance, '%d-%m-%Y') DateDeNaissance,

	Relation.Fonction,

	Relation.Departement,

	Relation.Courriel,

	Relation.SiteWeb

FROM

	Relation

LEFT JOIN

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = Relation.Type AND rtb1_Type.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb2_Statut ON rtb2_Statut.ID = Relation.Statut AND rtb2_Statut.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb3_LangueCommunication ON rtb3_LangueCommunication.ID = Relation.LangueCommunication AND rtb3_LangueCommunication.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb4_Secteur ON rtb4_Secteur.ID = Relation.Secteur AND rtb4_Secteur.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb5_TypeOrganisation ON rtb5_TypeOrganisation.ID = Relation.TypeOrganisation AND rtb5_TypeOrganisation.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb6_CategorieOrganisation ON rtb6_CategorieOrganisation.ID = Relation.CategorieOrganisation AND rtb6_CategorieOrganisation.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb7_TitreCivilite ON rtb7_TitreCivilite.ID = Relation.TitreCivilite AND rtb7_TitreCivilite.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb8_TitreHonorifique ON rtb8_TitreHonorifique.ID = Relation.TitreHonorifique AND rtb8_TitreHonorifique.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb9_Genre ON rtb9_Genre.ID = Relation.Genre AND rtb9_Genre.LanguageCode = P_LanguageCode

WHERE

	(P_ID IS NULL OR Relation.ID = P_ID) AND

	(P_Type IS NULL OR Relation.Type = P_Type) AND

	(P_Statut IS NULL OR Relation.Statut = P_Statut) AND

	(P_LangueCommunication IS NULL OR Relation.LangueCommunication = P_LangueCommunication) AND

	(P_Secteur IS NULL OR Relation.Secteur = P_Secteur) AND

	(P_TypeOrganisation IS NULL OR Relation.TypeOrganisation = P_TypeOrganisation) AND

	(P_NomOrganisation IS NULL OR Relation.NomOrganisation LIKE CONCAT(P_NomOrganisation, '%')) AND

	(P_Sigle IS NULL OR Relation.Sigle LIKE CONCAT(P_Sigle, '%')) AND

	(P_CategorieOrganisation IS NULL OR Relation.CategorieOrganisation = P_CategorieOrganisation) AND

	(P_TitreCivilite IS NULL OR Relation.TitreCivilite = P_TitreCivilite) AND

	(P_TitreHonorifique IS NULL OR Relation.TitreHonorifique = P_TitreHonorifique) AND

	(P_Prenom IS NULL OR Relation.Prenom LIKE CONCAT(P_Prenom, '%')) AND

	(P_Nom IS NULL OR Relation.Nom LIKE CONCAT(P_Nom, '%')) AND

	(P_OrganisationReliee IS NULL OR Relation.OrganisationReliee = P_OrganisationReliee) AND

	(P_EstRepresentantPrincipal IS NULL OR Relation.EstRepresentantPrincipal = P_EstRepresentantPrincipal) AND

	(P_Genre IS NULL OR Relation.Genre = P_Genre) AND

	(P_DateDeNaissanceFrom IS NULL OR Relation.DateDeNaissance >= P_DateDeNaissanceFrom) AND

	(P_DateDeNaissanceTo IS NULL OR Relation.DateDeNaissance <= fnc_azAdjustToDate(P_DateDeNaissanceTo)) AND

	(P_Fonction IS NULL OR Relation.Fonction LIKE CONCAT(P_Fonction, '%')) AND

	(P_Departement IS NULL OR Relation.Departement LIKE CONCAT(P_Departement, '%')) AND

	(P_Courriel IS NULL OR Relation.Courriel LIKE CONCAT(P_Courriel, '%')) AND

	(P_SiteWeb IS NULL OR Relation.SiteWeb LIKE CONCAT(P_SiteWeb, '%')) AND

	Relation.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindRevuePresseAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindRevuePresseAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindRevuePresseAll`(P_Edition varchar(100))
BEGIN



SELECT	

	RevuePresse.ID,

	RevuePresse.Edition

FROM

	RevuePresse

WHERE 

	(P_Edition IS NULL OR RevuePresse.Edition LIKE CONCAT(P_Edition, '%')) AND 

	RevuePresse.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindRevuePresseByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindRevuePresseByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindRevuePresseByID`(P_ID int(11))
BEGIN



SELECT

	RevuePresse.ID,

	RevuePresse.Edition

FROM

	RevuePresse

WHERE 

	RevuePresse.ID = P_ID AND 

	RevuePresse.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindSecteurAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindSecteurAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindSecteurAll`(P_ID int(11), P_Secteur int(11), P_LanguageCode char(2))
BEGIN



SELECT	

	Secteur.ID,

	rtb1_Secteur.ShortDescription rtb1_Secteur

FROM

	Secteur

LEFT JOIN

	azRefTablesValuesDescription rtb1_Secteur ON rtb1_Secteur.ID = Secteur.Secteur AND rtb1_Secteur.LanguageCode = P_LanguageCode

WHERE

	(P_ID IS NULL OR Secteur.ID = P_ID) AND

	(P_Secteur IS NULL OR Secteur.Secteur = P_Secteur) AND

	Secteur.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindSecteurByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindSecteurByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindSecteurByID`(P_ID int(11))
BEGIN



SELECT

	Secteur.ID,

	rtb1_Secteur.ShortDescription rtb1_Secteur

FROM

	Secteur

	LEFT JOIN azRefTablesValuesDescription rtb1_Secteur ON rtb1_Secteur.ID = Secteur.Secteur

WHERE 

	Secteur.ID = P_ID AND 

	Secteur.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindStatutAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindStatutAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindStatutAll`(P_TypeDroit int(11), P_StatutID int(11))
BEGIN



SELECT	

	Statut.ID,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

	rtb2_StatutID.ShortDescription rtb2_StatutID

FROM

	Statut

LEFT JOIN 

	azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = Statut.TypeDroit

LEFT JOIN 

	azRefTablesValuesDescription rtb2_StatutID ON rtb2_StatutID.ID = Statut.StatutID

WHERE 

	(P_TypeDroit IS NULL OR Statut.TypeDroit = P_TypeDroit) AND

	(P_StatutID IS NULL OR Statut.StatutID = P_StatutID) AND 

	Statut.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindStatutByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindStatutByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindStatutByID`(P_ID int(11))
BEGIN



SELECT

	Statut.ID,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

	rtb2_StatutID.ShortDescription rtb2_StatutID

FROM

	Statut

	LEFT JOIN azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = Statut.TypeDroit

	LEFT JOIN azRefTablesValuesDescription rtb2_StatutID ON rtb2_StatutID.ID = Statut.StatutID

WHERE 

	Statut.ID = P_ID AND 

	Statut.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindSujetAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindSujetAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindSujetAll`(P_ID int(11), P_Sujet int(11), P_LanguageCode char(2))
BEGIN



SELECT	

	Sujet.ID,

	rtb1_Sujet.ShortDescription rtb1_Sujet

FROM

	Sujet

LEFT JOIN

	azRefTablesValuesDescription rtb1_Sujet ON rtb1_Sujet.ID = Sujet.Sujet AND rtb1_Sujet.LanguageCode = P_LanguageCode

WHERE

	(P_ID IS NULL OR Sujet.ID = P_ID) AND

	(P_Sujet IS NULL OR Sujet.Sujet = P_Sujet) AND

	Sujet.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindTelephoneAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindTelephoneAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindTelephoneAll`(P_ID int(11), P_MembreID int(11), P_RelationID int(11), P_Type int(11), P_Poste varchar(10))
BEGIN



SELECT

	Telephone.ID,

	lnk55_Membre.Prenom lnk55_Prenom,

	lnk55_Membre.Nom lnk55_Nom,

	lnk56_Relation.NomOrganisation lnk56_NomOrganisation,

	lnk56_Relation.Prenom lnk56_Prenom,

	lnk56_Relation.Nom lnk56_Nom,

	lnk56_Relation.OrganisationReliee lnk56_OrganisationReliee,

	Telephone.Numero,

	Telephone.Poste

FROM

	Telephone

LEFT JOIN

	Membre lnk55_Membre ON lnk55_Membre.ID = Telephone.MembreID

LEFT JOIN

	Relation lnk56_Relation ON lnk56_Relation.ID = Telephone.RelationID

WHERE

	(P_ID IS NULL OR Telephone.ID = P_ID) AND

	(P_MembreID IS NULL OR Telephone.MembreID = P_MembreID) AND

	(P_RelationID IS NULL OR Telephone.RelationID = P_RelationID) AND

	(P_Type IS NULL OR Telephone.Type = P_Type) AND

	(P_Poste IS NULL OR Telephone.Poste LIKE CONCAT(P_Poste, '%')) AND

	Telephone.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindTransitionStatutAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindTransitionStatutAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindTransitionStatutAll`(P_StatutInitial int(11), P_NouveauStatut int(11))
BEGIN



SELECT	

	TransitionStatut.ID,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

					rtb2_StatutID.ShortDescription rtb2_StatutID,

	rtb3_TypeDroit.ShortDescription rtb3_TypeDroit,

					rtb4_StatutID.ShortDescription rtb4_StatutID

FROM

	TransitionStatut

LEFT JOIN

	Statut lnk53_Statut ON lnk53_Statut.ID = TransitionStatut.StatutInitial

LEFT JOIN

	azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = lnk53_Statut.TypeDroit

LEFT JOIN

	azRefTablesValuesDescription rtb2_StatutID ON rtb2_StatutID.ID = lnk53_Statut.StatutID

LEFT JOIN

	Statut lnk54_Statut ON lnk54_Statut.ID = TransitionStatut.NouveauStatut

LEFT JOIN

	azRefTablesValuesDescription rtb3_TypeDroit ON rtb3_TypeDroit.ID = lnk54_Statut.TypeDroit

LEFT JOIN

	azRefTablesValuesDescription rtb4_StatutID ON rtb4_StatutID.ID = lnk54_Statut.StatutID

WHERE 

	(P_StatutInitial IS NULL OR TransitionStatut.StatutInitial = P_StatutInitial) AND

	(P_NouveauStatut IS NULL OR TransitionStatut.NouveauStatut = P_NouveauStatut) AND 

	TransitionStatut.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindTransitionStatutByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindTransitionStatutByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindTransitionStatutByID`(P_ID int(11))
BEGIN



SELECT

	TransitionStatut.ID,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

					rtb2_StatutID.ShortDescription rtb2_StatutID,

	rtb3_TypeDroit.ShortDescription rtb3_TypeDroit,

					rtb4_StatutID.ShortDescription rtb4_StatutID

FROM

	TransitionStatut

LEFT JOIN

	Statut lnk53_Statut ON lnk53_Statut.ID = TransitionStatut.StatutInitial

LEFT JOIN

	azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = lnk53_Statut.TypeDroit

LEFT JOIN

	azRefTablesValuesDescription rtb2_StatutID ON rtb2_StatutID.ID = lnk53_Statut.StatutID

LEFT JOIN

	Statut lnk54_Statut ON lnk54_Statut.ID = TransitionStatut.NouveauStatut

LEFT JOIN

	azRefTablesValuesDescription rtb3_TypeDroit ON rtb3_TypeDroit.ID = lnk54_Statut.TypeDroit

LEFT JOIN

	azRefTablesValuesDescription rtb4_StatutID ON rtb4_StatutID.ID = lnk54_Statut.StatutID

WHERE 

	TransitionStatut.ID = P_ID AND 

	TransitionStatut.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindTypeClientAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindTypeClientAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindTypeClientAll`(P_Code varchar(25), P_Description varchar(25), P_TypeDroit int(11))
BEGIN



SELECT	

	TypeClient.ID,

	TypeClient.Code,

	TypeClient.Description,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit

FROM

	TypeClient

LEFT JOIN 

	azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = TypeClient.TypeDroit

WHERE 

	(P_Code IS NULL OR TypeClient.Code LIKE CONCAT(P_Code, '%')) AND

	(P_Description IS NULL OR TypeClient.Description LIKE CONCAT(P_Description, '%')) AND

	(P_TypeDroit IS NULL OR TypeClient.TypeDroit = P_TypeDroit) AND 

	TypeClient.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindTypeClientByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindTypeClientByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindTypeClientByID`(P_ID int(11))
BEGIN



SELECT

	TypeClient.ID,

	TypeClient.Code,

	TypeClient.Description,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit

FROM

	TypeClient

	LEFT JOIN azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = TypeClient.TypeDroit

WHERE 

	TypeClient.ID = P_ID AND 

	TypeClient.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindTypeOrganisationAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindTypeOrganisationAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindTypeOrganisationAll`(P_ID int(11), P_TypeOrganisation int(11), P_LanguageCode char(2))
BEGIN



SELECT	

	TypeOrganisation.ID,

	rtb1_TypeOrganisation.ShortDescription rtb1_TypeOrganisation

FROM

	TypeOrganisation

LEFT JOIN

	azRefTablesValuesDescription rtb1_TypeOrganisation ON rtb1_TypeOrganisation.ID = TypeOrganisation.TypeOrganisation AND rtb1_TypeOrganisation.LanguageCode = P_LanguageCode

WHERE

	(P_ID IS NULL OR TypeOrganisation.ID = P_ID) AND

	(P_TypeOrganisation IS NULL OR TypeOrganisation.TypeOrganisation = P_TypeOrganisation) AND

	TypeOrganisation.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindVersementDestructionAll`
--

DROP PROCEDURE IF EXISTS `PRC_FindVersementDestructionAll`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindVersementDestructionAll`(P_DateFrom dateTime,P_DateTo dateTime, P_ArchivageAction int(11))
BEGIN



SELECT	

	VersementDestruction.ID,

	VersementDestruction.Date,

	rtb1_ArchivageAction.ShortDescription rtb1_ArchivageAction

FROM

	VersementDestruction

LEFT JOIN 

	azRefTablesValuesDescription rtb1_ArchivageAction ON rtb1_ArchivageAction.ID = VersementDestruction.ArchivageAction

WHERE 

	(P_DateFrom IS NULL OR VersementDestruction.Date >= P_DateFrom) AND 

	(P_DateTo IS NULL OR VersementDestruction.Date <= fnc_azAdjustToDate(P_DateTo)) AND

	(P_ArchivageAction IS NULL OR VersementDestruction.ArchivageAction = P_ArchivageAction) AND 

	VersementDestruction.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_FindVersementDestructionByID`
--

DROP PROCEDURE IF EXISTS `PRC_FindVersementDestructionByID`;
DELIMITER %%;
CREATE PROCEDURE `PRC_FindVersementDestructionByID`(P_ID int(11))
BEGIN



SELECT

	VersementDestruction.ID,

	VersementDestruction.Date,

	rtb1_ArchivageAction.ShortDescription rtb1_ArchivageAction

FROM

	VersementDestruction

	LEFT JOIN azRefTablesValuesDescription rtb1_ArchivageAction ON rtb1_ArchivageAction.ID = VersementDestruction.ArchivageAction

WHERE 

	VersementDestruction.ID = P_ID AND 

	VersementDestruction.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetAvisJuridiqueAssocAvisJuridiqueDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_GetAvisJuridiqueAssocAvisJuridiqueDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetAvisJuridiqueAssocAvisJuridiqueDocuments`(P_AvisJuridiqueID int(11), P_ID int(11))
BEGIN 



SELECT	

	AvisJuridiqueDocuments.ID, 

	AvisJuridiqueDocuments.AvisJuridiqueID,

	AvisJuridiqueDocuments.MyNewAttribute

FROM

	AvisJuridiqueDocuments

WHERE 

	AvisJuridiqueDocuments.AvisJuridiqueID = P_AvisJuridiqueID AND

	(P_ID IS NULL OR AvisJuridiqueDocuments.ID = P_ID) AND 

	AvisJuridiqueDocuments.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetCommandeAssocCommandeDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_GetCommandeAssocCommandeDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetCommandeAssocCommandeDocuments`(P_CommandeID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



SELECT	

	CommandeDocuments.ID, 

	CommandeDocuments.CommandeID,

	rtb1_Type.ShortDescription rtb1_Type,

	lnk46_Document.Titre lnk46_Titre,

	lnk46_Document.Cote lnk46_Cote,

	lnk46_Document.AncienneCote lnk46_AncienneCote,

	lnk46_Document.FichierSource lnk46_FichierSource

FROM

	CommandeDocuments

LEFT JOIN

	Document lnk46_Document ON lnk46_Document.ID = CommandeDocuments.Document

LEFT JOIN

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = lnk46_Document.Type AND rtb1_Type.LanguageCode = P_LanguageCode

WHERE 

	CommandeDocuments.CommandeID = P_CommandeID AND

	(P_ID IS NULL OR CommandeDocuments.ID = P_ID) AND 

	CommandeDocuments.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDemandeAssocDemandeDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_GetDemandeAssocDemandeDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDemandeAssocDemandeDocuments`(P_DemandeID int(11), P_ID int(11))
BEGIN 



SELECT	

	DemandeDocuments.ID, 

	DemandeDocuments.DemandeID,

	rtb1_Type.ShortDescription rtb1_Type,

					lnk8_Document.Titre lnk8_Titre,

					lnk8_Document.Cote lnk8_Cote,

					lnk8_Document.AncienneCote lnk8_AncienneCote,

					lnk8_Document.FichierSource lnk8_FichierSource,

	DemandeDocuments.Quantite

FROM

	DemandeDocuments

LEFT JOIN

	Document lnk8_Document ON lnk8_Document.ID = DemandeDocuments.DocumentID

LEFT JOIN

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = lnk8_Document.Type

WHERE 

	DemandeDocuments.DemandeID = P_DemandeID AND

	(P_ID IS NULL OR DemandeDocuments.ID = P_ID) AND 

	DemandeDocuments.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDemandeAssocDemandeSuivi`
--

DROP PROCEDURE IF EXISTS `PRC_GetDemandeAssocDemandeSuivi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDemandeAssocDemandeSuivi`(P_DemandeID int(11), P_ID int(11))
BEGIN 



SELECT	

	DemandeSuivi.ID, 

	DemandeSuivi.DemandeID,

	DemandeSuivi.Description,

	DemandeSuivi.Date,

	DemandeSuivi.SuiviEffectue

FROM

	DemandeSuivi

WHERE 

	DemandeSuivi.DemandeID = P_DemandeID AND

	(P_ID IS NULL OR DemandeSuivi.ID = P_ID) AND 

	DemandeSuivi.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDemandeAssocNote`
--

DROP PROCEDURE IF EXISTS `PRC_GetDemandeAssocNote`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDemandeAssocNote`(P_DemandeID int(11))
BEGIN



SELECT	

	Note.ID,

	Note.DemandeID,

	Note.Description,

	Note.Date,

	lnk9_Membre.Prenom lnk9_Prenom,

					lnk9_Membre.Nom lnk9_Nom

FROM

	Note

LEFT JOIN

	Membre lnk9_Membre ON lnk9_Membre.ID = Note.SaisiPar

WHERE 

	Note.DemandeID = P_DemandeID AND 

	Note.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDescripteurDocumentAssocSousDescripteur`
--

DROP PROCEDURE IF EXISTS `PRC_GetDescripteurDocumentAssocSousDescripteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDescripteurDocumentAssocSousDescripteur`(P_DescripteurDocumentID int(11), P_ID int(11))
BEGIN 



SELECT	

	DescripteurDocumentSousDescripteur.ID, 

	DescripteurDocumentSousDescripteur.DescripteurDocumentID,

	DescripteurDocumentSousDescripteur.Description

FROM

	DescripteurDocumentSousDescripteur

WHERE 

	DescripteurDocumentSousDescripteur.DescripteurDocumentID = P_DescripteurDocumentID AND

	(P_ID IS NULL OR DescripteurDocumentSousDescripteur.ID = P_ID) AND 

	DescripteurDocumentSousDescripteur.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDetailsDecisionAssocDetailsDecisionAutresInterventions`
--

DROP PROCEDURE IF EXISTS `PRC_GetDetailsDecisionAssocDetailsDecisionAutresInterventions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDetailsDecisionAssocDetailsDecisionAutresInterventions`(P_DetailsDecisionID int(11), P_ID int(11))
BEGIN 



SELECT	

	DetailsDecisionAutresInterventions.ID, 

	DetailsDecisionAutresInterventions.DetailsDecisionID,

	rtb1_Type.ShortDescription rtb1_Type,

					rtb2_Destinataire.ShortDescription rtb2_Destinataire

FROM

	DetailsDecisionAutresInterventions

LEFT JOIN

	AutreIntervention lnk49_AutreIntervention ON lnk49_AutreIntervention.ID = DetailsDecisionAutresInterventions.AutreIntervention

LEFT JOIN

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = lnk49_AutreIntervention.Type

LEFT JOIN

	azRefTablesValuesDescription rtb2_Destinataire ON rtb2_Destinataire.ID = lnk49_AutreIntervention.Destinataire

WHERE 

	DetailsDecisionAutresInterventions.DetailsDecisionID = P_DetailsDecisionID AND

	(P_ID IS NULL OR DetailsDecisionAutresInterventions.ID = P_ID) AND 

	DetailsDecisionAutresInterventions.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDetailsDecisionAssocDetailsDecisionMembresComite`
--

DROP PROCEDURE IF EXISTS `PRC_GetDetailsDecisionAssocDetailsDecisionMembresComite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDetailsDecisionAssocDetailsDecisionMembresComite`(P_DetailsDecisionID int(11), P_ID int(11))
BEGIN 



SELECT	

	DetailsDecisionMembresComite.ID, 

	DetailsDecisionMembresComite.DetailsDecisionID,

	lnk48_Membre.Prenom lnk48_Prenom,

					lnk48_Membre.Nom lnk48_Nom

FROM

	DetailsDecisionMembresComite

LEFT JOIN

	Membre lnk48_Membre ON lnk48_Membre.ID = DetailsDecisionMembresComite.MembreID

WHERE 

	DetailsDecisionMembresComite.DetailsDecisionID = P_DetailsDecisionID AND

	(P_ID IS NULL OR DetailsDecisionMembresComite.ID = P_ID) AND 

	DetailsDecisionMembresComite.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDetailsDecisionAssocDetailsDecisionRecommandations`
--

DROP PROCEDURE IF EXISTS `PRC_GetDetailsDecisionAssocDetailsDecisionRecommandations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDetailsDecisionAssocDetailsDecisionRecommandations`(P_DetailsDecisionID int(11), P_ID int(11))
BEGIN 



SELECT	

	DetailsDecisionRecommandations.ID, 

	DetailsDecisionRecommandations.DetailsDecisionID,

	rtb1_Recommandation.ShortDescription rtb1_Recommandation

FROM

	DetailsDecisionRecommandations

LEFT JOIN 

	azRefTablesValuesDescription rtb1_Recommandation ON rtb1_Recommandation.ID = DetailsDecisionRecommandations.Recommandation

WHERE 

	DetailsDecisionRecommandations.DetailsDecisionID = P_DetailsDecisionID AND

	(P_ID IS NULL OR DetailsDecisionRecommandations.ID = P_ID) AND 

	DetailsDecisionRecommandations.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDocumentAssocDocumentApprovisionnement`
--

DROP PROCEDURE IF EXISTS `PRC_GetDocumentAssocDocumentApprovisionnement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDocumentAssocDocumentApprovisionnement`(P_DocumentID int(11), P_ID int(11))
BEGIN 



SELECT	

	DocumentApprovisionnement.ID,

	DocumentApprovisionnement.DocumentID,

  CASE

    WHEN DocumentApprovisionnement.DateReception IS NULL THEN 1

    ELSE 0

  END UpdateAllowed,

	lnk40_Relation.NomOrganisation lnk40_NomOrganisation,

	DocumentApprovisionnement.Quantite,

  DocumentApprovisionnement.Cout,

	DATE_FORMAT(DocumentApprovisionnement.DateCommandee, '%d-%m-%Y') DateCommandee,

	DATE_FORMAT(DocumentApprovisionnement.DateReception, '%d-%m-%Y') DateReception

FROM

	DocumentApprovisionnement

LEFT JOIN

	Relation lnk40_Relation ON lnk40_Relation.ID = DocumentApprovisionnement.Fournisseur

WHERE 

	DocumentApprovisionnement.DocumentID = P_DocumentID AND

	(P_ID IS NULL OR DocumentApprovisionnement.ID = P_ID) AND 

	DocumentApprovisionnement.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDocumentAssocDocumentAuteurs`
--

DROP PROCEDURE IF EXISTS `PRC_GetDocumentAssocDocumentAuteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDocumentAssocDocumentAuteurs`(P_DocumentID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



DECLARE V_TypeAuteurMembre varchar(50);

DECLARE V_TypeAuteurRelation varchar(50);

DECLARE V_TypeAuteurAutre varchar(50);





SELECT

	ShortDescription

INTO

  V_TypeAuteurMembre

FROM

  azRefTablesValues

INNER JOIN

  azRefTablesValuesdescription ON azRefTablesValues.ID = azRefTablesValuesdescription.ID AND azRefTablesValuesdescription.LanguageCode = P_LanguageCode

WHERE

  azRefTablesValues.RefTableCode = 'DOCAUTEURTYPE' AND

  azRefTablesValues.ValueCode = 'MEMBRE';



SELECT

	ShortDescription

INTO

  V_TypeAuteurRelation

FROM

  azRefTablesValues

INNER JOIN

  azRefTablesValuesdescription ON azRefTablesValues.ID = azRefTablesValuesdescription.ID AND azRefTablesValuesdescription.LanguageCode = P_LanguageCode

WHERE

  azRefTablesValues.RefTableCode = 'DOCAUTEURTYPE' AND

  azRefTablesValues.ValueCode = 'RELATION';



SELECT

	ShortDescription

INTO

  V_TypeAuteurAutre

FROM

  azRefTablesValues

INNER JOIN

  azRefTablesValuesdescription ON azRefTablesValues.ID = azRefTablesValuesdescription.ID AND azRefTablesValuesdescription.LanguageCode = P_LanguageCode

WHERE

  azRefTablesValues.RefTableCode = 'DOCAUTEURTYPE' AND

  azRefTablesValues.ValueCode = 'AUTRE';



SELECT	

	DocumentAuteurs.ID,

	DocumentAuteurs.DocumentID,

  CASE

    WHEN lnk35_Membre.Nom IS NOT NULL THEN V_TypeAuteurMembre

    WHEN lnk36_Relation.Nom IS NOT NULL THEN V_TypeAuteurRelation

    WHEN DocumentAuteurs.Nom IS NOT NULL THEN V_TypeAuteurAutre

  END TypeAuteur,

  CONCAT(

    CASE

      WHEN lnk35_Membre.Nom IS NOT NULL THEN lnk35_Membre.Nom

      WHEN lnk36_Relation.Nom IS NOT NULL THEN lnk36_Relation.Nom

      WHEN DocumentAuteurs.Nom IS NOT NULL THEN DocumentAuteurs.Nom

    END,

    ', ',

    CASE

      WHEN lnk35_Membre.Prenom IS NOT NULL THEN lnk35_Membre.Prenom

      WHEN lnk36_Relation.Prenom IS NOT NULL THEN lnk36_Relation.Prenom

      WHEN DocumentAuteurs.Prenom IS NOT NULL THEN DocumentAuteurs.Prenom

    END) NomComplet

FROM

	DocumentAuteurs

LEFT JOIN

	Membre lnk35_Membre ON lnk35_Membre.ID = DocumentAuteurs.MembreID

LEFT JOIN

  Relation lnk36_Relation ON lnk36_Relation.ID = DocumentAuteurs.RelationID

WHERE

	DocumentAuteurs.DocumentID = P_DocumentID AND

	(P_ID IS NULL OR DocumentAuteurs.ID = P_ID) AND

	DocumentAuteurs.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDocumentAssocDocumentDescripteurs`
--

DROP PROCEDURE IF EXISTS `PRC_GetDocumentAssocDocumentDescripteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDocumentAssocDocumentDescripteurs`(P_DocumentID int(11), P_ID int(11), P_LanguageCode varchar(100))
BEGIN



SELECT	

	DocumentDescripteurs.ID,

	DocumentDescripteurs.DocumentID,

	lnk36_DescripteurDocument.Description lnk36_Description,

  rtb1_TypeDescripteur.ShortDescription rtb1_TypeDescripteur,

	lnk36_DescripteurDocument.CoteBibliographique lnk36_CoteBibliographique

FROM

	DocumentDescripteurs

LEFT JOIN

	DescripteurDocument lnk36_DescripteurDocument ON lnk36_DescripteurDocument.ID = DocumentDescripteurs.Descripteur

LEFT JOIN

	azRefTablesValuesDescription rtb1_TypeDescripteur ON rtb1_TypeDescripteur.ID = lnk36_DescripteurDocument.TypeDescripteur AND rtb1_TypeDescripteur.LanguageCode = P_LanguageCode

WHERE 

	DocumentDescripteurs.DocumentID = P_DocumentID AND

	(P_ID IS NULL OR DocumentDescripteurs.ID = P_ID) AND 

	DocumentDescripteurs.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDocumentAssocDocumentDocumentsConnexes`
--

DROP PROCEDURE IF EXISTS `PRC_GetDocumentAssocDocumentDocumentsConnexes`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDocumentAssocDocumentDocumentsConnexes`(P_DocumentID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



SELECT	

	DocumentDocumentsConnexes.ID,

	DocumentDocumentsConnexes.DocumentID,

	rtb1_Type.ShortDescription rtb1_Type,

	lnk37_Document.Titre lnk37_Titre,

	lnk37_Document.Cote lnk37_Cote,

	lnk37_Document.AncienneCote lnk37_AncienneCote,

	lnk37_Document.FichierSource lnk37_FichierSource

FROM

	DocumentDocumentsConnexes

LEFT JOIN

	Document lnk37_Document ON lnk37_Document.ID = DocumentDocumentsConnexes.DocumentConnexeID

LEFT JOIN

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = lnk37_Document.Type AND rtb1_Type.LanguageCode = P_LanguageCode

WHERE 

	DocumentDocumentsConnexes.DocumentID = P_DocumentID AND

	(P_ID IS NULL OR DocumentDocumentsConnexes.ID = P_ID) AND 

	DocumentDocumentsConnexes.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDocumentAssocDocumentPlumitif`
--

DROP PROCEDURE IF EXISTS `PRC_GetDocumentAssocDocumentPlumitif`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDocumentAssocDocumentPlumitif`(P_DocumentID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN 



SELECT	

	DocumentPlumitif.ID, 

	DocumentPlumitif.DocumentID,

	DocumentPlumitif.DateEtape,

	lnk38_EtapePlumitif.Cheminement lnk38_Cheminement,

	CONCAT(lnk39_Membre.Nom, ', ', lnk39_Membre.Prenom) lnk39_AvocatNomComplet,

	CONCAT(lnk40_Membre.Nom, ', ', lnk40_Membre.Prenom) lnk40_AutreAvocatNomComplet,

	rtb1_InstanceJudiciaire.ShortDescription rtb1_InstanceJudiciaire,

	DocumentPlumitif.FichierSource

FROM

	DocumentPlumitif

LEFT JOIN

	EtapePlumitif lnk38_EtapePlumitif ON lnk38_EtapePlumitif.ID = DocumentPlumitif.Etape

LEFT JOIN

	Membre lnk39_Membre ON lnk39_Membre.ID = DocumentPlumitif.Avocat1

LEFT JOIN

	Membre lnk40_Membre ON lnk40_Membre.ID = DocumentPlumitif.Avocat2

LEFT JOIN

  InstanceJudiciaire lnk3_InstanceJudiciaire ON DocumentPlumitif.InstanceJudiciaire = lnk3_InstanceJudiciaire.ID

LEFT JOIN

  azRefTablesValuesDescription rtb1_InstanceJudiciaire ON

    lnk3_InstanceJudiciaire.InstanceJudiciaire = rtb1_InstanceJudiciaire.ID AND

    rtb1_InstanceJudiciaire.LanguageCode = P_LanguageCode

WHERE

	DocumentPlumitif.DocumentID = P_DocumentID AND

	(P_ID IS NULL OR DocumentPlumitif.ID = P_ID) AND 

	DocumentPlumitif.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDossierAssocDossierAssignations`
--

DROP PROCEDURE IF EXISTS `PRC_GetDossierAssocDossierAssignations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDossierAssocDossierAssignations`(P_DossierID int(11), P_ID int(11))
BEGIN 



SELECT	

	DossierAssignations.ID, 

	DossierAssignations.DossierID,

	lnk24_Membre.Prenom lnk24_Prenom,

					lnk24_Membre.Nom lnk24_Nom,

	DossierAssignations.DateAssignation

FROM

	DossierAssignations

LEFT JOIN

	Membre lnk24_Membre ON lnk24_Membre.ID = DossierAssignations.PersonneResponsable

WHERE 

	DossierAssignations.DossierID = P_DossierID AND

	(P_ID IS NULL OR DossierAssignations.ID = P_ID) AND 

	DossierAssignations.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDossierAssocDossierDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_GetDossierAssocDossierDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDossierAssocDossierDocuments`(P_DossierID int(11), P_ID int(11))
BEGIN 



SELECT	

	DocumentsPositions.ID, 

	DocumentsPositions.DossierID,

	rtb1_Type.ShortDescription rtb1_Type,

					lnk26_Document.Titre lnk26_Titre,

					lnk26_Document.Cote lnk26_Cote,

					lnk26_Document.AncienneCote lnk26_AncienneCote,

					lnk26_Document.FichierSource lnk26_FichierSource

FROM

	DocumentsPositions

LEFT JOIN

	Document lnk26_Document ON lnk26_Document.ID = DocumentsPositions.DocumentID

LEFT JOIN

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = lnk26_Document.Type

WHERE 

	DocumentsPositions.DossierID = P_DossierID AND

	(P_ID IS NULL OR DocumentsPositions.ID = P_ID) AND 

	DocumentsPositions.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetDossierAssocDossierEnvois`
--

DROP PROCEDURE IF EXISTS `PRC_GetDossierAssocDossierEnvois`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetDossierAssocDossierEnvois`(P_DossierID int(11), P_ID int(11))
BEGIN 



SELECT	

	DossierEnvois.ID, 

	DossierEnvois.DossierID,

	rtb1_Type.ShortDescription rtb1_Type,

					lnk25_Document.Titre lnk25_Titre,

					lnk25_Document.Cote lnk25_Cote,

					lnk25_Document.AncienneCote lnk25_AncienneCote,

					lnk25_Document.FichierSource lnk25_FichierSource,

	rtb2_Type.ShortDescription rtb2_Type,

	rtb3_Statut.ShortDescription rtb3_Statut,

	rtb4_Version.ShortDescription rtb4_Version,

	rtb5_Destinataire.ShortDescription rtb5_Destinataire,

	DossierEnvois.Date

FROM

	DossierEnvois

LEFT JOIN

	Document lnk25_Document ON lnk25_Document.ID = DossierEnvois.DocumentID

LEFT JOIN

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = lnk25_Document.Type

LEFT JOIN 

	azRefTablesValuesDescription rtb2_Type ON rtb2_Type.ID = DossierEnvois.Type

LEFT JOIN 

	azRefTablesValuesDescription rtb3_Statut ON rtb3_Statut.ID = DossierEnvois.Statut

LEFT JOIN 

	azRefTablesValuesDescription rtb4_Version ON rtb4_Version.ID = DossierEnvois.Version

LEFT JOIN 

	azRefTablesValuesDescription rtb5_Destinataire ON rtb5_Destinataire.ID = DossierEnvois.Destinataire

WHERE 

	DossierEnvois.DossierID = P_DossierID AND

	(P_ID IS NULL OR DossierEnvois.ID = P_ID) AND 

	DossierEnvois.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetEchelleSalarialeAssocEchelleSalarialeEchelons`
--

DROP PROCEDURE IF EXISTS `PRC_GetEchelleSalarialeAssocEchelleSalarialeEchelons`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetEchelleSalarialeAssocEchelleSalarialeEchelons`(P_EchelleSalarialeID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN 



SELECT	

	EchelleSalarialeEchelons.ID, 

	EchelleSalarialeEchelons.EchelleSalarialeID,

  rft2_Echelon.ShortDescription NoEchelonNom,

	EchelleSalarialeEchelons.DateDebut,

	EchelleSalarialeEchelons.Salaire

FROM

	EchelleSalarialeEchelons

LEFT JOIN

  azRefTablesValues rft1_Echelon ON EchelleSalarialeEchelons.NoEchelon = rft1_Echelon.ID

LEFT JOIN

  azRefTablesValuesDescription rft2_Echelon ON rft1_Echelon.ID = rft2_Echelon.ID AND rft2_Echelon.LanguageCode = P_LanguageCode

WHERE

	EchelleSalarialeEchelons.EchelleSalarialeID = P_EchelleSalarialeID AND

	(P_ID IS NULL OR EchelleSalarialeEchelons.ID = P_ID) AND

	EchelleSalarialeEchelons.DeletedDate IS NULL

ORDER BY

  EchelleSalarialeEchelons.DateDebut,

  rft1_Echelon.Sequence;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetEvenementAssocEvenementParticipants`
--

DROP PROCEDURE IF EXISTS `PRC_GetEvenementAssocEvenementParticipants`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetEvenementAssocEvenementParticipants`(P_EvenementID int(11), P_ID int(11))
BEGIN 



SELECT	

	EvenementParticipants.ID, 

	EvenementParticipants.EvenementID,

	lnk41_Relation.NomOrganisation lnk41_NomOrganisation,

					lnk41_Relation.Prenom lnk41_Prenom,

					lnk41_Relation.Nom lnk41_Nom,

					lnk41_Relation.OrganisationReliee lnk41_OrganisationReliee

FROM

	EvenementParticipants

LEFT JOIN

	Relation lnk41_Relation ON lnk41_Relation.ID = EvenementParticipants.ClientID

WHERE 

	EvenementParticipants.EvenementID = P_EvenementID AND

	(P_ID IS NULL OR EvenementParticipants.ID = P_ID) AND 

	EvenementParticipants.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetMembreAssocLienAddresse`
--

DROP PROCEDURE IF EXISTS `PRC_GetMembreAssocLienAddresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetMembreAssocLienAddresse`(P_MembreID int(11))
BEGIN



SELECT	

	LienAddresse.ID,

	LienAddresse.MembreID,

	lnk30_Adresse.Adresse1 lnk30_Adresse1,

					lnk30_Adresse.Adresse2 lnk30_Adresse2,

					lnk30_Adresse.Adresse3 lnk30_Adresse3

FROM

	LienAddresse

LEFT JOIN

	Adresse lnk30_Adresse ON lnk30_Adresse.ID = LienAddresse.AddresseID

WHERE 

	LienAddresse.MembreID = P_MembreID AND 

	LienAddresse.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetMembreAssocMembreAbsences`
--

DROP PROCEDURE IF EXISTS `PRC_GetMembreAssocMembreAbsences`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetMembreAssocMembreAbsences`(P_MembreID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



SELECT

	MembreAbsences.ID,

	MembreAbsences.MembreID,

	MembreAbsences.DateDebut,

	MembreAbsences.DateRetour,

	MembreAbsences.NbJours,

	MembreAbsences.NbHeures,

	rtb1_RaisonAbsence.ShortDescription rtb1_RaisonAbsence,

	MembreAbsences.Pourcentage,

	MembreAbsences.Montant

FROM

	MembreAbsences

LEFT JOIN

	azRefTablesValuesDescription rtb1_RaisonAbsence ON rtb1_RaisonAbsence.ID = MembreAbsences.RaisonAbsence AND rtb1_RaisonAbsence.LanguageCode = P_LanguageCode

WHERE

	MembreAbsences.MembreID = P_MembreID AND

	(P_ID IS NULL OR MembreAbsences.ID = P_ID) AND

	MembreAbsences.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetMembreAssocMembreDepenses`
--

DROP PROCEDURE IF EXISTS `PRC_GetMembreAssocMembreDepenses`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetMembreAssocMembreDepenses`(P_MembreID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



SELECT

	MembreDepenses.ID,

	MembreDepenses.MembreID,

	rtb1_Description.ShortDescription rtb1_Description,

	MembreDepenses.Montant,

	MembreDepenses.DateDepense,

	MembreDepenses.DatePaiement

FROM

	MembreDepenses

LEFT JOIN

	azRefTablesValuesDescription rtb1_Description ON rtb1_Description.ID = MembreDepenses.Description AND rtb1_Description.LanguageCode = P_LanguageCode

WHERE

	MembreDepenses.MembreID = P_MembreID AND

	(P_ID IS NULL OR MembreDepenses.ID = P_ID) AND

	MembreDepenses.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetMembreAssocMembreHoraires`
--

DROP PROCEDURE IF EXISTS `PRC_GetMembreAssocMembreHoraires`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetMembreAssocMembreHoraires`(P_MembreID int(11), P_ID int(11))
BEGIN 



SELECT	

	MembreHoraires.ID,

	MembreHoraires.MembreID,

	DATE_FORMAT(MembreHoraires.DateDebut, '%d-%m-%Y') DateDebut,

	MembreHoraires.LundiAM,

	MembreHoraires.LundiPM,

	MembreHoraires.MardiAM,

	MembreHoraires.MardiPM,

	MembreHoraires.MercrediAM,

	MembreHoraires.MercrediPM,

	MembreHoraires.JeudiAM,

	MembreHoraires.JeudiPM,

	MembreHoraires.VendrediAM,

	MembreHoraires.VendrediPM,

  IFNULL(LundiAM, 0) + IFNULL(MembreHoraires.LundiPM, 0) +

  IFNULL(MembreHoraires.MardiAM, 0) + IFNULL(MembreHoraires.MardiPM, 0) +

  IFNULL(MembreHoraires.MercrediAM, 0) + IFNULL(MembreHoraires.MercrediPM, 0) +

  IFNULL(MembreHoraires.JeudiAM, 0) + IFNULL(MembreHoraires.JeudiPM, 0) +

  IFNULL(MembreHoraires.VendrediAM, 0) + IFNULL(MembreHoraires.VendrediPM, 0) HeuresTotales

FROM

	MembreHoraires

WHERE 

	MembreHoraires.MembreID = P_MembreID AND

	(P_ID IS NULL OR MembreHoraires.ID = P_ID) AND 

	MembreHoraires.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetMembreAssocMembrePrimesForfaits`
--

DROP PROCEDURE IF EXISTS `PRC_GetMembreAssocMembrePrimesForfaits`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetMembreAssocMembrePrimesForfaits`(P_MembreID int(11), P_ID int(11))
BEGIN 



SELECT	

	MembrePrimesForfaits.ID, 

	MembrePrimesForfaits.MembreID,

	lnk32_PrimeForfait.Description lnk32_Description,

					lnk32_PrimeForfait.PourcentagePrime lnk32_PourcentagePrime,

	MembrePrimesForfaits.DateDebut,

	MembrePrimesForfaits.DateFin,

	MembrePrimesForfaits.Duree,

	MembrePrimesForfaits.PourcentagePrime,

	MembrePrimesForfaits.ForfaitAnnuel,

	MembrePrimesForfaits.MontantPaye

FROM

	MembrePrimesForfaits

LEFT JOIN

	PrimeForfait lnk32_PrimeForfait ON lnk32_PrimeForfait.ID = MembrePrimesForfaits.Code

WHERE 

	MembrePrimesForfaits.MembreID = P_MembreID AND

	(P_ID IS NULL OR MembrePrimesForfaits.ID = P_ID) AND 

	MembrePrimesForfaits.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetMembreAssocMembreProfilEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_GetMembreAssocMembreProfilEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetMembreAssocMembreProfilEmploi`(P_MembreID int(11), P_ID int(11), P_CurrentDate datetime, P_HeuresTempsPlein double, P_LanguageCode char(2))
BEGIN



SELECT

	MembreProfilEmploi.ID,

	MembreProfilEmploi.MembreID,

  CASE

    WHEN MembreProfilEmploi.DateEffective > P_CurrentDate THEN 1

    ELSE 0

  END MAJProfil,

	lnk28_CorpsEmploi.Description lnk28_Description,

	rtb1_NoEchelle.ShortDescription rtb1_NoEchelle,

	lnk29_EchelleSalariale.Classe lnk29_Classe,

	rtf3_NoEchelon.ShortDescription Echelon,

	rtb2_StatutEmploi.ShortDescription rtb2_StatutEmploi,

	rtb3_StatutHoraire.ShortDescription rtb3_StatutHoraire,

  FNC_GetHoraireHeuresTotales(MembreProfilEmploi.MembreID, P_CurrentDate, MembreProfilEmploi.StatutHoraire, P_HeuresTempsPlein) HeuresParSemaine,

  FNC_GetSalaireCalcule(MembreProfilEmploi.MembreID, lnk28_CorpsEmploi.Categorie, MembreProfilEmploi.Echelle, MembreProfilEmploi.Echelon, MembreProfilEmploi.StatutEmploi, MembreProfilEmploi.StatutHoraire, '2005-09-27', P_HeuresTempsPlein) SalaireCalcule,

	DATE_FORMAT(MembreProfilEmploi.DateEffective, '%d-%m-%Y') DateEffective

FROM

	MembreProfilEmploi

LEFT JOIN

	CorpsEmploi lnk28_CorpsEmploi ON lnk28_CorpsEmploi.ID = MembreProfilEmploi.CorpsEmploi

LEFT JOIN

	EchelleSalariale lnk29_EchelleSalariale ON lnk29_EchelleSalariale.ID = MembreProfilEmploi.Echelle

LEFT JOIN

	azRefTablesValuesDescription rtb1_NoEchelle ON rtb1_NoEchelle.ID = lnk29_EchelleSalariale.NoEchelle AND rtb1_NoEchelle.LanguageCode = P_LanguageCode

LEFT JOIN

  EchelleSalarialeEchelons lnk4_EchelleSalarialeEchelons ON lnk4_EchelleSalarialeEchelons.ID = MembreProfilEmploi.Echelon

LEFT JOIN

  azRefTablesValuesDescription rtf3_NoEchelon ON rtf3_NoEchelon.ID = lnk4_EchelleSalarialeEchelons.NoEchelon AND rtf3_NoEchelon.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb2_StatutEmploi ON rtb2_StatutEmploi.ID = MembreProfilEmploi.StatutEmploi AND rtb2_StatutEmploi.LanguageCode = P_LanguageCode

LEFT JOIN

	azRefTablesValuesDescription rtb3_StatutHoraire ON rtb3_StatutHoraire.ID = MembreProfilEmploi.StatutHoraire AND rtb3_StatutHoraire.LanguageCode = P_LanguageCode

WHERE

	MembreProfilEmploi.MembreID = P_MembreID AND

	(P_ID IS NULL OR MembreProfilEmploi.ID = P_ID) AND

	MembreProfilEmploi.DeletedDate IS NULL

ORDER BY

  MembreProfilEmploi.DateEffective;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetMembreAssocMembreTempsSupplementaire`
--

DROP PROCEDURE IF EXISTS `PRC_GetMembreAssocMembreTempsSupplementaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetMembreAssocMembreTempsSupplementaire`(P_MembreID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



SELECT

	MembreTempsSupplementaire.ID,

	MembreTempsSupplementaire.MembreID,

	rtb1_Categorie.ShortDescription rtb1_Categorie,

	MembreTempsSupplementaire.Facteur,

	MembreTempsSupplementaire.DateDebut,

	MembreTempsSupplementaire.DateFin,

	MembreTempsSupplementaire.Duree,

	MembreTempsSupplementaire.MontantPaye,

	MembreTempsSupplementaire.DatePaiement

FROM

	MembreTempsSupplementaire

LEFT JOIN

	CategorieEmploi lnk31_CategorieEmploi ON lnk31_CategorieEmploi.ID = MembreTempsSupplementaire.NoCategorie

LEFT JOIN

	azRefTablesValuesDescription rtb1_Categorie ON rtb1_Categorie.ID = lnk31_CategorieEmploi.Categorie AND rtb1_Categorie.LanguageCode = P_LanguageCode

WHERE

	MembreTempsSupplementaire.MembreID = P_MembreID AND

	(P_ID IS NULL OR MembreTempsSupplementaire.ID = P_ID) AND

	MembreTempsSupplementaire.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetMembreAssocMembreTraitementDiffere`
--

DROP PROCEDURE IF EXISTS `PRC_GetMembreAssocMembreTraitementDiffere`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetMembreAssocMembreTraitementDiffere`(P_MembreID int(11), P_ID int(11))
BEGIN 



SELECT	

	MembreTraitementDiffere.ID, 

	MembreTraitementDiffere.MembreID,

	MembreTraitementDiffere.DateDebutParticipation,

	MembreTraitementDiffere.DateFinParticipationPrevue,

	MembreTraitementDiffere.DureeParticipation,

	MembreTraitementDiffere.DateDebutConge,

	MembreTraitementDiffere.DateFinCongePrevue,

	MembreTraitementDiffere.DureeConge,

	MembreTraitementDiffere.Pourcentage

FROM

	MembreTraitementDiffere

WHERE 

	MembreTraitementDiffere.MembreID = P_MembreID AND

	(P_ID IS NULL OR MembreTraitementDiffere.ID = P_ID) AND 

	MembreTraitementDiffere.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetMembreAssocTelephone`
--

DROP PROCEDURE IF EXISTS `PRC_GetMembreAssocTelephone`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetMembreAssocTelephone`(P_MembreID int(11), P_LanguageCode char(2))
BEGIN



SELECT

	Telephone.ID,

	Telephone.MembreID,

	rtb1_Type.ShortDescription rtb1_Type,

	Telephone.Numero,

	Telephone.Poste

FROM

	Telephone

LEFT JOIN 

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = Telephone.Type AND rtb1_Type.LanguageCode = P_LanguageCode

WHERE

	Telephone.MembreID = P_MembreID AND

	Telephone.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPlainteAssocNote`
--

DROP PROCEDURE IF EXISTS `PRC_GetPlainteAssocNote`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPlainteAssocNote`(P_PlainteID int(11))
BEGIN



SELECT	

	Note.ID,

	Note.PlainteID,

	Note.Description,

	Note.Date,

	lnk9_Membre.Prenom lnk9_Prenom,

					lnk9_Membre.Nom lnk9_Nom

FROM

	Note

LEFT JOIN

	Membre lnk9_Membre ON lnk9_Membre.ID = Note.SaisiPar

WHERE 

	Note.PlainteID = P_PlainteID AND 

	Note.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPlainteAssocPlainteAssignations`
--

DROP PROCEDURE IF EXISTS `PRC_GetPlainteAssocPlainteAssignations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPlainteAssocPlainteAssignations`(P_PlainteID int(11), P_ID int(11))
BEGIN 



SELECT	

	PlainteAssignationsRecherche.ID, 

	PlainteAssignationsRecherche.PlainteID,

	lnk16_Membre.Prenom lnk16_Prenom,

					lnk16_Membre.Nom lnk16_Nom,

	PlainteAssignationsRecherche.DATE_ASS

FROM

	PlainteAssignationsRecherche

LEFT JOIN

	Membre lnk16_Membre ON lnk16_Membre.ID = PlainteAssignationsRecherche.ENQUETEUR

WHERE 

	PlainteAssignationsRecherche.PlainteID = P_PlainteID AND

	(P_ID IS NULL OR PlainteAssignationsRecherche.ID = P_ID) AND 

	PlainteAssignationsRecherche.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPlainteAssocPlainteAvis`
--

DROP PROCEDURE IF EXISTS `PRC_GetPlainteAssocPlainteAvis`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPlainteAssocPlainteAvis`(P_PlainteID int(11), P_ID int(11))
BEGIN 



SELECT	

	PlainteAvis.ID, 

	PlainteAvis.PlainteID,

	PlainteAvis.ENVOI,

	PlainteAvis.RETOUR

FROM

	PlainteAvis

WHERE 

	PlainteAvis.PlainteID = P_PlainteID AND

	(P_ID IS NULL OR PlainteAvis.ID = P_ID) AND 

	PlainteAvis.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPlainteAssocPlainteCheminement`
--

DROP PROCEDURE IF EXISTS `PRC_GetPlainteAssocPlainteCheminement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPlainteAssocPlainteCheminement`(P_PlainteID int(11), P_ID int(11))
BEGIN 



SELECT	

	PlainteCheminement.ID, 

	PlainteCheminement.PlainteID,

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,

					rtb2_StatutID.ShortDescription rtb2_StatutID,

	rtb3_TypeDroit.ShortDescription rtb3_TypeDroit,

					rtb4_StatutID.ShortDescription rtb4_StatutID,

	PlainteCheminement.Description

FROM

	PlainteCheminement

LEFT JOIN

	Statut lnk12_Statut ON lnk12_Statut.ID = PlainteCheminement.StatutInitial

LEFT JOIN

	azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = lnk12_Statut.TypeDroit

LEFT JOIN

	azRefTablesValuesDescription rtb2_StatutID ON rtb2_StatutID.ID = lnk12_Statut.StatutID

LEFT JOIN

	Statut lnk13_Statut ON lnk13_Statut.ID = PlainteCheminement.StatutFinal

LEFT JOIN

	azRefTablesValuesDescription rtb3_TypeDroit ON rtb3_TypeDroit.ID = lnk13_Statut.TypeDroit

LEFT JOIN

	azRefTablesValuesDescription rtb4_StatutID ON rtb4_StatutID.ID = lnk13_Statut.StatutID

WHERE 

	PlainteCheminement.PlainteID = P_PlainteID AND

	(P_ID IS NULL OR PlainteCheminement.ID = P_ID) AND 

	PlainteCheminement.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPlainteAssocPlainteDecisions`
--

DROP PROCEDURE IF EXISTS `PRC_GetPlainteAssocPlainteDecisions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPlainteAssocPlainteDecisions`(P_PlainteID int(11), P_ID int(11))
BEGIN 



SELECT	

	PlainteDecisions.ID, 

	PlainteDecisions.PlainteID,

	PlainteDecisions.Depot_Dir,

	lnk17_Membre.Prenom lnk17_Prenom,

					lnk17_Membre.Nom lnk17_Nom,

	PlainteDecisions.No_CP,

	PlainteDecisions.Resolution,

	lnk18_Membre.Prenom lnk18_Prenom,

					lnk18_Membre.Nom lnk18_Nom

FROM

	PlainteDecisions

LEFT JOIN

	Membre lnk17_Membre ON lnk17_Membre.ID = PlainteDecisions.Enqueteur

LEFT JOIN

	Membre lnk18_Membre ON lnk18_Membre.ID = PlainteDecisions.RedigePar

WHERE 

	PlainteDecisions.PlainteID = P_PlainteID AND

	(P_ID IS NULL OR PlainteDecisions.ID = P_ID) AND 

	PlainteDecisions.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPlainteAssocPlainteDescripteurs`
--

DROP PROCEDURE IF EXISTS `PRC_GetPlainteAssocPlainteDescripteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPlainteAssocPlainteDescripteurs`(P_PlainteID int(11), P_ID int(11))
BEGIN 



SELECT	

	PlainteDescripteurs.ID, 

	PlainteDescripteurs.PlainteID,

	rtb1_TypeDescripteur.ShortDescription rtb1_TypeDescripteur,

	rtb2_TypeDescripteur.ShortDescription rtb2_TypeDescripteur,

					lnk15_Descripteur.Code lnk15_Code,

					lnk15_Descripteur.Description_E lnk15_Description_E,

					lnk15_Descripteur.Description_F lnk15_Description_F

FROM

	PlainteDescripteurs

LEFT JOIN

	Descripteur lnk15_Descripteur ON lnk15_Descripteur.ID = PlainteDescripteurs.Descripteur

LEFT JOIN

	azRefTablesValuesDescription rtb1_TypeDescripteur ON rtb1_TypeDescripteur.ID = lnk15_Descripteur.TypeDescripteur

LEFT JOIN 

	azRefTablesValuesDescription rtb2_TypeDescripteur ON rtb2_TypeDescripteur.ID = PlainteDescripteurs.TypeDescripteur

WHERE 

	PlainteDescripteurs.PlainteID = P_PlainteID AND

	(P_ID IS NULL OR PlainteDescripteurs.ID = P_ID) AND 

	PlainteDescripteurs.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPlainteAssocPlainteDocumentsReference`
--

DROP PROCEDURE IF EXISTS `PRC_GetPlainteAssocPlainteDocumentsReference`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPlainteAssocPlainteDocumentsReference`(P_PlainteID int(11), P_ID int(11))
BEGIN 



SELECT	

	PlainteDocumentsReference.ID, 

	PlainteDocumentsReference.PlainteID,

	rtb1_Type.ShortDescription rtb1_Type,

					lnk21_Document.Titre lnk21_Titre,

					lnk21_Document.Cote lnk21_Cote,

					lnk21_Document.AncienneCote lnk21_AncienneCote,

					lnk21_Document.FichierSource lnk21_FichierSource

FROM

	PlainteDocumentsReference

LEFT JOIN

	Document lnk21_Document ON lnk21_Document.ID = PlainteDocumentsReference.DocumentReference

LEFT JOIN

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = lnk21_Document.Type

WHERE 

	PlainteDocumentsReference.PlainteID = P_PlainteID AND

	(P_ID IS NULL OR PlainteDocumentsReference.ID = P_ID) AND 

	PlainteDocumentsReference.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPlainteAssocPlainteDocumentsSpecifiques`
--

DROP PROCEDURE IF EXISTS `PRC_GetPlainteAssocPlainteDocumentsSpecifiques`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPlainteAssocPlainteDocumentsSpecifiques`(P_PlainteID int(11), P_ID int(11))
BEGIN 



SELECT	

	PlainteDocumentsSpecifiques.ID, 

	PlainteDocumentsSpecifiques.PlainteID,

	rtb1_Type.ShortDescription rtb1_Type,

					lnk20_Document.Titre lnk20_Titre,

					lnk20_Document.Cote lnk20_Cote,

					lnk20_Document.AncienneCote lnk20_AncienneCote,

					lnk20_Document.FichierSource lnk20_FichierSource

FROM

	PlainteDocumentsSpecifiques

LEFT JOIN

	Document lnk20_Document ON lnk20_Document.ID = PlainteDocumentsSpecifiques.DocumentSpecifique

LEFT JOIN

	azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = lnk20_Document.Type

WHERE 

	PlainteDocumentsSpecifiques.PlainteID = P_PlainteID AND

	(P_ID IS NULL OR PlainteDocumentsSpecifiques.ID = P_ID) AND 

	PlainteDocumentsSpecifiques.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPlainteAssocPlainteJugements`
--

DROP PROCEDURE IF EXISTS `PRC_GetPlainteAssocPlainteJugements`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPlainteAssocPlainteJugements`(P_PlainteID int(11), P_ID int(11))
BEGIN 



SELECT	

	Tribunal2.ID, 

	Tribunal2.PlainteID,

	lnk19_Membre.Prenom lnk19_Prenom,

					lnk19_Membre.Nom lnk19_Nom

FROM

	Tribunal2

LEFT JOIN

	Membre lnk19_Membre ON lnk19_Membre.ID = Tribunal2.AvocatID

WHERE 

	Tribunal2.PlainteID = P_PlainteID AND

	(P_ID IS NULL OR Tribunal2.ID = P_ID) AND 

	Tribunal2.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPlainteAssocPlainteMesures`
--

DROP PROCEDURE IF EXISTS `PRC_GetPlainteAssocPlainteMesures`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPlainteAssocPlainteMesures`(P_PlainteID int(11), P_ID int(11))
BEGIN 



SELECT	

	PlainteMesures.ID, 

	PlainteMesures.PlainteID,

	PlainteMesures.NumeroCPS,

	PlainteMesures.DateCPS,

	PlainteMesures.DateRevision,

	PlainteMesures.DECISION

FROM

	PlainteMesures

WHERE 

	PlainteMesures.PlainteID = P_PlainteID AND

	(P_ID IS NULL OR PlainteMesures.ID = P_ID) AND 

	PlainteMesures.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPlainteAssocPlainteParties`
--

DROP PROCEDURE IF EXISTS `PRC_GetPlainteAssocPlainteParties`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPlainteAssocPlainteParties`(P_PlainteID int(11), P_ID int(11))
BEGIN 



SELECT	

	PlainteParties.ID, 

	PlainteParties.PlainteID,

	rtb1_TypePartie.ShortDescription rtb1_TypePartie,

	lnk14_Relation.NomOrganisation lnk14_NomOrganisation,

					lnk14_Relation.Prenom lnk14_Prenom,

					lnk14_Relation.Nom lnk14_Nom,

					lnk14_Relation.OrganisationReliee lnk14_OrganisationReliee,

	PlainteParties.TitreMandataire,

	rtb2_TypeRole.ShortDescription rtb2_TypeRole,

	PlainteParties.Adresse,

	PlainteParties.Ville

FROM

	PlainteParties

LEFT JOIN

	Relation lnk14_Relation ON lnk14_Relation.ID = PlainteParties.PartieID

LEFT JOIN 

	azRefTablesValuesDescription rtb1_TypePartie ON rtb1_TypePartie.ID = PlainteParties.TypePartie

LEFT JOIN 

	azRefTablesValuesDescription rtb2_TypeRole ON rtb2_TypeRole.ID = PlainteParties.TypeRole

WHERE 

	PlainteParties.PlainteID = P_PlainteID AND

	(P_ID IS NULL OR PlainteParties.ID = P_ID) AND 

	PlainteParties.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPlainteAssocPlaintePiecesJointes`
--

DROP PROCEDURE IF EXISTS `PRC_GetPlainteAssocPlaintePiecesJointes`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPlainteAssocPlaintePiecesJointes`(P_PlainteID int(11), P_ID int(11))
BEGIN 



SELECT	

	PlaintePiecesJointes.ID, 

	PlaintePiecesJointes.PlainteID,

	PlaintePiecesJointes.MyNewAttribute

FROM

	PlaintePiecesJointes

WHERE 

	PlaintePiecesJointes.PlainteID = P_PlainteID AND

	(P_ID IS NULL OR PlaintePiecesJointes.ID = P_ID) AND 

	PlaintePiecesJointes.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetPresentationStatutaireAssocPresentationStatutaireDossiers`
--

DROP PROCEDURE IF EXISTS `PRC_GetPresentationStatutaireAssocPresentationStatutaireDossiers`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetPresentationStatutaireAssocPresentationStatutaireDossiers`(P_PresentationStatutaireID int(11), P_ID int(11))
BEGIN 



SELECT	

	PresentationStatutaireDossiers.ID, 

	PresentationStatutaireDossiers.PresentationStatutaireID,

	lnk52_Dossier.ID lnk52_ID,

					lnk52_Dossier.Nom lnk52_Nom,

					lnk52_Dossier.Cote lnk52_Cote

FROM

	PresentationStatutaireDossiers

LEFT JOIN

	Dossier lnk52_Dossier ON lnk52_Dossier.ID = PresentationStatutaireDossiers.DossierID

WHERE 

	PresentationStatutaireDossiers.PresentationStatutaireID = P_PresentationStatutaireID AND

	(P_ID IS NULL OR PresentationStatutaireDossiers.ID = P_ID) AND 

	PresentationStatutaireDossiers.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetRelationAssocLienAddresse`
--

DROP PROCEDURE IF EXISTS `PRC_GetRelationAssocLienAddresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetRelationAssocLienAddresse`(P_RelationID int(11))
BEGIN



SELECT

	LienAddresse.ID,

	LienAddresse.RelationID,

	lnk30_Adresse.Adresse1 lnk30_Adresse1,

	lnk30_Adresse.Adresse2 lnk30_Adresse2,

	lnk30_Adresse.Adresse3 lnk30_Adresse3

FROM

	LienAddresse

LEFT JOIN

	Adresse lnk30_Adresse ON lnk30_Adresse.ID = LienAddresse.AddresseID

WHERE

	LienAddresse.RelationID = P_RelationID AND

	LienAddresse.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetRelationAssocRelationClienteles`
--

DROP PROCEDURE IF EXISTS `PRC_GetRelationAssocRelationClienteles`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetRelationAssocRelationClienteles`(P_RelationID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



SELECT

	RelationClienteles.ID,

	RelationClienteles.RelationID,

	rtb1_Clientele.ShortDescription rtb1_Clientele

FROM

	RelationClienteles

LEFT JOIN

	azRefTablesValuesDescription rtb1_Clientele ON rtb1_Clientele.ID = RelationClienteles.Clientele AND rtb1_Clientele.LanguageCode = P_LanguageCode

WHERE

	RelationClienteles.RelationID = P_RelationID AND

	(P_ID IS NULL OR RelationClienteles.ID = P_ID) AND

	RelationClienteles.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetRelationAssocRelationClientsARisque`
--

DROP PROCEDURE IF EXISTS `PRC_GetRelationAssocRelationClientsARisque`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetRelationAssocRelationClientsARisque`(P_RelationID int(11), P_ID int(11))
BEGIN 



SELECT	

	RelationClientsARisque.ID, 

	RelationClientsARisque.RelationID,

	RelationClientsARisque.DateEvenement,

	RelationClientsARisque.ActionsPosesSuiteEvenement

FROM

	RelationClientsARisque

WHERE 

	RelationClientsARisque.RelationID = P_RelationID AND

	(P_ID IS NULL OR RelationClientsARisque.ID = P_ID) AND 

	RelationClientsARisque.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetRelationAssocRelationRepresentants`
--

DROP PROCEDURE IF EXISTS `PRC_GetRelationAssocRelationRepresentants`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetRelationAssocRelationRepresentants`(P_RelationID int(11), P_ID int(11))
BEGIN



SELECT

	RelationRepresentants.ID,

	RelationRepresentants.RelationID,

	lnk33_Relation.NomOrganisation lnk33_NomOrganisation,

	lnk33_Relation.Prenom lnk33_Prenom,

	lnk33_Relation.Nom lnk33_Nom,

	lnk33_Relation.OrganisationReliee lnk33_OrganisationReliee

FROM

	RelationRepresentants

LEFT JOIN

	Relation lnk33_Relation ON lnk33_Relation.ID = RelationRepresentants.Representant

WHERE

	RelationRepresentants.RelationID = P_RelationID AND

	(P_ID IS NULL OR RelationRepresentants.ID = P_ID) AND

	RelationRepresentants.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetRelationAssocTelephone`
--

DROP PROCEDURE IF EXISTS `PRC_GetRelationAssocTelephone`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetRelationAssocTelephone`(P_RelationID int(11), P_LanguageCode char(2))
BEGIN



SELECT

	Telephone.ID,

	Telephone.RelationID,

	rtb1_Type.ShortDescription rtb1_Type,

	Telephone.Numero,

	Telephone.Poste

FROM

	Telephone

	LEFT JOIN azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = Telephone.Type AND rtb1_Type.LanguageCode  = P_LanguageCode 

WHERE

	Telephone.RelationID = P_RelationID AND

	Telephone.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetSecteurAssocSecteurTypesOrganisation`
--

DROP PROCEDURE IF EXISTS `PRC_GetSecteurAssocSecteurTypesOrganisation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetSecteurAssocSecteurTypesOrganisation`(P_SecteurID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



SELECT	

	SecteurTypesOrganisation.ID,

	SecteurTypesOrganisation.SecteurID,

	rtb1_TypeOrganisation.ShortDescription rtb1_TypeOrganisation

FROM

	SecteurTypesOrganisation

LEFT JOIN

	azRefTablesValuesDescription rtb1_TypeOrganisation ON rtb1_TypeOrganisation.ID = SecteurTypesOrganisation.TypeOrganisation AND rtb1_TypeOrganisation.LanguageCode = P_LanguageCode

WHERE

	SecteurTypesOrganisation.SecteurID = P_SecteurID AND

	(P_ID IS NULL OR SecteurTypesOrganisation.ID = P_ID) AND

	SecteurTypesOrganisation.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetSujetAssocSujetSujetSecondaire`
--

DROP PROCEDURE IF EXISTS `PRC_GetSujetAssocSujetSujetSecondaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetSujetAssocSujetSujetSecondaire`(P_SujetID int(11), P_ID int(11))
BEGIN 



SELECT	

	SujetSujetSecondaire.ID, 

	SujetSujetSecondaire.SujetID,

	rtb1_Sujet.ShortDescription rtb1_Sujet

FROM

	SujetSujetSecondaire

LEFT JOIN 

	azRefTablesValuesDescription rtb1_Sujet ON rtb1_Sujet.ID = SujetSujetSecondaire.Sujet

WHERE 

	SujetSujetSecondaire.SujetID = P_SujetID AND

	(P_ID IS NULL OR SujetSujetSecondaire.ID = P_ID) AND 

	SujetSujetSecondaire.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetTransitionStatutAssocTransitionStatutActions`
--

DROP PROCEDURE IF EXISTS `PRC_GetTransitionStatutAssocTransitionStatutActions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetTransitionStatutAssocTransitionStatutActions`(P_TransitionStatutID int(11), P_ID int(11))
BEGIN 



SELECT	

	TransitionStatutActions.ID, 

	TransitionStatutActions.TransitionStatutID,

	TransitionStatutActions.Action

FROM

	TransitionStatutActions

WHERE 

	TransitionStatutActions.TransitionStatutID = P_TransitionStatutID AND

	(P_ID IS NULL OR TransitionStatutActions.ID = P_ID) AND 

	TransitionStatutActions.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_GetTypeOrganisationAssocTypeOrganisationClienteles`
--

DROP PROCEDURE IF EXISTS `PRC_GetTypeOrganisationAssocTypeOrganisationClienteles`;
DELIMITER %%;
CREATE PROCEDURE `PRC_GetTypeOrganisationAssocTypeOrganisationClienteles`(P_TypeOrganisationID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



SELECT	

	TypesOrganisationClienteles.ID,

	TypesOrganisationClienteles.TypeOrganisationID,

	rtb1_Clientele.ShortDescription rtb1_Clientele

FROM

	TypesOrganisationClienteles

LEFT JOIN

	azRefTablesValuesDescription rtb1_Clientele ON rtb1_Clientele.ID = TypesOrganisationClienteles.Clientele AND rtb1_Clientele.LanguageCode = P_LanguageCode

WHERE

	TypesOrganisationClienteles.TypeOrganisationID = P_TypeOrganisationID AND

	(P_ID IS NULL OR TypesOrganisationClienteles.ID = P_ID) AND 

	TypesOrganisationClienteles.DeletedDate IS NULL;

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertAdresse`
--

DROP PROCEDURE IF EXISTS `PRC_InsertAdresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertAdresse`(P_ID int(11), P_Adresse1 varchar(60), P_Adresse2 varchar(60), P_Adresse3 varchar(60), P_Pays int(11), P_Province int(11), P_RegionAdministrative int(11), P_Ville int(11), P_CodePostal varchar(6), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Adresse 

( 

	ID,

	Adresse1,

	Adresse2,

	Adresse3,

	Pays,

	Province,

	RegionAdministrative,

	Ville,

	CodePostal,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Adresse1,

	P_Adresse2,

	P_Adresse3,

	P_Pays,

	P_Province,

	P_RegionAdministrative,

	P_Ville,

	P_CodePostal,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadAdresse(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertAppel`
--

DROP PROCEDURE IF EXISTS `PRC_InsertAppel`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertAppel`(P_ID int(11), P_TransfertDe int(11), P_TransfertA int(11), P_DateAppel datetime, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Appel 

( 

	ID,

	TransfertDe,

	TransfertA,

	DateAppel,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_TransfertDe,

	P_TransfertA,

	P_DateAppel,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadAppel(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertAutreIntervention`
--

DROP PROCEDURE IF EXISTS `PRC_InsertAutreIntervention`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertAutreIntervention`(P_ID int(11), P_Type int(11), P_Destinataire int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO AutreIntervention 

( 

	ID,

	Type,

	Destinataire,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Type,

	P_Destinataire,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadAutreIntervention(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertAvisJuridique`
--

DROP PROCEDURE IF EXISTS `PRC_InsertAvisJuridique`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertAvisJuridique`(P_ID int(11), P_DemandeID int(11), P_PlainteID int(11), P_DateRencontre datetime, P_DatePrevue datetime, P_DateEnvoi datetime, P_Resume text, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO AvisJuridique 

( 

	ID,

	DemandeID,

	PlainteID,

	DateRencontre,

	DatePrevue,

	DateEnvoi,

	Resume,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_DemandeID,

	P_PlainteID,

	P_DateRencontre,

	P_DatePrevue,

	P_DateEnvoi,

	P_Resume,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadAvisJuridique(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertAvisJuridiqueAssocAvisJuridiqueDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_InsertAvisJuridiqueAssocAvisJuridiqueDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertAvisJuridiqueAssocAvisJuridiqueDocuments`(P_ID int(11), P_AvisJuridiqueID int(11), P_MyNewAttribute varchar(25), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO AvisJuridiqueDocuments 

( 

	ID,

	AvisJuridiqueID,

	MyNewAttribute,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_AvisJuridiqueID,

	P_MyNewAttribute,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadAvisJuridiqueAssocAvisJuridiqueDocuments (P_AvisJuridiqueID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertCategorieEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_InsertCategorieEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertCategorieEmploi`(P_ID int(11), P_Categorie int(11), P_Facteur float, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, P_LanguageCode char(2))
BEGIN

	



INSERT INTO CategorieEmploi 

( 

	ID,

	Categorie,

	Facteur,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Categorie,

	P_Facteur,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadCategorieEmploi(LAST_INSERT_ID(), P_LanguageCode);



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertCentreResponsabilite`
--

DROP PROCEDURE IF EXISTS `PRC_InsertCentreResponsabilite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertCentreResponsabilite`(P_ID int(11), P_Code varchar(25), P_Description varchar(100), P_Montant numeric(19,4), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO CentreResponsabilite 

( 

	ID,

	Code,

	Description,

	Montant,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Code,

	P_Description,

	P_Montant,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadCentreResponsabilite(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertCheminement`
--

DROP PROCEDURE IF EXISTS `PRC_InsertCheminement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertCheminement`(P_ID int(11), P_TypeDroit int(11), P_StatutInitial int(11), P_NouveauStatut int(11), P_Description varchar(100), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Cheminement2 

( 

	ID,

	TypeDroit,

	StatutInitial,

	NouveauStatut,

	Description,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_TypeDroit,

	P_StatutInitial,

	P_NouveauStatut,

	P_Description,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadCheminement(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertCommande`
--

DROP PROCEDURE IF EXISTS `PRC_InsertCommande`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertCommande`(P_ID int(11), P_Date varchar(25), P_Prix varchar(25), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Commande 

( 

	ID,

	Date,

	Prix,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Date,

	P_Prix,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadCommande(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertCommandeAssocCommandeDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_InsertCommandeAssocCommandeDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertCommandeAssocCommandeDocuments`(P_ID int(11), P_CommandeID int(11), P_Document int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO CommandeDocuments 

( 

	ID,

	CommandeID,

	Document,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_CommandeID,

	P_Document,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadCommandeAssocCommandeDocuments (P_CommandeID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertCorpsEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_InsertCorpsEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertCorpsEmploi`(P_ID int(11), P_Categorie int(11), P_CodeEchelle int(11), P_Description varchar(60), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO CorpsEmploi 

( 

	ID,

	Categorie,

	CodeEchelle,

	Description,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Categorie,

	P_CodeEchelle,

	P_Description,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadCorpsEmploi(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDemande`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDemande`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDemande`(P_ID int(11), P_Type int(11), P_TypeDroit int(11), P_RelationID int(11), P_MembreID int(11), P_DEMANDE datetime, P_Origine int(11), P_RecuPar int(11), P_RegionAdministrative int(11), P_RefereA int(11), P_AssigneA int(11), P_Description text, P_LangueCommunication int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Demande 

( 

	ID,

	Type,

	TypeDroit,

	RelationID,

	MembreID,

	DEMANDE,

	Origine,

	RecuPar,

	RegionAdministrative,

	RefereA,

	AssigneA,

	Description,

	LangueCommunication,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Type,

	P_TypeDroit,

	P_RelationID,

	P_MembreID,

	P_DEMANDE,

	P_Origine,

	P_RecuPar,

	P_RegionAdministrative,

	P_RefereA,

	P_AssigneA,

	P_Description,

	P_LangueCommunication,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDemande(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDemandeAssocDemandeDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDemandeAssocDemandeDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDemandeAssocDemandeDocuments`(P_ID int(11), P_DemandeID int(11), P_DocumentID int(11), P_Quantite smallint(6), P_DateEnvoi datetime, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DemandeDocuments 

( 

	ID,

	DemandeID,

	DocumentID,

	Quantite,

	DateEnvoi,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DemandeID,

	P_DocumentID,

	P_Quantite,

	P_DateEnvoi,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDemandeAssocDemandeDocuments (P_DemandeID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDemandeAssocDemandeSuivi`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDemandeAssocDemandeSuivi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDemandeAssocDemandeSuivi`(P_ID int(11), P_DemandeID int(11), P_Description varchar(100), P_Date datetime, P_SuiviEffectue tinyint(1), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DemandeSuivi 

( 

	ID,

	DemandeID,

	Description,

	Date,

	SuiviEffectue,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DemandeID,

	P_Description,

	P_Date,

	P_SuiviEffectue,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDemandeAssocDemandeSuivi (P_DemandeID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDescripteur`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDescripteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDescripteur`(P_ID int(11), P_TypeDroit int(11), P_TypeDescripteur int(11), P_CodeLoiJeunesse int(11), P_Code varchar(20), P_Description_E varchar(100), P_Description_F varchar(100), P_CleTri smallint(6), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Descripteur 

( 

	ID,

	TypeDroit,

	TypeDescripteur,

	CodeLoiJeunesse,

	Code,

	Description_E,

	Description_F,

	CleTri,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_TypeDroit,

	P_TypeDescripteur,

	P_CodeLoiJeunesse,

	P_Code,

	P_Description_E,

	P_Description_F,

	P_CleTri,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDescripteur(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDescripteurDocument`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDescripteurDocument`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDescripteurDocument`(P_ID int(11), P_Description varchar(100), P_TypeDescripteur int(11), P_CoteBibliographique varchar(25), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO DescripteurDocument 

( 

	ID,

	Description,

	TypeDescripteur,

	CoteBibliographique,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Description,

	P_TypeDescripteur,

	P_CoteBibliographique,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDescripteurDocument(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDescripteurDocumentAssocDescripteurDocumentSousDescrip`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDescripteurDocumentAssocDescripteurDocumentSousDescrip`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDescripteurDocumentAssocDescripteurDocumentSousDescrip`(P_ID int(11), P_DescripteurDocumentID int(11), P_Description varchar(100), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DescripteurDocumentSousDescripteur 

( 

	ID,

	DescripteurDocumentID,

	Description,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DescripteurDocumentID,

	P_Description,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDescripteurDocumentAssocDescripteurDocumentSousDescripteur (P_DescripteurDocumentID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDescripteurDocumentAssocSousDescripteur`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDescripteurDocumentAssocSousDescripteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDescripteurDocumentAssocSousDescripteur`(P_ID int(11), P_DescripteurDocumentID int(11), P_Description varchar(100), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DescripteurDocumentSousDescripteur 

( 

	ID,

	DescripteurDocumentID,

	Description,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DescripteurDocumentID,

	P_Description,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDescripteurDocumentAssocSousDescripteur (P_DescripteurDocumentID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDescripteurDocumentDocumentSousDescripteur`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDescripteurDocumentDocumentSousDescripteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDescripteurDocumentDocumentSousDescripteur`(P_ID int(11), P_DescripteurDocumentID int(11), P_Description varchar(100), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DescripteurDocumentSousDescripteur 

( 

	ID,

	DescripteurDocumentID,

	Description,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DescripteurDocumentID,

	P_Description,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDescripteurDocumentAssocSousDescripteur (P_DescripteurDocumentID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDetailsDecision`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDetailsDecision`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDetailsDecision`(P_ID int(11), P_EnqueteID smallint(6), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO DetailsDecision 

( 

	ID,

	EnqueteID,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_EnqueteID,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDetailsDecision(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDetailsDecisionAssocDetailsDecisionAutresInterventions`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDetailsDecisionAssocDetailsDecisionAutresInterventions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDetailsDecisionAssocDetailsDecisionAutresInterventions`(P_ID int(11), P_DetailsDecisionID int(11), P_AutreIntervention int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DetailsDecisionAutresInterventions 

( 

	ID,

	DetailsDecisionID,

	AutreIntervention,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DetailsDecisionID,

	P_AutreIntervention,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDetailsDecisionAssocDetailsDecisionAutresInterventions (P_DetailsDecisionID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDetailsDecisionAssocDetailsDecisionConclusions`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDetailsDecisionAssocDetailsDecisionConclusions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDetailsDecisionAssocDetailsDecisionConclusions`(P_ID int(11), P_DetailsDecisionID int(11), P_DroitID smallint(6), P_Conclusion int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DetailsDecisionConclusions 

( 

	ID,

	DetailsDecisionID,

	DroitID,

	Conclusion,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DetailsDecisionID,

	P_DroitID,

	P_Conclusion,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDetailsDecisionAssocDetailsDecisionConclusions (P_DetailsDecisionID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDetailsDecisionAssocDetailsDecisionMembresComite`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDetailsDecisionAssocDetailsDecisionMembresComite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDetailsDecisionAssocDetailsDecisionMembresComite`(P_ID int(11), P_DetailsDecisionID int(11), P_MembreID int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DetailsDecisionMembresComite 

( 

	ID,

	DetailsDecisionID,

	MembreID,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DetailsDecisionID,

	P_MembreID,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDetailsDecisionAssocDetailsDecisionMembresComite (P_DetailsDecisionID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDetailsDecisionAssocDetailsDecisionRecommandations`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDetailsDecisionAssocDetailsDecisionRecommandations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDetailsDecisionAssocDetailsDecisionRecommandations`(P_ID int(11), P_DetailsDecisionID int(11), P_Recommandation int(11), P_RecommandeA int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DetailsDecisionRecommandations 

( 

	ID,

	DetailsDecisionID,

	Recommandation,

	RecommandeA,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DetailsDecisionID,

	P_Recommandation,

	P_RecommandeA,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDetailsDecisionAssocDetailsDecisionRecommandations (P_DetailsDecisionID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDirectionCentreJeunesse`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDirectionCentreJeunesse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDirectionCentreJeunesse`(P_ID int(11), P_PosteCentreJeunesse int(11), P_Client int(11), P_RegionAdministrative int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO DirectionCentreJeunesse 

( 

	ID,

	PosteCentreJeunesse,

	Client,

	RegionAdministrative,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_PosteCentreJeunesse,

	P_Client,

	P_RegionAdministrative,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDirectionCentreJeunesse(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDocument`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDocument`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDocument`(P_ID int(11), P_Statut int(11), P_Type int(11), P_Titre varchar(255), P_Langue int(11), P_DirectionResponsable int(11), P_TypeDate int(11), P_Date datetime, P_Version int(11), P_DocumentMAJ int(11), P_Cote varchar(25), P_AncienneCote varchar(25), P_CodeDewey varchar(20), P_Pages smallint(6), P_ContientAnnexes tinyint(1), P_Resume text, P_FichierSource varchar(50), P_NoResolution varchar(50), P_Reference varchar(255), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Document

(

	ID,

	Statut,

	Type,

	Titre,

	Langue,

	DirectionResponsable,

  TypeDate,

	Date,

	Version,

	DocumentMAJ,

	Cote,

	AncienneCote,

	CodeDewey,

	Pages,

	ContientAnnexes,

	Resume,

	FichierSource,

	NoResolution,

	Reference,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES

(

NULL,

	P_Statut,

	P_Type,

	P_Titre,

	P_Langue,

	P_DirectionResponsable,

  P_TypeDate,

	P_Date,

	P_Version,

	P_DocumentMAJ,

	P_Cote,

	P_AncienneCote,

	P_CodeDewey,

	P_Pages,

	P_ContientAnnexes,

	P_Resume,

	P_FichierSource,

	P_NoResolution,

	P_Reference,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDocument(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDocumentAssocDocumentApprovisionnement`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDocumentAssocDocumentApprovisionnement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDocumentAssocDocumentApprovisionnement`(P_ID int(11), P_DocumentID int(11), P_Fournisseur int(11), P_Quantite smallint(6), P_Cout numeric(19,4), P_DateCommandee datetime, P_DateReception datetime, P_Note text, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DocumentApprovisionnement 

( 

	ID,

	DocumentID,

	Fournisseur,

	Quantite,

	Cout,

	DateCommandee,

	DateReception,

	Note,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DocumentID,

	P_Fournisseur,

	P_Quantite,

	P_Cout,

	P_DateCommandee,

	P_DateReception,

	P_Note,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDocumentAssocDocumentApprovisionnement (P_DocumentID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDocumentAssocDocumentAuteurs`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDocumentAssocDocumentAuteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDocumentAssocDocumentAuteurs`(P_ID int(11), P_DocumentID int(11), P_MembreID int(11), P_RelationID varchar(25), P_Prenom varchar(50), P_Nom varchar(50), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DocumentAuteurs 

( 

	ID,

	DocumentID,

	MembreID,

	RelationID,

	Prenom,

	Nom,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DocumentID,

	P_MembreID,

	P_RelationID,

	P_Prenom,

	P_Nom,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDocumentAssocDocumentAuteurs (P_DocumentID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDocumentAssocDocumentContentieux`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDocumentAssocDocumentContentieux`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDocumentAssocDocumentContentieux`(P_ID int(11), P_DocumentID int(11), P_FermeturePlumitif tinyint(1), P_InstanceJudiciaire int(11), P_DistrictJudiciaire int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, P_LanguageCode char(2))
BEGIN 



INSERT INTO DocumentContentieux 

( 

	ID,

	DocumentID,

	FermeturePlumitif,

	InstanceJudiciaire,

	DistrictJudiciaire,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DocumentID,

	P_FermeturePlumitif,

	P_InstanceJudiciaire,

	P_DistrictJudiciaire,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDocumentAssocDocumentContentieux (P_DocumentID, LAST_INSERT_ID(), P_LanguageCode);



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDocumentAssocDocumentDescripteurs`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDocumentAssocDocumentDescripteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDocumentAssocDocumentDescripteurs`(P_ID int(11), P_DocumentID int(11), P_Type int(11), P_Descripteur int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DocumentDescripteurs 

( 

	ID,

	DocumentID,

	Type,

	Descripteur,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DocumentID,

	P_Type,

	P_Descripteur,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDocumentAssocDocumentDescripteurs (P_DocumentID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDocumentAssocDocumentDiffusion`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDocumentAssocDocumentDiffusion`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDocumentAssocDocumentDiffusion`(P_ID int(11), P_DocumentID int(11), P_Localisation int(11), P_AInclureDansRapport tinyint(1), P_NombreDisponible smallint(6), P_SeuilNouvelleCommande smallint(6), P_NoteRepertoire text, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN



INSERT INTO DocumentDiffusion

(

	ID,

	DocumentID,

	Localisation,

	AInclureDansRapport,

	NombreDisponible,

	SeuilNouvelleCommande,

	NoteRepertoire,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES

(

	NULL,

	P_DocumentID,

	P_Localisation,

	P_AInclureDansRapport,

	P_NombreDisponible,

	P_SeuilNouvelleCommande,

	P_NoteRepertoire,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDocumentAssocDocumentDiffusion (P_DocumentID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDocumentAssocDocumentDocumentsConnexes`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDocumentAssocDocumentDocumentsConnexes`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDocumentAssocDocumentDocumentsConnexes`(P_ID int(11), P_DocumentID int(11), P_DocumentConnexeID int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN



INSERT INTO DocumentDocumentsConnexes

(

	ID,

	DocumentID,

	DocumentConnexeID,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES

(

	NULL,

	P_DocumentID,

	P_DocumentConnexeID,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDocumentAssocDocumentDocumentsConnexes (P_DocumentID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDocumentAssocDocumentPlumitif`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDocumentAssocDocumentPlumitif`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDocumentAssocDocumentPlumitif`(P_ID int(11), P_DocumentID int(11), P_DateEtape datetime, P_Etape int(11), P_NoteEtape text, P_NombreJoursAudition double, P_EvenementEtapePlumitif1 int(11), P_DateEvenementEtapePlumitif1 datetime, P_EvenementEtapePlumitif2 int(11), P_DateEvenementEtapePlumitif2 datetime, P_EvenementEtapePlumitif3 int(11), P_DateEvenementEtapePlumitif3 datetime, P_Avocat1 int(11), P_Avocat2 int(11), P_InstanceJudiciaire int(11), P_DistrictJudiciaire int(11), P_NoCour varchar(25), P_FichierSource varchar(50), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, P_LanguageCode char(2))
BEGIN 



INSERT INTO DocumentPlumitif 

( 

	ID,

	DocumentID,

	DateEtape,

	Etape,

	NoteEtape,

	NombreJoursAudition,

	EvenementEtapePlumitif1,

	DateEvenementEtapePlumitif1,

	EvenementEtapePlumitif2,

	DateEvenementEtapePlumitif2,

	EvenementEtapePlumitif3,

	DateEvenementEtapePlumitif3,

	Avocat1,

	Avocat2,

	InstanceJudiciaire,

	DistrictJudiciaire,

	NoCour,

	FichierSource,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DocumentID,

	P_DateEtape,

	P_Etape,

	P_NoteEtape,

	P_NombreJoursAudition,

	P_EvenementEtapePlumitif1,

	P_DateEvenementEtapePlumitif1,

	P_EvenementEtapePlumitif2,

	P_DateEvenementEtapePlumitif2,

	P_EvenementEtapePlumitif3,

	P_DateEvenementEtapePlumitif3,

	P_Avocat1,

	P_Avocat2,

	P_InstanceJudiciaire,

	P_DistrictJudiciaire,

	P_NoCour,

	P_FichierSource,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDocumentAssocDocumentPlumitif (P_DocumentID, LAST_INSERT_ID(), P_LanguageCode);



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDocumentAssocDocumentRecherche`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDocumentAssocDocumentRecherche`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDocumentAssocDocumentRecherche`(P_ID int(11), P_DocumentID int(11), P_FichierEdition varchar(50), P_NoDossierRecherche int(11), P_NoteRecherche text, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DocumentRecherche 

( 

	ID,

	DocumentID,

	FichierEdition,

	NoDossierRecherche,

	NoteRecherche,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DocumentID,

	P_FichierEdition,

	P_NoDossierRecherche,

	P_NoteRecherche,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDocumentAssocDocumentRecherche (P_DocumentID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDossier`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDossier`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDossier`(P_ID int(11), P_Type int(11), P_Nom varchar(50), P_Source int(11), P_Description text, P_TypeDateEcheance int(11), P_DateEcheance datetime, P_NoteEcheance varchar(50), P_TypePresentation int(11), P_ButPresentation int(11), P_DatePresentation datetime, P_NoResolution varchar(25), P_DateCommissionParlementaire datetime, P_HyperLienJournalDebats varchar(100), P_Cote varchar(25), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Dossier 

( 

	ID,

	Type,

	Nom,

	Source,

	Description,

	TypeDateEcheance,

	DateEcheance,

	NoteEcheance,

	TypePresentation,

	ButPresentation,

	DatePresentation,

	NoResolution,

	DateCommissionParlementaire,

	HyperLienJournalDebats,

	Cote,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Type,

	P_Nom,

	P_Source,

	P_Description,

	P_TypeDateEcheance,

	P_DateEcheance,

	P_NoteEcheance,

	P_TypePresentation,

	P_ButPresentation,

	P_DatePresentation,

	P_NoResolution,

	P_DateCommissionParlementaire,

	P_HyperLienJournalDebats,

	P_Cote,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDossier(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDossierAssocDossierAssignations`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDossierAssocDossierAssignations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDossierAssocDossierAssignations`(P_ID int(11), P_DossierID int(11), P_PersonneResponsable int(11), P_DateAssignation datetime, P_DateEcheance datetime, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DossierAssignations 

( 

	ID,

	DossierID,

	PersonneResponsable,

	DateAssignation,

	DateEcheance,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DossierID,

	P_PersonneResponsable,

	P_DateAssignation,

	P_DateEcheance,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDossierAssocDossierAssignations (P_DossierID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDossierAssocDossierDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDossierAssocDossierDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDossierAssocDossierDocuments`(P_ID int(11), P_DossierID int(11), P_DocumentID int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DocumentsPositions 

( 

	ID,

	DossierID,

	DocumentID,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DossierID,

	P_DocumentID,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDossierAssocDossierDocuments (P_DossierID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDossierAssocDossierEnvois`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDossierAssocDossierEnvois`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDossierAssocDossierEnvois`(P_ID int(11), P_DossierID int(11), P_DocumentID int(11), P_Type int(11), P_Statut int(11), P_Version int(11), P_Destinataire int(11), P_Date datetime, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO DossierEnvois 

( 

	ID,

	DossierID,

	DocumentID,

	Type,

	Statut,

	Version,

	Destinataire,

	Date,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_DossierID,

	P_DocumentID,

	P_Type,

	P_Statut,

	P_Version,

	P_Destinataire,

	P_Date,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDossierAssocDossierEnvois (P_DossierID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDossierPAE`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDossierPAE`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDossierPAE`(P_ID int(11), P_Client int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO DossierPAE 

( 

	ID,

	Client,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Client,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDossierPAE(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertDroit`
--

DROP PROCEDURE IF EXISTS `PRC_InsertDroit`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertDroit`(P_ID int(11), P_TypeDroit int(11), P_LoiJeunesse int(11), P_Code varchar(8), P_DescriptionFrancais varchar(200), P_DescriptionAnglais varchar(200), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Droit 

( 

	ID,

	TypeDroit,

	LoiJeunesse,

	Code,

	DescriptionFrancais,

	DescriptionAnglais,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_TypeDroit,

	P_LoiJeunesse,

	P_Code,

	P_DescriptionFrancais,

	P_DescriptionAnglais,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadDroit(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertEchelleSalariale`
--

DROP PROCEDURE IF EXISTS `PRC_InsertEchelleSalariale`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertEchelleSalariale`(P_ID int(11), P_NoEchelle int(11), P_Classe varchar(25), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO EchelleSalariale 

( 

	ID,

	NoEchelle,

	Classe,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_NoEchelle,

	P_Classe,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadEchelleSalariale(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertEchelleSalarialeAssocEchelleSalarialeEchelons`
--

DROP PROCEDURE IF EXISTS `PRC_InsertEchelleSalarialeAssocEchelleSalarialeEchelons`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertEchelleSalarialeAssocEchelleSalarialeEchelons`(P_ID int(11), P_EchelleSalarialeID int(11), P_NoEchelon int(11), P_DateDebut datetime, P_Salaire numeric(19,4), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO EchelleSalarialeEchelons 

( 

	ID,

	EchelleSalarialeID,

	NoEchelon,

	DateDebut,

	Salaire,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_EchelleSalarialeID,

	P_NoEchelon,

	P_DateDebut,

	P_Salaire,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadEchelleSalarialeAssocEchelleSalarialeEchelons (P_EchelleSalarialeID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertEtapePlumitif`
--

DROP PROCEDURE IF EXISTS `PRC_InsertEtapePlumitif`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertEtapePlumitif`(P_ID int(11), P_Cheminement varchar(255), P_Attribution varchar(100), P_RequiertNombreJours tinyint(1), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO EtapePlumitif

(

	ID,

	Cheminement,

	Attribution,

  RequiertNombreJours,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES

(

NULL,

	P_Cheminement,

	P_Attribution,

  P_RequiertNombreJours,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadEtapePlumitif(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertEvenement`
--

DROP PROCEDURE IF EXISTS `PRC_InsertEvenement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertEvenement`(P_ID int(11), P_Nom varchar(100), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Evenement 

( 

	ID,

	Nom,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Nom,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadEvenement(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertEvenementAssocEvenementParticipants`
--

DROP PROCEDURE IF EXISTS `PRC_InsertEvenementAssocEvenementParticipants`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertEvenementAssocEvenementParticipants`(P_ID int(11), P_EvenementID int(11), P_ClientID int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO EvenementParticipants 

( 

	ID,

	EvenementID,

	ClientID,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_EvenementID,

	P_ClientID,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadEvenementAssocEvenementParticipants (P_EvenementID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertInstanceJudiciaire`
--

DROP PROCEDURE IF EXISTS `PRC_InsertInstanceJudiciaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertInstanceJudiciaire`(P_ID int(11), P_InstanceJudiciaire int(11), P_PresenceDistrictJudiciaire int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO InstanceJudiciaire 

( 

	ID,

	InstanceJudiciaire,

	PresenceDistrictJudiciaire,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_InstanceJudiciaire,

	P_PresenceDistrictJudiciaire,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadInstanceJudiciaire(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertLienAddresse`
--

DROP PROCEDURE IF EXISTS `PRC_InsertLienAddresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertLienAddresse`(P_ID int(11), P_AddresseID int(11), P_MembreID int(11), P_RelationID int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO LienAddresse 

( 

	ID,

	AddresseID,

	MembreID,

	RelationID,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_AddresseID,

	P_MembreID,

	P_RelationID,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadLienAddresse(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertMembre`
--

DROP PROCEDURE IF EXISTS `PRC_InsertMembre`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertMembre`(P_ID int(11), P_Type int(11), P_Prenom varchar(50), P_Nom varchar(50), P_DateEntree datetime, P_DateDepart datetime, P_NAS varchar(9), P_CodeUsager varchar(10), P_DateNaissance datetime, P_Courriel varchar(100), P_SuperieurImmediat int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, P_CurrentDate datetime, P_LanguageCode char(2))
BEGIN

	



INSERT INTO Membre

(

	ID,

	Type,

	Prenom,

	Nom,

	DateEntree,

	DateDepart,

	NAS,

	CodeUsager,

	DateNaissance,

  Courriel,

	SuperieurImmediat,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES

(

NULL,

	P_Type,

	P_Prenom,

	P_Nom,

	P_DateEntree,

	P_DateDepart,

	P_NAS,

	P_CodeUsager,

	P_DateNaissance,

  P_Courriel,

	P_SuperieurImmediat,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadMembre(LAST_INSERT_ID(), P_CurrentDate, P_LanguageCode);



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertMembreAssocMembreAbsences`
--

DROP PROCEDURE IF EXISTS `PRC_InsertMembreAssocMembreAbsences`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertMembreAssocMembreAbsences`(P_ID int(11), P_MembreID int(11), P_DateDebut datetime, P_DateRetour datetime, P_NbJours smallint(6), P_NbHeures double, P_RaisonAbsence int(11), P_Pourcentage double, P_Montant numeric(19,4), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO MembreAbsences 

( 

	ID,

	MembreID,

	DateDebut,

	DateRetour,

	NbJours,

	NbHeures,

	RaisonAbsence,

	Pourcentage,

	Montant,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_MembreID,

	P_DateDebut,

	P_DateRetour,

	P_NbJours,

	P_NbHeures,

	P_RaisonAbsence,

	P_Pourcentage,

	P_Montant,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadMembreAssocMembreAbsences (P_MembreID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertMembreAssocMembreDepenses`
--

DROP PROCEDURE IF EXISTS `PRC_InsertMembreAssocMembreDepenses`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertMembreAssocMembreDepenses`(P_ID int(11), P_MembreID int(11), P_Description int(11), P_Montant numeric(19,4), P_DateDepense datetime, P_DatePaiement datetime, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO MembreDepenses 

( 

	ID,

	MembreID,

	Description,

	Montant,

	DateDepense,

	DatePaiement,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_MembreID,

	P_Description,

	P_Montant,

	P_DateDepense,

	P_DatePaiement,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadMembreAssocMembreDepenses (P_MembreID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertMembreAssocMembreHoraires`
--

DROP PROCEDURE IF EXISTS `PRC_InsertMembreAssocMembreHoraires`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertMembreAssocMembreHoraires`(P_ID int(11), P_MembreID int(11), P_DateDebut datetime, P_LundiAM double, P_LundiPM double, P_MardiAM double, P_MardiPM double, P_MercrediAM double, P_MercrediPM double, P_JeudiAM double, P_JeudiPM double, P_VendrediAM double, P_VendrediPM double, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN



INSERT INTO MembreHoraires

(

	ID,

	MembreID,

	DateDebut,

	LundiAM,

	LundiPM,

	MardiAM,

	MardiPM,

	MercrediAM,

	MercrediPM,

	JeudiAM,

	JeudiPM,

	VendrediAM,

	VendrediPM,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES

(

	NULL,

	P_MembreID,

	P_DateDebut,

	P_LundiAM,

	P_LundiPM,

	P_MardiAM,

	P_MardiPM,

	P_MercrediAM,

	P_MercrediPM,

	P_JeudiAM,

	P_JeudiPM,

	P_VendrediAM,

	P_VendrediPM,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadMembreAssocMembreHoraires (P_MembreID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertMembreAssocMembrePrimesForfaits`
--

DROP PROCEDURE IF EXISTS `PRC_InsertMembreAssocMembrePrimesForfaits`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertMembreAssocMembrePrimesForfaits`(P_ID int(11), P_MembreID int(11), P_TypePrimeForfait int(11), P_Code int(11), P_DateDebut datetime, P_DateFin datetime, P_Duree smallint(6), P_PourcentagePrime double, P_ForfaitAnnuel numeric(19,4), P_MontantPaye numeric(19,4), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO MembrePrimesForfaits 

( 

	ID,

	MembreID,

	TypePrimeForfait,

	Code,

	DateDebut,

	DateFin,

	Duree,

	PourcentagePrime,

	ForfaitAnnuel,

	MontantPaye,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_MembreID,

	P_TypePrimeForfait,

	P_Code,

	P_DateDebut,

	P_DateFin,

	P_Duree,

	P_PourcentagePrime,

	P_ForfaitAnnuel,

	P_MontantPaye,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadMembreAssocMembrePrimesForfaits (P_MembreID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertMembreAssocMembreProfilEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_InsertMembreAssocMembreProfilEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertMembreAssocMembreProfilEmploi`(P_ID int(11), P_MembreID int(11), P_CentreResponsabilite int(11), P_DateCentreResponsabilite datetime, P_CorpsEmploi int(11), P_Echelle int(11), P_Echelon int(11), P_StatutEmploi int(11), P_StatutHoraire int(11), P_DateEffective datetime, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, P_CurrentDate datetime, P_HeuresTempsPlein double, P_LanguageCode char(2))
BEGIN



INSERT INTO MembreProfilEmploi

(

	ID,

	MembreID,

	CentreResponsabilite,

	DateCentreResponsabilite,

	CorpsEmploi,

	Echelle,

	Echelon,

	StatutEmploi,

	StatutHoraire,

	DateEffective,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES

(

	NULL,

	P_MembreID,

	P_CentreResponsabilite,

	P_DateCentreResponsabilite,

	P_CorpsEmploi,

	P_Echelle,

	P_Echelon,

	P_StatutEmploi,

	P_StatutHoraire,

	P_DateEffective,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadMembreAssocMembreProfilEmploi (P_MembreID, LAST_INSERT_ID(), P_CurrentDate, P_HeuresTempsPlein, P_LanguageCode);



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertMembreAssocMembreTempsSupplementaire`
--

DROP PROCEDURE IF EXISTS `PRC_InsertMembreAssocMembreTempsSupplementaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertMembreAssocMembreTempsSupplementaire`(P_ID int(11), P_MembreID int(11), P_NoCategorie int(11), P_Facteur float, P_DateDebut datetime, P_DateFin datetime, P_Duree smallint(6), P_MontantPaye numeric(19,4), P_DatePaiement datetime, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, P_LanguageCode char(2))
BEGIN



INSERT INTO MembreTempsSupplementaire

(

	ID,

	MembreID,

	NoCategorie,

	Facteur,

	DateDebut,

	DateFin,

	Duree,

	MontantPaye,

	DatePaiement,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES

(

	NULL,

	P_MembreID,

	P_NoCategorie,

	P_Facteur,

	P_DateDebut,

	P_DateFin,

	P_Duree,

	P_MontantPaye,

	P_DatePaiement,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadMembreAssocMembreTempsSupplementaire (P_MembreID, LAST_INSERT_ID(), P_LanguageCode);



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertMembreAssocMembreTraitementDiffere`
--

DROP PROCEDURE IF EXISTS `PRC_InsertMembreAssocMembreTraitementDiffere`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertMembreAssocMembreTraitementDiffere`(P_ID int(11), P_MembreID int(11), P_DateDebutParticipation datetime, P_DateFinParticipationPrevue datetime, P_DureeParticipation smallint(6), P_DateDebutConge datetime, P_DateFinCongePrevue datetime, P_DureeConge smallint(6), P_Pourcentage double, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO MembreTraitementDiffere 

( 

	ID,

	MembreID,

	DateDebutParticipation,

	DateFinParticipationPrevue,

	DureeParticipation,

	DateDebutConge,

	DateFinCongePrevue,

	DureeConge,

	Pourcentage,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_MembreID,

	P_DateDebutParticipation,

	P_DateFinParticipationPrevue,

	P_DureeParticipation,

	P_DateDebutConge,

	P_DateFinCongePrevue,

	P_DureeConge,

	P_Pourcentage,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadMembreAssocMembreTraitementDiffere (P_MembreID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertNote`
--

DROP PROCEDURE IF EXISTS `PRC_InsertNote`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertNote`(P_ID int(11), P_DemandeID int(11), P_PlainteID int(11), P_Description text, P_Date datetime, P_SaisiPar int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Note 

( 

	ID,

	DemandeID,

	PlainteID,

	Description,

	Date,

	SaisiPar,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_DemandeID,

	P_PlainteID,

	P_Description,

	P_Date,

	P_SaisiPar,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadNote(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainte`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainte`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainte`(P_ID int(11), P_AncienID varchar(20), P_TypeDroit int(11), P_LoiJeunesse int(11), P_PlaignantID int(11), P_STATUT int(11), P_BUREAU int(11), P_RegionAdministrativeMODIFIER int(11), P_Secteur int(11), P_Archivex varchar(10), P_NB_Archive varchar(8), P_ArchivageVersement int(11), P_DateArchivage datetime, P_Thematique varchar(100), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Plainte 

( 

	ID,

	AncienID,

	TypeDroit,

	LoiJeunesse,

	PlaignantID,

	STATUT,

	BUREAU,

	RegionAdministrativeMODIFIER,

	Secteur,

	Archivex,

	NB_Archive,

	ArchivageVersement,

	DateArchivage,

	Thematique,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_AncienID,

	P_TypeDroit,

	P_LoiJeunesse,

	P_PlaignantID,

	P_STATUT,

	P_BUREAU,

	P_RegionAdministrativeMODIFIER,

	P_Secteur,

	P_Archivex,

	P_NB_Archive,

	P_ArchivageVersement,

	P_DateArchivage,

	P_Thematique,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainte(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteAssignations`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteAssignations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteAssignations`(P_ID int(11), P_PlainteID int(11), P_TypeAssignation int(11), P_ENQUETEUR int(11), P_DATE_ASS datetime, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlainteAssignationsRecherche 

( 

	ID,

	PlainteID,

	TypeAssignation,

	ENQUETEUR,

	DATE_ASS,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_TypeAssignation,

	P_ENQUETEUR,

	P_DATE_ASS,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteAssignations (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteAvis`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteAvis`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteAvis`(P_ID int(11), P_PlainteID int(11), P_AVOCAT int(11), P_ENVOI datetime, P_RETOUR datetime, P_DIRECTION int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlainteAvis 

( 

	ID,

	PlainteID,

	AVOCAT,

	ENVOI,

	RETOUR,

	DIRECTION,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_AVOCAT,

	P_ENVOI,

	P_RETOUR,

	P_DIRECTION,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteAvis (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteCheminement`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteCheminement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteCheminement`(P_ID int(11), P_PlainteID int(11), P_CheminementID int(11), P_StatutInitial int(11), P_StatutFinal int(11), P_Description varchar(200), P_Commentaires varchar(200), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlainteCheminement 

( 

	ID,

	PlainteID,

	CheminementID,

	StatutInitial,

	StatutFinal,

	Description,

	Commentaires,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_CheminementID,

	P_StatutInitial,

	P_StatutFinal,

	P_Description,

	P_Commentaires,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteCheminement (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteDecisions`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteDecisions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteDecisions`(P_ID int(11), P_PlainteID int(11), P_Depot_Dir datetime, P_Enqueteur int(11), P_No_CP varchar(6), P_Date_CP datetime, P_No_PRE varchar(6), P_Date_PRE datetime, P_Acte text, P_MontantReglement numeric(19,4), P_ReglementConfidentiel tinyint(1), P_Date_Regle datetime, P_MotifFermeture int(11), P_Detail_fer int(11), P_Datail_78 int(11), P_DateFermeture datetime, P_RaisonDesistement int(11), P_RaisonDesistementDetaile text, P_Date_desis datetime, P_Resolution text, P_RedigePar int(11), P_Sommaire text, P_Retire int(11), P_EtapeEtudeDossier int(11), P_MotifReport int(11), P_DateRetourCE datetime, P_DateEnvoiDecision datetime, P_No_Com varchar(12), P_Date_COM datetime, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlainteDecisions 

( 

	ID,

	PlainteID,

	Depot_Dir,

	Enqueteur,

	No_CP,

	Date_CP,

	No_PRE,

	Date_PRE,

	Acte,

	MontantReglement,

	ReglementConfidentiel,

	Date_Regle,

	MotifFermeture,

	Detail_fer,

	Datail_78,

	DateFermeture,

	RaisonDesistement,

	RaisonDesistementDetaile,

	Date_desis,

	Resolution,

	RedigePar,

	Sommaire,

	Retire,

	EtapeEtudeDossier,

	MotifReport,

	DateRetourCE,

	DateEnvoiDecision,

	No_Com,

	Date_COM,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_Depot_Dir,

	P_Enqueteur,

	P_No_CP,

	P_Date_CP,

	P_No_PRE,

	P_Date_PRE,

	P_Acte,

	P_MontantReglement,

	P_ReglementConfidentiel,

	P_Date_Regle,

	P_MotifFermeture,

	P_Detail_fer,

	P_Datail_78,

	P_DateFermeture,

	P_RaisonDesistement,

	P_RaisonDesistementDetaile,

	P_Date_desis,

	P_Resolution,

	P_RedigePar,

	P_Sommaire,

	P_Retire,

	P_EtapeEtudeDossier,

	P_MotifReport,

	P_DateRetourCE,

	P_DateEnvoiDecision,

	P_No_Com,

	P_Date_COM,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteDecisions (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteDescripteurs`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteDescripteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteDescripteurs`(P_ID int(11), P_PlainteID int(11), P_TypeDescripteur int(11), P_Descripteur int(11), P_EstPrincipal tinyint(1), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlainteDescripteurs 

( 

	ID,

	PlainteID,

	TypeDescripteur,

	Descripteur,

	EstPrincipal,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_TypeDescripteur,

	P_Descripteur,

	P_EstPrincipal,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteDescripteurs (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteDocumentsReference`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteDocumentsReference`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteDocumentsReference`(P_ID int(11), P_PlainteID int(11), P_DocumentReference int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlainteDocumentsReference 

( 

	ID,

	PlainteID,

	DocumentReference,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_DocumentReference,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteDocumentsReference (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteDocumentsSpecifiques`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteDocumentsSpecifiques`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteDocumentsSpecifiques`(P_ID int(11), P_PlainteID int(11), P_DocumentSpecifique int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlainteDocumentsSpecifiques 

( 

	ID,

	PlainteID,

	DocumentSpecifique,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_DocumentSpecifique,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteDocumentsSpecifiques (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteEnquete`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteEnquete`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteEnquete`(P_ID int(11), P_PlainteID int(11), P_Enqueteur int(11), P_DateAssignation datetime, P_AutreEnqueteur int(11), P_DateRapport datetime, P_DateAvisEnquete datetime, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlainteEnquete 

( 

	ID,

	PlainteID,

	Enqueteur,

	DateAssignation,

	AutreEnqueteur,

	DateRapport,

	DateAvisEnquete,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_Enqueteur,

	P_DateAssignation,

	P_AutreEnqueteur,

	P_DateRapport,

	P_DateAvisEnquete,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteEnquete (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteJugements`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteJugements`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteJugements`(P_ID int(11), P_PlainteID int(11), P_AvocatID int(11), P_NatureJugement int(11), P_DateJugement datetime, P_ExplicationsNatureJugement text, P_NoSeancePresident varchar(5), P_DateSeancePresident datetime, P_NoSeanceCP varchar(6), P_DateSeanceCP datetime, P_NoCour varchar(14), P_DetailsJugement varchar(37), P_MontantDommagesMateriels numeric(19,4), P_MontantDommagesMoraux numeric(19,4), P_MontantDommagesExemplaires numeric(19,4), P_AccomplissementActe text, P_Commentaires varchar(60), P_DateFermetureDossier datetime, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO Tribunal2 

( 

	ID,

	PlainteID,

	AvocatID,

	NatureJugement,

	DateJugement,

	ExplicationsNatureJugement,

	NoSeancePresident,

	DateSeancePresident,

	NoSeanceCP,

	DateSeanceCP,

	NoCour,

	DetailsJugement,

	MontantDommagesMateriels,

	MontantDommagesMoraux,

	MontantDommagesExemplaires,

	AccomplissementActe,

	Commentaires,

	DateFermetureDossier,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_AvocatID,

	P_NatureJugement,

	P_DateJugement,

	P_ExplicationsNatureJugement,

	P_NoSeancePresident,

	P_DateSeancePresident,

	P_NoSeanceCP,

	P_DateSeanceCP,

	P_NoCour,

	P_DetailsJugement,

	P_MontantDommagesMateriels,

	P_MontantDommagesMoraux,

	P_MontantDommagesExemplaires,

	P_AccomplissementActe,

	P_Commentaires,

	P_DateFermetureDossier,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteJugements (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteMediation`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteMediation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteMediation`(P_ID int(11), P_PlainteID int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlainteMediation 

( 

	ID,

	PlainteID,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteMediation (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteMesures`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteMesures`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteMesures`(P_ID int(11), P_PlainteID int(11), P_NumeroCPS varchar(6), P_DateCPS datetime, P_DateRevision datetime, P_DECISION tinyint(1), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlainteMesures 

( 

	ID,

	PlainteID,

	NumeroCPS,

	DateCPS,

	DateRevision,

	DECISION,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_NumeroCPS,

	P_DateCPS,

	P_DateRevision,

	P_DECISION,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteMesures (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteParties`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteParties`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteParties`(P_ID int(11), P_PlainteID int(11), P_TypePartie int(11), P_PartieID int(11), P_TitreMandataire varchar(40), P_TypeRole int(11), P_AdresseID int(11), P_Adresse varchar(60), P_Ville varchar(40), P_Province varchar(20), P_CodePostal varchar(6), P_Pays varchar(50), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlainteParties 

( 

	ID,

	PlainteID,

	TypePartie,

	PartieID,

	TitreMandataire,

	TypeRole,

	AdresseID,

	Adresse,

	Ville,

	Province,

	CodePostal,

	Pays,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_TypePartie,

	P_PartieID,

	P_TitreMandataire,

	P_TypeRole,

	P_AdresseID,

	P_Adresse,

	P_Ville,

	P_Province,

	P_CodePostal,

	P_Pays,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteParties (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlaintePiecesJointes`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlaintePiecesJointes`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlaintePiecesJointes`(P_ID int(11), P_PlainteID int(11), P_MyNewAttribute varchar(25), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlaintePiecesJointes 

( 

	ID,

	PlainteID,

	MyNewAttribute,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_MyNewAttribute,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlaintePiecesJointes (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlainteAssocPlainteRecevabilite`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlainteAssocPlainteRecevabilite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlainteAssocPlainteRecevabilite`(P_ID int(11), P_PlainteID int(11), P_Technicien int(11), P_DateAssignation datetime, P_Evenement datetime, P_Recommandation int(11), P_Justification text, P_Envoi_ques datetime, P_Expiration datetime, P_Retour_que datetime, P_Non_ouvert int(11), P_Date_non_o datetime, P_DecisionPar int(11), P_Decision int(11), P_NaturePlainte text, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PlainteRecevabilite 

( 

	ID,

	PlainteID,

	Technicien,

	DateAssignation,

	Evenement,

	Recommandation,

	Justification,

	Envoi_ques,

	Expiration,

	Retour_que,

	Non_ouvert,

	Date_non_o,

	DecisionPar,

	Decision,

	NaturePlainte,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PlainteID,

	P_Technicien,

	P_DateAssignation,

	P_Evenement,

	P_Recommandation,

	P_Justification,

	P_Envoi_ques,

	P_Expiration,

	P_Retour_que,

	P_Non_ouvert,

	P_Date_non_o,

	P_DecisionPar,

	P_Decision,

	P_NaturePlainte,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlainteAssocPlainteRecevabilite (P_PlainteID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPlumitifAutrePartie`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPlumitifAutrePartie`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPlumitifAutrePartie`(P_ID int(11), P_AutrePartieID varchar(25), P_Nom varchar(50), P_Prenom varchar(50), P_NomOrganisation varchar(100), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO PlumitifAutrePartie 

( 

	ID,

	AutrePartieID,

	Nom,

	Prenom,

	NomOrganisation,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_AutrePartieID,

	P_Nom,

	P_Prenom,

	P_NomOrganisation,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPlumitifAutrePartie(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPresentationStatutaire`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPresentationStatutaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPresentationStatutaire`(P_ID int(11), P_NumeroSeance varchar(25), P_DateSeance datetime, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO PresentationStatutaire 

( 

	ID,

	NumeroSeance,

	DateSeance,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_NumeroSeance,

	P_DateSeance,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPresentationStatutaire(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPresentationStatutaireAssocPresentationStatutaireDossi`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPresentationStatutaireAssocPresentationStatutaireDossi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPresentationStatutaireAssocPresentationStatutaireDossi`(P_ID int(11), P_PresentationStatutaireID int(11), P_DossierID int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO PresentationStatutaireDossiers 

( 

	ID,

	PresentationStatutaireID,

	DossierID,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_PresentationStatutaireID,

	P_DossierID,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPresentationStatutaireAssocPresentationStatutaireDossiers (P_PresentationStatutaireID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPrimeForfait`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPrimeForfait`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPrimeForfait`(P_ID int(11), P_TypePrimeForfait int(11), P_Code varchar(25), P_Description varchar(100), P_PourcentagePrime double, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO PrimeForfait 

( 

	ID,

	TypePrimeForfait,

	Code,

	Description,

	PourcentagePrime,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_TypePrimeForfait,

	P_Code,

	P_Description,

	P_PourcentagePrime,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPrimeForfait(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertPromotion`
--

DROP PROCEDURE IF EXISTS `PRC_InsertPromotion`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertPromotion`(P_ID int(11), P_MyNewAttribute varchar(25), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Promotion 

( 

	ID,

	MyNewAttribute,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_MyNewAttribute,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadPromotion(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertRegionAdministrative`
--

DROP PROCEDURE IF EXISTS `PRC_InsertRegionAdministrative`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertRegionAdministrative`(P_ID int(11), P_RegionAdministrativeID int(11), P_BureauID int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO RegionAdministrative 

( 

	ID,

	RegionAdministrativeID,

	BureauID,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_RegionAdministrativeID,

	P_BureauID,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadRegionAdministrative(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertRelation`
--

DROP PROCEDURE IF EXISTS `PRC_InsertRelation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertRelation`(P_ID int(11), P_Type int(11), P_Statut int(11), P_LangueCommunication int(11), P_Secteur int(11), P_TypeOrganisation int(11), P_NomOrganisation varchar(60), P_Sigle varchar(25), P_CategorieOrganisation int(11), P_TitreCivilite int(11), P_TitreHonorifique int(11), P_Prenom varchar(50), P_Nom varchar(50), P_OrganisationReliee int(11), P_EstRepresentantPrincipal tinyint(1), P_Genre int(11), P_DateDeNaissance datetime, P_Fonction varchar(100), P_Departement varchar(100), P_Courriel varchar(100), P_SiteWeb varchar(100), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Relation 

( 

	ID,

	Type,

	Statut,

	LangueCommunication,

	Secteur,

	TypeOrganisation,

	NomOrganisation,

	Sigle,

	CategorieOrganisation,

	TitreCivilite,

	TitreHonorifique,

	Prenom,

	Nom,

	OrganisationReliee,

	EstRepresentantPrincipal,

	Genre,

	DateDeNaissance,

	Fonction,

	Departement,

	Courriel,

	SiteWeb,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Type,

	P_Statut,

	P_LangueCommunication,

	P_Secteur,

	P_TypeOrganisation,

	P_NomOrganisation,

	P_Sigle,

	P_CategorieOrganisation,

	P_TitreCivilite,

	P_TitreHonorifique,

	P_Prenom,

	P_Nom,

	P_OrganisationReliee,

	P_EstRepresentantPrincipal,

	P_Genre,

	P_DateDeNaissance,

	P_Fonction,

	P_Departement,

	P_Courriel,

	P_SiteWeb,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadRelation(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertRelationAssocRelationClienteles`
--

DROP PROCEDURE IF EXISTS `PRC_InsertRelationAssocRelationClienteles`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertRelationAssocRelationClienteles`(P_ID int(11), P_RelationID int(11), P_Clientele int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO RelationClienteles 

( 

	ID,

	RelationID,

	Clientele,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_RelationID,

	P_Clientele,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadRelationAssocRelationClienteles (P_RelationID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertRelationAssocRelationClientsARisque`
--

DROP PROCEDURE IF EXISTS `PRC_InsertRelationAssocRelationClientsARisque`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertRelationAssocRelationClientsARisque`(P_ID int(11), P_RelationID int(11), P_Evenement text, P_DateEvenement datetime, P_Lieux int(11), P_Rapports varchar(100), P_ActionsPosesSuiteEvenement text, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO RelationClientsARisque 

( 

	ID,

	RelationID,

	Evenement,

	DateEvenement,

	Lieux,

	Rapports,

	ActionsPosesSuiteEvenement,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_RelationID,

	P_Evenement,

	P_DateEvenement,

	P_Lieux,

	P_Rapports,

	P_ActionsPosesSuiteEvenement,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadRelationAssocRelationClientsARisque (P_RelationID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertRelationAssocRelationRepresentants`
--

DROP PROCEDURE IF EXISTS `PRC_InsertRelationAssocRelationRepresentants`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertRelationAssocRelationRepresentants`(P_ID int(11), P_RelationID int(11), P_Representant int(11), P_Prenom varchar(50), P_Nom varchar(50), P_EstRepresentantPrincipal tinyint(1), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO RelationRepresentants 

( 

	ID,

	RelationID,

	Representant,

	Prenom,

	Nom,

	EstRepresentantPrincipal,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_RelationID,

	P_Representant,

	P_Prenom,

	P_Nom,

	P_EstRepresentantPrincipal,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadRelationAssocRelationRepresentants (P_RelationID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertRevuePresse`
--

DROP PROCEDURE IF EXISTS `PRC_InsertRevuePresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertRevuePresse`(P_ID int(11), P_Edition varchar(100), P_FichierSource varchar(100), P_Note text, P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO RevuePresse 

( 

	ID,

	Edition,

	FichierSource,

	Note,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Edition,

	P_FichierSource,

	P_Note,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadRevuePresse(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertSecteur`
--

DROP PROCEDURE IF EXISTS `PRC_InsertSecteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertSecteur`(P_ID int(11), P_Secteur int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Secteur 

( 

	ID,

	Secteur,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Secteur,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadSecteur(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertSecteurAssocSecteurTypesOrganisation`
--

DROP PROCEDURE IF EXISTS `PRC_InsertSecteurAssocSecteurTypesOrganisation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertSecteurAssocSecteurTypesOrganisation`(P_ID int(11), P_SecteurID int(11), P_TypeOrganisation int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO SecteurTypesOrganisation 

( 

	ID,

	SecteurID,

	TypeOrganisation,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_SecteurID,

	P_TypeOrganisation,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadSecteurAssocSecteurTypesOrganisation (P_SecteurID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertStatut`
--

DROP PROCEDURE IF EXISTS `PRC_InsertStatut`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertStatut`(P_ID int(11), P_TypeDroit int(11), P_StatutID int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Statut 

( 

	ID,

	TypeDroit,

	StatutID,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_TypeDroit,

	P_StatutID,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadStatut(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertSujet`
--

DROP PROCEDURE IF EXISTS `PRC_InsertSujet`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertSujet`(P_ID int(11), P_Sujet int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Sujet 

( 

	ID,

	Sujet,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Sujet,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadSujet(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertSujetAssocSujetSujetSecondaire`
--

DROP PROCEDURE IF EXISTS `PRC_InsertSujetAssocSujetSujetSecondaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertSujetAssocSujetSujetSecondaire`(P_ID int(11), P_SujetID int(11), P_Sujet int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO SujetSujetSecondaire 

( 

	ID,

	SujetID,

	Sujet,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_SujetID,

	P_Sujet,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadSujetAssocSujetSujetSecondaire (P_SujetID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertTelephone`
--

DROP PROCEDURE IF EXISTS `PRC_InsertTelephone`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertTelephone`(P_ID int(11), P_MembreID int(11), P_RelationID int(11), P_Type int(11), P_Numero varchar(25), P_Poste varchar(10), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO Telephone 

( 

	ID,

	MembreID,

	RelationID,

	Type,

	Numero,

	Poste,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_MembreID,

	P_RelationID,

	P_Type,

	P_Numero,

	P_Poste,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadTelephone(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertTransitionStatut`
--

DROP PROCEDURE IF EXISTS `PRC_InsertTransitionStatut`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertTransitionStatut`(P_ID int(11), P_StatutInitial int(11), P_NouveauStatut int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO TransitionStatut 

( 

	ID,

	StatutInitial,

	NouveauStatut,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_StatutInitial,

	P_NouveauStatut,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadTransitionStatut(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertTransitionStatutAssocTransitionStatutActions`
--

DROP PROCEDURE IF EXISTS `PRC_InsertTransitionStatutAssocTransitionStatutActions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertTransitionStatutAssocTransitionStatutActions`(P_ID int(11), P_TransitionStatutID int(11), P_Action varchar(50), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO TransitionStatutActions 

( 

	ID,

	TransitionStatutID,

	Action,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_TransitionStatutID,

	P_Action,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadTransitionStatutAssocTransitionStatutActions (P_TransitionStatutID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertTypeClient`
--

DROP PROCEDURE IF EXISTS `PRC_InsertTypeClient`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertTypeClient`(P_ID int(11), P_Code varchar(25), P_Description varchar(25), P_TypeDroit int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO TypeClient 

( 

	ID,

	Code,

	Description,

	TypeDroit,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Code,

	P_Description,

	P_TypeDroit,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadTypeClient(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertTypeOrganisation`
--

DROP PROCEDURE IF EXISTS `PRC_InsertTypeOrganisation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertTypeOrganisation`(P_ID int(11), P_TypeOrganisation int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO TypeOrganisation 

( 

	ID,

	TypeOrganisation,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_TypeOrganisation,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadTypeOrganisation(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertTypeOrganisationAssocTypeOrganisationClienteles`
--

DROP PROCEDURE IF EXISTS `PRC_InsertTypeOrganisationAssocTypeOrganisationClienteles`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertTypeOrganisationAssocTypeOrganisationClienteles`(P_ID int(11), P_TypeOrganisationID int(11), P_Clientele int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN 



INSERT INTO TypesOrganisationClienteles 

( 

	ID,

	TypeOrganisationID,

	Clientele,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate 

)

VALUES 

(

	NULL,

	P_TypeOrganisationID,

	P_Clientele,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate

);



# -- Reads the inserted record and returns it

CALL PRC_ReadTypeOrganisationAssocTypeOrganisationClienteles (P_TypeOrganisationID, LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_InsertVersementDestruction`
--

DROP PROCEDURE IF EXISTS `PRC_InsertVersementDestruction`;
DELIMITER %%;
CREATE PROCEDURE `PRC_InsertVersementDestruction`(P_ID int(11), P_Date datetime, P_ArchivageAction int(11), P_CreatedBy varchar(100), P_CreatedDate datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime)
BEGIN

	



INSERT INTO VersementDestruction 

( 

	ID,

	Date,

	ArchivageAction,

	CreatedBy,

	CreatedDate,

	UpdatedBy,

	UpdatedDate,

	DeletedBy,

	DeletedDate

)

VALUES 

(

NULL,

	P_Date,

	P_ArchivageAction,

	P_CreatedBy,

	NOW(),

	P_UpdatedBy,

	NOW(),

	P_DeletedBy,

	P_DeletedDate 

);



# -- Reads the inserted record and returns it

CALL PRC_ReadVersementDestruction(LAST_INSERT_ID());



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAdresse`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAdresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAdresse`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Adresse

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllAdresse`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllAdresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllAdresse`()
BEGIN



SELECT	

	* 

FROM 

	Adresse

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllAppel`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllAppel`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllAppel`()
BEGIN



SELECT	

	* 

FROM 

	Appel

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllAutreIntervention`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllAutreIntervention`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllAutreIntervention`()
BEGIN



SELECT	

	* 

FROM 

	AutreIntervention

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllAvisJuridique`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllAvisJuridique`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllAvisJuridique`()
BEGIN



SELECT	

	* 

FROM 

	AvisJuridique

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllCategorieEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllCategorieEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllCategorieEmploi`()
BEGIN



SELECT	

	* 

FROM 

	CategorieEmploi

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllCentreResponsabilite`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllCentreResponsabilite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllCentreResponsabilite`()
BEGIN



SELECT	

	* 

FROM 

	CentreResponsabilite

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllCheminement`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllCheminement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllCheminement`()
BEGIN



SELECT	

	* 

FROM 

	Cheminement2

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllCommande`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllCommande`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllCommande`()
BEGIN



SELECT	

	* 

FROM 

	Commande

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllCorpsEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllCorpsEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllCorpsEmploi`()
BEGIN



SELECT	

	* 

FROM 

	CorpsEmploi

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllDemande`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllDemande`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllDemande`()
BEGIN



SELECT	

	* 

FROM 

	Demande

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllDescripteur`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllDescripteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllDescripteur`()
BEGIN



SELECT	

	* 

FROM 

	Descripteur

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllDescripteurDocument`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllDescripteurDocument`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllDescripteurDocument`()
BEGIN



SELECT	

	* 

FROM 

	DescripteurDocument

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllDetailsDecision`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllDetailsDecision`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllDetailsDecision`()
BEGIN



SELECT	

	* 

FROM 

	DetailsDecision

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllDirectionCentreJeunesse`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllDirectionCentreJeunesse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllDirectionCentreJeunesse`()
BEGIN



SELECT	

	* 

FROM 

	DirectionCentreJeunesse

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllDocument`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllDocument`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllDocument`()
BEGIN



SELECT	

	* 

FROM 

	Document

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllDossier`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllDossier`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllDossier`()
BEGIN



SELECT	

	* 

FROM 

	Dossier

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllDossierPAE`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllDossierPAE`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllDossierPAE`()
BEGIN



SELECT	

	* 

FROM 

	DossierPAE

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllDroit`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllDroit`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllDroit`()
BEGIN



SELECT	

	* 

FROM 

	Droit

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllEchelleSalariale`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllEchelleSalariale`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllEchelleSalariale`()
BEGIN



SELECT	

	* 

FROM 

	EchelleSalariale

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllEtapePlumitif`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllEtapePlumitif`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllEtapePlumitif`()
BEGIN



SELECT	

	* 

FROM 

	EtapePlumitif

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllEvenement`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllEvenement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllEvenement`()
BEGIN



SELECT	

	* 

FROM 

	Evenement

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllInstanceJudiciaire`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllInstanceJudiciaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllInstanceJudiciaire`()
BEGIN



SELECT	

	* 

FROM 

	InstanceJudiciaire

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllLienAddresse`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllLienAddresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllLienAddresse`()
BEGIN



SELECT	

	* 

FROM 

	LienAddresse

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllMembre`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllMembre`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllMembre`(P_CurrentDate datetime)
BEGIN



SELECT	

	*,

  CASE

    WHEN Membre.DateDepart IS NULL AND Membre.DateEntree <= P_CurrentDate THEN 1

    WHEN Membre.DateDepart IS NULL AND Membre.DateEntree > P_CurrentDate THEN 0

    WHEN Membre.DateDepart IS NOT NULL AND Membre.DateEntree <= P_CurrentDate AND Membre.DateDepart > P_CurrentDate THEN 1

    ELSE 0

  END Actif

FROM 

	Membre

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllNote`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllNote`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllNote`()
BEGIN



SELECT	

	* 

FROM 

	Note

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllPlainte`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllPlainte`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllPlainte`()
BEGIN



SELECT	

	* 

FROM 

	Plainte

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllPlumitifAutrePartie`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllPlumitifAutrePartie`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllPlumitifAutrePartie`()
BEGIN



SELECT	

	* 

FROM 

	PlumitifAutrePartie

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllPresentationStatutaire`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllPresentationStatutaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllPresentationStatutaire`()
BEGIN



SELECT	

	* 

FROM 

	PresentationStatutaire

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllPrimeForfait`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllPrimeForfait`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllPrimeForfait`()
BEGIN



SELECT	

	* 

FROM 

	PrimeForfait

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllPromotion`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllPromotion`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllPromotion`()
BEGIN



SELECT	

	* 

FROM 

	Promotion

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllRegionAdministrative`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllRegionAdministrative`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllRegionAdministrative`()
BEGIN



SELECT	

	* 

FROM 

	RegionAdministrative

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllRelation`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllRelation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllRelation`()
BEGIN



SELECT	

	* 

FROM 

	Relation

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllRevuePresse`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllRevuePresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllRevuePresse`()
BEGIN



SELECT	

	* 

FROM 

	RevuePresse

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllSecteur`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllSecteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllSecteur`()
BEGIN



SELECT	

	* 

FROM 

	Secteur

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllStatut`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllStatut`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllStatut`()
BEGIN



SELECT	

	* 

FROM 

	Statut

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllSujet`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllSujet`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllSujet`()
BEGIN



SELECT	

	* 

FROM 

	Sujet

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllTelephone`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllTelephone`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllTelephone`()
BEGIN



SELECT	

	* 

FROM 

	Telephone

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllTransitionStatut`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllTransitionStatut`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllTransitionStatut`()
BEGIN



SELECT	

	* 

FROM 

	TransitionStatut

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllTypeClient`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllTypeClient`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllTypeClient`()
BEGIN



SELECT	

	* 

FROM 

	TypeClient

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllTypeOrganisation`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllTypeOrganisation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllTypeOrganisation`()
BEGIN



SELECT	

	* 

FROM 

	TypeOrganisation

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAllVersementDestruction`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAllVersementDestruction`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAllVersementDestruction`()
BEGIN



SELECT	

	* 

FROM 

	VersementDestruction

WHERE 

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAppel`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAppel`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAppel`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Appel

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAutreIntervention`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAutreIntervention`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAutreIntervention`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	AutreIntervention

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAutreInterventionForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAutreInterventionForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAutreInterventionForEntityRelations`(P_ID int(11))
BEGIN 



SELECT	

	AutreIntervention.ID, 

	rtb1_Type.ShortDescription rtb1_Type,rtb2_Destinataire.ShortDescription rtb2_Destinataire

FROM

	AutreIntervention

	LEFT JOIN azRefTablesValuesDescription rtb1_Type ON rtb1_Type.ID = AutreIntervention.Type

	LEFT JOIN azRefTablesValuesDescription rtb2_Destinataire ON rtb2_Destinataire.ID = AutreIntervention.Destinataire

WHERE 

	(P_ID = -1 OR

	AutreIntervention.ID = P_ID);

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAvisJuridique`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAvisJuridique`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAvisJuridique`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	AvisJuridique

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadAvisJuridiqueAssocAvisJuridiqueDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_ReadAvisJuridiqueAssocAvisJuridiqueDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadAvisJuridiqueAssocAvisJuridiqueDocuments`(P_AvisJuridiqueID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		AvisJuridiqueDocuments

	WHERE

		AvisJuridiqueID = P_AvisJuridiqueID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		AvisJuridiqueDocuments

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadCategorieEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_ReadCategorieEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadCategorieEmploi`(P_ID int(11), P_LanguageCode char(2))
BEGIN



SELECT

	CategorieEmploi.*,

	rtb1_Categorie.ShortDescription rtb1_Categorie

FROM

	CategorieEmploi

LEFT JOIN

	azRefTablesValuesDescription rtb1_Categorie ON rtb1_Categorie.ID = CategorieEmploi.Categorie AND rtb1_Categorie.LanguageCode = P_LanguageCode

WHERE

	CategorieEmploi.ID = P_ID AND

	CategorieEmploi.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadCategorieEmploiBy`
--

DROP PROCEDURE IF EXISTS `PRC_ReadCategorieEmploiBy`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadCategorieEmploiBy`(P_Categorie int(11))
BEGIN



SELECT

	CategorieEmploi.*

FROM

	CategorieEmploi

WHERE

	(P_Categorie IS NULL OR CategorieEmploi.Categorie = P_Categorie) AND

	CategorieEmploi.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadCategorieEmploiForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadCategorieEmploiForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadCategorieEmploiForEntityRelations`(P_ID int(11), P_TextToSearch varchar(100), P_LanguageCode char(2))
BEGIN



SELECT

	CategorieEmploi.ID,

	rtb1_Categorie.ShortDescription rtb1_Categorie

FROM

	CategorieEmploi

LEFT JOIN

	azRefTablesValuesDescription rtb1_Categorie ON rtb1_Categorie.ID = CategorieEmploi.Categorie AND rtb1_Categorie.LanguageCode = P_LanguageCode

WHERE

	(P_ID = -1 OR CategorieEmploi.ID = P_ID) AND

	(P_TextToSearch IS NULL OR rtb1_Categorie.ShortDescription LIKE CONCAT('%', P_TextToSearch, '%'));

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadCentreResponsabilite`
--

DROP PROCEDURE IF EXISTS `PRC_ReadCentreResponsabilite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadCentreResponsabilite`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	CentreResponsabilite

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadCheminement`
--

DROP PROCEDURE IF EXISTS `PRC_ReadCheminement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadCheminement`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Cheminement2

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadCommande`
--

DROP PROCEDURE IF EXISTS `PRC_ReadCommande`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadCommande`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Commande

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadCommandeAssocCommandeDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_ReadCommandeAssocCommandeDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadCommandeAssocCommandeDocuments`(P_CommandeID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		CommandeDocuments

	WHERE

		CommandeID = P_CommandeID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		CommandeDocuments

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadCorpsEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_ReadCorpsEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadCorpsEmploi`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	CorpsEmploi

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadCorpsEmploiForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadCorpsEmploiForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadCorpsEmploiForEntityRelations`(P_ID int(11), P_TextToSearch varchar(100))
BEGIN



SELECT

	CorpsEmploi.ID,

	CorpsEmploi.Description

FROM

	CorpsEmploi

WHERE

	(P_ID = -1 OR CorpsEmploi.ID = P_ID) AND

	(P_TextToSearch IS NULL OR CorpsEmploi.Description LIKE CONCAT('%', P_TextToSearch, '%'));

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadCorpsEmploiInfosAssociee`
--

DROP PROCEDURE IF EXISTS `PRC_ReadCorpsEmploiInfosAssociee`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadCorpsEmploiInfosAssociee`(P_ID int(11), P_LanguageCode char(2))
BEGIN



SELECT

	CorpsEmploi.ID,

	CorpsEmploi.Categorie CategorieID,

  rft1CorpsEmploi.ShortDescription CategorieName,

  CorpsEmploi.CodeEchelle EchelleSalarialeID,

  rft2Echelle.ShortDescription EchelleSalarialeName

FROM

	CorpsEmploi

LEFT JOIN

  CategorieEmploi ON CorpsEmploi.Categorie = CategorieEmploi.ID

LEFT JOIN

  azRefTablesValuesDescription rft1CorpsEmploi ON CategorieEmploi.Categorie = rft1CorpsEmploi.ID AND rft1CorpsEmploi.LanguageCode = P_LanguageCode

LEFT JOIN

  EchelleSalariale ON CorpsEmploi.CodeEchelle = EchelleSalariale.ID

LEFT JOIN

  azRefTablesValuesDescription rft2Echelle ON EchelleSalariale.NoEchelle = rft2Echelle.ID AND rft2Echelle.LanguageCode = P_LanguageCode

WHERE

	(P_ID = NULL OR CorpsEmploi.ID = P_ID);



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDemande`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDemande`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDemande`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Demande

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDemandeAssocDemandeDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDemandeAssocDemandeDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDemandeAssocDemandeDocuments`(P_DemandeID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		DemandeDocuments

	WHERE

		DemandeID = P_DemandeID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		DemandeDocuments

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDemandeAssocDemandeSuivi`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDemandeAssocDemandeSuivi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDemandeAssocDemandeSuivi`(P_DemandeID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		DemandeSuivi

	WHERE

		DemandeID = P_DemandeID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		DemandeSuivi

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDescripteur`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDescripteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDescripteur`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Descripteur

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDescripteurDocument`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDescripteurDocument`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDescripteurDocument`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	DescripteurDocument

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDescripteurDocumentAssocDescripteurDocumentSousDescripte`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDescripteurDocumentAssocDescripteurDocumentSousDescripte`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDescripteurDocumentAssocDescripteurDocumentSousDescripte`(P_DescripteurDocumentID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		DescripteurDocumentSousDescripteur

	WHERE

		DescripteurDocumentID = P_DescripteurDocumentID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		DescripteurDocumentSousDescripteur

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDescripteurDocumentAssocSousDescripteur`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDescripteurDocumentAssocSousDescripteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDescripteurDocumentAssocSousDescripteur`(P_DescripteurDocumentID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		DescripteurDocumentSousDescripteur

	WHERE

		DescripteurDocumentID = P_DescripteurDocumentID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		DescripteurDocumentSousDescripteur

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDescripteurDocumentForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDescripteurDocumentForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDescripteurDocumentForEntityRelations`(P_ID int(11), P_TextToSearch varchar(100), P_LanguageCode char(2))
BEGIN



SELECT	

	DescripteurDocument.ID,

	DescripteurDocument.Description,

  rtb1_TypeDescripteur.ShortDescription rtb1_TypeDescripteur,

  DescripteurDocument.CoteBibliographique

FROM

	DescripteurDocument

	LEFT JOIN azRefTablesValuesDescription rtb1_TypeDescripteur ON rtb1_TypeDescripteur.ID = DescripteurDocument.TypeDescripteur AND rtb1_TypeDescripteur.LanguageCode = P_LanguageCode

WHERE

	(P_ID = -1 OR DescripteurDocument.ID = P_ID) AND

  (P_TextToSearch IS NULL OR DescripteurDocument.Description LIKE CONCAT('%', P_TextToSearch, '%'));

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDescripteurForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDescripteurForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDescripteurForEntityRelations`(P_ID int(11))
BEGIN 



SELECT	

	Descripteur.ID, 

	rtb1_TypeDescripteur.ShortDescription rtb1_TypeDescripteur,Descripteur.Code,Descripteur.Description_E,Descripteur.Description_F

FROM

	Descripteur

	LEFT JOIN azRefTablesValuesDescription rtb1_TypeDescripteur ON rtb1_TypeDescripteur.ID = Descripteur.TypeDescripteur

WHERE 

	(P_ID = -1 OR

	Descripteur.ID = P_ID);

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDetailsDecision`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDetailsDecision`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDetailsDecision`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	DetailsDecision

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDetailsDecisionAssocDetailsDecisionAutresInterventions`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDetailsDecisionAssocDetailsDecisionAutresInterventions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDetailsDecisionAssocDetailsDecisionAutresInterventions`(P_DetailsDecisionID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		DetailsDecisionAutresInterventions

	WHERE

		DetailsDecisionID = P_DetailsDecisionID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		DetailsDecisionAutresInterventions

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDetailsDecisionAssocDetailsDecisionConclusions`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDetailsDecisionAssocDetailsDecisionConclusions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDetailsDecisionAssocDetailsDecisionConclusions`(P_DetailsDecisionID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		DetailsDecisionConclusions

	WHERE

		DetailsDecisionID = P_DetailsDecisionID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		DetailsDecisionConclusions

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDetailsDecisionAssocDetailsDecisionMembresComite`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDetailsDecisionAssocDetailsDecisionMembresComite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDetailsDecisionAssocDetailsDecisionMembresComite`(P_DetailsDecisionID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		DetailsDecisionMembresComite

	WHERE

		DetailsDecisionID = P_DetailsDecisionID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		DetailsDecisionMembresComite

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDetailsDecisionAssocDetailsDecisionRecommandations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDetailsDecisionAssocDetailsDecisionRecommandations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDetailsDecisionAssocDetailsDecisionRecommandations`(P_DetailsDecisionID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		DetailsDecisionRecommandations

	WHERE

		DetailsDecisionID = P_DetailsDecisionID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		DetailsDecisionRecommandations

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDirectionCentreJeunesse`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDirectionCentreJeunesse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDirectionCentreJeunesse`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	DirectionCentreJeunesse

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDocument`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDocument`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDocument`(P_ID int(11))
BEGIN



SELECT	

	Document.*,

  rtb_Type.ValueCode rtb_TypeValueCode,

  DocRempRev.Titre DocumentMAJNom,

  (SELECT COUNT(*) FROM DocumentPlumitif WHERE DocumentID = P_ID) NbrPlumitif

FROM

	Document

LEFT JOIN

  Document DocRempRev ON Document.DocumentMAJ = DocRempRev.ID

LEFT JOIN

  azRefTablesValues rtb_Type ON Document.Type = rtb_Type.ID

WHERE

	Document.ID = P_ID AND

	Document.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDocumentAssocDocumentApprovisionnement`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDocumentAssocDocumentApprovisionnement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDocumentAssocDocumentApprovisionnement`(P_DocumentID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		DocumentApprovisionnement.*,

    Relation.NomOrganisation FournisseurNom

	FROM

		DocumentApprovisionnement

  LEFT JOIN

    Relation ON DocumentApprovisionnement.Fournisseur = Relation.ID

	WHERE

		DocumentApprovisionnement.DocumentID = P_DocumentID AND

		DocumentApprovisionnement.DeletedDate IS NULL;

ELSE

	SELECT

		DocumentApprovisionnement.*,

    Relation.NomOrganisation FournisseurNom

	FROM

		DocumentApprovisionnement

  LEFT JOIN

    Relation ON DocumentApprovisionnement.Fournisseur = Relation.ID

	WHERE

		DocumentApprovisionnement.ID = P_ID AND

		DocumentApprovisionnement.DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDocumentAssocDocumentAuteurs`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDocumentAssocDocumentAuteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDocumentAssocDocumentAuteurs`(P_DocumentID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		DocumentAuteurs.*,

    CONCAT(Membre.Nom, ', ', Membre.Prenom) MembreNomComplet,

    CONCAT(Relation.Nom, ', ', Relation.Prenom) RelationNomComplet

	FROM

		DocumentAuteurs

  LEFT JOIN

    Membre ON DocumentAuteurs.MembreID = Membre.ID

  LEFT JOIN

    Relation ON DocumentAuteurs.RelationID = Relation.ID

	WHERE

		DocumentAuteurs.DocumentID = P_DocumentID AND

		DocumentAuteurs.DeletedDate IS NULL;

ELSE

	SELECT

		DocumentAuteurs.*,

    CONCAT(Membre.Nom, ', ', Membre.Prenom) MembreNomComplet,

    CONCAT(Relation.Nom, ', ', Relation.Prenom) RelationNomComplet

	FROM

		DocumentAuteurs

  LEFT JOIN

    Membre ON DocumentAuteurs.MembreID = Membre.ID

  LEFT JOIN

    Relation ON DocumentAuteurs.RelationID = Relation.ID

	WHERE

		DocumentAuteurs.ID = P_ID AND

		DocumentAuteurs.DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDocumentAssocDocumentAuteursByNomPrenom`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDocumentAssocDocumentAuteursByNomPrenom`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDocumentAssocDocumentAuteursByNomPrenom`(P_DocumentID int(11), P_MemberID int(11), P_RelationID int(11), P_Prenom varchar(50), P_Nom varchar(50))
BEGIN



	SELECT

		*

	FROM

		DocumentAuteurs

	WHERE

		DocumentAuteurs.DocumentID = P_DocumentID AND

		DocumentAuteurs.DeletedDate IS NULL AND

    (P_MemberID IS NULL OR DocumentAuteurs.MembreID = P_MemberID) AND

    (P_RelationID IS NULL OR DocumentAuteurs.RelationID = P_RelationID) AND

    (P_Prenom IS NULL OR DocumentAuteurs.Prenom LIKE P_Prenom) AND

    (P_Nom IS NULL OR DocumentAuteurs.Nom LIKE P_Nom);



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDocumentAssocDocumentContentieux`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDocumentAssocDocumentContentieux`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDocumentAssocDocumentContentieux`(P_DocumentID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		DocumentContentieux.*,

    rtb1_InstanceJudiciaire.ShortDescription InstanceJudiciaireNom

	FROM

		DocumentContentieux

  LEFT JOIN

    InstanceJudiciaire lnk3_InstanceJudiciaire ON DocumentContentieux.InstanceJudiciaire = lnk3_InstanceJudiciaire.ID

  LEFT JOIN

    azRefTablesValuesDescription rtb1_InstanceJudiciaire ON

      lnk3_InstanceJudiciaire.InstanceJudiciaire = rtb1_InstanceJudiciaire.ID AND

      rtb1_InstanceJudiciaire.LanguageCode = P_LanguageCode

	WHERE

		DocumentContentieux.DocumentID = P_DocumentID AND

		DocumentContentieux.DeletedDate IS NULL;

ELSE

	SELECT

		DocumentContentieux.*,

    rtb1_InstanceJudiciaire.ShortDescription InstanceJudiciaireNom

	FROM

		DocumentContentieux

  LEFT JOIN

    InstanceJudiciaire lnk3_InstanceJudiciaire ON DocumentContentieux.InstanceJudiciaire = lnk3_InstanceJudiciaire.ID

  LEFT JOIN

    azRefTablesValuesDescription rtb1_InstanceJudiciaire ON

      lnk3_InstanceJudiciaire.InstanceJudiciaire = rtb1_InstanceJudiciaire.ID AND

      rtb1_InstanceJudiciaire.LanguageCode = P_LanguageCode

	WHERE

		DocumentContentieux.ID = P_ID AND

		DocumentContentieux.DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDocumentAssocDocumentDescripteurs`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDocumentAssocDocumentDescripteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDocumentAssocDocumentDescripteurs`(P_DocumentID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		DocumentDescripteurs.*,

    CONCAT(DescripteurDocument.Description, ' ', rtf1_TypeDescripteur.ShortDescription, ' ', DescripteurDocument.CoteBibliographique) DescripteurDocument

	FROM

		DocumentDescripteurs

  LEFT JOIN

    DescripteurDocument ON DocumentDescripteurs.Descripteur = DescripteurDocument.ID

  LEFT JOIN

    azRefTablesValuesDescription rtf1_TypeDescripteur ON DescripteurDocument.TypeDescripteur = rtf1_TypeDescripteur.ID AND rtf1_TypeDescripteur.LanguageCode = P_LanguageCode

	WHERE

		DocumentDescripteurs.DocumentID = P_DocumentID AND

		DocumentDescripteurs.DeletedDate IS NULL;

ELSE

	SELECT

		DocumentDescripteurs.*,

    CONCAT(DescripteurDocument.Description, ' ', rtf1_TypeDescripteur.ShortDescription, ' ', DescripteurDocument.CoteBibliographique) DescripteurDocument

	FROM

		DocumentDescripteurs

  LEFT JOIN

    DescripteurDocument ON DocumentDescripteurs.Descripteur = DescripteurDocument.ID

  LEFT JOIN

    azRefTablesValuesDescription rtf1_TypeDescripteur ON DescripteurDocument.TypeDescripteur = rtf1_TypeDescripteur.ID AND rtf1_TypeDescripteur.LanguageCode = P_LanguageCode

	WHERE

		DocumentDescripteurs.ID = P_ID AND

		DocumentDescripteurs.DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDocumentAssocDocumentDiffusion`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDocumentAssocDocumentDiffusion`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDocumentAssocDocumentDiffusion`(P_DocumentID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		DocumentDiffusion

	WHERE

		DocumentID = P_DocumentID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		DocumentDiffusion

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDocumentAssocDocumentDocumentsConnexes`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDocumentAssocDocumentDocumentsConnexes`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDocumentAssocDocumentDocumentsConnexes`(P_DocumentID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		DocumentDocumentsConnexes.*,

    DocCon.Titre

	FROM

		DocumentDocumentsConnexes

  LEFT JOIN

    Document DocCon ON DocumentDocumentsConnexes.DocumentConnexeID = DocCon.ID

	WHERE

		DocumentDocumentsConnexes.DocumentID = P_DocumentID AND

		DocumentDocumentsConnexes.DeletedDate IS NULL;

ELSE

	SELECT

		DocumentDocumentsConnexes.*,

    DocCon.Titre

	FROM

		DocumentDocumentsConnexes

  LEFT JOIN

    Document DocCon ON DocumentDocumentsConnexes.DocumentConnexeID = DocCon.ID

	WHERE

		DocumentDocumentsConnexes.ID = P_ID AND

		DocumentDocumentsConnexes.DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDocumentAssocDocumentPlumitif`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDocumentAssocDocumentPlumitif`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDocumentAssocDocumentPlumitif`(P_DocumentID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		DocumentPlumitif.*,

    EtapePlumitif.Cheminement EtapeCheminement,

    CONCAT(lnk1_Avocat1.Prenom, ', ', lnk1_Avocat1.Nom) Avocat1Name,

    CONCAT(lnk2_Avocat2.Prenom, ', ', lnk2_Avocat2.Nom) Avocat2Name,

    rtb1_InstanceJudiciaire.ShortDescription InstanceJudiciaireNom

	FROM

		DocumentPlumitif

  LEFT JOIN

    EtapePlumitif ON DocumentPlumitif.Etape = EtapePlumitif.ID

  LEFT JOIN

    Membre lnk1_Avocat1 ON DocumentPlumitif.Avocat1 = lnk1_Avocat1.ID

  LEFT JOIN

    Membre lnk2_Avocat2 ON DocumentPlumitif.Avocat2 = lnk2_Avocat2.ID

  LEFT JOIN

    InstanceJudiciaire lnk3_InstanceJudiciaire ON DocumentPlumitif.InstanceJudiciaire = lnk3_InstanceJudiciaire.ID

  LEFT JOIN

    azRefTablesValuesDescription rtb1_InstanceJudiciaire ON

      lnk3_InstanceJudiciaire.InstanceJudiciaire = rtb1_InstanceJudiciaire.ID AND

      rtb1_InstanceJudiciaire.LanguageCode = P_LanguageCode

	WHERE

		DocumentPlumitif.DocumentID = P_DocumentID AND

		DocumentPlumitif.DeletedDate IS NULL;

ELSE

	SELECT

		DocumentPlumitif.*,

    EtapePlumitif.Cheminement EtapeCheminement,

    CONCAT(lnk1_Avocat1.Prenom, ', ', lnk1_Avocat1.Nom) Avocat1Name,

    CONCAT(lnk2_Avocat2.Prenom, ', ', lnk2_Avocat2.Nom) Avocat2Name,

    rtb1_InstanceJudiciaire.ShortDescription InstanceJudiciaireNom

	FROM

		DocumentPlumitif

  LEFT JOIN

    EtapePlumitif ON DocumentPlumitif.Etape = EtapePlumitif.ID

  LEFT JOIN

    Membre lnk1_Avocat1 ON DocumentPlumitif.Avocat1 = lnk1_Avocat1.ID

  LEFT JOIN

    Membre lnk2_Avocat2 ON DocumentPlumitif.Avocat2 = lnk2_Avocat2.ID

  LEFT JOIN

    InstanceJudiciaire lnk3_InstanceJudiciaire ON DocumentPlumitif.InstanceJudiciaire = lnk3_InstanceJudiciaire.ID

  LEFT JOIN

    azRefTablesValuesDescription rtb1_InstanceJudiciaire ON

      lnk3_InstanceJudiciaire.InstanceJudiciaire = rtb1_InstanceJudiciaire.ID AND

      rtb1_InstanceJudiciaire.LanguageCode = P_LanguageCode

	WHERE

		DocumentPlumitif.ID = P_ID AND

		DocumentPlumitif.DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDocumentAssocDocumentRecherche`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDocumentAssocDocumentRecherche`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDocumentAssocDocumentRecherche`(P_DocumentID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		DocumentRecherche.*,

    Dossier.NoResolution NoDossierRechercheNom

	FROM

		DocumentRecherche

  LEFT JOIN

    Dossier ON DocumentRecherche.NoDossierRecherche = Dossier.ID

	WHERE

		DocumentRecherche.DocumentID = P_DocumentID AND

		DocumentRecherche.DeletedDate IS NULL;

ELSE

	SELECT

		DocumentRecherche.*,

    Dossier.NoResolution NoDossierRechercheNom

	FROM

		DocumentRecherche

  LEFT JOIN

    Dossier ON DocumentRecherche.NoDossierRecherche = Dossier.ID

	WHERE

		DocumentRecherche.ID = P_ID AND

		DocumentRecherche.DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDossier`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDossier`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDossier`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Dossier

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDossierAssocDossierAssignations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDossierAssocDossierAssignations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDossierAssocDossierAssignations`(P_DossierID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		DossierAssignations

	WHERE

		DossierID = P_DossierID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		DossierAssignations

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDossierAssocDossierDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDossierAssocDossierDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDossierAssocDossierDocuments`(P_DossierID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		DocumentsPositions

	WHERE

		DossierID = P_DossierID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		DocumentsPositions

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDossierAssocDossierEnvois`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDossierAssocDossierEnvois`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDossierAssocDossierEnvois`(P_DossierID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		DossierEnvois

	WHERE

		DossierID = P_DossierID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		DossierEnvois

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDossierPAE`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDossierPAE`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDossierPAE`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	DossierPAE

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadDroit`
--

DROP PROCEDURE IF EXISTS `PRC_ReadDroit`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadDroit`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Droit

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadEchelleSalariale`
--

DROP PROCEDURE IF EXISTS `PRC_ReadEchelleSalariale`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadEchelleSalariale`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	EchelleSalariale

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadEchelleSalarialeAssocEchelleSalarialeEchelons`
--

DROP PROCEDURE IF EXISTS `PRC_ReadEchelleSalarialeAssocEchelleSalarialeEchelons`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadEchelleSalarialeAssocEchelleSalarialeEchelons`(P_EchelleSalarialeID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		EchelleSalarialeEchelons

	WHERE

		EchelleSalarialeID = P_EchelleSalarialeID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		EchelleSalarialeEchelons

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadEchelleSalarialeEchelonForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadEchelleSalarialeEchelonForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadEchelleSalarialeEchelonForEntityRelations`(P_EchelleSalarialeID int(11), P_ID int(11), P_TextToSearch varchar(100), P_DateDebut datetime, P_LanguageCode char(2))
BEGIN



SELECT

	*,

  rtf1_NoEchelon.ShortDescription rtf1_NoEchelon

FROM

	EchelleSalarialeEchelons

LEFT JOIN

  azRefTablesValuesDescription rtf1_NoEchelon ON

    EchelleSalarialeEchelons.NoEchelon = rtf1_NoEchelon.ID AND

    rtf1_NoEchelon.LanguageCode = P_LanguageCode

WHERE

	(P_EchelleSalarialeID = -1 OR EchelleSalarialeEchelons.EchelleSalarialeID = P_EchelleSalarialeID) AND

	(P_ID = -1 OR EchelleSalarialeEchelons.ID = P_ID) AND

  (P_TextToSearch IS NULL OR rtf1_NoEchelon.ShortDescription LIKE CONCAT('%', P_TextToSearch, '%')) AND

  EchelleSalarialeEchelons.DateDebut IN

    (SELECT

        MAX(subESE.DateDebut)

     FROM

        EchelleSalarialeEchelons subESE

     LEFT JOIN

        azRefTablesValuesDescription subrtf1_NoEchelon ON

          subESE.NoEchelon = subrtf1_NoEchelon.ID AND

          subrtf1_NoEchelon.LanguageCode = P_LanguageCode

     WHERE

        (P_EchelleSalarialeID = -1 OR EchelleSalarialeEchelons.EchelleSalarialeID = P_EchelleSalarialeID) AND

        DateDebut <= P_DateDebut AND

        subrtf1_NoEchelon.ID = rtf1_NoEchelon.ID) AND

	EchelleSalarialeEchelons.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadEchelleSalarialeForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadEchelleSalarialeForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadEchelleSalarialeForEntityRelations`(P_ID int(11), P_TextToSearch varchar(100))
BEGIN



SELECT

	EchelleSalariale.ID,

	rtb1_NoEchelle.ShortDescription rtb1_NoEchelle,

	EchelleSalariale.Classe

FROM

	EchelleSalariale

LEFT JOIN 

	azRefTablesValuesDescription rtb1_NoEchelle ON rtb1_NoEchelle.ID = EchelleSalariale.NoEchelle

WHERE

	(P_ID = -1 OR 	EchelleSalariale.ID = P_ID) AND

	(P_TextToSearch IS NULL OR EchelleSalariale.Classe LIKE CONCAT('%', P_TextToSearch, '%'));

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadEtapePlumitif`
--

DROP PROCEDURE IF EXISTS `PRC_ReadEtapePlumitif`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadEtapePlumitif`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	EtapePlumitif

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadEtapePlumitifForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadEtapePlumitifForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadEtapePlumitifForEntityRelations`(P_ID int(11), P_TextToSearch varchar(100))
BEGIN



SELECT	

	EtapePlumitif.ID,

	EtapePlumitif.Cheminement,

  EtapePlumitif.RequiertNombreJours

FROM

	EtapePlumitif

WHERE

	(P_ID = -1 OR EtapePlumitif.ID = P_ID) AND

  (P_TextToSearch IS NULL OR EtapePlumitif.Cheminement LIKE CONCAT('%', EtapePlumitif.Cheminement, '%'));



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadEvenement`
--

DROP PROCEDURE IF EXISTS `PRC_ReadEvenement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadEvenement`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Evenement

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadEvenementAssocEvenementParticipants`
--

DROP PROCEDURE IF EXISTS `PRC_ReadEvenementAssocEvenementParticipants`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadEvenementAssocEvenementParticipants`(P_EvenementID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		EvenementParticipants

	WHERE

		EvenementID = P_EvenementID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		EvenementParticipants

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadInstanceJudiciaire`
--

DROP PROCEDURE IF EXISTS `PRC_ReadInstanceJudiciaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadInstanceJudiciaire`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	InstanceJudiciaire

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadInstanceJudiciaireForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadInstanceJudiciaireForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadInstanceJudiciaireForEntityRelations`(P_ID int(11), P_TextToSearch varchar(100), P_LanguageCode char(2))
BEGIN



SELECT	

  InstanceJudiciaire.ID,

  InstanceJudiciaire.InstanceJudiciaire InstanceJudiciaireID,

  rtbv_InstanceJudiciaire.ValueCode InstanceJudiciaireValueCode,

  rtbvd_InstanceJudiciaire.ShortDescription InstanceJudiciaireNom,

  rtbv_PresenceDistrictJudiciaire.ValueCode PresenceDistrictJudiciaireValueCode,

  rtbvd_PresenceDistrictJudiciaire.ShortDescription PresenceDistrictJudiciaireNom

FROM

	InstanceJudiciaire

LEFT JOIN

  azRefTablesValues rtbv_InstanceJudiciaire ON

    InstanceJudiciaire.InstanceJudiciaire = rtbv_InstanceJudiciaire.ID

LEFT JOIN

  azRefTablesValuesDescription rtbvd_InstanceJudiciaire ON

    rtbv_InstanceJudiciaire.ID = rtbvd_InstanceJudiciaire.ID AND

    rtbvd_InstanceJudiciaire.LanguageCode = P_LanguageCode

LEFT JOIN

  azRefTablesValues rtbv_PresenceDistrictJudiciaire ON

    InstanceJudiciaire.PresenceDistrictJudiciaire = rtbv_PresenceDistrictJudiciaire.ID

LEFT JOIN

  azRefTablesValuesDescription rtbvd_PresenceDistrictJudiciaire ON

    rtbv_PresenceDistrictJudiciaire.ID = rtbvd_PresenceDistrictJudiciaire.ID AND

    rtbvd_PresenceDistrictJudiciaire.LanguageCode = P_LanguageCode

WHERE

	(P_ID = -1 OR InstanceJudiciaire.ID = P_ID) AND

  (P_TextToSearch IS NULL OR rtbvd_InstanceJudiciaire.ShortDescription LIKE CONCAT('%', P_TextToSearch, '%'));



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadLienAddresse`
--

DROP PROCEDURE IF EXISTS `PRC_ReadLienAddresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadLienAddresse`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	LienAddresse

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadMembre`
--

DROP PROCEDURE IF EXISTS `PRC_ReadMembre`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadMembre`(P_ID int(11), P_CurrentDate datetime, P_LanguageCode char(2))
BEGIN



SELECT

	Membre.*,

	rtbv1_Type.ValueCode AS rtbv1_TypeValueCode,

	rtbvd1_Type.ShortDescription AS rtbvd1_Type,

  CONCAT(SupImm.Nom, ', ', SupImm.Prenom) AS NomComplet,

  CASE

    WHEN Membre.DateDepart IS NULL AND Membre.DateEntree <= P_CurrentDate THEN 1

    WHEN Membre.DateDepart IS NULL AND Membre.DateEntree > P_CurrentDate THEN 0

    WHEN Membre.DateDepart IS NOT NULL AND Membre.DateEntree <= P_CurrentDate AND Membre.DateDepart > P_CurrentDate THEN 1

    ELSE 0

  END Actif

FROM

	Membre

LEFT JOIN

  azRefTablesValues rtbv1_Type ON Membre.Type = rtbv1_Type.ID

LEFT JOIN

  azRefTablesValuesDescription rtbvd1_Type ON Membre.Type = rtbvd1_Type.ID AND rtbvd1_Type.LanguageCode = P_LanguageCode

LEFT JOIN

  Membre SupImm ON Membre.SuperieurImmediat = SupImm.ID

WHERE

	Membre.ID = P_ID AND

	Membre.DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadMembreAssocMembreAbsences`
--

DROP PROCEDURE IF EXISTS `PRC_ReadMembreAssocMembreAbsences`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadMembreAssocMembreAbsences`(P_MembreID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		MembreAbsences

	WHERE

		MembreID = P_MembreID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		MembreAbsences

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadMembreAssocMembreDepenses`
--

DROP PROCEDURE IF EXISTS `PRC_ReadMembreAssocMembreDepenses`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadMembreAssocMembreDepenses`(P_MembreID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		MembreDepenses

	WHERE

		MembreID = P_MembreID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		MembreDepenses

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadMembreAssocMembreHoraires`
--

DROP PROCEDURE IF EXISTS `PRC_ReadMembreAssocMembreHoraires`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadMembreAssocMembreHoraires`(P_MembreID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*,

    IFNULL(LundiAM, 0) + IFNULL(LundiPM, 0) + IFNULL(MardiAM, 0) + IFNULL(MardiPM, 0) + IFNULL(MercrediAM, 0) + IFNULL(MercrediPM, 0) + IFNULL(JeudiAM, 0) + IFNULL(JeudiPM, 0) + IFNULL(VendrediAM, 0) + IFNULL(VendrediPM, 0) HeuresTotal

	FROM

		MembreHoraires

	WHERE

		MembreID = P_MembreID AND

		DeletedDate IS NULL;

ELSE

	SELECT

		*,

    IFNULL(LundiAM, 0) + IFNULL(LundiPM, 0) + IFNULL(MardiAM, 0) + IFNULL(MardiPM, 0) + IFNULL(MercrediAM, 0) + IFNULL(MercrediPM, 0) + IFNULL(JeudiAM, 0) + IFNULL(JeudiPM, 0) + IFNULL(VendrediAM, 0) + IFNULL(VendrediPM, 0) HeuresTotal

	FROM

		MembreHoraires

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadMembreAssocMembrePrimesForfaits`
--

DROP PROCEDURE IF EXISTS `PRC_ReadMembreAssocMembrePrimesForfaits`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadMembreAssocMembrePrimesForfaits`(P_MembreID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		MembrePrimesForfaits

	WHERE

		MembreID = P_MembreID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		MembrePrimesForfaits

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadMembreAssocMembreProfilEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_ReadMembreAssocMembreProfilEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadMembreAssocMembreProfilEmploi`(P_MembreID int(11), P_ID int(11), P_CurrentDate datetime, P_HeuresTempsPlein double, P_LanguageCode char(2))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		MembreProfilEmploi.*,

    lnk2_CategorieEmploi.ID CategorieEmploi,

    FNC_GetHoraireHeuresTotales(MembreProfilEmploi.MembreID, P_CurrentDate, MembreProfilEmploi.StatutHoraire, P_HeuresTempsPlein) HeuresParSemaine,

    FNC_GetSalaireBase(MembreProfilEmploi.Echelle, MembreProfilEmploi.Echelon) SalaireBase,

    FNC_GetSalaireCalcule(MembreProfilEmploi.MembreID, lnk1_CorpsEmploi.Categorie, MembreProfilEmploi.Echelle, MembreProfilEmploi.Echelon, MembreProfilEmploi.StatutEmploi, MembreProfilEmploi.StatutHoraire, P_CurrentDate, P_HeuresTempsPlein) SalaireCalcule,

    CASE

      WHEN MembreProfilEmploi.DateEffective > P_CurrentDate THEN 1

      ELSE 0

    END MAJProfil,

		lnk1_CorpsEmploi.Description AS CorpsEmploiDescription,

		rtf1_Categorie.ShortDescription AS CategorieEmploiDescription,

		CONCAT(rtf2_NoEchelle.ShortDescription, ' ', lnk3_EchelleSalariale.Classe) AS EchelleSalarialeDescription,

    rtf3_NoEchelon.ShortDescription NoEchelonNom

	FROM

		MembreProfilEmploi

	LEFT JOIN

		CorpsEmploi lnk1_CorpsEmploi ON lnk1_CorpsEmploi.ID = MembreProfilEmploi.CorpsEmploi

	LEFT JOIN

		CategorieEmploi lnk2_CategorieEmploi ON lnk2_CategorieEmploi.ID = lnk1_CorpsEmploi.Categorie

	LEFT JOIN

		azRefTablesValuesDescription rtf1_Categorie ON rtf1_Categorie.ID = lnk2_CategorieEmploi.Categorie AND rtf1_Categorie.LanguageCode = P_LanguageCode

	LEFT JOIN

		EchelleSalariale lnk3_EchelleSalariale ON lnk3_EchelleSalariale.ID = MembreProfilEmploi.Echelle

	LEFT JOIN

		azRefTablesValuesDescription rtf2_NoEchelle ON rtf2_NoEchelle.ID = lnk3_EchelleSalariale.NoEchelle AND rtf2_NoEchelle.LanguageCode = P_LanguageCode

  LEFT JOIN

    EchelleSalarialeEchelons lnk4_EchelleSalarialeEchelons ON lnk4_EchelleSalarialeEchelons.ID = MembreProfilEmploi.Echelon

  LEFT JOIN

    azRefTablesValuesDescription rtf3_NoEchelon ON rtf3_NoEchelon.ID = lnk4_EchelleSalarialeEchelons.NoEchelon AND rtf3_NoEchelon.LanguageCode = P_LanguageCode

	WHERE

		MembreProfilEmploi.MembreID = P_MembreID AND

		MembreProfilEmploi.DeletedDate IS NULL;

ELSE

	SELECT

		MembreProfilEmploi.*,

    lnk2_CategorieEmploi.ID CategorieEmploi,

    FNC_GetHoraireHeuresTotales(MembreProfilEmploi.MembreID, P_CurrentDate, MembreProfilEmploi.StatutHoraire, P_HeuresTempsPlein) HeuresParSemaine,

    FNC_GetSalaireBase(MembreProfilEmploi.Echelle, MembreProfilEmploi.Echelon) SalaireBase,

    FNC_GetSalaireCalcule(MembreProfilEmploi.MembreID, lnk1_CorpsEmploi.Categorie, MembreProfilEmploi.Echelle, MembreProfilEmploi.Echelon, MembreProfilEmploi.StatutEmploi, MembreProfilEmploi.StatutHoraire, P_CurrentDate, P_HeuresTempsPlein) SalaireCalcule,

    CASE

      WHEN MembreProfilEmploi.DateEffective > P_CurrentDate THEN 1

      ELSE 0

    END MAJProfil,

		lnk1_CorpsEmploi.Description AS CorpsEmploiDescription,

		rtf1_Categorie.ShortDescription AS CategorieEmploiDescription,

		CONCAT(rtf2_NoEchelle.ShortDescription, ' ', lnk3_EchelleSalariale.Classe) AS EchelleSalarialeDescription,

    rtf3_NoEchelon.ShortDescription NoEchelonNom

	FROM

		MembreProfilEmploi

	LEFT JOIN

		CorpsEmploi lnk1_CorpsEmploi ON lnk1_CorpsEmploi.ID = MembreProfilEmploi.CorpsEmploi

	LEFT JOIN

		CategorieEmploi lnk2_CategorieEmploi ON lnk2_CategorieEmploi.ID = lnk1_CorpsEmploi.Categorie

	LEFT JOIN

		azRefTablesValuesDescription rtf1_Categorie ON rtf1_Categorie.ID = lnk2_CategorieEmploi.Categorie AND rtf1_Categorie.LanguageCode = P_LanguageCode

	LEFT JOIN

		EchelleSalariale lnk3_EchelleSalariale ON lnk3_EchelleSalariale.ID = MembreProfilEmploi.Echelle

	LEFT JOIN

		azRefTablesValuesDescription rtf2_NoEchelle ON rtf2_NoEchelle.ID = lnk3_EchelleSalariale.NoEchelle AND rtf2_NoEchelle.LanguageCode = P_LanguageCode

  LEFT JOIN

    EchelleSalarialeEchelons lnk4_EchelleSalarialeEchelons ON lnk4_EchelleSalarialeEchelons.ID = MembreProfilEmploi.Echelon

  LEFT JOIN

    azRefTablesValuesDescription rtf3_NoEchelon ON rtf3_NoEchelon.ID = lnk4_EchelleSalarialeEchelons.NoEchelon AND rtf3_NoEchelon.LanguageCode = P_LanguageCode

	WHERE

		MembreProfilEmploi.ID = P_ID AND

		MembreProfilEmploi.DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadMembreAssocMembreTempsSupplementaire`
--

DROP PROCEDURE IF EXISTS `PRC_ReadMembreAssocMembreTempsSupplementaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadMembreAssocMembreTempsSupplementaire`(P_MembreID int(11), P_ID int(11), P_LanguageCode char(2))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		MembreTempsSupplementaire.*,

		rtb1_Categorie.ShortDescription CategorieEmploi

	FROM

		MembreTempsSupplementaire

	LEFT JOIN

		CategorieEmploi lnk1_CategorieEmploi ON MembreTempsSupplementaire.NoCategorie = lnk1_CategorieEmploi.ID

	LEFT JOIN

		azRefTablesValuesDescription rtb1_Categorie ON rtb1_Categorie.ID = lnk1_CategorieEmploi.Categorie AND rtb1_Categorie.LanguageCode = P_LanguageCode

	WHERE

		MembreTempsSupplementaire.MembreID = P_MembreID AND

		MembreTempsSupplementaire.DeletedDate IS NULL;

ELSE

	SELECT

		MembreTempsSupplementaire.*,

		rtb1_Categorie.ShortDescription CategorieEmploi

	FROM

		MembreTempsSupplementaire

	LEFT JOIN

		CategorieEmploi lnk1_CategorieEmploi ON MembreTempsSupplementaire.NoCategorie = lnk1_CategorieEmploi.ID

	LEFT JOIN

		azRefTablesValuesDescription rtb1_Categorie ON rtb1_Categorie.ID = lnk1_CategorieEmploi.Categorie AND rtb1_Categorie.LanguageCode = P_LanguageCode

	WHERE

		MembreTempsSupplementaire.ID = P_ID AND

		MembreTempsSupplementaire.DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadMembreAssocMembreTraitementDiffere`
--

DROP PROCEDURE IF EXISTS `PRC_ReadMembreAssocMembreTraitementDiffere`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadMembreAssocMembreTraitementDiffere`(P_MembreID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		MembreTraitementDiffere

	WHERE

		MembreID = P_MembreID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		MembreTraitementDiffere

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadMembreBy`
--

DROP PROCEDURE IF EXISTS `PRC_ReadMembreBy`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadMembreBy`(P_CodeUsager varchar(10), P_NAS varchar(9))
BEGIN



SELECT

	*

FROM

	Membre

WHERE

  (P_CodeUsager IS NULL OR CodeUsager = P_CodeUsager) AND

  (P_NAS IS NULL OR NAS = P_NAS) AND

  DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadMembreForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadMembreForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadMembreForEntityRelations`(P_ID int(11), P_IDExclus int(11), P_TextToSearch varchar(100), P_CategorieEmploi int(11), P_DateCourante datetime)
BEGIN



SELECT

  DISTINCT

	Membre.ID,

	CONCAT(Membre.Prenom, ', ', Membre.Nom) AS NomComplet

FROM

	Membre

LEFT JOIN

  MembreProfilEmploi ON Membre.ID = MembreProfilEmploi.MembreID

LEFT JOIN

  CorpsEmploi ON MembreProfilEmploi.CorpsEmploi = CorpsEmploi.ID

LEFT JOIN

  CategorieEmploi ON CorpsEmploi.Categorie = CategorieEmploi.ID

WHERE

	(P_ID = -1 OR Membre.ID = P_ID) AND

	(P_IDExclus = -1 OR Membre.ID <> P_IDExclus) AND

	(P_TextToSearch IS NULL OR CONCAT(Membre.Nom, ', ', Membre.Prenom) LIKE CONCAT('%', P_TextToSearch, '%')) AND

  (P_CategorieEmploi IS NULL OR

    (MembreProfilEmploi.DateEffective IN (SELECT MAX(DEM.DateEffective) FROM MembreProfilEmploi DEM WHERE DEM.MembreID = Membre.ID AND DEM.DateEffective <= P_DateCourante)) AND

    CategorieEmploi.Categorie = P_CategorieEmploi

  );



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadMembreProfilEmploiCourant`
--

DROP PROCEDURE IF EXISTS `PRC_ReadMembreProfilEmploiCourant`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadMembreProfilEmploiCourant`(P_MembreID int(11), P_DateCourante datetime, P_HeuresTempsPlein double)
BEGIN



DECLARE V_CurrentProfilEmploiDate datetime;



SELECT

	MAX(DateEffective)

INTO

  V_CurrentProfilEmploiDate

FROM

	MembreProfilEmploi

WHERE

	MembreProfilEmploi.MembreID = P_MembreID AND

  MembreProfilEmploi.DateEffective <= P_DateCourante;



SELECT

	MembreProfilEmploi.*,

  CorpsEmploi.Description CorpsEmploiescription,

  CategorieEmploi.Categorie CategorieEmploiID,

  FNC_GetSalaireBase(MembreProfilEmploi.Echelle, MembreProfilEmploi.Echelon) SalaireBase,

  FNC_GetSalaireCalcule(MembreProfilEmploi.MembreID, CategorieEmploi.Categorie, MembreProfilEmploi.Echelle, MembreProfilEmploi.Echelon, MembreProfilEmploi.StatutEmploi, P_DateCourante, P_HeuresTempsPlein) SalaireCalcule

FROM

	MembreProfilEmploi

LEFT JOIN

  CorpsEmploi ON MembreProfilEmploi.CorpsEmploi = CorpsEmploi.ID

LEFT JOIN

  CategorieEmploi ON CorpsEmploi.Categorie = CategorieEmploi.ID

WHERE

	MembreProfilEmploi.MembreID = P_MembreID AND

  MembreProfilEmploi.DateEffective = V_CurrentProfilEmploiDate;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadNote`
--

DROP PROCEDURE IF EXISTS `PRC_ReadNote`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadNote`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Note

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainte`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainte`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainte`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Plainte

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteAssignations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteAssignations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteAssignations`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlainteAssignationsRecherche

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlainteAssignationsRecherche

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteAvis`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteAvis`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteAvis`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlainteAvis

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlainteAvis

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteCheminement`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteCheminement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteCheminement`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlainteCheminement

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlainteCheminement

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteDecisions`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteDecisions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteDecisions`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlainteDecisions

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlainteDecisions

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteDescripteurs`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteDescripteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteDescripteurs`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlainteDescripteurs

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlainteDescripteurs

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteDocumentsReference`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteDocumentsReference`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteDocumentsReference`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlainteDocumentsReference

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlainteDocumentsReference

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteDocumentsSpecifiques`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteDocumentsSpecifiques`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteDocumentsSpecifiques`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlainteDocumentsSpecifiques

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlainteDocumentsSpecifiques

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteEnquete`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteEnquete`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteEnquete`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlainteEnquete

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlainteEnquete

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteJugements`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteJugements`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteJugements`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		Tribunal2

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		Tribunal2

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteMediation`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteMediation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteMediation`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlainteMediation

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlainteMediation

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteMesures`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteMesures`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteMesures`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlainteMesures

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlainteMesures

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteParties`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteParties`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteParties`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlainteParties

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlainteParties

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlaintePiecesJointes`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlaintePiecesJointes`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlaintePiecesJointes`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlaintePiecesJointes

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlaintePiecesJointes

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlainteAssocPlainteRecevabilite`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlainteAssocPlainteRecevabilite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlainteAssocPlainteRecevabilite`(P_PlainteID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PlainteRecevabilite

	WHERE

		PlainteID = P_PlainteID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PlainteRecevabilite

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPlumitifAutrePartie`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPlumitifAutrePartie`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPlumitifAutrePartie`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	PlumitifAutrePartie

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPresentationStatutaire`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPresentationStatutaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPresentationStatutaire`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	PresentationStatutaire

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPresentationStatutaireAssocPresentationStatutaireDossier`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPresentationStatutaireAssocPresentationStatutaireDossier`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPresentationStatutaireAssocPresentationStatutaireDossier`(P_PresentationStatutaireID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		PresentationStatutaireDossiers

	WHERE

		PresentationStatutaireID = P_PresentationStatutaireID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		PresentationStatutaireDossiers

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPrimeForfait`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPrimeForfait`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPrimeForfait`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	PrimeForfait

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadPromotion`
--

DROP PROCEDURE IF EXISTS `PRC_ReadPromotion`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadPromotion`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Promotion

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadRegionAdministrative`
--

DROP PROCEDURE IF EXISTS `PRC_ReadRegionAdministrative`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadRegionAdministrative`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	RegionAdministrative

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadRegionAdministrativeForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadRegionAdministrativeForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadRegionAdministrativeForEntityRelations`(P_ID int(11))
BEGIN 



SELECT	

	RegionAdministrative.ID, 

	rtb1_BureauID.ShortDescription rtb1_BureauID

FROM

	RegionAdministrative

	LEFT JOIN azRefTablesValuesDescription rtb1_BureauID ON rtb1_BureauID.ID = RegionAdministrative.BureauID

WHERE 

	(P_ID = -1 OR

	RegionAdministrative.ID = P_ID);

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadRelation`
--

DROP PROCEDURE IF EXISTS `PRC_ReadRelation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadRelation`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Relation

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadRelationAssocRelationClienteles`
--

DROP PROCEDURE IF EXISTS `PRC_ReadRelationAssocRelationClienteles`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadRelationAssocRelationClienteles`(P_RelationID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		RelationClienteles

	WHERE

		RelationID = P_RelationID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		RelationClienteles

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadRelationAssocRelationClientsARisque`
--

DROP PROCEDURE IF EXISTS `PRC_ReadRelationAssocRelationClientsARisque`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadRelationAssocRelationClientsARisque`(P_RelationID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		RelationClientsARisque

	WHERE

		RelationID = P_RelationID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		RelationClientsARisque

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadRelationAssocRelationRepresentants`
--

DROP PROCEDURE IF EXISTS `PRC_ReadRelationAssocRelationRepresentants`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadRelationAssocRelationRepresentants`(P_RelationID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		RelationRepresentants.*,

		CONCAT(Relation.Prenom, ', ', Relation.Nom) AS NomRepresentant

	FROM

		RelationRepresentants

	LEFT JOIN

		Relation ON RelationRepresentants.Representant = Relation.ID

	WHERE

		RelationRepresentants.RelationID = P_RelationID AND

		RelationRepresentants.DeletedDate IS NULL;

ELSE

	SELECT

		RelationRepresentants.*,

		CONCAT(Relation.Prenom, ', ', Relation.Nom) AS NomRepresentant

	FROM

		RelationRepresentants

	LEFT JOIN

		Relation ON RelationRepresentants.Representant = Relation.ID

	WHERE

		RelationRepresentants.ID = P_ID AND

		RelationRepresentants.DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadRelationForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadRelationForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadRelationForEntityRelations`(P_ID int(11), P_TypeRelation varchar(50), P_TextToSearch varchar(100))
BEGIN



	SELECT

		Relation.ID,

		Relation.NomOrganisation,

		CONCAT(Relation.Prenom, ', ', Relation.Nom) AS NomComplet,

		Relation.OrganisationReliee

	FROM

		Relation

	LEFT JOIN

		azRefTablesValues ON Relation.Type = azRefTablesValues.ID

	WHERE

		(P_ID = -1 OR Relation.ID = P_ID) AND

		(P_TextToSearch IS NULL OR CONCAT(Relation.Prenom, ', ', Relation.Nom) LIKE CONCAT('%', P_TextToSearch, '%')) AND

    (P_TypeRelation IS NULL OR (azRefTablesValues.RefTableCode = 'TYPERELATION' AND azRefTablesValues.ValueCode = P_TypeRelation));



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadRevuePresse`
--

DROP PROCEDURE IF EXISTS `PRC_ReadRevuePresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadRevuePresse`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	RevuePresse

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadSecteur`
--

DROP PROCEDURE IF EXISTS `PRC_ReadSecteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadSecteur`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Secteur

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadSecteurAssocSecteurTypesOrganisation`
--

DROP PROCEDURE IF EXISTS `PRC_ReadSecteurAssocSecteurTypesOrganisation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadSecteurAssocSecteurTypesOrganisation`(P_SecteurID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		SecteurTypesOrganisation

	WHERE

		SecteurID = P_SecteurID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		SecteurTypesOrganisation

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadStatut`
--

DROP PROCEDURE IF EXISTS `PRC_ReadStatut`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadStatut`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Statut

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadStatutForEntityRelations`
--

DROP PROCEDURE IF EXISTS `PRC_ReadStatutForEntityRelations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadStatutForEntityRelations`(P_ID int(11))
BEGIN 



SELECT	

	Statut.ID, 

	rtb1_TypeDroit.ShortDescription rtb1_TypeDroit,rtb2_StatutID.ShortDescription rtb2_StatutID

FROM

	Statut

	LEFT JOIN azRefTablesValuesDescription rtb1_TypeDroit ON rtb1_TypeDroit.ID = Statut.TypeDroit

	LEFT JOIN azRefTablesValuesDescription rtb2_StatutID ON rtb2_StatutID.ID = Statut.StatutID

WHERE 

	(P_ID = -1 OR

	Statut.ID = P_ID);

END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadSujet`
--

DROP PROCEDURE IF EXISTS `PRC_ReadSujet`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadSujet`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Sujet

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadSujetAssocSujetSujetSecondaire`
--

DROP PROCEDURE IF EXISTS `PRC_ReadSujetAssocSujetSujetSecondaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadSujetAssocSujetSujetSecondaire`(P_SujetID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		SujetSujetSecondaire

	WHERE

		SujetID = P_SujetID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		SujetSujetSecondaire

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadTelephone`
--

DROP PROCEDURE IF EXISTS `PRC_ReadTelephone`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadTelephone`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	Telephone

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadTransitionStatut`
--

DROP PROCEDURE IF EXISTS `PRC_ReadTransitionStatut`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadTransitionStatut`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	TransitionStatut

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadTransitionStatutAssocTransitionStatutActions`
--

DROP PROCEDURE IF EXISTS `PRC_ReadTransitionStatutAssocTransitionStatutActions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadTransitionStatutAssocTransitionStatutActions`(P_TransitionStatutID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		TransitionStatutActions

	WHERE

		TransitionStatutID = P_TransitionStatutID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		TransitionStatutActions

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadTypeClient`
--

DROP PROCEDURE IF EXISTS `PRC_ReadTypeClient`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadTypeClient`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	TypeClient

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadTypeOrganisation`
--

DROP PROCEDURE IF EXISTS `PRC_ReadTypeOrganisation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadTypeOrganisation`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	TypeOrganisation

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadTypeOrganisationAssocTypeOrganisationClienteles`
--

DROP PROCEDURE IF EXISTS `PRC_ReadTypeOrganisationAssocTypeOrganisationClienteles`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadTypeOrganisationAssocTypeOrganisationClienteles`(P_TypeOrganisationID int(11), P_ID int(11))
BEGIN



IF (P_ID = -1) THEN

	SELECT

		*

	FROM

		TypesOrganisationClienteles

	WHERE

		TypeOrganisationID = P_TypeOrganisationID AND 

		DeletedDate IS NULL;

ELSE

	SELECT

		*

	FROM

		TypesOrganisationClienteles

	WHERE

		ID = P_ID AND 

		DeletedDate IS NULL;

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_ReadVersementDestruction`
--

DROP PROCEDURE IF EXISTS `PRC_ReadVersementDestruction`;
DELIMITER %%;
CREATE PROCEDURE `PRC_ReadVersementDestruction`(P_ID int(11))
BEGIN



SELECT	

	* 

FROM 

	VersementDestruction

WHERE 

	ID = P_ID AND

	DeletedDate IS NULL;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateAdresse`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateAdresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateAdresse`(P_ID int(11), P_Adresse1 varchar(60), P_Adresse2 varchar(60), P_Adresse3 varchar(60), P_Pays int(11), P_Province int(11), P_RegionAdministrative int(11), P_Ville int(11), P_CodePostal varchar(6), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Adresse

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Adresse

	SET 	

		Adresse1 =  P_Adresse1,

		Adresse2 =  P_Adresse2,

		Adresse3 =  P_Adresse3,

		Pays =  P_Pays,

		Province =  P_Province,

		RegionAdministrative =  P_RegionAdministrative,

		Ville =  P_Ville,

		CodePostal =  P_CodePostal,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadAdresse(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateAppel`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateAppel`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateAppel`(P_ID int(11), P_TransfertDe int(11), P_TransfertA int(11), P_DateAppel datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Appel

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Appel

	SET 	

		TransfertDe =  P_TransfertDe,

		TransfertA =  P_TransfertA,

		DateAppel =  P_DateAppel,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadAppel(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateAutreIntervention`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateAutreIntervention`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateAutreIntervention`(P_ID int(11), P_Type int(11), P_Destinataire int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	AutreIntervention

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		AutreIntervention

	SET 	

		Type =  P_Type,

		Destinataire =  P_Destinataire,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadAutreIntervention(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateAvisJuridique`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateAvisJuridique`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateAvisJuridique`(P_ID int(11), P_DemandeID int(11), P_PlainteID int(11), P_DateRencontre datetime, P_DatePrevue datetime, P_DateEnvoi datetime, P_Resume text, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	AvisJuridique

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		AvisJuridique

	SET 	

		DemandeID =  P_DemandeID,

		PlainteID =  P_PlainteID,

		DateRencontre =  P_DateRencontre,

		DatePrevue =  P_DatePrevue,

		DateEnvoi =  P_DateEnvoi,

		Resume =  P_Resume,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadAvisJuridique(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateAvisJuridiqueAssocAvisJuridiqueDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateAvisJuridiqueAssocAvisJuridiqueDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateAvisJuridiqueAssocAvisJuridiqueDocuments`(P_ID int(11), P_AvisJuridiqueID int(11), P_MyNewAttribute varchar(25), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	AvisJuridiqueDocuments

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE AvisJuridiqueDocuments

	SET 	

		AvisJuridiqueID =  P_AvisJuridiqueID,

		MyNewAttribute =  P_MyNewAttribute,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadAvisJuridiqueAssocAvisJuridiqueDocuments (P_AvisJuridiqueID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateCategorieEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateCategorieEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateCategorieEmploi`(P_ID int(11), P_Categorie int(11), P_Facteur float, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, P_LanguageCode char(2), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT

	COUNT(*)

INTO

	V_ROW_COUNT

FROM

	CategorieEmploi

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		CategorieEmploi

	SET 	

		Categorie =  P_Categorie,

		Facteur =  P_Facteur,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it

	CALL PRC_ReadCategorieEmploi(P_ID, P_LanguageCode);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateCentreResponsabilite`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateCentreResponsabilite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateCentreResponsabilite`(P_ID int(11), P_Code varchar(25), P_Description varchar(100), P_Montant numeric(19,4), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	CentreResponsabilite

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		CentreResponsabilite

	SET 	

		Code =  P_Code,

		Description =  P_Description,

		Montant =  P_Montant,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadCentreResponsabilite(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateCheminement`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateCheminement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateCheminement`(P_ID int(11), P_TypeDroit int(11), P_StatutInitial int(11), P_NouveauStatut int(11), P_Description varchar(100), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Cheminement2

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Cheminement2

	SET 	

		TypeDroit =  P_TypeDroit,

		StatutInitial =  P_StatutInitial,

		NouveauStatut =  P_NouveauStatut,

		Description =  P_Description,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadCheminement(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateCommande`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateCommande`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateCommande`(P_ID int(11), P_Date varchar(25), P_Prix varchar(25), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Commande

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Commande

	SET 	

		Date =  P_Date,

		Prix =  P_Prix,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadCommande(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateCommandeAssocCommandeDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateCommandeAssocCommandeDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateCommandeAssocCommandeDocuments`(P_ID int(11), P_CommandeID int(11), P_Document int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	CommandeDocuments

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE CommandeDocuments

	SET 	

		CommandeID =  P_CommandeID,

		Document =  P_Document,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadCommandeAssocCommandeDocuments (P_CommandeID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateCorpsEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateCorpsEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateCorpsEmploi`(P_ID int(11), P_Categorie int(11), P_CodeEchelle int(11), P_Description varchar(60), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	CorpsEmploi

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		CorpsEmploi

	SET 	

		Categorie =  P_Categorie,

		CodeEchelle =  P_CodeEchelle,

		Description =  P_Description,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadCorpsEmploi(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDemande`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDemande`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDemande`(P_ID int(11), P_Type int(11), P_TypeDroit int(11), P_RelationID int(11), P_MembreID int(11), P_DEMANDE datetime, P_Origine int(11), P_RecuPar int(11), P_RegionAdministrative int(11), P_RefereA int(11), P_AssigneA int(11), P_Description text, P_LangueCommunication int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Demande

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Demande

	SET 	

		Type =  P_Type,

		TypeDroit =  P_TypeDroit,

		RelationID =  P_RelationID,

		MembreID =  P_MembreID,

		DEMANDE =  P_DEMANDE,

		Origine =  P_Origine,

		RecuPar =  P_RecuPar,

		RegionAdministrative =  P_RegionAdministrative,

		RefereA =  P_RefereA,

		AssigneA =  P_AssigneA,

		Description =  P_Description,

		LangueCommunication =  P_LangueCommunication,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadDemande(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDemandeAssocDemandeDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDemandeAssocDemandeDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDemandeAssocDemandeDocuments`(P_ID int(11), P_DemandeID int(11), P_DocumentID int(11), P_Quantite smallint(6), P_DateEnvoi datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DemandeDocuments

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DemandeDocuments

	SET 	

		DemandeID =  P_DemandeID,

		DocumentID =  P_DocumentID,

		Quantite =  P_Quantite,

		DateEnvoi =  P_DateEnvoi,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDemandeAssocDemandeDocuments (P_DemandeID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDemandeAssocDemandeSuivi`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDemandeAssocDemandeSuivi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDemandeAssocDemandeSuivi`(P_ID int(11), P_DemandeID int(11), P_Description varchar(100), P_Date datetime, P_SuiviEffectue tinyint(1), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DemandeSuivi

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DemandeSuivi

	SET 	

		DemandeID =  P_DemandeID,

		Description =  P_Description,

		Date =  P_Date,

		SuiviEffectue =  P_SuiviEffectue,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDemandeAssocDemandeSuivi (P_DemandeID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDescripteur`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDescripteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDescripteur`(P_ID int(11), P_TypeDroit int(11), P_TypeDescripteur int(11), P_CodeLoiJeunesse int(11), P_Code varchar(20), P_Description_E varchar(100), P_Description_F varchar(100), P_CleTri smallint(6), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Descripteur

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Descripteur

	SET 	

		TypeDroit =  P_TypeDroit,

		TypeDescripteur =  P_TypeDescripteur,

		CodeLoiJeunesse =  P_CodeLoiJeunesse,

		Code =  P_Code,

		Description_E =  P_Description_E,

		Description_F =  P_Description_F,

		CleTri =  P_CleTri,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadDescripteur(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDescripteurDocument`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDescripteurDocument`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDescripteurDocument`(P_ID int(11), P_Description varchar(100), P_TypeDescripteur int(11), P_CoteBibliographique varchar(25), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DescripteurDocument

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		DescripteurDocument

	SET 	

		Description =  P_Description,

		TypeDescripteur =  P_TypeDescripteur,

		CoteBibliographique =  P_CoteBibliographique,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadDescripteurDocument(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDescripteurDocumentAssocDescripteurDocumentSousDescrip`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDescripteurDocumentAssocDescripteurDocumentSousDescrip`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDescripteurDocumentAssocDescripteurDocumentSousDescrip`(P_ID int(11), P_DescripteurDocumentID int(11), P_Description varchar(100), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DescripteurDocumentSousDescripteur

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DescripteurDocumentSousDescripteur

	SET 	

		DescripteurDocumentID =  P_DescripteurDocumentID,

		Description =  P_Description,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDescripteurDocumentAssocDescripteurDocumentSousDescripteur (P_DescripteurDocumentID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDescripteurDocumentAssocSousDescripteur`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDescripteurDocumentAssocSousDescripteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDescripteurDocumentAssocSousDescripteur`(P_ID int(11), P_DescripteurDocumentID int(11), P_Description varchar(100), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DescripteurDocumentSousDescripteur

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DescripteurDocumentSousDescripteur

	SET 	

		DescripteurDocumentID =  P_DescripteurDocumentID,

		Description =  P_Description,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDescripteurDocumentAssocSousDescripteur (P_DescripteurDocumentID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDetailsDecision`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDetailsDecision`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDetailsDecision`(P_ID int(11), P_EnqueteID smallint(6), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DetailsDecision

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		DetailsDecision

	SET 	

		EnqueteID =  P_EnqueteID,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadDetailsDecision(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDetailsDecisionAssocDetailsDecisionAutresInterventions`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDetailsDecisionAssocDetailsDecisionAutresInterventions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDetailsDecisionAssocDetailsDecisionAutresInterventions`(P_ID int(11), P_DetailsDecisionID int(11), P_AutreIntervention int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DetailsDecisionAutresInterventions

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DetailsDecisionAutresInterventions

	SET 	

		DetailsDecisionID =  P_DetailsDecisionID,

		AutreIntervention =  P_AutreIntervention,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDetailsDecisionAssocDetailsDecisionAutresInterventions (P_DetailsDecisionID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDetailsDecisionAssocDetailsDecisionConclusions`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDetailsDecisionAssocDetailsDecisionConclusions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDetailsDecisionAssocDetailsDecisionConclusions`(P_ID int(11), P_DetailsDecisionID int(11), P_DroitID smallint(6), P_Conclusion int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DetailsDecisionConclusions

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DetailsDecisionConclusions

	SET 	

		DetailsDecisionID =  P_DetailsDecisionID,

		DroitID =  P_DroitID,

		Conclusion =  P_Conclusion,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDetailsDecisionAssocDetailsDecisionConclusions (P_DetailsDecisionID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDetailsDecisionAssocDetailsDecisionMembresComite`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDetailsDecisionAssocDetailsDecisionMembresComite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDetailsDecisionAssocDetailsDecisionMembresComite`(P_ID int(11), P_DetailsDecisionID int(11), P_MembreID int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DetailsDecisionMembresComite

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DetailsDecisionMembresComite

	SET 	

		DetailsDecisionID =  P_DetailsDecisionID,

		MembreID =  P_MembreID,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDetailsDecisionAssocDetailsDecisionMembresComite (P_DetailsDecisionID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDetailsDecisionAssocDetailsDecisionRecommandations`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDetailsDecisionAssocDetailsDecisionRecommandations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDetailsDecisionAssocDetailsDecisionRecommandations`(P_ID int(11), P_DetailsDecisionID int(11), P_Recommandation int(11), P_RecommandeA int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DetailsDecisionRecommandations

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DetailsDecisionRecommandations

	SET 	

		DetailsDecisionID =  P_DetailsDecisionID,

		Recommandation =  P_Recommandation,

		RecommandeA =  P_RecommandeA,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDetailsDecisionAssocDetailsDecisionRecommandations (P_DetailsDecisionID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDirectionCentreJeunesse`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDirectionCentreJeunesse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDirectionCentreJeunesse`(P_ID int(11), P_PosteCentreJeunesse int(11), P_Client int(11), P_RegionAdministrative int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DirectionCentreJeunesse

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		DirectionCentreJeunesse

	SET 	

		PosteCentreJeunesse =  P_PosteCentreJeunesse,

		Client =  P_Client,

		RegionAdministrative =  P_RegionAdministrative,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadDirectionCentreJeunesse(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDocument`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDocument`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDocument`(P_ID int(11), P_Statut int(11), P_Type int(11), P_Titre varchar(255), P_Langue int(11), P_DirectionResponsable int(11), P_TypeDate int(11), P_Date datetime, P_Version int(11), P_DocumentMAJ int(11), P_Cote varchar(25), P_AncienneCote varchar(25), P_CodeDewey varchar(20), P_Pages smallint(6), P_ContientAnnexes tinyint(1), P_Resume text, P_FichierSource varchar(50), P_NoResolution varchar(50), P_Reference varchar(255), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT

	COUNT(*)

INTO

	V_ROW_COUNT

FROM

	Document

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Document

	SET 	

		Statut =  P_Statut,

		Type =  P_Type,

		Titre =  P_Titre,

		Langue =  P_Langue,

		DirectionResponsable =  P_DirectionResponsable,

    TypeDate = P_TypeDate,

		Date =  P_Date,

		Version =  P_Version,

		DocumentMAJ =  P_DocumentMAJ,

		Cote =  P_Cote,

		AncienneCote =  P_AncienneCote,

		CodeDewey =  P_CodeDewey,

		Pages =  P_Pages,

		ContientAnnexes =  P_ContientAnnexes,

		Resume =  P_Resume,

		FichierSource =  P_FichierSource,

		NoResolution =  P_NoResolution,

		Reference =  P_Reference,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadDocument(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDocumentAssocDocumentApprovisionnement`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDocumentAssocDocumentApprovisionnement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDocumentAssocDocumentApprovisionnement`(P_ID int(11), P_DocumentID int(11), P_Fournisseur int(11), P_Quantite smallint(6), P_Cout numeric(19,4), P_DateCommandee datetime, P_DateReception datetime, P_Note text, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentApprovisionnement

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DocumentApprovisionnement

	SET 	

		DocumentID =  P_DocumentID,

		Fournisseur =  P_Fournisseur,

		Quantite =  P_Quantite,

		Cout =  P_Cout,

		DateCommandee =  P_DateCommandee,

		DateReception =  P_DateReception,

		Note =  P_Note,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDocumentAssocDocumentApprovisionnement (P_DocumentID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDocumentAssocDocumentAuteurs`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDocumentAssocDocumentAuteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDocumentAssocDocumentAuteurs`(P_ID int(11), P_DocumentID int(11), P_MembreID int(11), P_RelationID int(11), P_Prenom varchar(50), P_Nom varchar(50), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentAuteurs

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DocumentAuteurs

	SET 	

		DocumentID =  P_DocumentID,

		MembreID =  P_MembreID,

		RelationID =  P_RelationID,

		Prenom =  P_Prenom,

		Nom =  P_Nom,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDocumentAssocDocumentAuteurs (P_DocumentID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDocumentAssocDocumentContentieux`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDocumentAssocDocumentContentieux`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDocumentAssocDocumentContentieux`(P_ID int(11), P_DocumentID int(11), P_FermeturePlumitif tinyint(1), P_InstanceJudiciaire int(11), P_DistrictJudiciaire int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, P_LanguageCode char(2), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentContentieux

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DocumentContentieux

	SET 	

		DocumentID =  P_DocumentID,

		FermeturePlumitif =  P_FermeturePlumitif,

		InstanceJudiciaire =  P_InstanceJudiciaire,

		DistrictJudiciaire =  P_DistrictJudiciaire,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDocumentAssocDocumentContentieux (P_DocumentID, P_ID, P_LanguageCode);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDocumentAssocDocumentDescripteurs`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDocumentAssocDocumentDescripteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDocumentAssocDocumentDescripteurs`(P_ID int(11), P_DocumentID int(11), P_Type int(11), P_Descripteur int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentDescripteurs

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DocumentDescripteurs

	SET 	

		DocumentID =  P_DocumentID,

		Type =  P_Type,

		Descripteur =  P_Descripteur,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDocumentAssocDocumentDescripteurs (P_DocumentID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDocumentAssocDocumentDiffusion`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDocumentAssocDocumentDiffusion`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDocumentAssocDocumentDiffusion`(P_ID int(11), P_DocumentID int(11), P_Localisation int(11), P_AInclureDansRapport tinyint(1), P_NombreDisponible smallint(6), P_SeuilNouvelleCommande smallint(6), P_NoteRepertoire text, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentDiffusion

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DocumentDiffusion

	SET 	

		DocumentID =  P_DocumentID,

		Localisation =  P_Localisation,

		AInclureDansRapport =  P_AInclureDansRapport,

		NombreDisponible =  P_NombreDisponible,

		SeuilNouvelleCommande =  P_SeuilNouvelleCommande,

		NoteRepertoire =  P_NoteRepertoire,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDocumentAssocDocumentDiffusion (P_DocumentID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDocumentAssocDocumentDocumentsConnexes`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDocumentAssocDocumentDocumentsConnexes`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDocumentAssocDocumentDocumentsConnexes`(P_ID int(11), P_DocumentID int(11), P_DocumentConnexeID int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT

	COUNT(*)

INTO

	V_ROW_COUNT

FROM

	DocumentDocumentsConnexes

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DocumentDocumentsConnexes

	SET 	

		DocumentID =  P_DocumentID,

		DocumentConnexeID =  P_DocumentConnexeID,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDocumentAssocDocumentDocumentsConnexes (P_DocumentID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDocumentAssocDocumentPlumitif`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDocumentAssocDocumentPlumitif`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDocumentAssocDocumentPlumitif`(P_ID int(11), P_DocumentID int(11), P_DateEtape datetime, P_Etape int(11), P_NoteEtape text, P_NombreJoursAudition double, P_EvenementEtapePlumitif1 int(11), P_DateEvenementEtapePlumitif1 datetime, P_EvenementEtapePlumitif2 int(11), P_DateEvenementEtapePlumitif2 datetime, P_EvenementEtapePlumitif3 int(11), P_DateEvenementEtapePlumitif3 datetime, P_Avocat1 int(11), P_Avocat2 int(11), P_InstanceJudiciaire int(11), P_DistrictJudiciaire int(11), P_NoCour varchar(25), P_FichierSource varchar(50), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, P_LanguageCode char(2), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentPlumitif

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DocumentPlumitif

	SET 	

		DocumentID =  P_DocumentID,

		DateEtape =  P_DateEtape,

		Etape =  P_Etape,

		NoteEtape =  P_NoteEtape,

		NombreJoursAudition =  P_NombreJoursAudition,

		EvenementEtapePlumitif1 =  P_EvenementEtapePlumitif1,

		DateEvenementEtapePlumitif1 =  P_DateEvenementEtapePlumitif1,

		EvenementEtapePlumitif2 =  P_EvenementEtapePlumitif2,

		DateEvenementEtapePlumitif2 =  P_DateEvenementEtapePlumitif2,

		EvenementEtapePlumitif3 =  P_EvenementEtapePlumitif3,

		DateEvenementEtapePlumitif3 =  P_DateEvenementEtapePlumitif3,

		Avocat1 =  P_Avocat1,

		Avocat2 =  P_Avocat2,

		InstanceJudiciaire =  P_InstanceJudiciaire,

		DistrictJudiciaire =  P_DistrictJudiciaire,

		NoCour =  P_NoCour,

		FichierSource =  P_FichierSource,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDocumentAssocDocumentPlumitif (P_DocumentID, P_ID, P_LanguageCode);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDocumentAssocDocumentRecherche`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDocumentAssocDocumentRecherche`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDocumentAssocDocumentRecherche`(P_ID int(11), P_DocumentID int(11), P_FichierEdition varchar(50), P_NoDossierRecherche int(11), P_NoteRecherche text, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentRecherche

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DocumentRecherche

	SET 	

		DocumentID =  P_DocumentID,

		FichierEdition =  P_FichierEdition,

		NoDossierRecherche =  P_NoDossierRecherche,

		NoteRecherche =  P_NoteRecherche,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDocumentAssocDocumentRecherche (P_DocumentID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDossier`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDossier`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDossier`(P_ID int(11), P_Type int(11), P_Nom varchar(50), P_Source int(11), P_Description text, P_TypeDateEcheance int(11), P_DateEcheance datetime, P_NoteEcheance varchar(50), P_TypePresentation int(11), P_ButPresentation int(11), P_DatePresentation datetime, P_NoResolution varchar(25), P_DateCommissionParlementaire datetime, P_HyperLienJournalDebats varchar(100), P_Cote varchar(25), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Dossier

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Dossier

	SET 	

		Type =  P_Type,

		Nom =  P_Nom,

		Source =  P_Source,

		Description =  P_Description,

		TypeDateEcheance =  P_TypeDateEcheance,

		DateEcheance =  P_DateEcheance,

		NoteEcheance =  P_NoteEcheance,

		TypePresentation =  P_TypePresentation,

		ButPresentation =  P_ButPresentation,

		DatePresentation =  P_DatePresentation,

		NoResolution =  P_NoResolution,

		DateCommissionParlementaire =  P_DateCommissionParlementaire,

		HyperLienJournalDebats =  P_HyperLienJournalDebats,

		Cote =  P_Cote,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadDossier(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDossierAssocDossierAssignations`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDossierAssocDossierAssignations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDossierAssocDossierAssignations`(P_ID int(11), P_DossierID int(11), P_PersonneResponsable int(11), P_DateAssignation datetime, P_DateEcheance datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DossierAssignations

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DossierAssignations

	SET 	

		DossierID =  P_DossierID,

		PersonneResponsable =  P_PersonneResponsable,

		DateAssignation =  P_DateAssignation,

		DateEcheance =  P_DateEcheance,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDossierAssocDossierAssignations (P_DossierID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDossierAssocDossierDocuments`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDossierAssocDossierDocuments`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDossierAssocDossierDocuments`(P_ID int(11), P_DossierID int(11), P_DocumentID int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DocumentsPositions

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DocumentsPositions

	SET 	

		DossierID =  P_DossierID,

		DocumentID =  P_DocumentID,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDossierAssocDossierDocuments (P_DossierID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDossierAssocDossierEnvois`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDossierAssocDossierEnvois`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDossierAssocDossierEnvois`(P_ID int(11), P_DossierID int(11), P_DocumentID int(11), P_Type int(11), P_Statut int(11), P_Version int(11), P_Destinataire int(11), P_Date datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DossierEnvois

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE DossierEnvois

	SET 	

		DossierID =  P_DossierID,

		DocumentID =  P_DocumentID,

		Type =  P_Type,

		Statut =  P_Statut,

		Version =  P_Version,

		Destinataire =  P_Destinataire,

		Date =  P_Date,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadDossierAssocDossierEnvois (P_DossierID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDossierPAE`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDossierPAE`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDossierPAE`(P_ID int(11), P_Client int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	DossierPAE

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		DossierPAE

	SET 	

		Client =  P_Client,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadDossierPAE(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateDroit`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateDroit`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateDroit`(P_ID int(11), P_TypeDroit int(11), P_LoiJeunesse int(11), P_Code varchar(8), P_DescriptionFrancais varchar(200), P_DescriptionAnglais varchar(200), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Droit

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Droit

	SET 	

		TypeDroit =  P_TypeDroit,

		LoiJeunesse =  P_LoiJeunesse,

		Code =  P_Code,

		DescriptionFrancais =  P_DescriptionFrancais,

		DescriptionAnglais =  P_DescriptionAnglais,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadDroit(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateEchelleSalariale`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateEchelleSalariale`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateEchelleSalariale`(P_ID int(11), P_NoEchelle int(11), P_Classe varchar(25), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	EchelleSalariale

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		EchelleSalariale

	SET 	

		NoEchelle =  P_NoEchelle,

		Classe =  P_Classe,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadEchelleSalariale(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateEchelleSalarialeAssocEchelleSalarialeEchelons`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateEchelleSalarialeAssocEchelleSalarialeEchelons`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateEchelleSalarialeAssocEchelleSalarialeEchelons`(P_ID int(11), P_EchelleSalarialeID int(11), P_NoEchelon int(11), P_DateDebut datetime, P_Salaire numeric(19,4), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	EchelleSalarialeEchelons

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE EchelleSalarialeEchelons

	SET 	

		EchelleSalarialeID =  P_EchelleSalarialeID,

		NoEchelon =  P_NoEchelon,

		DateDebut =  P_DateDebut,

		Salaire =  P_Salaire,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadEchelleSalarialeAssocEchelleSalarialeEchelons (P_EchelleSalarialeID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateEtapePlumitif`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateEtapePlumitif`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateEtapePlumitif`(P_ID int(11), P_Cheminement varchar(255), P_Attribution varchar(100), P_RequiertNombreJours tinyint(1), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	EtapePlumitif

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		EtapePlumitif

	SET 	

		Cheminement =  P_Cheminement,

		Attribution =  P_Attribution,

    RequiertNombreJours = P_RequiertNombreJours,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadEtapePlumitif(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateEvenement`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateEvenement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateEvenement`(P_ID int(11), P_Nom varchar(100), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Evenement

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Evenement

	SET 	

		Nom =  P_Nom,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadEvenement(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateEvenementAssocEvenementParticipants`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateEvenementAssocEvenementParticipants`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateEvenementAssocEvenementParticipants`(P_ID int(11), P_EvenementID int(11), P_ClientID int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	EvenementParticipants

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE EvenementParticipants

	SET 	

		EvenementID =  P_EvenementID,

		ClientID =  P_ClientID,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadEvenementAssocEvenementParticipants (P_EvenementID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateInstanceJudiciaire`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateInstanceJudiciaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateInstanceJudiciaire`(P_ID int(11), P_InstanceJudiciaire int(11), P_PresenceDistrictJudiciaire int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	InstanceJudiciaire

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		InstanceJudiciaire

	SET 	

		InstanceJudiciaire =  P_InstanceJudiciaire,

		PresenceDistrictJudiciaire =  P_PresenceDistrictJudiciaire,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadInstanceJudiciaire(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateLienAddresse`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateLienAddresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateLienAddresse`(P_ID int(11), P_AddresseID int(11), P_MembreID int(11), P_RelationID int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	LienAddresse

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		LienAddresse

	SET 	

		AddresseID =  P_AddresseID,

		MembreID =  P_MembreID,

		RelationID =  P_RelationID,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadLienAddresse(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateMembre`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateMembre`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateMembre`(P_ID int(11), P_Type int(11), P_Prenom varchar(50), P_Nom varchar(50), P_DateEntree datetime, P_DateDepart datetime, P_NAS varchar(9), P_CodeUsager varchar(10), P_DateNaissance datetime, P_Courriel varchar(100), P_SuperieurImmediat int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, P_LanguageCode char(2), P_CurrentDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT

	COUNT(*)

INTO

	V_ROW_COUNT

FROM

	Membre

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		Membre

	SET 	

		Type =  P_Type,

		Prenom =  P_Prenom,

		Nom =  P_Nom,

		DateEntree =  P_DateEntree,

		DateDepart =  P_DateDepart,

		NAS =  P_NAS,

		CodeUsager =  P_CodeUsager,

		DateNaissance =  P_DateNaissance,

    Courriel = P_Courriel,

		SuperieurImmediat =  P_SuperieurImmediat,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadMembre(P_ID, P_CurrentDate, P_LanguageCode);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateMembreAssocMembreAbsences`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateMembreAssocMembreAbsences`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateMembreAssocMembreAbsences`(P_ID int(11), P_MembreID int(11), P_DateDebut datetime, P_DateRetour datetime, P_NbJours smallint(6), P_NbHeures double, P_RaisonAbsence int(11), P_Pourcentage double, P_Montant numeric(19,4), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	MembreAbsences

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE MembreAbsences

	SET 	

		MembreID =  P_MembreID,

		DateDebut =  P_DateDebut,

		DateRetour =  P_DateRetour,

		NbJours =  P_NbJours,

		NbHeures =  P_NbHeures,

		RaisonAbsence =  P_RaisonAbsence,

		Pourcentage =  P_Pourcentage,

		Montant =  P_Montant,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadMembreAssocMembreAbsences (P_MembreID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateMembreAssocMembreDepenses`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateMembreAssocMembreDepenses`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateMembreAssocMembreDepenses`(P_ID int(11), P_MembreID int(11), P_Description int(11), P_Montant numeric(19,4), P_DateDepense datetime, P_DatePaiement datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	MembreDepenses

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE MembreDepenses

	SET 	

		MembreID =  P_MembreID,

		Description =  P_Description,

		Montant =  P_Montant,

		DateDepense =  P_DateDepense,

		DatePaiement =  P_DatePaiement,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadMembreAssocMembreDepenses (P_MembreID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateMembreAssocMembreHoraires`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateMembreAssocMembreHoraires`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateMembreAssocMembreHoraires`(P_ID int(11), P_MembreID int(11), P_DateDebut datetime, P_LundiAM double, P_LundiPM double, P_MardiAM double, P_MardiPM double, P_MercrediAM double, P_MercrediPM double, P_JeudiAM double, P_JeudiPM double, P_VendrediAM double, P_VendrediPM double, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	MembreHoraires

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE MembreHoraires

	SET 	

		MembreID =  P_MembreID,

		DateDebut =  P_DateDebut,

		LundiAM =  P_LundiAM,

		LundiPM =  P_LundiPM,

		MardiAM =  P_MardiAM,

		MardiPM =  P_MardiPM,

		MercrediAM =  P_MercrediAM,

		MercrediPM =  P_MercrediPM,

		JeudiAM =  P_JeudiAM,

		JeudiPM =  P_JeudiPM,

		VendrediAM =  P_VendrediAM,

		VendrediPM =  P_VendrediPM,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadMembreAssocMembreHoraires (P_MembreID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateMembreAssocMembrePrimesForfaits`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateMembreAssocMembrePrimesForfaits`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateMembreAssocMembrePrimesForfaits`(P_ID int(11), P_MembreID int(11), P_TypePrimeForfait int(11), P_Code int(11), P_DateDebut datetime, P_DateFin datetime, P_Duree smallint(6), P_PourcentagePrime double, P_ForfaitAnnuel numeric(19,4), P_MontantPaye numeric(19,4), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	MembrePrimesForfaits

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE MembrePrimesForfaits

	SET 	

		MembreID =  P_MembreID,

		TypePrimeForfait =  P_TypePrimeForfait,

		Code =  P_Code,

		DateDebut =  P_DateDebut,

		DateFin =  P_DateFin,

		Duree =  P_Duree,

		PourcentagePrime =  P_PourcentagePrime,

		ForfaitAnnuel =  P_ForfaitAnnuel,

		MontantPaye =  P_MontantPaye,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadMembreAssocMembrePrimesForfaits (P_MembreID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateMembreAssocMembreProfilEmploi`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateMembreAssocMembreProfilEmploi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateMembreAssocMembreProfilEmploi`(P_ID int(11), P_MembreID int(11), P_CentreResponsabilite int(11), P_DateCentreResponsabilite datetime, P_CorpsEmploi int(11), P_Echelle int(11), P_Echelon int(11), P_StatutEmploi int(11), P_StatutHoraire int(11), P_DateEffective datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, P_CurrentDate datetime, P_HeuresTempsPlein double, P_LanguageCode char(2), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT

	COUNT(*)

INTO

	V_ROW_COUNT

FROM

	MembreProfilEmploi

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE MembreProfilEmploi

	SET

		MembreID =  P_MembreID,

		CentreResponsabilite =  P_CentreResponsabilite,

		DateCentreResponsabilite =  P_DateCentreResponsabilite,

		CorpsEmploi =  P_CorpsEmploi,

		Echelle =  P_Echelle,

		Echelon =  P_Echelon,

		StatutEmploi =  P_StatutEmploi,

		StatutHoraire =  P_StatutHoraire,

		DateEffective =  P_DateEffective,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it

	CALL PRC_ReadMembreAssocMembreProfilEmploi (P_MembreID, P_ID, P_CurrentDate, P_HeuresTempsPlein, P_LanguageCode);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateMembreAssocMembreTempsSupplementaire`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateMembreAssocMembreTempsSupplementaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateMembreAssocMembreTempsSupplementaire`(P_ID int(11), P_MembreID int(11), P_NoCategorie int(11), P_Facteur float, P_DateDebut datetime, P_DateFin datetime, P_Duree smallint(6), P_MontantPaye numeric(19,4), P_DatePaiement datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, P_LanguageCode char(2), out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT

	COUNT(*)

INTO

	V_ROW_COUNT

FROM

	MembreTempsSupplementaire

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE MembreTempsSupplementaire

	SET

		MembreID =  P_MembreID,

		NoCategorie =  P_NoCategorie,

		Facteur =  P_Facteur,

		DateDebut =  P_DateDebut,

		DateFin =  P_DateFin,

		Duree =  P_Duree,

		MontantPaye =  P_MontantPaye,

		DatePaiement =  P_DatePaiement,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it

	CALL PRC_ReadMembreAssocMembreTempsSupplementaire (P_MembreID, P_ID, P_LanguageCode);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateMembreAssocMembreTraitementDiffere`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateMembreAssocMembreTraitementDiffere`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateMembreAssocMembreTraitementDiffere`(P_ID int(11), P_MembreID int(11), P_DateDebutParticipation datetime, P_DateFinParticipationPrevue datetime, P_DureeParticipation smallint(6), P_DateDebutConge datetime, P_DateFinCongePrevue datetime, P_DureeConge smallint(6), P_Pourcentage double, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	MembreTraitementDiffere

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE MembreTraitementDiffere

	SET 	

		MembreID =  P_MembreID,

		DateDebutParticipation =  P_DateDebutParticipation,

		DateFinParticipationPrevue =  P_DateFinParticipationPrevue,

		DureeParticipation =  P_DureeParticipation,

		DateDebutConge =  P_DateDebutConge,

		DateFinCongePrevue =  P_DateFinCongePrevue,

		DureeConge =  P_DureeConge,

		Pourcentage =  P_Pourcentage,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadMembreAssocMembreTraitementDiffere (P_MembreID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateNote`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateNote`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateNote`(P_ID int(11), P_DemandeID int(11), P_PlainteID int(11), P_Description text, P_Date datetime, P_SaisiPar int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Note

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Note

	SET 	

		DemandeID =  P_DemandeID,

		PlainteID =  P_PlainteID,

		Description =  P_Description,

		Date =  P_Date,

		SaisiPar =  P_SaisiPar,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadNote(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainte`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainte`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainte`(P_ID int(11), P_AncienID varchar(20), P_TypeDroit int(11), P_LoiJeunesse int(11), P_PlaignantID int(11), P_STATUT int(11), P_BUREAU int(11), P_RegionAdministrativeMODIFIER int(11), P_Secteur int(11), P_Archivex varchar(10), P_NB_Archive varchar(8), P_ArchivageVersement int(11), P_DateArchivage datetime, P_Thematique varchar(100), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Plainte

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Plainte

	SET 	

		AncienID =  P_AncienID,

		TypeDroit =  P_TypeDroit,

		LoiJeunesse =  P_LoiJeunesse,

		PlaignantID =  P_PlaignantID,

		STATUT =  P_STATUT,

		BUREAU =  P_BUREAU,

		RegionAdministrativeMODIFIER =  P_RegionAdministrativeMODIFIER,

		Secteur =  P_Secteur,

		Archivex =  P_Archivex,

		NB_Archive =  P_NB_Archive,

		ArchivageVersement =  P_ArchivageVersement,

		DateArchivage =  P_DateArchivage,

		Thematique =  P_Thematique,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainte(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteAssignations`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteAssignations`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteAssignations`(P_ID int(11), P_PlainteID int(11), P_TypeAssignation int(11), P_ENQUETEUR int(11), P_DATE_ASS datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteAssignationsRecherche

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlainteAssignationsRecherche

	SET 	

		PlainteID =  P_PlainteID,

		TypeAssignation =  P_TypeAssignation,

		ENQUETEUR =  P_ENQUETEUR,

		DATE_ASS =  P_DATE_ASS,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteAssignations (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteAvis`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteAvis`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteAvis`(P_ID int(11), P_PlainteID int(11), P_AVOCAT int(11), P_ENVOI datetime, P_RETOUR datetime, P_DIRECTION int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteAvis

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlainteAvis

	SET 	

		PlainteID =  P_PlainteID,

		AVOCAT =  P_AVOCAT,

		ENVOI =  P_ENVOI,

		RETOUR =  P_RETOUR,

		DIRECTION =  P_DIRECTION,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteAvis (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteCheminement`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteCheminement`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteCheminement`(P_ID int(11), P_PlainteID int(11), P_CheminementID int(11), P_StatutInitial int(11), P_StatutFinal int(11), P_Description varchar(200), P_Commentaires varchar(200), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteCheminement

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlainteCheminement

	SET 	

		PlainteID =  P_PlainteID,

		CheminementID =  P_CheminementID,

		StatutInitial =  P_StatutInitial,

		StatutFinal =  P_StatutFinal,

		Description =  P_Description,

		Commentaires =  P_Commentaires,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteCheminement (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteDecisions`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteDecisions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteDecisions`(P_ID int(11), P_PlainteID int(11), P_Depot_Dir datetime, P_Enqueteur int(11), P_No_CP varchar(6), P_Date_CP datetime, P_No_PRE varchar(6), P_Date_PRE datetime, P_Acte text, P_MontantReglement numeric(19,4), P_ReglementConfidentiel tinyint(1), P_Date_Regle datetime, P_MotifFermeture int(11), P_Detail_fer int(11), P_Datail_78 int(11), P_DateFermeture datetime, P_RaisonDesistement int(11), P_RaisonDesistementDetaile text, P_Date_desis datetime, P_Resolution text, P_RedigePar int(11), P_Sommaire text, P_Retire int(11), P_EtapeEtudeDossier int(11), P_MotifReport int(11), P_DateRetourCE datetime, P_DateEnvoiDecision datetime, P_No_Com varchar(12), P_Date_COM datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteDecisions

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlainteDecisions

	SET 	

		PlainteID =  P_PlainteID,

		Depot_Dir =  P_Depot_Dir,

		Enqueteur =  P_Enqueteur,

		No_CP =  P_No_CP,

		Date_CP =  P_Date_CP,

		No_PRE =  P_No_PRE,

		Date_PRE =  P_Date_PRE,

		Acte =  P_Acte,

		MontantReglement =  P_MontantReglement,

		ReglementConfidentiel =  P_ReglementConfidentiel,

		Date_Regle =  P_Date_Regle,

		MotifFermeture =  P_MotifFermeture,

		Detail_fer =  P_Detail_fer,

		Datail_78 =  P_Datail_78,

		DateFermeture =  P_DateFermeture,

		RaisonDesistement =  P_RaisonDesistement,

		RaisonDesistementDetaile =  P_RaisonDesistementDetaile,

		Date_desis =  P_Date_desis,

		Resolution =  P_Resolution,

		RedigePar =  P_RedigePar,

		Sommaire =  P_Sommaire,

		Retire =  P_Retire,

		EtapeEtudeDossier =  P_EtapeEtudeDossier,

		MotifReport =  P_MotifReport,

		DateRetourCE =  P_DateRetourCE,

		DateEnvoiDecision =  P_DateEnvoiDecision,

		No_Com =  P_No_Com,

		Date_COM =  P_Date_COM,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteDecisions (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteDescripteurs`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteDescripteurs`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteDescripteurs`(P_ID int(11), P_PlainteID int(11), P_TypeDescripteur int(11), P_Descripteur int(11), P_EstPrincipal tinyint(1), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteDescripteurs

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlainteDescripteurs

	SET 	

		PlainteID =  P_PlainteID,

		TypeDescripteur =  P_TypeDescripteur,

		Descripteur =  P_Descripteur,

		EstPrincipal =  P_EstPrincipal,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteDescripteurs (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteDocumentsReference`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteDocumentsReference`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteDocumentsReference`(P_ID int(11), P_PlainteID int(11), P_DocumentReference int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteDocumentsReference

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlainteDocumentsReference

	SET 	

		PlainteID =  P_PlainteID,

		DocumentReference =  P_DocumentReference,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteDocumentsReference (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteDocumentsSpecifiques`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteDocumentsSpecifiques`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteDocumentsSpecifiques`(P_ID int(11), P_PlainteID int(11), P_DocumentSpecifique int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteDocumentsSpecifiques

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlainteDocumentsSpecifiques

	SET 	

		PlainteID =  P_PlainteID,

		DocumentSpecifique =  P_DocumentSpecifique,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteDocumentsSpecifiques (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteEnquete`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteEnquete`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteEnquete`(P_ID int(11), P_PlainteID int(11), P_Enqueteur int(11), P_DateAssignation datetime, P_AutreEnqueteur int(11), P_DateRapport datetime, P_DateAvisEnquete datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteEnquete

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlainteEnquete

	SET 	

		PlainteID =  P_PlainteID,

		Enqueteur =  P_Enqueteur,

		DateAssignation =  P_DateAssignation,

		AutreEnqueteur =  P_AutreEnqueteur,

		DateRapport =  P_DateRapport,

		DateAvisEnquete =  P_DateAvisEnquete,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteEnquete (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteJugements`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteJugements`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteJugements`(P_ID int(11), P_PlainteID int(11), P_AvocatID int(11), P_NatureJugement int(11), P_DateJugement datetime, P_ExplicationsNatureJugement text, P_NoSeancePresident varchar(5), P_DateSeancePresident datetime, P_NoSeanceCP varchar(6), P_DateSeanceCP datetime, P_NoCour varchar(14), P_DetailsJugement varchar(37), P_MontantDommagesMateriels numeric(19,4), P_MontantDommagesMoraux numeric(19,4), P_MontantDommagesExemplaires numeric(19,4), P_AccomplissementActe text, P_Commentaires varchar(60), P_DateFermetureDossier datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Tribunal2

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE Tribunal2

	SET 	

		PlainteID =  P_PlainteID,

		AvocatID =  P_AvocatID,

		NatureJugement =  P_NatureJugement,

		DateJugement =  P_DateJugement,

		ExplicationsNatureJugement =  P_ExplicationsNatureJugement,

		NoSeancePresident =  P_NoSeancePresident,

		DateSeancePresident =  P_DateSeancePresident,

		NoSeanceCP =  P_NoSeanceCP,

		DateSeanceCP =  P_DateSeanceCP,

		NoCour =  P_NoCour,

		DetailsJugement =  P_DetailsJugement,

		MontantDommagesMateriels =  P_MontantDommagesMateriels,

		MontantDommagesMoraux =  P_MontantDommagesMoraux,

		MontantDommagesExemplaires =  P_MontantDommagesExemplaires,

		AccomplissementActe =  P_AccomplissementActe,

		Commentaires =  P_Commentaires,

		DateFermetureDossier =  P_DateFermetureDossier,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteJugements (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteMediation`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteMediation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteMediation`(P_ID int(11), P_PlainteID int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteMediation

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlainteMediation

	SET 	

		PlainteID =  P_PlainteID,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteMediation (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteMesures`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteMesures`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteMesures`(P_ID int(11), P_PlainteID int(11), P_NumeroCPS varchar(6), P_DateCPS datetime, P_DateRevision datetime, P_DECISION tinyint(1), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteMesures

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlainteMesures

	SET 	

		PlainteID =  P_PlainteID,

		NumeroCPS =  P_NumeroCPS,

		DateCPS =  P_DateCPS,

		DateRevision =  P_DateRevision,

		DECISION =  P_DECISION,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteMesures (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteParties`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteParties`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteParties`(P_ID int(11), P_PlainteID int(11), P_TypePartie int(11), P_PartieID int(11), P_TitreMandataire varchar(40), P_TypeRole int(11), P_AdresseID int(11), P_Adresse varchar(60), P_Ville varchar(40), P_Province varchar(20), P_CodePostal varchar(6), P_Pays varchar(50), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteParties

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlainteParties

	SET 	

		PlainteID =  P_PlainteID,

		TypePartie =  P_TypePartie,

		PartieID =  P_PartieID,

		TitreMandataire =  P_TitreMandataire,

		TypeRole =  P_TypeRole,

		AdresseID =  P_AdresseID,

		Adresse =  P_Adresse,

		Ville =  P_Ville,

		Province =  P_Province,

		CodePostal =  P_CodePostal,

		Pays =  P_Pays,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteParties (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlaintePiecesJointes`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlaintePiecesJointes`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlaintePiecesJointes`(P_ID int(11), P_PlainteID int(11), P_MyNewAttribute varchar(25), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlaintePiecesJointes

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlaintePiecesJointes

	SET 	

		PlainteID =  P_PlainteID,

		MyNewAttribute =  P_MyNewAttribute,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlaintePiecesJointes (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlainteAssocPlainteRecevabilite`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlainteAssocPlainteRecevabilite`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlainteAssocPlainteRecevabilite`(P_ID int(11), P_PlainteID int(11), P_Technicien int(11), P_DateAssignation datetime, P_Evenement datetime, P_Recommandation int(11), P_Justification text, P_Envoi_ques datetime, P_Expiration datetime, P_Retour_que datetime, P_Non_ouvert int(11), P_Date_non_o datetime, P_DecisionPar int(11), P_Decision int(11), P_NaturePlainte text, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlainteRecevabilite

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PlainteRecevabilite

	SET 	

		PlainteID =  P_PlainteID,

		Technicien =  P_Technicien,

		DateAssignation =  P_DateAssignation,

		Evenement =  P_Evenement,

		Recommandation =  P_Recommandation,

		Justification =  P_Justification,

		Envoi_ques =  P_Envoi_ques,

		Expiration =  P_Expiration,

		Retour_que =  P_Retour_que,

		Non_ouvert =  P_Non_ouvert,

		Date_non_o =  P_Date_non_o,

		DecisionPar =  P_DecisionPar,

		Decision =  P_Decision,

		NaturePlainte =  P_NaturePlainte,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlainteAssocPlainteRecevabilite (P_PlainteID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePlumitifAutrePartie`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePlumitifAutrePartie`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePlumitifAutrePartie`(P_ID int(11), P_AutrePartieID varchar(25), P_Nom varchar(50), P_Prenom varchar(50), P_NomOrganisation varchar(100), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PlumitifAutrePartie

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		PlumitifAutrePartie

	SET 	

		AutrePartieID =  P_AutrePartieID,

		Nom =  P_Nom,

		Prenom =  P_Prenom,

		NomOrganisation =  P_NomOrganisation,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadPlumitifAutrePartie(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePresentationStatutaire`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePresentationStatutaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePresentationStatutaire`(P_ID int(11), P_NumeroSeance varchar(25), P_DateSeance datetime, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PresentationStatutaire

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		PresentationStatutaire

	SET 	

		NumeroSeance =  P_NumeroSeance,

		DateSeance =  P_DateSeance,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadPresentationStatutaire(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePresentationStatutaireAssocPresentationStatutaireDossi`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePresentationStatutaireAssocPresentationStatutaireDossi`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePresentationStatutaireAssocPresentationStatutaireDossi`(P_ID int(11), P_PresentationStatutaireID int(11), P_DossierID int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PresentationStatutaireDossiers

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE PresentationStatutaireDossiers

	SET 	

		PresentationStatutaireID =  P_PresentationStatutaireID,

		DossierID =  P_DossierID,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadPresentationStatutaireAssocPresentationStatutaireDossiers (P_PresentationStatutaireID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePrimeForfait`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePrimeForfait`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePrimeForfait`(P_ID int(11), P_TypePrimeForfait int(11), P_Code varchar(25), P_Description varchar(100), P_PourcentagePrime double, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	PrimeForfait

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		PrimeForfait

	SET 	

		TypePrimeForfait =  P_TypePrimeForfait,

		Code =  P_Code,

		Description =  P_Description,

		PourcentagePrime =  P_PourcentagePrime,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadPrimeForfait(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdatePromotion`
--

DROP PROCEDURE IF EXISTS `PRC_UpdatePromotion`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdatePromotion`(P_ID int(11), P_MyNewAttribute varchar(25), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Promotion

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Promotion

	SET 	

		MyNewAttribute =  P_MyNewAttribute,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadPromotion(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateRegionAdministrative`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateRegionAdministrative`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateRegionAdministrative`(P_ID int(11), P_RegionAdministrativeID int(11), P_BureauID int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	RegionAdministrative

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		RegionAdministrative

	SET 	

		RegionAdministrativeID =  P_RegionAdministrativeID,

		BureauID =  P_BureauID,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadRegionAdministrative(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateRelation`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateRelation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateRelation`(P_ID int(11), P_Type int(11), P_Statut int(11), P_LangueCommunication int(11), P_Secteur int(11), P_TypeOrganisation int(11), P_NomOrganisation varchar(60), P_Sigle varchar(25), P_CategorieOrganisation int(11), P_TitreCivilite int(11), P_TitreHonorifique int(11), P_Prenom varchar(50), P_Nom varchar(50), P_OrganisationReliee int(11), P_EstRepresentantPrincipal tinyint(1), P_Genre int(11), P_DateDeNaissance datetime, P_Fonction varchar(100), P_Departement varchar(100), P_Courriel varchar(100), P_SiteWeb varchar(100), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Relation

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Relation

	SET 	

		Type =  P_Type,

		Statut =  P_Statut,

		LangueCommunication =  P_LangueCommunication,

		Secteur =  P_Secteur,

		TypeOrganisation =  P_TypeOrganisation,

		NomOrganisation =  P_NomOrganisation,

		Sigle =  P_Sigle,

		CategorieOrganisation =  P_CategorieOrganisation,

		TitreCivilite =  P_TitreCivilite,

		TitreHonorifique =  P_TitreHonorifique,

		Prenom =  P_Prenom,

		Nom =  P_Nom,

		OrganisationReliee =  P_OrganisationReliee,

		EstRepresentantPrincipal =  P_EstRepresentantPrincipal,

		Genre =  P_Genre,

		DateDeNaissance =  P_DateDeNaissance,

		Fonction =  P_Fonction,

		Departement =  P_Departement,

		Courriel =  P_Courriel,

		SiteWeb =  P_SiteWeb,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadRelation(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateRelationAssocRelationClienteles`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateRelationAssocRelationClienteles`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateRelationAssocRelationClienteles`(P_ID int(11), P_RelationID int(11), P_Clientele int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	RelationClienteles

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE RelationClienteles

	SET 	

		RelationID =  P_RelationID,

		Clientele =  P_Clientele,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadRelationAssocRelationClienteles (P_RelationID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateRelationAssocRelationClientsARisque`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateRelationAssocRelationClientsARisque`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateRelationAssocRelationClientsARisque`(P_ID int(11), P_RelationID int(11), P_Evenement text, P_DateEvenement datetime, P_Lieux int(11), P_Rapports varchar(100), P_ActionsPosesSuiteEvenement text, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	RelationClientsARisque

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE RelationClientsARisque

	SET 	

		RelationID =  P_RelationID,

		Evenement =  P_Evenement,

		DateEvenement =  P_DateEvenement,

		Lieux =  P_Lieux,

		Rapports =  P_Rapports,

		ActionsPosesSuiteEvenement =  P_ActionsPosesSuiteEvenement,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadRelationAssocRelationClientsARisque (P_RelationID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateRelationAssocRelationRepresentants`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateRelationAssocRelationRepresentants`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateRelationAssocRelationRepresentants`(P_ID int(11), P_RelationID int(11), P_Representant int(11), P_Prenom varchar(50), P_Nom varchar(50), P_EstRepresentantPrincipal tinyint(1), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	RelationRepresentants

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE RelationRepresentants

	SET 	

		RelationID =  P_RelationID,

		Representant =  P_Representant,

		Prenom =  P_Prenom,

		Nom =  P_Nom,

		EstRepresentantPrincipal =  P_EstRepresentantPrincipal,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadRelationAssocRelationRepresentants (P_RelationID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateRevuePresse`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateRevuePresse`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateRevuePresse`(P_ID int(11), P_Edition varchar(100), P_FichierSource varchar(100), P_Note text, P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	RevuePresse

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		RevuePresse

	SET 	

		Edition =  P_Edition,

		FichierSource =  P_FichierSource,

		Note =  P_Note,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadRevuePresse(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateSecteur`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateSecteur`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateSecteur`(P_ID int(11), P_Secteur int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Secteur

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Secteur

	SET 	

		Secteur =  P_Secteur,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadSecteur(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateSecteurAssocSecteurTypesOrganisation`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateSecteurAssocSecteurTypesOrganisation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateSecteurAssocSecteurTypesOrganisation`(P_ID int(11), P_SecteurID int(11), P_TypeOrganisation int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	SecteurTypesOrganisation

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE SecteurTypesOrganisation

	SET 	

		SecteurID =  P_SecteurID,

		TypeOrganisation =  P_TypeOrganisation,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadSecteurAssocSecteurTypesOrganisation (P_SecteurID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateStatut`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateStatut`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateStatut`(P_ID int(11), P_TypeDroit int(11), P_StatutID int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Statut

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Statut

	SET 	

		TypeDroit =  P_TypeDroit,

		StatutID =  P_StatutID,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadStatut(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateSujet`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateSujet`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateSujet`(P_ID int(11), P_Sujet int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Sujet

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Sujet

	SET 	

		Sujet =  P_Sujet,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadSujet(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateSujetAssocSujetSujetSecondaire`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateSujetAssocSujetSujetSecondaire`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateSujetAssocSujetSujetSecondaire`(P_ID int(11), P_SujetID int(11), P_Sujet int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	SujetSujetSecondaire

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE SujetSujetSecondaire

	SET 	

		SujetID =  P_SujetID,

		Sujet =  P_Sujet,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadSujetAssocSujetSujetSecondaire (P_SujetID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateTelephone`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateTelephone`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateTelephone`(P_ID int(11), P_MembreID int(11), P_RelationID int(11), P_Type int(11), P_Numero varchar(25), P_Poste varchar(10), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	Telephone

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		Telephone

	SET 	

		MembreID =  P_MembreID,

		RelationID =  P_RelationID,

		Type =  P_Type,

		Numero =  P_Numero,

		Poste =  P_Poste,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadTelephone(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateTransitionStatut`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateTransitionStatut`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateTransitionStatut`(P_ID int(11), P_StatutInitial int(11), P_NouveauStatut int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	TransitionStatut

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		TransitionStatut

	SET 	

		StatutInitial =  P_StatutInitial,

		NouveauStatut =  P_NouveauStatut,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadTransitionStatut(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateTransitionStatutAssocTransitionStatutActions`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateTransitionStatutAssocTransitionStatutActions`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateTransitionStatutAssocTransitionStatutActions`(P_ID int(11), P_TransitionStatutID int(11), P_Action varchar(50), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	TransitionStatutActions

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE TransitionStatutActions

	SET 	

		TransitionStatutID =  P_TransitionStatutID,

		Action =  P_Action,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadTransitionStatutAssocTransitionStatutActions (P_TransitionStatutID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateTypeClient`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateTypeClient`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateTypeClient`(P_ID int(11), P_Code varchar(25), P_Description varchar(25), P_TypeDroit int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	TypeClient

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE

		TypeClient

	SET 	

		Code =  P_Code,

		Description =  P_Description,

		TypeDroit =  P_TypeDroit,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadTypeClient(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateTypeOrganisation`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateTypeOrganisation`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateTypeOrganisation`(P_ID int(11), P_TypeOrganisation int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	TypeOrganisation

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		TypeOrganisation

	SET 	

		TypeOrganisation =  P_TypeOrganisation,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadTypeOrganisation(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateTypeOrganisationAssocTypeOrganisationClienteles`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateTypeOrganisationAssocTypeOrganisationClienteles`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateTypeOrganisationAssocTypeOrganisationClienteles`(P_ID int(11), P_TypeOrganisationID int(11), P_Clientele int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	TypesOrganisationClienteles

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE TypesOrganisationClienteles

	SET 	

		TypeOrganisationID =  P_TypeOrganisationID,

		Clientele =  P_Clientele,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;



	# -- Reads the updated record and returns it	

	CALL PRC_ReadTypeOrganisationAssocTypeOrganisationClienteles (P_TypeOrganisationID, P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Procedure `p4`.`PRC_UpdateVersementDestruction`
--

DROP PROCEDURE IF EXISTS `PRC_UpdateVersementDestruction`;
DELIMITER %%;
CREATE PROCEDURE `PRC_UpdateVersementDestruction`(P_ID int(11), P_Date datetime, P_ArchivageAction int(11), P_UpdatedBy varchar(100), P_UpdatedDate datetime, P_DeletedBy varchar(100), P_DeletedDate datetime, out P_RETURNVALUE int)
BEGIN



# ---------------------------------------

# -- Manages concurrency

# ---------------------------------------

# -- This is a workaround to compensate 

# -- for a bug in MySQL

# ---------------------------------------

DECLARE V_ROW_COUNT int;



SET P_RETURNVALUE = 0;



SELECT 

	COUNT(*)

INTO 

	V_ROW_COUNT

FROM 

	VersementDestruction

WHERE

	ID = P_ID AND

	UpdatedDate = P_UpdatedDate AND

	DeletedDate IS NULL;



IF V_ROW_COUNT = 0 THEN

	SET P_RETURNVALUE = 7004;

ELSE

	UPDATE 

		VersementDestruction

	SET 	

		Date =  P_Date,

		ArchivageAction =  P_ArchivageAction,

		UpdatedBy =  P_UpdatedBy,

		UpdatedDate = NOW(),

		DeletedBy =  P_DeletedBy,

		DeletedDate =  P_DeletedDate			

	WHERE

		ID = P_ID AND

		UpdatedDate = P_UpdatedDate AND

		DeletedDate IS NULL;

	

	# -- Reads the updated record and returns it	

	CALL PRC_ReadVersementDestruction(P_ID);

END IF;



END%%
DELIMITER ;%%

--
-- Function `p4`.`fnc_azAdjustToDate`
--

DROP FUNCTION IF EXISTS `fnc_azAdjustToDate`;
DELIMITER %%;
CREATE FUNCTION `fnc_azAdjustToDate`(P_ToDate TIMESTAMP) RETURNS timestamp
BEGIN



DECLARE tsReturn TIMESTAMP;



IF Hour(P_ToDate) = 0 and Minute(P_ToDate) = 0 and Second(P_ToDate) = 0 and Microsecond(P_ToDate)  = 0 THEN

	SET tsReturn = Date_Add(P_ToDate, Interval '23:59:59.999999' Hour_MicroSecond);

ELSE

	SET tsReturn = P_ToDate;

END IF;



RETURN tsReturn;



END%%
DELIMITER ;%%

--
-- Function `p4`.`FNC_GetHoraireHeuresTotales`
--

DROP FUNCTION IF EXISTS `FNC_GetHoraireHeuresTotales`;
DELIMITER %%;
CREATE FUNCTION `FNC_GetHoraireHeuresTotales`(P_MembreID int(11), P_DateDebut datetime, P_StatutHoraire int(11), P_HeuresTempsPlein double) RETURNS int(11)
BEGIN



DECLARE V_TotalHeures Double;

DECLARE V_StatutHoraireCode varchar(50);



SELECT

  ValueCode

INTO

  V_StatutHoraireCode

FROM

  azRefTablesValues

WHERE

  ID = P_StatutHoraire;



IF (V_StatutHoraireCode = '1') THEN

  RETURN P_HeuresTempsPlein;

ELSE

  SELECT

    IFNULL(LundiAM, 0) + IFNULL(LundiPM, 0) + IFNULL(MardiAM, 0) + IFNULL(MardiPM, 0) + IFNULL(MercrediAM, 0) + IFNULL(MercrediPM, 0) + IFNULL(JeudiAM, 0) + IFNULL(JeudiPM, 0) + IFNULL(VendrediAM, 0) + IFNULL(VendrediPM, 0) HeuresTotales

  INTO

    V_TotalHeures

  FROM

	  MembreHoraires

  WHERE

	  MembreID = P_MembreID AND

	  DeletedDate IS NULL AND

    DateDebut <= P_DateDebut AND

    DateDebut IN (

      SELECT

        MAX(DateDebut)

      FROM

        MembreHoraires

      WHERE

        MembreID = P_MembreID AND

  		  DeletedDate IS NULL AND

        DateDebut <= P_DateDebut);



  IF (V_TotalHeures = 0) THEN

    RETURN P_HeuresTempsPlein;

  ELSE

    RETURN V_TotalHeures;

  END IF;



END IF;





RETURN ROUND(V_TotalHeures, 2);



END%%
DELIMITER ;%%

--
-- Function `p4`.`FNC_GetSalaireBase`
--

DROP FUNCTION IF EXISTS `FNC_GetSalaireBase`;
DELIMITER %%;
CREATE FUNCTION `FNC_GetSalaireBase`(P_EchelleSalarialeID int(11), P_ID int(11)) RETURNS double
BEGIN



DECLARE V_SalaireBase DOUBLE;



SELECT

	Salaire

 INTO

  V_SalaireBase

FROM

	EchelleSalarialeEchelons

WHERE

	EchelleSalarialeID = P_EchelleSalarialeID AND

	ID = P_ID AND

	DeletedDate IS NULL;



RETURN V_SalaireBase;



END%%
DELIMITER ;%%

--
-- Function `p4`.`FNC_GetSalaireCalcule`
--

DROP FUNCTION IF EXISTS `FNC_GetSalaireCalcule`;
DELIMITER %%;
CREATE FUNCTION `FNC_GetSalaireCalcule`(P_MembreID int(11), P_CategorieEmploiID int(11), P_EchelleSalarialeID int(11), P_EchelonID int(11), P_StatutEmploiID int(11), P_StatutHoraireID int(11), P_DateDebut datetime, P_HeuresTempsPlein double) RETURNS double
BEGIN



DECLARE V_SalaireBase DOUBLE;

DECLARE V_SupplementSalaire FLOAT;

DECLARE V_HeuresParSemaine DOUBLE;

DECLARE V_SalaireCalcule DOUBLE;



SET V_SalaireBase = FNC_GetSalaireBase(P_EchelleSalarialeID, P_EchelonID);

SET V_SupplementSalaire = FNC_GetSupplementSalaire(P_CategorieEmploiID, P_StatutEmploiID);

SET V_HeuresParSemaine = FNC_GetHoraireHeuresTotales(P_MembreID, P_DateDebut, P_StatutHoraireID, P_HeuresTempsPlein);



SET V_SalaireCalcule = V_SalaireBase * (V_HeuresParSemaine / P_HeuresTempsPlein) * V_SupplementSalaire;



RETURN ROUND(V_SalaireCalcule, 2);



END%%
DELIMITER ;%%

--
-- Function `p4`.`FNC_GetSupplementSalaire`
--

DROP FUNCTION IF EXISTS `FNC_GetSupplementSalaire`;
DELIMITER %%;
CREATE FUNCTION `FNC_GetSupplementSalaire`(P_CategorieEmploiID int(11), P_StatutEmploiID int(11)) RETURNS float
BEGIN



DECLARE V_SupplementSalaire FLOAT;

DECLARE V_StatutEmploiCode VARCHAR(50);



SELECT

  ValueCode

INTO

  V_StatutEmploiCode

FROM

  azRefTablesValues

WHERE

  ID = P_StatutEmploiID;



IF (V_StatutEmploiCode = '8') THEN



  SELECT

	  ROUND(CategorieEmploi.Facteur, 4)

  INTO

    V_SupplementSalaire

  FROM

	  CategorieEmploi

  WHERE

	  CategorieEmploi.ID = P_CategorieEmploiID AND

  	CategorieEmploi.DeletedDate IS NULL;



ELSE



  SET V_SupplementSalaire = 1;



END IF;



RETURN V_SupplementSalaire;



END%%
DELIMITER ;%%
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
